Summary: FreePBX® is the most powerful GUI configuration tool for Asterisk. It provides everything that a standard legacy phone system can, plus a huge amount of new features.
Name: freePBX
Version: 2.11.0
Release: 19
License: GPL
Group: Applications/System
Source0: freepbx-%{version}.tar.gz
Source1: freepbx-modules-%{version}.16.tgz
Source2: freepbx-database-dump-%{version}.16.sql
Source3: freepbx-rc.local
Source4: freepbx-fake-config.php
Source5: musiconhold_additional.conf
Source6: chan_dahdi.conf
Source7: freepbx.conf
Source8: freepbx-web-%{version}.16.tgz
Patch0: freepbx-2.11.0_elastix_files_config.patch
Patch1: freepbx-2.11.0_elastix_bin_freepbx_engine.patch
Patch2: freepbx-2.8.1_elastix_files_config_vmemail.patch
Patch3: freepbx-2.11.0_amportal_config.patch
Patch4: freepbx-2.3.1_agent-login.patch
Patch5: freepbx-2.3.1_conferences.patch
Patch6: freepbx-2.3.1_calendar-event.patch
Patch7: freepbx-2.11.0_fix_url_fop_config.patch
Patch9: freepbx-2.5.0_weather_wakeup.patch
Patch11: freepbx-2.11.0-remove-fallback-database-user.patch
Patch14: freepbx-2.11.0_disabled_freepbx_by_elastix.patch
Patch16: freepbx-2.8.1_htaccess.patch
Patch17: freepbx-2.11.0_flash_operator_panel_validation.patch
Patch18: freepbx-2.11.0_call_limit_functions.patch
Patch19: freepbx-2.11.0_call_limit_libfreepbx.patch
Patch20: freepbx-2.11.0_backupFiles.patch
Patch23: freepbx-2.11.0_fix_indication_conf_turkey_ring.patch
Patch25: freepbx-2.11.0_properly-escape-sql-core-trunks-addRegister.patch
Patch27: freepbx-2.8.1_admin_recordings_reject_nondigit_usersnum.patch
Patch28: freepbx-2.11.0_translate_embedded_freepbx.patch
Patch29: freepbx-2.11.0_moh_make_display_global.patch
Patch30: freepbx-2.11.0_fix_featurecodeadmin_addslashes.patch
Patch31: freepbx-2.11.0_manually-require-notifications-class.patch
Patch32: freepbx-2.11.0_turn_all_serialized_into_json.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
PreReq: asterisk >= 1.8, /sbin/pidof, /bin/tar, elastix-firstboot
PreReq: php, php-pear-DB
PreReq: elastix-pbx >= 2.4.0-11
Requires: elastix-framework >= 2.2.0-18
#Requires: elastix-pbx >= 2.4.0-11
AutoReqProv: no

%description
FreePBX® is the most powerful GUI configuration tool for Asterisk. It provides everything that a standard legacy phone system can, plus a huge amount of new features.
FreePBX® is a Registered Trademark of Schmooze Com, Inc. For more details visit www.freepbx.org and www.schmoozecom.com.

%prep
%setup -n freepbx-%{version}
tar -xzf %{SOURCE8} -C amp_conf/htdocs/admin/

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1 
%patch6 -p1
%patch7 -p1
%patch9 -p1
%patch11 -p1
%patch14 -p1
%patch16 -p1
%patch19 -p1
%patch20 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
# patch31 se aplica abajo
%patch32 -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/www/html/admin/modules

mkdir -p $RPM_BUILD_ROOT/etc/
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/
mkdir -p $RPM_BUILD_ROOT/etc/asterisk.elastix/
mkdir -p $RPM_BUILD_ROOT/etc/pbx/
mkdir -p $RPM_BUILD_ROOT/var/lib/asterisk/agi-bin/
mkdir -p $RPM_BUILD_ROOT/var/lib/asterisk/bin/
mkdir -p $RPM_BUILD_ROOT/var/lib/asterisk/mohmp3/
mkdir -p $RPM_BUILD_ROOT/var/lib/asterisk/sounds/
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mkdir -p $RPM_BUILD_ROOT/usr/share/freepbx/tmp/

#Fixed bug, module recordings missed
mkdir -p $RPM_BUILD_ROOT/var/www/html/recordings/

#mkdir -p $RPM_BUILD_ROOT/etc/asterisk

# Copio las fuentes de freePBX en la carpeta temporal pues serviran en caso de actualizacion
#cp %{SOURCE0} $RPM_BUILD_ROOT/usr/share/freepbx/tmp/freepbx-%{version}.tar.gz

# Copio los modulos adicionales de freepbx en la carpeta temporal, esto será utilizado en el
# caso de las actulizaciones para que todos los modulos queden de forma correcta.
#cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/freepbx/tmp/freepbx-modules-%{version}.4.tar.gz

# El parche 11,13 debe aplicarse también a los tar que se copian en /usr/share
mkdir temp
cd temp

# Se descomprime y parcha FreePBX principal
# Pienso que hasta este punto la directiva setup
# y los parches aplicados arriba ya se ejecutaron
# por lo tanto no veo necesario volver a descomptimir
# y parchar. Es solo de crear un tar comprimir
# y copiarlo a $RPM_BUILD_ROOT/usr/share/freepbx/tmp/

tar -xzf %{SOURCE0}
cd freepbx-%{version}/
tar -xzf %{SOURCE8} -C amp_conf/htdocs/admin/

patch -p1 < %{PATCH0}
patch -p1 < %{PATCH1}
patch -p1 < %{PATCH2}
patch -p1 < %{PATCH3}
patch -p1 < %{PATCH4}
patch -p1 < %{PATCH5}
patch -p1 < %{PATCH6}
patch -p1 < %{PATCH7}
patch -p1 < %{PATCH9}
patch -p1 < %{PATCH11}
patch -p1 < %{PATCH14}
patch -p1 < %{PATCH16}
patch -p1 < %{PATCH19}
patch -p1 < %{PATCH20}
patch -p1 < %{PATCH27}
patch -p1 < %{PATCH28}
patch -p1 < %{PATCH29}
patch -p1 < %{PATCH30}
patch -p1 < %{PATCH31}
patch -p1 < %{PATCH32}
cd ..
tar -czf freepbx-%{version}.tar.gz freepbx-%{version}/
mv freepbx-%{version}.tar.gz $RPM_BUILD_ROOT/usr/share/freepbx/tmp/
rm -rf freepbx-%{version}/

# Se descomprime y parcha módulos a instalar
mkdir temp2
cd temp2
tar -xzf %{SOURCE1}
cd fw_fop/
patch -p1 < %{PATCH17}
cd ..
patch -p5 < %{PATCH18}
patch -p5 < %{PATCH23}
patch -p5 < %{PATCH25}
patch -p5 < %{PATCH27}
patch -p5 < %{PATCH29}
patch -p5 < %{PATCH30}
tar -czf ../freepbx-modules-%{version}.16.tgz *
cd ..
rm -rf temp2
mv freepbx-modules-%{version}.16.tgz $RPM_BUILD_ROOT/usr/share/freepbx/tmp/

cd ..
rmdir temp


# Copio los archivos binarios de mysql en una carpeta temporal para ser utilizados en el POST
# siempre y cuando se trate de una instalacion de Elastix.
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/freepbx/tmp/

# Copying some agi scripts needed by freepbx
cp -ra $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/agi-bin/* $RPM_BUILD_ROOT/var/lib/asterisk/agi-bin/
cp -ra $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/htdocs/admin/modules/core/agi-bin/* $RPM_BUILD_ROOT/var/lib/asterisk/agi-bin/

# Copying some asterisk configuration files modified by freepbx
cp -ra $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/astetc/* $RPM_BUILD_ROOT/etc/asterisk.elastix/
cp %{SOURCE5} $RPM_BUILD_ROOT/etc/asterisk.elastix/
#mv $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/htdocs/admin/modules/core/etc/* $RPM_BUILD_ROOT/etc/asterisk.elastix/
mv $RPM_BUILD_DIR/freepbx-%{version}/asterisk.conf $RPM_BUILD_ROOT/etc/asterisk.elastix/

mv $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/bin/* $RPM_BUILD_ROOT/var/lib/asterisk/bin/
#cp -ra $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/htdocs/admin/modules/core/bin/* $RPM_BUILD_ROOT/var/lib/asterisk/bin/

# Copying modules
mv $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/htdocs/admin/modules/* $RPM_BUILD_ROOT/var/www/html/admin/modules/
#tar -xvzf %{SOURCE1} -C $RPM_BUILD_ROOT/var/www/html/admin/modules/
#Es mejor usar el freepbx-modules-*.tgz ya que esta parchado, %{SOURCE1} referencia a la fuente sin parches
tar -xvzf $RPM_BUILD_ROOT/usr/share/freepbx/tmp/freepbx-modules-%{version}.16.tgz -C $RPM_BUILD_ROOT/var/www/html/admin/modules/

mv $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/htdocs/admin/modules/.htaccess $RPM_BUILD_ROOT/var/www/html/admin/modules/
rm -rf $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/htdocs/admin/modules

cp %{SOURCE3} $RPM_BUILD_ROOT/usr/share/freepbx/tmp/rc.local

#mv $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/mohmp3/* $RPM_BUILD_ROOT/var/lib/asterisk/mohmp3/
mv $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/sbin/* $RPM_BUILD_ROOT/usr/sbin/

mv $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/sounds/* $RPM_BUILD_ROOT/var/lib/asterisk/sounds/
mv $RPM_BUILD_DIR/freepbx-%{version}/amportal.conf $RPM_BUILD_ROOT/etc/
chmod 644 $RPM_BUILD_ROOT/etc/amportal.conf
cp %{SOURCE4} $RPM_BUILD_ROOT/var/www/html/config.php

# Copying images
mv $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/htdocs/admin/images $RPM_BUILD_ROOT/var/www/html/admin/

# FIXME: Maybe the following should be a slink
cp $RPM_BUILD_ROOT/var/www/html/admin/modules/dashboard/images/* $RPM_BUILD_ROOT/var/www/html/admin/images/
#Recently Commented 12/08/2013
#cp $RPM_BUILD_ROOT/var/www/html/admin/modules/recordings/images/* $RPM_BUILD_ROOT/var/www/html/admin/images/
#Fixed bug, module recordins missed. Recently Commented 12/08/2013
echo "RECORDINGS MODULE INSTALL"
rm -rf $RPM_BUILD_ROOT/var/www/html/recordings/
cp -ra $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/htdocs/recordings/  $RPM_BUILD_ROOT/var/www/html/
cp -ra $RPM_BUILD_ROOT/var/www/html/recordings/theme/images/* $RPM_BUILD_ROOT/var/www/html/admin/images/


# Copying everything else
mv $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/htdocs/admin/*           $RPM_BUILD_ROOT/var/www/html/admin/
mv $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/htdocs/admin/.htaccess   $RPM_BUILD_ROOT/var/www/html/admin/

#put new zapata.conf custom of elastix. 
cp %{SOURCE6} $RPM_BUILD_ROOT/etc/asterisk.elastix/

# CDR dump as CSV
mkdir -p $RPM_BUILD_ROOT/var/log/asterisk/cdr-csv/
#chown -R asterisk.asterisk $RPM_BUILD_ROOT/var/log/asterisk/
touch $RPM_BUILD_ROOT/var/log/asterisk/cdr-csv/Master.csv

# FreePBX change the file /var/www/html/index.php (this is elastix file).
# File /etc/pbx/aver.flag is a flag for prevent it.
touch   $RPM_BUILD_ROOT/etc/pbx/aver.flag
rm -rf  $RPM_BUILD_DIR/freepbx-%{version}/amp_conf/htdocs/index.php

# FreePBX file configure
cp %{SOURCE7} $RPM_BUILD_ROOT/usr/share/freepbx/tmp/

%pre
# Asegurarse de que este freePBX no sobreescriba una versión actualizada a mano
if [ $1 -eq 2 ] ; then
    MYSQL_ROOTPWD=`grep mysqlrootpwd= /etc/elastix.conf | sed 's/^mysqlrootpwd=//'`
    FREEPBX_CURRVER=`echo "SELECT value FROM asterisk.admin WHERE variable = 'version';" | mysql -s -u root -p$MYSQL_ROOTPWD`
    mkdir -p $RPM_BUILD_ROOT/usr/share/freepbx/tmp/
    echo $FREEPBX_CURRVER > $RPM_BUILD_ROOT/usr/share/freepbx/tmp/freePBXver
    FREEPBX_NEWVER=%{version}
    php -r "function c(\$a,\$b){while(count(\$a)>0&&count(\$b)>0){\$ax=array_shift(\$a);\$bx=array_shift(\$b);if(\$ax>\$bx)return 1;if(\$ax<\$bx)return -1;}if(count(\$a)>0)return 1;if(count(\$b)>0)return -1;return 0;}exit(c(explode('.', '$FREEPBX_CURRVER'), explode('.', '$FREEPBX_NEWVER'))>0?1:0);"
    res=$?
    if [ $res -eq 1 ] ; then
        echo "FATAL: tried to install FreePBX $FREEPBX_NEWVER, but system has FreePBX $FREEPBX_CURRVER"
        exit 1
    fi
fi

%post

# Cambio contenido de "rc.local"
cat /usr/share/freepbx/tmp/rc.local > /etc/rc.d/rc.local
rm -f /usr/share/freepbx/tmp/rc.local
chmod 755 /etc/rc.d/rc.local

if [ $1 -eq 1 ] ; then # install
    mv /usr/share/freepbx/tmp/freepbx.conf  /etc/
    chmod 660 /etc/freepbx.conf
    chown asterisk.asterisk /etc/freepbx.conf

    # Este es el escenario en que la instalacion de FreePBX no es nueva
    # sino que se instala en un Elastix ya instalado.
    # TODO: Comentado porque aun falta ver como cambiar algunas claves de archivos como
    # amportal.conf, algunos de asterisk y la base de datos asterisk.
    # Pienso que es mejor ver como se llama a /usr/bin/elastix-admin-passwords --change --FreePBX --silent $AMI_ADMINPWD
    # de forma silenciosa para solo cambiar la parte de FreePBX y no MySQL. Tener en cuenta que la clave
    # recolectada de /etc/elastix.conf no este vacia, para hacer lo anterior mencionado.

    #if [ -f /etc/elastix.conf ]; then
    #  AMI_ADMINPWD=`grep amiadminpwd= /etc/elastix.conf | sed 's/^amiadminpwd=//'`
    #  sed -i -e "s/^\$amp_conf\['AMPDBHOST'\]\s*=\s*'\w*'/\$amp_conf['AMPDBHOST']  = '$AMI_ADMINPWD'/" /etc/freepbx.conf
    #fi
fi

# La base de datos esta corriendo
if [ x`pidof mysqld` != "x" ] ; then
    # La base de datos existe
    # NOTA: Es muy importante notar que si la db esta corriendo y la base 'asterisk' existe no necesariamente
    #       tendria q ejecutar el script ./install_amp porque no necesariamente quiero actualizar
    if [ -d "/var/lib/mysql/asterisk" ]; then
        # Procedimiento de actualizacion aqui?
        # Por ahora no hago nada pero creo que se deberia invocar al instalador aqui install_amp
        echo "Installing freePBX... "
        tar -xvzf /usr/share/freepbx/tmp/freepbx-2.11.0.tar.gz -C /usr/share/freepbx/tmp/

        # FreePBX change the file /var/www/html/index.php (this is elastix file).
        # File /etc/pbx/aver.flag is a flag for prevent it.
        mkdir -p /etc/pbx/
        touch    /etc/pbx/aver.flag
        rm -rf   /usr/share/freepbx/tmp/freepbx-2.11.0/amp_conf/htdocs/index.php

        # FreePBX su script install_amp con la opcion --force-version sobrescribe todos los archivos
        # que esten en la carpeta ../amp_conf/astetc/* como el archivo extensions_custom.conf es creado
        # por parches (no es default de tgz de FreePBX) el script lo reemplaza esto sucede en la libreria
        # libfreepbx.install.php alrededor de la linea 315. El error que provocaba esto es que el 
        # archivo de configuracion extensions_custom.conf no debe ser modificado por ningun proceso, este
        # solo puede modificarse manualmente por el usuario del servidor.
        rm -rf /usr/share/freepbx/tmp/freepbx-2.11.0/amp_conf/astetc/extensions_custom.conf

	# Se copia los archivos dentro de la carpeta amp_conf/htdocs/admin/modules/
	tar -xvzf /usr/share/freepbx/tmp/freepbx-modules-2.11.0.16.tgz -C /usr/share/freepbx/tmp/freepbx-2.11.0/amp_conf/htdocs/admin/modules/

        cd /usr/share/freepbx/tmp/freepbx-2.11.0/


	ActVer_freePBX=$(cat /usr/share/freepbx/tmp/freePBXver)
        echo a | ./install_amp --force-version=$ActVer_freePBX
	rm -rf /usr/share/freepbx/tmp/freePBXver
    # La base de datos NO existe
    else
        # Creo la base de datos
        # Este caso ocurre si el usuario ha desinstalado previamente el RPM de freePBX

	elastix_root_password=`grep mysqlrootpwd= /etc/elastix.conf | sed 's/^mysqlrootpwd=//'`
	echo "Installing database from SQL dump..."
	mysql -u root -p$elastix_root_password < /usr/share/freepbx/tmp/freepbx-database-dump-2.11.0.16.sql
	ret=$?
        if [ $ret -ne 0 ] ; then
               	exit $ret
	fi	

	# Ruta a módulos es incorrecta en 64 bits. Se corrige a partir de ruta de Asterisk.
	RUTAREAL=`grep astmoddir /etc/asterisk/asterisk.conf | sed 's|^.* \(/.\+\)$|\1|' -`
	sed --in-place "s|/usr/lib/asterisk/modules|$RUTAREAL|g" /etc/asterisk.elastix/asterisk.conf
	sed --in-place "s|/usr/lib/asterisk/modules|$RUTAREAL|g" /etc/amportal.conf

        # Cambio carpeta de archivos de configuración de Asterisk
        mv -f /etc/asterisk.elastix/* /etc/asterisk/
    fi

# La base de datos esta apagada
else
    # La base de datos existe
    if [ -d "/var/lib/mysql/asterisk" ]; then
        # Abortar instalacion
        echo "MySQL service down!!!. Please start this service before installing this RPM. Aborting..."
        exit 255
    # La base de datos NO existe
    else
        # Creo la base de datos, incluido el esquema de usuario/permiso
        echo "Assumed ISO installation. Delayed database installation until first Elastix boot..."
        cp /usr/share/freepbx/tmp/freepbx-database-dump-2.11.0.16.sql /var/spool/elastix-mysqldbscripts/01-freepbx.sql

        # Ruta a módulos es incorrecta en 64 bits. Se corrige a partir de ruta de Asterisk.
        RUTAREAL=`grep astmoddir /etc/asterisk/asterisk.conf | sed 's|^.* \(/.\+\)$|\1|' -`
        sed --in-place "s|/usr/lib/asterisk/modules|$RUTAREAL|g" /etc/asterisk.elastix/asterisk.conf
        sed --in-place "s|/usr/lib/asterisk/modules|$RUTAREAL|g" /etc/amportal.conf

        # Cambio carpeta de archivos de configuración de Asterisk
        mv -f /etc/asterisk.elastix/* /etc/asterisk/
    fi
fi

# Fixed bug, module recordins missed when is updated.
# Only update path /usr/share/freepbx/tmp/freepbx-2.11.0/
# exits, looking up about it.
if [ $1 -eq 2 ]; then #rpm update
    echo "RECORDINGS MODULE INSTALL(POST)"
    rm -rf /var/www/html/recordings/
    cp -ra /usr/share/freepbx/tmp/freepbx-2.11.0/amp_conf/htdocs/recordings/  /var/www/html/
    cp -ra /var/www/html/recordings/theme/images/* /var/www/html/admin/images/
fi

# Creo unos links simbolicos para algunos archivos de configuracion.
# Esto solo es necesario en una instalacion desde cero, donde no se ejecute el comando
# ./install_amp, pues este comando ya realiza esta tarea

# FIXME: Estas lineas deberían ser mas inteligentes y crear un ln para cada 
#        archivo encontrado en la carpeta /var/www/html/admin/modules/core/etc/

# Primero reviso si hay archivos de configuracion que sean archivos normales (no symlinks)
# Esto es porque por omision asterisk pone estos archivos y hay que borrarlos
# Ademas en versiones del este rpm menores a 2.4 se ponian archivos regulares en lugar de los
# links a los archivos dentro de freepbx, lo cual estaba mal
if [ -f "/etc/asterisk/extensions.conf" ] ; then
    echo "Backing up old /etc/asterisk/extensions.conf as /etc/asterisk/extensions.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/extensions.conf /etc/asterisk/extensions.conf.old_%{name}-%{version}-%{release}
fi
if [ -f "/etc/asterisk/iax.conf" ] ; then
    echo "Backing up old /etc/asterisk/iax.conf as /etc/asterisk/iax.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/iax.conf /etc/asterisk/iax.conf.old_%{name}-%{version}-%{release}
fi
if [ -f "/etc/asterisk/sip.conf" ] ; then
    echo "Backing up old /etc/asterisk/sip.conf as /etc/asterisk/sip.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/sip.conf /etc/asterisk/sip.conf.old_%{name}-%{version}-%{release}
fi
#if [ -f "/var/lib/asterisk/bin/fax-process.pl" ] ; then
#    echo "Backing up old /var/lib/asterisk/bin/fax-process.pl as /var/lib/asterisk/bin/fax-process.pl.old_%{name}-%{version}-%{release}"
#    mv /var/lib/asterisk/bin/fax-process.pl /var/lib/asterisk/bin/fax-process.pl.old_%{name}-%{version}-%{release}
#fi
if [ -f "/etc/asterisk/features.conf" ] ; then
    echo "Backing up old /etc/asterisk/features.conf as /etc/asterisk/features.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/features.conf /etc/asterisk/features.conf.old_%{name}-%{version}-%{release}
fi

if [ -f "/etc/asterisk/sip_notify.conf" ] ; then
    echo "Backing up old /etc/asterisk/sip_notify.conf as /etc/asterisk/sip_notify.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/sip_notify.conf /etc/asterisk/sip_notify.conf.old_%{name}-%{version}-%{release}
fi

if [ -f "/etc/asterisk/res_odbc.conf" ] ; then
    echo "Backing up old /etc/asterisk/res_odbc.conf as /etc/asterisk/res_odbc.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/res_odbc.conf /etc/asterisk/res_odbc.conf.old_%{name}-%{version}-%{release}
fi

if [ -f "/etc/asterisk/logger.conf" ] ; then
    echo "Backing up old /etc/asterisk/logger.conf as /etc/asterisk/logger.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/logger.conf /etc/asterisk/logger.conf.old_%{name}-%{version}-%{release}
fi

if [ -f "/etc/asterisk/confbridge.conf" ] ; then
    echo "Backing up old /etc/asterisk/confbridge.conf as /etc/asterisk/confbridge.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/confbridge.conf /etc/asterisk/confbridge.conf.old_%{name}-%{version}-%{release}
fi

if [ -f "/etc/asterisk/cel.conf" ] ; then
    echo "Backing up old /etc/asterisk/cel.conf as /etc/asterisk/cel.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/cel.conf /etc/asterisk/cel.conf.old_%{name}-%{version}-%{release}
fi

if [ -f "/etc/asterisk/cel_odbc.conf" ] ; then
    echo "Backing up old /etc/asterisk/cel_odbc.conf as /etc/asterisk/cel_odbc.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/cel_odbc.conf /etc/asterisk/cel_odbc.conf.old_%{name}-%{version}-%{release}
fi

if [ -f "/etc/asterisk/rtp.conf" ] ; then
    echo "Backing up old /etc/asterisk/rtp.conf as /etc/asterisk/rtp.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/rtp.conf /etc/asterisk/rtp.old_%{name}-%{version}-%{release}
fi

if [ -f "/etc/asterisk/udptl.conf" ] ; then
    echo "Backing up old /etc/asterisk/udptl.conf as /etc/asterisk/udptl.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/udptl.conf /etc/asterisk/udptl.old_%{name}-%{version}-%{release}
fi

if [ -f "/etc/asterisk/http.conf" ] ; then
    echo "Backing up old /etc/asterisk/http.conf as /etc/asterisk/http.conf.old_%{name}-%{version}-%{release}"
    mv /etc/asterisk/http.conf /etc/asterisk/http.conf.old_%{name}-%{version}-%{release}
fi

if [ -f "/var/lib/asterisk/bin/one_touch_record.php" ] ; then
    echo "Backing up old /var/lib/asterisk/bin/one_touch_record.php as /var/lib/asterisk/bin/one_touch_record.php.old_%{name}-%{version}-%{release}"
    mv /var/lib/asterisk/bin/one_touch_record.php /var/lib/asterisk/bin/one_touch_record.php.old_%{name}-%{version}-%{release}
fi

if [ ! -e "/etc/asterisk/extensions.conf" ]; then
    ln -s /var/www/html/admin/modules/core/etc/extensions.conf /etc/asterisk/extensions.conf
fi
if [ ! -e "/etc/asterisk/iax.conf" ]; then
    ln -s /var/www/html/admin/modules/core/etc/iax.conf /etc/asterisk/iax.conf
fi
if [ ! -e "/etc/asterisk/sip.conf" ]; then
    ln -s /var/www/html/admin/modules/core/etc/sip.conf /etc/asterisk/sip.conf
fi
#if [ ! -e "/var/lib/asterisk/bin/fax-process.pl" ]; then
#    ln -s /var/www/html/admin/modules/core/bin/fax-process.pl /var/lib/asterisk/bin/fax-process.pl
#fi
if [ ! -e "/etc/asterisk/features.conf" ]; then
    ln -s /var/www/html/admin/modules/core/etc/features.conf /etc/asterisk/features.conf
fi
if [ ! -e "/etc/asterisk/sip_notify.conf" ]; then
    ln -s /var/www/html/admin/modules/core/etc/sip_notify.conf /etc/asterisk/sip_notify.conf
fi
if [ ! -e "/etc/asterisk/res_odbc.conf" ]; then
    ln -s /var/www/html/admin/modules/core/etc/res_odbc.conf /etc/asterisk/res_odbc.conf
fi
if [ ! -e "/etc/asterisk/logger.conf" ]; then
    ln -s /var/www/html/admin/modules/logfiles/etc/logger.conf /etc/asterisk/logger.conf
fi
if [ ! -e "/etc/asterisk/confbridge.conf" ]; then
    ln -s /var/www/html/admin/modules/conferences/etc/confbridge.conf /etc/asterisk/confbridge.conf
fi
if [ ! -e "/etc/asterisk/cel.conf" ]; then
    ln -s /var/www/html/admin/modules/cdr/etc/cel.conf /etc/asterisk/cel.conf
fi
if [ ! -e "/etc/asterisk/cel_odbc.conf" ]; then
    ln -s /var/www/html/admin/modules/cdr/etc/cel_odbc.conf /etc/asterisk/cel_odbc.conf
fi
if [ ! -e "/etc/asterisk/rtp.conf" ]; then
    ln -s /var/www/html/admin/modules/core/etc/rtp.conf /etc/asterisk/rtp.conf
fi
if [ ! -e "/etc/asterisk/udptl.conf" ]; then
    ln -s /var/www/html/admin/modules/core/etc/udptl.conf /etc/asterisk/udptl.conf
fi
if [ ! -e "/var/www/html/modules/ivr/assets/images/" ]; then
    mkdir -p /var/www/html/modules/ivr/assets/
    ln -s /var/www/html/admin/modules/ivr/assets/images/ /var/www/html/modules/ivr/assets/images
fi
if [ ! -e "/var/www/html/images/notify_critical.png" ]; then
    ln -s /var/www/html/admin/images/notify_critical.png /var/www/html/images/notify_critical.png
fi
if [ ! -e "/var/www/html/assets/" ]; then
    ln -s /var/www/html/admin/assets/ /var/www/html/assets
    chown -R asterisk.asterisk /var/www/html/assets
fi
if [ ! -e "/etc/asterisk/http.conf" ]; then
    ln -s /var/www/html/admin/modules/core/etc/http.conf /etc/asterisk/http.conf
fi
if [ ! -e "/var/lib/asterisk/bin/one_touch_record.php" ]; then
    ln -s /var/www/html/admin/modules/callrecording/bin/one_touch_record.php /var/lib/asterisk/bin/one_touch_record.php
    chown -R asterisk.asterisk /var/lib/asterisk/bin/one_touch_record.php
fi


# The following files must exist (even if empty) for asterisk 1.6.x to work correctly.
# This does not belong in %%install because these files are dynamically created.
touch /etc/asterisk/manager_additional.conf
touch /etc/asterisk/sip_general_custom.conf
touch /etc/asterisk/sip_nat.conf
touch /etc/asterisk/sip_registrations_custom.conf
touch /etc/asterisk/sip_registrations.conf
touch /etc/asterisk/sip_custom.conf
touch /etc/asterisk/sip_additional.conf
touch /etc/asterisk/sip_custom_post.conf
touch /etc/asterisk/extensions_override_freepbx.conf
touch /etc/asterisk/features_general_additional.conf
touch /etc/asterisk/sip_general_additional.conf
touch /etc/asterisk/queues_general_additional.conf
touch /etc/asterisk/dahdi-channels.conf
touch /etc/asterisk/meetme_additional.conf
touch /etc/asterisk/sip_general_additional.conf
touch /etc/asterisk/iax_general_additional.conf
touch /etc/asterisk/musiconhold_custom.conf
touch /etc/asterisk/extensions_additional.conf
touch /etc/asterisk/features_general_custom.conf
touch /etc/asterisk/queues_custom_general.conf
touch /etc/asterisk/chan_dahdi_additional.conf
touch /etc/asterisk/iax_registrations_custom.conf
touch /etc/asterisk/features_applicationmap_additional.conf
touch /etc/asterisk/queues_custom.conf
touch /etc/asterisk/iax_registrations.conf
touch /etc/asterisk/features_applicationmap_custom.conf
touch /etc/asterisk/queues_additional.conf
touch /etc/asterisk/iax_custom.conf
touch /etc/asterisk/features_featuremap_additional.conf
touch /etc/asterisk/queues_post_custom.conf
touch /etc/asterisk/iax_additional.conf
touch /etc/asterisk/features_featuremap_custom.conf
touch /etc/asterisk/iax_custom_post.conf
touch /etc/asterisk/sip_notify_additional.conf
touch /etc/asterisk/sip_notify_custom.conf
touch /etc/asterisk/cel_general_additional.conf
touch /etc/asterisk/cel_general_custom.conf
touch /etc/asterisk/cel_custom_post.conf
touch /etc/asterisk/cel_odbc_custom.conf
touch /etc/asterisk/udptl_custom.conf

# Al momento de instalacion el archivo features_featuremap_custom.conf no cuenta con la linea
# de configuración que permite al feature code de "In-Call Asterisk Toggle Call Recording"
# funcionar correctamente
[ -s /etc/asterisk/features_featuremap_custom.conf ]
a=$(echo $?)
if [ "$a" -ne "0" ]; then #archivo vacio
	echo "automon=*1" >> /etc/asterisk/features_featuremap_custom.conf
# existe en el archivo pero es diferente al valor deseado
elif [ "$(cat /etc/asterisk/features_featuremap_custom.conf | grep -i "automon=")" != "automon=*1" ]; then
	sed -i -e "s/automon=\*[0,2,3,4,5,6,7,8,9]/automon=\*1/" /etc/asterisk/features_featuremap_custom.conf
# existe en el archivo
elif [ "$(cat /etc/asterisk/features_featuremap_custom.conf | grep -i "automon=")" == "automon=*1" ]; then #existe en el archivo
	echo "Nothing to be done..."
fi

chown -R asterisk.asterisk /etc/asterisk/*

# Algo mas de soporte para cuando se actualiza el freePBX desde su administracion
# Se crea estas carpetas para manejar un error de actualizacion
mkdir -p /var/www/html/_asterisk
mkdir -p /var/www/html/recordings
mkdir -p /var/lib/asterisk/mohmp3/none/
chown asterisk.asterisk /var/www/html/_asterisk 
chown asterisk.asterisk /var/www/html/recordings
chown asterisk.asterisk /var/lib/asterisk/mohmp3/none/
chown asterisk.asterisk /etc/amportal.conf

# Fixed bug in FOP when we use DAHDI instead of Zap
#sed -ie "s/Zap/DAHDI/g" /var/lib/asterisk/bin/retrieve_op_conf_from_mysql.pl

# Fix once and for all the issue of recordings/MOH failing because
# of Access Denied errors.
if [ ! -e /var/lib/asterisk/sounds/custom/ ] ; then
    mkdir -p /var/lib/asterisk/sounds/custom/
    chown -R asterisk.asterisk /var/lib/asterisk/sounds/custom/
fi

# Copy any unaccounted files from moh to mohmp3
for i in /var/lib/asterisk/moh/* ; do
    if [ -e $i ] ; then
        BN=`basename "$i"`
        if [ ! -e "/var/lib/asterisk/mohmp3/$BN" ] ; then
            cp $i /var/lib/asterisk/mohmp3/
        fi
    fi
done

# Explicitly set MOHDIR=mohmp3 in amportal.conf
if ! grep -q -s '^MOHDIR' /etc/amportal.conf ; then
    echo 'No MOHDIR directive found in /etc/amportal.conf, setting to mohmp3 ...'
    echo -e "\n\nMOHDIR=mohmp3" >> /etc/amportal.conf
fi
if grep -q -s '^MOHDIR=moh$' /etc/amportal.conf ; then
    echo "Fixing MOHDIR to point to mohmp3 instead of moh in /etc/amportal.conf ..."
    sed -i "s/^MOHDIR=moh$/MOHDIR=mohmp3/" /etc/amportal.conf
fi

# Change moh to mohmp3 on all Asterisk configuration files touched by FreePBX
for i in /etc/asterisk/musiconhold*.conf ; do
    if ! grep -q -s '^directory=/var/lib/asterisk/moh$' $i ; then
        echo "Replacing instances of moh with mohmp3 in $i ..."
        sed -i "s|^directory=/var/lib/asterisk/moh\(/\)\?$|directory=/var/lib/asterisk/mohmp3/|" $i
    fi
done

%clean
rm -rf $RPM_BUILD_ROOT

# basic contains some reasonable sane basic tiles
%files
%defattr(-, asterisk, asterisk)
/etc/asterisk.elastix/*
/var/www/html/*
/var/log/asterisk/*
%config(noreplace) /var/www/html/admin/modules/fw_fop/op_buttons_additional.cfg
%config(noreplace) /var/www/html/admin/modules/fw_fop/op_buttons_custom.cfg
/var/lib/asterisk/*
%config(noreplace) /var/log/asterisk/cdr-csv/Master.csv
%config(noreplace) /etc/amportal.conf
#RECENTLY ADDED 12/08/2013: /usr/sbin/fpbx
%defattr(-, root, root)
/etc/rc.d
/usr/sbin/amportal
/usr/share/freepbx/tmp/*
/etc/pbx/aver.flag

%changelog
* Thu Feb 12 2015 Alex Villacis Lasso <a_villacis@palosanto.com> 2.11.0-19
- CHANGED: use a different test for active mysqld service with pidof instead
  of /sbin/service or systemd, to work around chroot issues in CentOS 7.

* Mon Jan 26 2015 Alex Villacis Lasso <a_villacis@palosanto.com> 2.11.0-18
- FIXED: test for mariadb.service and mysqldb.service and use them instead of
  SysV mysqld to test whether mariadb/mysqldb is running.

* Mon Oct 20 2014  Bruno Macias V. <bmacias@palosanto.com> 2.11.0-17
- FIXED: Sources freepbx-modules and freepbx-database-dump names was
  fixed release, now is 16.

* Fri Oct 17 2014  Bruno Macias V. <bmacias@palosanto.com> 2.11.0-16
- UPDATED: modules FreePBX was updated.

* Fri Oct 17 2014  Bruno Macias V. <bmacias@palosanto.com> 2.11.0-15
- FIXED: FreePBX your install_amp script with the option --force-version, 
  overwrites all files that are in the ../amp_conf/astetc/*, as 
  extensions_custom.conf file is created by elastix patches 
  (not default FreePBX tgz) the script replaces, this happens in the 
  library libfreepbx.install.php around line 315, the error that caused 
  this is that extensions_custom.conf configuration file should not be 
  modified by any process, this can only be changed manually by the 
  user server.

* Thu Oct 16 2014  Bruno Macias V. <bmacias@palosanto.com> 2.11.0-14
- FIXED: asterisk file config cdr_mysql.conf, username database error.
  patch freepbx-2.11.0_elastix_files_config.patch was updated.

* Fri Oct  3 2014  Alex Villacis Lasso <a_villacis@palosanto.com> 2.11.0-13
- FIXED: apply patch for FREEPBX-8070, fixes CVE-2014-7235

* Mon Jul  7 2014  Alex Villacis Lasso <a_villacis@palosanto.com> 2.11.0-12
- FIXED: require notifications class in a place where it is required but
  install_amp fails to install class autoloader.

* Wed Feb 12 2014 Bruno Macias <bmacias@palosanto.com> 2.11.0-11
- CHANGED: Same change was done in this spec file and patch files.

* Mon Feb 10 2014 Bruno Macias <bmacias@palosanto.com> 2.11.0-10
- FIXED: FreePBX Vulnerability was solved. More information on
  http://issues.freepbx.org/browse/FREEPBX-7123. It was Fixed with
  Source8 in this spec file, freepbx-web-2.11.0.7.tgz source content files
  WEB FreePBX.

* Fri Feb 07 2014 Bruno Macias <bmacias@palosanto.com> 2.11.0-9
- UPDATED: FreePBX modules was updated with the latest.

* Wed Jan 29 2014 Bruno Macias <bmacias@palosanto.com> 2.11.0-8
- FIXED: symlink broken to file one_touch_record.php and
  file /etc/asterisk/http.conf

* Tue Jan 28 2014 Bruno Macias <bmacias@palosanto.com> 2.11.0-7
- UPDATED: FreePBX modules was updated with the latest. Installed call 
  recording FreePBX module for resolve issue with recordings functions.

* Tue Jan 28 2014 Bruno Macias <bmacias@palosanto.com> 2.11.0-6
- FIXED: the featurecodeadmin module dont showing codes in spanish language
  addslashes php function was added and fixed this issue. The patch 
  freepbx-2.11.0_fix_featurecodeadmin_addslashes.patch solved it.

* Fri Nov 08 2013 Alex Villacis Lasso <a_villacis@palosanto.com> 2.11.0-5
- FIXED: the MOH module cannot access the unadorned "display" variable as a 
  global because the entire embedded FreePBX execution runs inside a function.
  Fixed by making "display" an explicit global, only for MOH. Fixes Elastix
  bug #1764 item 2.

* Wed Oct 23 2013 Bruno Macias <bmacias@palsoanto.com> 2.11.0-4
- Fixed language translate freepbx modules. Patch file 
  freepbx-2.11.0_translate_embedded_freepbx.patch
- Fixed symbol link broken to file /etc/asterisk/udptl.conf
- Updated freepbx modules.

* Tue Oct 01 2013 Luis Abarca <labarca@palsoanto.com> 2.11.0-3
- Fixed a bug about versions and paths in spec.

* Wed Sep 25 2013 Bruno Macias <bmacias@palosanto.com> 2.11.0-2
- Fixed a minor bug.

* Fri Aug 23 2013 Bruno Macias <bmacias@palosanto.com> 2.11.0-1
- UPDATED: It was updated the sources: 0,1 and 2 of spec file 
  (source FreePBX, modules, schema of database) for Correspondig update to FreePBX-2.11.0.
- UPDATED: The following patches were updated its contents:	
freepbx-2.11.0_elastix_files_config.patch
freepbx-2.11.0_elastix_bin_freepbx_engine.patch
freepbx-2.11.0_amportal_config.patch
freepbx-2.11.0_fix_url_fop_config.patch
freepbx-2.11.0-remove-fallback-database-user.patch
freepbx-2.11.0_disabled_freepbx_by_elastix.patch
freepbx-2.11.0_flash_operator_panel_validation.patch
freepbx-2.11.0_call_limit_functions.patch
freepbx-2.11.0_call_limit_libfreepbx.patch
freepbx-2.11.0_fix_indication_conf_turkey_ring.patch
freepbx-2.8.1_properly-escape-sql-core-trunks-addRegister.patch
freepbx-2.8.1_admin_recordings_reject_nondigit_usersnum.patch
- CHANGED: It was restructured fw_fop module location. 
  (/var/www/html/panel to /var/www/hmtl/admin/modules/fw_fop)
- CHANGED: A compatible and friendly design for module interface pbxadmin.
- FIXED:   The setup directive applied to patchs changed. Its not worthy to applied twice, 
  just once and compress them for a later copy.
- FIXED:   The release variable in the spec its now dinamically managed and its no longer 
  burned in the code.
- CHANGED: Some libraries doesn't exist anymore and some others were renamed or moved and 
  included into another files.
- CHANGED: The way of installing the recordings module has changed. Both mode installation 
  from scratch and upgrade mode.
- CHANGED: The htaccess file from FreePBX has been modified for Elx convinience.
- CHANGED: FreePBX change the file /var/www/html/index.php (this is elastix file default) 
  so a File /etc/pbx/aver.flag is a flag for prevent it. In addition, the index.php from 
  the source its eliminated to better accomplish the objective of no sustitution.
- ADDED:   New FreePBX has its own variable configuration stored in a new file (freepbx.conf).
- CHANGED: The way of use of the bin file ./install_amp has changed, now force the update of 
  freepbx using as parameter the version currently installed on the system.
- REMOVED: Backing up the file fax-process.pl its no needed anymore.
- ADDED:   Added creation of new symbolic links to images.
- UPDATED: Applied the correct permissions to new files and update files in the spec.

* Thu Jun 13 2013 Alex Villacis Lasso <a_villacis@palosanto.com> 2.8.1-17
- FIXED: force install_amp to accept Asterisk 11 as a valid version.
- FIXED: fix failure to create outbound route with pinset, known FreePBX
  issue http://www.freepbx.org/trac/ticket/5597

* Tue Jan 22 2013 Alex Villacis Lasso <a_villacis@palosanto.com> 2.8.1-16
- FIXED: patch remaining RCE after authentication in Recordings interface.
- FIXED: fix XSS in System Recordings page by rejecting nondigit usersnum.

* Mon Nov 12 2012 Alex Villacis Lasso <a_villacis@palosanto.com> 2.8.1-15
- FIXED: Properly escape values to insert into technology table. Fixes Elastix
  bug #1412.

* Thu Jun 07 2012 Alex Villacis Lasso <a_villacis@palosanto.com> 2.8.1-14
- FIXED: Fix incorrect ringing indication for Turkey. Fixes Elastix bug #1275.
- FIXED: Backport fix for http://www.freepbx.org/trac/ticket/5300 in which
  call tracing (default *69) was broken. Fixes Elastix bug #1295.

* Mon Apr 23 2012 Alex Villacis Lasso <a_villacis@palosanto.com> 2.8.1-13
- Fix use of reserved keyword $_REQUEST in recordings module for PHP 5.4
  compatibility.

* Fri Mar 23 2012 Bruno Macias <bmacias@palosanto.com> 2.8.1-12
- FIXED: sticky note is now visible in the FOP (Flash Operator Panel)
- FIXED: patch unauthenticated RCE in Recordings interface in Voicemail Call
  feature.

* Thu Jan 12 2012 Alberto Santos <asantos@palosanto.com> 2.8.1-11
- CHANGED: In spec file, changed prereq asterisk >= 1.8

* Thu Dec 29 2011 Alberto Santos <asantos@palosanto.com> 2.8.1-10
- ADDED: In spec file, added prereq php-pear-DB

* Fri Nov 25 2011 Alberto Santos <asantos@palosanto.com> 2.8.1-9
- CHANGED: In spec file, changed requires to elastix-framework >= 2.2.0-18
- CHANGED: patch freepbx-2.8.1_backupFiles, now only files with extension
  .conf are renamed

* Wed Nov 16 2011 Alberto Santos <asantos@palosanto.com> 2.8.1-8
- ADDED: In spec file, added patch freepbx-2.8.1_flash_operator_panel_validation.patch
- ADDED: In spec file, added patch freepbx-2.8.1_call_limit_functions.patch
- ADDED: In spec file, added patch freepbx-2.8.1_call_limit_libfreepbx.patch
- ADDED: In spec file, added patch freepbx-2.8.1_backupFiles.patch
- CHANGED: In spec file, changed prereq elastix >= 2.2.0-15

* Tue Nov 01 2011 Alberto Santos <asantos@palosanto.com> 2.8.1-7
- CHANGED: patch freepbx-2.8.1_disabled_freepbx_by_elastix.patch, some changes
  were made to introduce correctly the new theme elastixneo

* Wed Oct 12 2011 Alberto Santos <asantos@palosanto.com> 2.8.1-6
- FIXED: patch freepbx-2.8.0_elastix_files_config.patch had an improperly
  comment

* Mon Oct 10 2011 Alberto Santos <asantos@palosanto.com> 2.8.1-5
- NEW: patch freepbx-2.8.1_htaccess.patch, adds files .htaccess in subfolders
  of folder admin/

* Wed Sep 28 2011 Bruno Macias <bmacias@palosanto.com> 2.8.1-4
- NEW: patch freepbx-2.8.1_elastix_files_config_vmemail.patch, better email  message.
- NEW: patch freepbx-2.8.1_changed_message_faxlicense.patch, patch 15 only apply to 
  freepbx-modules tar (SOURCE1).

* Tue Jul 19 2011 Alberto Santos <asantos@palosanto.com> 2.8.1-3
- CHANGED: patch freepbx-2.8.1_disabled_freepbx_by_elastix.patch, added a
  validation in case the file /var/www/html/modules/sec_advanced_settings/libs/paloSantoChangePassword.class.php does not exist

* Tue Jul 12 2011 Alberto Santos <asantos@palosanto.com> 2.8.1-2
- CHANGED: patch freepbx-2.8.1_disabled_freepbx_by_elastix.patch, the image
  on page elastix_advice.php was not displayed when the theme was not 
  elastixwave.

* Mon Jun 13 2011 Bruno Macias V. <bmacias@palosanto.com> 2.8.1-1
- ADDED: patch freepbx-2.8.0_disabled_freepbx_by_elastix.patch, this patch disabled
  direct access (Non-embedded) to FreePBX. Elastix module "Advanced Security Settings".
- UPDATED: FreePBX version 2.8.1

* Wed May 18 2011 Alberto Santos <asantos@palosanto.com> 2.8.0-3
- CHANGED: patch SOURCE4 was modified

* Thu Mar 31 2011 Eduardo Cueva <ecueva@palosanto.com> 2.8.0-2
- CHANGED:  Bad path with command to create a link to file:
             /etc/asterisk/sip_notify.conf. 

* Sat Dec 22 2010 Eduardo Cueva <ecueva@palosanto.com> 2.8.0-1
- UPDATED:  Update freePBX to 2.8.0.4

* Wed Dec 08 2010 Bruno Macias V. <bmacias@palosanto.com> 2.7.0-10
- FIXED: recordings folder - missing files. Elastix bug #606.
- CHANGED: check for existence of files in moh/ before copying.

* Thu Oct 01 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 2.7.0-9
- Rename moh to mohmp3 to ensure compatibility with Elastix tools (Elastix bug #355).
- Require asterisk >= 1.6.2.13 for part of fix to Elastix bug #355.
- Create symlinks for sip_notify.conf. Attempt to fix Elastix bug #497.
- Fix incorrect comparison inl_amp that prevents some files from being copied.

* Wed Aug 18 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 2.7.0-8
- FIXED: Remove beta from version string - source already is production release.
- ADDED: Add %%prep check to prevent the RPM from overwriting a manually-updated
  FreePBX installation.
- FIXED: Fixed repackaging of freepbx-modules with wrong name.

* Tue Aug 10 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 2.7.0-7beta
- FIXED: better way to handle patched tarballs, should allow restoring unpatched
  tarballs in source RPM.

* Tue Aug 10 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 2.7.0-6beta
- FIXED: remove fallback to credentials from /etc/amportal.conf in case ordinary
  credentials from database failed.

* Thu Jul 29 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 2.7.0-5beta
- FIXED: actually check and create /var/lib/asterisk/sounds/custom/ if it does not
  exist, before trying to change permission on directory.
- FIXED: read MySQL root password from /etc/elastix.conf instead of hardcoding it.

* Mon Jul 26 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 2.7.0-4beta
- FIXED: force /var/lib/asterisk/sounds/custom/ to be owned by asterisk. Should
  partially fix Elastix bug #403.

* Wed Jun 30 2010 Bruno Macias V. <bmacias@palosanto.com> 2.7.0-3beta
- UPDATED: modules freepbx version 2.7.0 lasted.

* Mon Mar 22 2010 Bruno Macias V. <bmacias@palosanto.com> 2.7.0-2beta
- Cleanup of specfile with more files being tracked as part of the RPM
- Create folder /var/lib/asterisk/mohmp3/none/, is necessary that being defined.

* Fri Mar 19 2010 Bruno Macias V. <bmacias@palosanto.com> 2.7.0-1beta
- Update freepbx 2.7.0
- Update sql, freepbx database  2.7.0
- Patch freepbx-2.5.0_elastix_core_agi_bin_recordingcheck.patch commented, freepbx has deleted the file recordingcheck, it is in test.
- Update manager.conf keyword added for enable originate and other them.
- Commented in this spec line .../admin/modules/core/bin/*, freepbx 2.7.0 not content the bin files.
- Commented in this spec line .../amp_conf/mohmp3/*, freepbx 2.7.0 not content the mohmp3 files.

* Wed Jan 13 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 2.6.0-4beta
- Remove conflict with previous version of freePBX in order to enable update
  from alpha versions of Elastix 2.

* Fri Jan 08 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 2.6.0-3beta
- Actually remove sound file that actually belongs to a different package.

* Fri Jan 08 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 2.6.0-2beta
- Cleanup of specfile with more files being tracked as part of the RPM
- Converted sed in %post into proper patch
- Prereq asterisk to have the asterisk user available
- Convert installation of database to use elastix-firstboot

* Fri Jan 08 2010 Bruno Macias V <bmacias@palosanto.com> 2.6.0-1beta
- Update freepbx to 1.6.0.
- Fixed bug, permission in folder /var/lib/asterisk/sounds/custom for user asterisk.
- Update patch freepbx-2.5.2_elastix_files_config.patch to freepbx-2.6.0_elastix_files_config.patch, section file amportal.conf and section file cdr_mysql.conf

* Tue Oct 20 2009 Bruno Macias V <bmacias@palosanto.com> 2.5.2-2rc
- Fixed bug, forgot change the version in name of files tgz.

* Mon Oct 19 2009 Bruno Macias V <bmacias@palosanto.com> 2.5.2-1rc
- FreePBX Update 2.5.2.
- Update patch freepbx-2.5.1_elastix_files_config.patch to freepbx-2.5.2_elastix_files_config.patch, section file amportal.conf
- Fixed bug [#59] in www.bugs.elastix.org. File recordings/includes/main.conf.php is less.

* Fri Sep 04 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 2.5.1-13rc
- Create empty configuration files that are referenced by installed freePBX files.
  This is required for the asterisk 1.6.x AMI and SIP support to start up correctly.

* Wed Jun 03 2009 Bruno Macias V <bmacias@palosanto.com> 2.5.1-12rc
- Fixed bug when be update freepbx, the script install_amp dont updated all modules because the script use the modules  
  in folder amp_conf/htdocs/admin/modules.

* Wed Feb 18 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 2.5.1-11rc
- Fix incorrect path to fxotune which was changed by dahdi
- Fix hardcoded path to asterisk modules which is incorrect in 64-bit architectures

* Tue Feb 03 2009 Bruno Macias <bmacias@palosanto.com> 2.5.1-10rc
- Fixed bug in FOP when we use DAHDI instead of Zap
 
* Thu Jan 29 2009 Bruno Macias <bmacias@palosanto.com> 2.5.1-9beta
- Changed ZAP to DAHDI (amportal.conf) in patch freepbx-2.5.1_elastix_files_config
- Rename source zapata.conf by chan_dahdi.conf
- Changed zapata-channels by dahdi-channels in patch freepbx-2.5.1_dahdi-channels.patch

* Wed Dec 24 2008 Bruno Macias <bmacias@palosanto.com> 2.5.1-8beta
- Not apply source extensions_override_freepbx.conf, this isn't sure.

* Fri Dec 19 2008 Bruno Macias <bmacias@palosanto.com> 2.5.1-7beta
- Delete patch 10 and used as source extensions_override_freepbx.conf. This fixed bug cdrs duplicated.

* Fri Nov 28 2008 Bruno Macias <bmacias@palosanto.com> 2.5.1-5beta
- Fixed bug of duplicated of CDR register, comments 2 first lines in macro-hangup. 
  Patch10 freepbx-2.5.1_macro_hungup.patch

* Fri Nov 21 2008 Bruno Macias <bmacias@palosanto.com> 2.5.1-4beta
- Patch elastix_core_function drop, freepbx implement now the call-limit.

* Thu Nov 13 2008 Bruno Macias <bmacias@palosanto.com> 2.5.1-3beta
- Delete old comments in this spec.
- Update source freepbx-database, and rename by freepbx-database-2.5.1.
- Rename source freepbx-additional-modules-2.5.1 by freepbx-modules-2.5.1, because this modules are more updated and this way is better.

* Wed Nov 12 2008 Bruno Macias <bmacias@palosanto.com> 2.5.1-2beta
- patch8 is applier, this was changed the version to freepbx-2.5.1_elastix_core_functions.patch.
- update modules freePBX.

* Tue Oct 28 2008 Bruno Macias <bmacias@palosanto.com> 2.5.1-1alpha
- Update to 2.5.1.
- patch8 isn't applier.

* Tue Oct 28 2008 Bruno Macias <bmacias@palosanto.com> 2.5.0-2
- Fixed bug wakeup and wheater, freepbx-2.5.0_weather_wakeup.patch

* Mon Oct 27 2008 Bruno Macias <bmacias@palosanto.com> 2.5.0-1
- Update freePBX 2.5.0
- Replace path /tmp by /usr/share/freepbx/tmp, this is a better practice.
- Replace and update patch freepbx-2.3.1_amportal.patch by freepbx-2.5.0_amportal.patch
- Split patch0 (freepbx-elastix-2.4.0.patch) by:
        patch7: freepbx-2.5.0_elastix_core_agi_bin_recordingcheck.patch
        patch8: freepbx-2.5.0_elastix_core_functions.patch
- Rename and update freepbx-elastix-2.4.0.patch by freepbx-2.5.0_elastix_files_config.patch.
- Rename and update freepbx-2.3.1_amportal.patch by freepbx-2.5.0_elastix_bin_freepbx_engine.patch

* Tue Sep 24 2008 Bruno Macias <bmacias@palosanto.com> 2.4.0-13
- Fixing some problems with symlinks missed (features.conf)
- Creation folder _asterisk  and recordings in /var/www/html, this is for update freePBX

* Mon Aug 04 2008 Edgar Landivar <elandivar@palosanto.com> 2.4.0-12
- Updating to 2.4.0
- Fixing some problems with symlinks missed (iax.conf, sip.conf, extensions.conf, fax-process.pl)

* Thu Jun 26 2008 Bruno Macias <bmacias@palosanto.com> 2.3.1-35
- patch2 comment (future delete), this patch replaced by function add in module call center. Agentlogoff and QueuePause now are functions of call center. 
  This fixed bug of file phpagi-asmanager, update and auto recover.

* Thu Jun 12 2008 Edgar Landivar <elandivar@palosanto.com> 2.3.1-34
- iax.conf, sip.conf and extensions.conf are now symbolic links to the /var/www/html/admin/modules/core/etc/ files.

* Fri Jun 06 2008 Bruno Macias <bmacias@palosanto.com> 2.3.1-33
- Add Source7, this source is un gsm util by new module calendar in elastix. Its path is /var/lib/asterisk/sounds/custom 
- Add patch6 (freepbx-2.3.1_calendar-evet.patch). This patch add in /etc/asterisk/extensions-custom.conf, configuration necessary for call file calendarEvent.gsm of part new module calendar in elastix.

* Wed Apr 09 2008 Bruno Macias <bmacias@palosanto.com> 2.3.1-32
- Add Source6, this content zapata.conf custom by elastix.

* Sat Feb 09 2008 Bruno Macias <bmacias@palosanto.com> 2.3.1-31
- Review patch 4 (freepbx-2.3.1_agent-login.patch) and path 5 (freepbx-2.3.1_conferences.patch ). This patch add in /etc/asterisk/extensions-custom.conf and conferences create the file /etc/asterisk/dbmysql.conf

* Thu Feb 07 2008 Bruno Macias <bmacias@palosanto.com> 2.3.1-30
  - Fixed bug in /var/lib/asterisk/bin/retrieve_op_conf_from_mysql.pl in elastix, replace zapata-auto by zapara-channels, this action make for freepbx-zapata-channels.patch.

* Wed Feb 06 2008 Bruno Macias <bmacias@palosanto.com> 2.3.1.29
  - Add function Agentlogoff and QueuePause, this action make for freepbx-phpagi-asmanager.patch.

* Fri Dec 21 2007 Adonis Figueroa <afigueroa@palosanto.com> 2.3.1.28
  - Fix to bug: Files in the folder /etc/asterisk now they aren't replaced.

* Tue Dec 18 2007 Edgar Landivar <elandivar@palosanto.com> 2.3.1.19
  - Including missed musiconhold_additional.conf file

* Tue Dec 18 2007 Bruno Macias <bmacias@palosanto.com> 2.3.1.18
  - Better and fixed permission the file for correct handle fop. This is in post (Start permission handle fop)

* Wed Dec 12 2007 Adonis Figueroa <afigueroa@palosanto.com> 2.3.1-17
  - Permission of archive /var/www/html/panel/op_buttons_additional.cfg which contain the extensions show in the flash operator panel. 

* Fri Dec 7 2007 Edgar Landivar <elandivar@palosanto.com> 2.3.1-16
  - Unloading this modules by default: res_config_pgsql.so, cdr_pgsql.so and chan_unicall.so

* Fri Nov 30 2007 Edgar Landivar <elandivar@palosanto.com> 2.3.1-15
  - Minor change in the amportal script to stop asterisk with the command "stop now"  
    instead of "stop gracefully"

* Mon Nov 26 2007 Adonis Figueroa <afigueroa@palosanto.com> 2.3.1-14
  - FIX TO BUG: cant upload wav files, now it's how global var in the pbxadmin module.
  - Add the patch freepbx-2.3.1_amportal.patch

* Mon Nov 19 2007 Edgar Landivar <elandivar@palosanto.com> 2.3.1-13
  - Some fixes needed in the rc.local file

* Sun Nov 18 2007 Edgar Landivar <elandivar@palosanto.com> 2.3.1-12
  - Changes to fix the update issue

* Tue Nov 09 2007 Edgar Landivar <elandivar@palosanto.com> 2.3.1-11
  - Previous changes reverted

* Tue Nov 08 2007 Edgar Landivar <elandivar@palosanto.com> 2.3.1-10
  - Some minor changes in the header spec

* Tue Nov 06 2007 Edgar Landivar <elandivar@palosanto.com> 2.3.1-7
  - Added Prereq to require elastix 0.9.0-10

* Mon Nov 01 2007 Edgar Landivar <elandivar@palosanto.com> 2.3.1-6
  - Minor change in the blacklist/functions.inc.php file. Acording to
    this post http://www.elastix.org/component/option,com_joomlaboard/Itemid,26/func,view/catid,1/id,2731/lang,en/#2731 

* Mon Oct 31 2007 Edgar Landivar <elandivar@palosanto.com> 2.3.1-5
  - freepbx-elastix.patch was modified to change the authentication 
    type to 'database'

* Wed Oct 31 2007 Adonis Figueroa <afigueroa@palosanto.com> 2.3.1-4
  - FIX TO BUG: cant upload wav files.
  - FIX TO BUG: Amportal permissions.

* Mon Oct 29 2007 Edgar Landivar <elandivar@palosanto.com> 2.3.1-3
  - Added some missed images 

* Mon Oct 29 2007 Edgar Landivar <elandivar@palosanto.com> 2.3.1-2
  - Update to 2.3.1. 
  - Enhancements in the installation/upgrade process

* Mon Oct 22 2007 Adonis Figueroa <afigueroa@palosanto.com> 2.2.3-16
  - Not loading chan_unicall by default 

* Mon Oct 15 2007 Adonis Figueroa <afigueroa@palosanto.com> 2.2.3-14
  - FIX TO BUG: cant upload wav files.
  - FIX TO BUG: Operator Panel not update!
