-- MySQL dump 10.11
--
-- Host: localhost    Database: asterisk
-- ------------------------------------------------------
-- Server version	5.0.95

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `asterisk` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `asterisk`;

--
-- Table structure for table `admin`
--

DROP TABLE IF EXISTS `admin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `admin` (
  `variable` varchar(20) NOT NULL default '',
  `value` varchar(80) NOT NULL default '',
  PRIMARY KEY  (`variable`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `admin`
--

LOCK TABLES `admin` WRITE;
/*!40000 ALTER TABLE `admin` DISABLE KEYS */;
INSERT INTO `admin` VALUES ('need_reload','false'),('version','2.11.0'),('ALLOW_SIP_ANON','no');
/*!40000 ALTER TABLE `admin` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ampusers`
--

DROP TABLE IF EXISTS `ampusers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ampusers` (
  `username` varchar(255) NOT NULL,
  `password_sha1` varchar(40) NOT NULL,
  `extension_low` varchar(20) NOT NULL default '',
  `extension_high` varchar(20) NOT NULL default '',
  `deptname` varchar(20) NOT NULL default '',
  `sections` blob NOT NULL,
  PRIMARY KEY  (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ampusers`
--

LOCK TABLES `ampusers` WRITE;
/*!40000 ALTER TABLE `ampusers` DISABLE KEYS */;
INSERT INTO `ampusers` VALUES ('admin','c6d331ade0935f8ca6c023eb2ba077ec94acae1e','','','','*');
/*!40000 ALTER TABLE `ampusers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `announcement`
--

DROP TABLE IF EXISTS `announcement`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `announcement` (
  `announcement_id` int(11) NOT NULL auto_increment,
  `description` varchar(50) default NULL,
  `recording_id` int(11) default NULL,
  `allow_skip` int(11) default NULL,
  `post_dest` varchar(255) default NULL,
  `return_ivr` tinyint(1) NOT NULL default '0',
  `noanswer` tinyint(1) NOT NULL default '0',
  `repeat_msg` varchar(2) NOT NULL default '',
  PRIMARY KEY  (`announcement_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `announcement`
--

LOCK TABLES `announcement` WRITE;
/*!40000 ALTER TABLE `announcement` DISABLE KEYS */;
/*!40000 ALTER TABLE `announcement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `backup`
--

DROP TABLE IF EXISTS `backup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `backup` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) default NULL,
  `description` varchar(150) default NULL,
  `immortal` varchar(25) default NULL,
  `data` longtext,
  `email` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `backup`
--

LOCK TABLES `backup` WRITE;
/*!40000 ALTER TABLE `backup` DISABLE KEYS */;
/*!40000 ALTER TABLE `backup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `backup_cache`
--

DROP TABLE IF EXISTS `backup_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `backup_cache` (
  `id` varchar(50) NOT NULL,
  `manifest` longtext,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `backup_cache`
--

LOCK TABLES `backup_cache` WRITE;
/*!40000 ALTER TABLE `backup_cache` DISABLE KEYS */;
/*!40000 ALTER TABLE `backup_cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `backup_details`
--

DROP TABLE IF EXISTS `backup_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `backup_details` (
  `backup_id` int(11) NOT NULL,
  `key` varchar(50) default NULL,
  `index` varchar(25) default NULL,
  `value` varchar(250) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `backup_details`
--

LOCK TABLES `backup_details` WRITE;
/*!40000 ALTER TABLE `backup_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `backup_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `backup_items`
--

DROP TABLE IF EXISTS `backup_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `backup_items` (
  `backup_id` int(11) NOT NULL,
  `type` varchar(50) default NULL,
  `path` text,
  `exclude` text
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `backup_items`
--

LOCK TABLES `backup_items` WRITE;
/*!40000 ALTER TABLE `backup_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `backup_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `backup_old`
--

DROP TABLE IF EXISTS `backup_old`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `backup_old` (
  `name` varchar(50) default NULL,
  `voicemail` varchar(50) default NULL,
  `recordings` varchar(50) default NULL,
  `configurations` varchar(50) default NULL,
  `cdr` varchar(55) default NULL,
  `fop` varchar(50) default NULL,
  `minutes` varchar(50) default NULL,
  `hours` varchar(50) default NULL,
  `days` varchar(50) default NULL,
  `months` varchar(50) default NULL,
  `weekdays` varchar(50) default NULL,
  `command` varchar(200) default NULL,
  `method` varchar(50) default NULL,
  `id` int(11) NOT NULL auto_increment,
  `ftpuser` varchar(50) default NULL,
  `ftppass` varchar(50) default NULL,
  `ftphost` varchar(50) default NULL,
  `ftpdir` varchar(150) default NULL,
  `sshuser` varchar(50) default NULL,
  `sshkey` varchar(150) default NULL,
  `sshhost` varchar(50) default NULL,
  `sshdir` varchar(150) default NULL,
  `emailaddr` varchar(75) default NULL,
  `emailmaxsize` varchar(25) default NULL,
  `emailmaxtype` varchar(5) default NULL,
  `admin` varchar(10) default NULL,
  `include` blob,
  `exclude` blob,
  `sudo` varchar(25) default NULL,
  `remotesshhost` varchar(50) default NULL,
  `remotesshuser` varchar(50) default NULL,
  `remotesshkey` varchar(150) default NULL,
  `remoterestore` varchar(5) default NULL,
  `overwritebackup` varchar(5) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `backup_old`
--

LOCK TABLES `backup_old` WRITE;
/*!40000 ALTER TABLE `backup_old` DISABLE KEYS */;
/*!40000 ALTER TABLE `backup_old` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `backup_server_details`
--

DROP TABLE IF EXISTS `backup_server_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `backup_server_details` (
  `server_id` int(11) NOT NULL,
  `key` varchar(50) default NULL,
  `value` varchar(250) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `backup_server_details`
--

LOCK TABLES `backup_server_details` WRITE;
/*!40000 ALTER TABLE `backup_server_details` DISABLE KEYS */;
INSERT INTO `backup_server_details` VALUES (1,'path','__ASTVARLIBDIR__/backups'),(2,'path','__ASTSPOOLDIR__/backup'),(3,'host','__AMPDBHOST__'),(3,'port','3306'),(3,'user','__AMPDBUSER__'),(3,'dbname','__AMPDBNAME__'),(3,'password','__AMPDBPASS__'),(4,'host','__CDRDBHOST__'),(4,'port','__CDRDBPORT__'),(4,'user','__CDRDBUSER__'),(4,'dbname','__CDRDBNAME__'),(4,'password','__CDRDBPASS__');
/*!40000 ALTER TABLE `backup_server_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `backup_servers`
--

DROP TABLE IF EXISTS `backup_servers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `backup_servers` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) default NULL,
  `desc` varchar(150) default NULL,
  `type` varchar(50) default NULL,
  `readonly` varchar(250) default NULL,
  `immortal` varchar(25) default NULL,
  `data` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `backup_servers`
--

LOCK TABLES `backup_servers` WRITE;
/*!40000 ALTER TABLE `backup_servers` DISABLE KEYS */;
INSERT INTO `backup_servers` VALUES (1,'Legacy Backup','Location of backups pre 2.10','local','a:1:{i:0;s:1:\"*\";}','true','a:1:{s:10:\"created_by\";s:11:\"install.php\";}'),(2,'Local Storage','Storage location for backups','local','a:1:{i:0;s:1:\"*\";}','true','a:1:{s:10:\"created_by\";s:11:\"install.php\";}'),(3,'Config server','PBX config server, generally a local database server','mysql','a:1:{i:0;s:1:\"*\";}','true','a:1:{s:10:\"created_by\";s:11:\"install.php\";}'),(4,'CDR server','CDR server, generally a local database server','mysql','a:1:{i:0;s:1:\"*\";}','true','a:1:{s:10:\"created_by\";s:11:\"install.php\";}');
/*!40000 ALTER TABLE `backup_servers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `backup_template_details`
--

DROP TABLE IF EXISTS `backup_template_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `backup_template_details` (
  `template_id` int(11) NOT NULL,
  `type` varchar(50) default NULL,
  `path` text,
  `exclude` text
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `backup_template_details`
--

LOCK TABLES `backup_template_details` WRITE;
/*!40000 ALTER TABLE `backup_template_details` DISABLE KEYS */;
INSERT INTO `backup_template_details` VALUES (1,'mysql','server-3','a:1:{i:0;s:0:\"\";}'),(1,'astdb','','a:1:{i:0;s:0:\"\";}'),(2,'mysql','server-3','a:1:{i:0;s:0:\"\";}'),(2,'astdb','','a:1:{i:0;s:0:\"\";}'),(2,'mysql','server-4','a:1:{i:0;s:0:\"\";}'),(2,'dir','__ASTETCDIR__','a:1:{i:0;s:0:\"\";}'),(2,'dir','__AMPWEBROOT__','a:1:{i:0;s:0:\"\";}'),(2,'dir','__AMPBIN__','a:2:{i:0;s:20:\"__ASTVARLIBDIR__/moh\";i:1;s:23:\"__ASTVARLIBDIR__/sounds\";}'),(2,'dir','/etc/dahdi','a:1:{i:0;s:0:\"\";}'),(3,'mysql','server-4','a:1:{i:0;s:0:\"\";}'),(4,'dir','__ASTSPOOLDIR__/voicemail','a:1:{i:0;s:0:\"\";}'),(5,'dir','__ASTVARLIBDIR__/moh','a:1:{i:0;s:0:\"\";}'),(5,'dir','__ASTVARLIBDIR__/sounds/custom','a:1:{i:0;s:0:\"\";}'),(6,'mysql','server-3','a:9:{i:0;s:6:\"backup\";i:1;s:12:\"backup_cache\";i:2;s:14:\"backup_details\";i:3;s:12:\"backup_items\";i:4;s:21:\"backup_server_details\";i:5;s:14:\"backup_servers\";i:6;s:23:\"backup_template_details\";i:7;s:16:\"backup_templates\";i:8;s:0:\"\";}');
/*!40000 ALTER TABLE `backup_template_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `backup_templates`
--

DROP TABLE IF EXISTS `backup_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `backup_templates` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) default NULL,
  `desc` varchar(150) default NULL,
  `immortal` varchar(25) default NULL,
  `data` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `backup_templates`
--

LOCK TABLES `backup_templates` WRITE;
/*!40000 ALTER TABLE `backup_templates` DISABLE KEYS */;
INSERT INTO `backup_templates` VALUES (1,'Config Backup','Configurations only','true','a:1:{s:10:\"created_by\";s:11:\"install.php\";}'),(2,'Full Backup','A full backup of core settings and web files, dosen\'t include system sounds or recordings.','true','a:1:{s:10:\"created_by\";s:11:\"install.php\";}'),(3,'CDR\'s','Call Detail Records','true','a:1:{s:10:\"created_by\";s:11:\"install.php\";}'),(4,'Voice Mail','Voice Mail Storage','true','a:1:{s:10:\"created_by\";s:11:\"install.php\";}'),(5,'System Audio','All system audio - including IVR prompts and Music On Hold. DOES NOT BACKUP VOICEMAIL','true','a:1:{s:10:\"created_by\";s:11:\"install.php\";}'),(6,'Exclude Backup Settings','Exclude Backup\'s settings so that they dont get restored, usefull for a remote restore','true','a:1:{s:10:\"created_by\";s:11:\"install.php\";}');
/*!40000 ALTER TABLE `backup_templates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `callback`
--

DROP TABLE IF EXISTS `callback`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `callback` (
  `callback_id` int(11) NOT NULL auto_increment,
  `description` varchar(50) default NULL,
  `callbacknum` varchar(100) default NULL,
  `destination` varchar(50) default NULL,
  `sleep` int(11) default NULL,
  `deptname` varchar(50) default NULL,
  PRIMARY KEY  (`callback_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `callback`
--

LOCK TABLES `callback` WRITE;
/*!40000 ALTER TABLE `callback` DISABLE KEYS */;
/*!40000 ALTER TABLE `callback` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `callrecording`
--

DROP TABLE IF EXISTS `callrecording`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `callrecording` (
  `callrecording_id` int(11) NOT NULL auto_increment,
  `callrecording_mode` varchar(50) default NULL,
  `description` varchar(50) default NULL,
  `dest` varchar(255) default NULL,
  PRIMARY KEY  (`callrecording_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `callrecording`
--

LOCK TABLES `callrecording` WRITE;
/*!40000 ALTER TABLE `callrecording` DISABLE KEYS */;
/*!40000 ALTER TABLE `callrecording` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `callrecording_module`
--

DROP TABLE IF EXISTS `callrecording_module`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `callrecording_module` (
  `extension` varchar(50) default NULL,
  `cidnum` varchar(50) default '',
  `callrecording` varchar(10) default NULL,
  `display` varchar(20) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `callrecording_module`
--

LOCK TABLES `callrecording_module` WRITE;
/*!40000 ALTER TABLE `callrecording_module` DISABLE KEYS */;
/*!40000 ALTER TABLE `callrecording_module` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cidlookup`
--

DROP TABLE IF EXISTS `cidlookup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cidlookup` (
  `cidlookup_id` int(11) NOT NULL auto_increment,
  `description` varchar(50) NOT NULL,
  `sourcetype` varchar(100) NOT NULL,
  `cache` tinyint(1) NOT NULL default '0',
  `deptname` varchar(30) default NULL,
  `http_host` varchar(30) default NULL,
  `http_port` varchar(30) default NULL,
  `http_username` varchar(30) default NULL,
  `http_password` varchar(30) default NULL,
  `http_path` varchar(100) default NULL,
  `http_query` varchar(100) default NULL,
  `mysql_host` varchar(60) default NULL,
  `mysql_dbname` varchar(60) default NULL,
  `mysql_query` text,
  `mysql_username` varchar(30) default NULL,
  `mysql_password` varchar(30) default NULL,
  `mysql_charset` varchar(30) default NULL,
  `opencnam_account_sid` varchar(34) default NULL,
  `opencnam_auth_token` varchar(34) default NULL,
  PRIMARY KEY  (`cidlookup_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cidlookup`
--

LOCK TABLES `cidlookup` WRITE;
/*!40000 ALTER TABLE `cidlookup` DISABLE KEYS */;
INSERT INTO `cidlookup` VALUES (4,'OpenCNAM','opencnam',0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `cidlookup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cidlookup_incoming`
--

DROP TABLE IF EXISTS `cidlookup_incoming`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cidlookup_incoming` (
  `cidlookup_id` int(11) NOT NULL,
  `extension` varchar(50) default NULL,
  `cidnum` varchar(30) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cidlookup_incoming`
--

LOCK TABLES `cidlookup_incoming` WRITE;
/*!40000 ALTER TABLE `cidlookup_incoming` DISABLE KEYS */;
/*!40000 ALTER TABLE `cidlookup_incoming` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cronmanager`
--

DROP TABLE IF EXISTS `cronmanager`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cronmanager` (
  `module` varchar(24) NOT NULL default '',
  `id` varchar(24) NOT NULL default '',
  `time` varchar(5) default NULL,
  `freq` int(11) NOT NULL default '0',
  `lasttime` int(11) NOT NULL default '0',
  `command` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`module`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cronmanager`
--

LOCK TABLES `cronmanager` WRITE;
/*!40000 ALTER TABLE `cronmanager` DISABLE KEYS */;
INSERT INTO `cronmanager` VALUES ('module_admin','UPDATES','21',24,0,'/var/lib/asterisk/bin/module_admin listonline');
/*!40000 ALTER TABLE `cronmanager` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `custom_destinations`
--

DROP TABLE IF EXISTS `custom_destinations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `custom_destinations` (
  `custom_dest` varchar(80) NOT NULL default '',
  `description` varchar(40) NOT NULL default '',
  `notes` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`custom_dest`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `custom_destinations`
--

LOCK TABLES `custom_destinations` WRITE;
/*!40000 ALTER TABLE `custom_destinations` DISABLE KEYS */;
/*!40000 ALTER TABLE `custom_destinations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `custom_extensions`
--

DROP TABLE IF EXISTS `custom_extensions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `custom_extensions` (
  `custom_exten` varchar(80) NOT NULL default '',
  `description` varchar(40) NOT NULL default '',
  `notes` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`custom_exten`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `custom_extensions`
--

LOCK TABLES `custom_extensions` WRITE;
/*!40000 ALTER TABLE `custom_extensions` DISABLE KEYS */;
/*!40000 ALTER TABLE `custom_extensions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `customerdb`
--

DROP TABLE IF EXISTS `customerdb`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `customerdb` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(45) NOT NULL,
  `addr1` varchar(150) NOT NULL,
  `addr2` varchar(150) default NULL,
  `city` varchar(50) NOT NULL,
  `state` varchar(5) NOT NULL,
  `zip` varchar(12) default NULL,
  `sip` varchar(20) default NULL,
  `did` varchar(45) default NULL,
  `device` varchar(50) default NULL,
  `ip` varchar(20) default NULL,
  `serial` varchar(50) default NULL,
  `account` varchar(6) default NULL,
  `email` varchar(150) default NULL,
  `username` varchar(25) default NULL,
  `password` varchar(25) default NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `customerdb`
--

LOCK TABLES `customerdb` WRITE;
/*!40000 ALTER TABLE `customerdb` DISABLE KEYS */;
/*!40000 ALTER TABLE `customerdb` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dahdi`
--

DROP TABLE IF EXISTS `dahdi`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dahdi` (
  `id` varchar(20) NOT NULL default '-1',
  `keyword` varchar(30) NOT NULL default '',
  `data` varchar(255) NOT NULL default '',
  `flags` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`,`keyword`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dahdi`
--

LOCK TABLES `dahdi` WRITE;
/*!40000 ALTER TABLE `dahdi` DISABLE KEYS */;
/*!40000 ALTER TABLE `dahdi` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dahdichandids`
--

DROP TABLE IF EXISTS `dahdichandids`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dahdichandids` (
  `channel` int(11) NOT NULL default '0',
  `description` varchar(40) NOT NULL default '',
  `did` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`channel`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dahdichandids`
--

LOCK TABLES `dahdichandids` WRITE;
/*!40000 ALTER TABLE `dahdichandids` DISABLE KEYS */;
/*!40000 ALTER TABLE `dahdichandids` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `daynight`
--

DROP TABLE IF EXISTS `daynight`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `daynight` (
  `ext` varchar(10) NOT NULL default '',
  `dmode` varchar(40) NOT NULL default '',
  `dest` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ext`,`dmode`,`dest`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `daynight`
--

LOCK TABLES `daynight` WRITE;
/*!40000 ALTER TABLE `daynight` DISABLE KEYS */;
/*!40000 ALTER TABLE `daynight` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `devices`
--

DROP TABLE IF EXISTS `devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `devices` (
  `id` varchar(20) NOT NULL default '',
  `tech` varchar(10) NOT NULL default '',
  `dial` varchar(50) NOT NULL default '',
  `devicetype` varchar(5) NOT NULL default '',
  `user` varchar(50) default NULL,
  `description` varchar(50) default NULL,
  `emergency_cid` varchar(100) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `devices`
--

LOCK TABLES `devices` WRITE;
/*!40000 ALTER TABLE `devices` DISABLE KEYS */;
/*!40000 ALTER TABLE `devices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `disa`
--

DROP TABLE IF EXISTS `disa`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `disa` (
  `disa_id` int(11) NOT NULL auto_increment,
  `displayname` varchar(50) default NULL,
  `pin` varchar(50) default NULL,
  `cid` varchar(50) default NULL,
  `context` varchar(50) default NULL,
  `digittimeout` int(11) default NULL,
  `resptimeout` int(11) default NULL,
  `needconf` varchar(10) default NULL,
  `hangup` varchar(10) default NULL,
  `keepcid` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`disa_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `disa`
--

LOCK TABLES `disa` WRITE;
/*!40000 ALTER TABLE `disa` DISABLE KEYS */;
/*!40000 ALTER TABLE `disa` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `extensions`
--

DROP TABLE IF EXISTS `extensions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `extensions` (
  `context` varchar(45) NOT NULL default 'default',
  `extension` varchar(45) NOT NULL default '',
  `priority` varchar(5) NOT NULL default '1',
  `application` varchar(45) NOT NULL default '',
  `args` varchar(255) default NULL,
  `descr` text,
  `flags` int(1) NOT NULL default '0',
  PRIMARY KEY  (`context`,`extension`,`priority`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `extensions`
--

LOCK TABLES `extensions` WRITE;
/*!40000 ALTER TABLE `extensions` DISABLE KEYS */;
INSERT INTO `extensions` VALUES ('outrt-001-9_outside','_9.','1','Macro','dialout-trunk,1,${EXTEN:1}',NULL,0),('outrt-001-9_outside','_9.','2','Macro','outisbusy','No available circuits',0),('outbound-allroutes','include','1','outrt-001-9_outside','','',2);
/*!40000 ALTER TABLE `extensions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fax_details`
--

DROP TABLE IF EXISTS `fax_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fax_details` (
  `key` varchar(50) default NULL,
  `value` varchar(510) default NULL,
  UNIQUE KEY `key` (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fax_details`
--

LOCK TABLES `fax_details` WRITE;
/*!40000 ALTER TABLE `fax_details` DISABLE KEYS */;
INSERT INTO `fax_details` VALUES ('minrate','14400'),('maxrate','14400'),('ecm','yes'),('legacy_mode','no'),('force_detection','no'),('sender_address','freepbx@gmail.com'),('fax_rx_email','fax@mydomain.com');
/*!40000 ALTER TABLE `fax_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fax_incoming`
--

DROP TABLE IF EXISTS `fax_incoming`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fax_incoming` (
  `cidnum` varchar(20) default NULL,
  `extension` varchar(50) default NULL,
  `detection` varchar(20) default NULL,
  `detectionwait` varchar(5) default NULL,
  `destination` varchar(50) default NULL,
  `legacy_email` varchar(50) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fax_incoming`
--

LOCK TABLES `fax_incoming` WRITE;
/*!40000 ALTER TABLE `fax_incoming` DISABLE KEYS */;
/*!40000 ALTER TABLE `fax_incoming` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fax_users`
--

DROP TABLE IF EXISTS `fax_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fax_users` (
  `user` varchar(15) default NULL,
  `faxenabled` varchar(10) default NULL,
  `faxemail` text,
  `faxattachformat` varchar(10) default NULL,
  UNIQUE KEY `user` (`user`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fax_users`
--

LOCK TABLES `fax_users` WRITE;
/*!40000 ALTER TABLE `fax_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `fax_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `featurecodes`
--

DROP TABLE IF EXISTS `featurecodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `featurecodes` (
  `modulename` varchar(50) NOT NULL default '',
  `featurename` varchar(50) NOT NULL default '',
  `description` varchar(200) NOT NULL default '',
  `defaultcode` varchar(20) default NULL,
  `customcode` varchar(20) default NULL,
  `enabled` tinyint(4) NOT NULL default '0',
  `providedest` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`modulename`,`featurename`),
  KEY `enabled` (`enabled`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `featurecodes`
--

LOCK TABLES `featurecodes` WRITE;
/*!40000 ALTER TABLE `featurecodes` DISABLE KEYS */;
INSERT INTO `featurecodes` VALUES ('core','userlogon','User Logon','*11',NULL,1,0),('core','userlogoff','User Logoff','*12',NULL,1,0),('core','zapbarge','ZapBarge','888',NULL,1,1),('core','simu_pstn','Simulate Incoming Call','7777',NULL,1,1),('fax','simu_fax','Dial System FAX','666',NULL,1,1),('core','chanspy','ChanSpy','555',NULL,1,1),('core','pickup','Directed Call Pickup','**',NULL,1,0),('core','pickupexten','Asterisk General Call Pickup','*8',NULL,1,0),('core','blindxfer','In-Call Asterisk Blind Transfer','##',NULL,1,0),('core','atxfer','In-Call Asterisk Attended Transfer','*2',NULL,1,0),('core','automon','In-Call Asterisk Toggle Call Recording','*1',NULL,1,0),('core','disconnect','In-Call Asterisk Disconnect Code','**',NULL,1,0),('queues','que_pause_toggle','Queue Pause Toggle','*46',NULL,1,0),('infoservices','calltrace','Call Trace','*69',NULL,1,0),('infoservices','echotest','Echo Test','*43',NULL,1,1),('infoservices','speakingclock','Speaking Clock','*60',NULL,1,1),('infoservices','speakextennum','Speak Your Exten Number','*65',NULL,1,0),('voicemail','myvoicemail','My Voicemail','*97',NULL,1,0),('voicemail','dialvoicemail','Dial Voicemail','*98',NULL,1,1),('recordings','record_save','Save Recording','*77',NULL,1,0),('recordings','record_check','Check Recording','*99',NULL,1,0),('callforward','cfon','Call Forward All Activate','*72',NULL,1,0),('callforward','cfoff','Call Forward All Deactivate','*73',NULL,1,0),('callforward','cfoff_any','Call Forward All Prompting Deactivate','*74',NULL,1,0),('callforward','cfbon','Call Forward Busy Activate','*90',NULL,1,0),('callforward','cfboff','Call Forward Busy Deactivate','*91',NULL,1,0),('callforward','cfboff_any','Call Forward Busy Prompting Deactivate','*92',NULL,1,0),('callforward','cfuon','Call Forward No Answer/Unavailable Activate','*52',NULL,1,0),('callforward','cfuoff','Call Forward No Answer/Unavailable Deactivate','*53',NULL,1,0),('callwaiting','cwon','Call Waiting - Activate','*70',NULL,1,0),('callwaiting','cwoff','Call Waiting - Deactivate','*71',NULL,1,0),('dictate','dodictate','Perform dictation','*34',NULL,1,0),('dictate','senddictate','Email completed dictation','*35',NULL,1,0),('donotdisturb','dnd_on','DND Activate','*78',NULL,1,0),('donotdisturb','dnd_off','DND Deactivate','*79',NULL,1,0),('donotdisturb','dnd_toggle','DND Toggle','*76',NULL,1,0),('findmefollow','fmf_toggle','Findme Follow Toggle','*21',NULL,1,0),('paging','intercom-prefix','Intercom prefix','*80',NULL,0,0),('paging','intercom-on','User Intercom Allow','*54',NULL,0,0),('paging','intercom-off','User Intercom Disallow','*55',NULL,0,0),('pbdirectory','app-pbdirectory','Phonebook dial-by-name directory','411',NULL,1,1),('blacklist','blacklist_add','Blacklist a number','*30',NULL,1,1),('blacklist','blacklist_remove','Remove a number from the blacklist','*31',NULL,1,1),('blacklist','blacklist_last','Blacklist the last caller','*32',NULL,1,0),('speeddial','callspeeddial','Speeddial prefix','*0',NULL,1,0),('speeddial','setspeeddial','Set user speed dial','*75',NULL,1,0),('gabcast','gabdial','Connect to Gabcast','*422',NULL,1,0),('queues','que_toggle','Queue Toggle','*45',NULL,1,0),('callforward','cf_toggle','Call Forward Toggle','*740',NULL,1,0),('parking','parkedcall','Pickup ParkedCall Prefix','*85',NULL,1,1),('voicemail','directdialvoicemail','Direct Dial Prefix','*',NULL,1,0),('callforward','cfpon','Call Forward All Prompting Activate','*720',NULL,1,0),('callforward','cfbpon','Call Forward Busy Prompting Activate','*900',NULL,1,0),('callforward','cfupon','Call Forward No Answer/Unavailable Prompting Activate','*520',NULL,1,0),('conferences','conf_status','Conference Status','*87',NULL,1,0),('daynight','toggle-mode-all','All: Call Flow Toggle','*28',NULL,1,0),('queues','que_callers','Queue Callers','*47',NULL,1,0),('timeconditions','toggle-mode-all','All: Time Condition Override','*27',NULL,1,0);
/*!40000 ALTER TABLE `featurecodes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `findmefollow`
--

DROP TABLE IF EXISTS `findmefollow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `findmefollow` (
  `grpnum` varchar(20) NOT NULL,
  `strategy` varchar(50) NOT NULL,
  `grptime` smallint(6) NOT NULL,
  `grppre` varchar(100) default NULL,
  `grplist` varchar(255) NOT NULL,
  `annmsg_id` int(11) default NULL,
  `postdest` varchar(255) default NULL,
  `dring` varchar(255) default NULL,
  `remotealert_id` int(11) default NULL,
  `needsconf` varchar(10) default NULL,
  `toolate_id` int(11) default NULL,
  `pre_ring` smallint(6) NOT NULL default '0',
  `ringing` varchar(80) default NULL,
  PRIMARY KEY  (`grpnum`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `findmefollow`
--

LOCK TABLES `findmefollow` WRITE;
/*!40000 ALTER TABLE `findmefollow` DISABLE KEYS */;
/*!40000 ALTER TABLE `findmefollow` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `freepbx_log`
--

DROP TABLE IF EXISTS `freepbx_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `freepbx_log` (
  `id` int(11) NOT NULL auto_increment,
  `time` datetime NOT NULL default '0000-00-00 00:00:00',
  `section` varchar(50) default NULL,
  `level` enum('error','warning','debug','devel-debug') NOT NULL default 'error',
  `status` int(11) NOT NULL default '0',
  `message` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `time` (`time`,`level`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `freepbx_log`
--

LOCK TABLES `freepbx_log` WRITE;
/*!40000 ALTER TABLE `freepbx_log` DISABLE KEYS */;
INSERT INTO `freepbx_log` VALUES (1,'2006-11-06 01:55:36','retrieve_conf','devel-debug',0,'Started retrieve_conf, DB Connection OK'),(2,'2006-11-06 01:55:36','retrieve_conf','devel-debug',0,'Writing extensions_additional.conf');
/*!40000 ALTER TABLE `freepbx_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `freepbx_settings`
--

DROP TABLE IF EXISTS `freepbx_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `freepbx_settings` (
  `keyword` varchar(50) NOT NULL default '',
  `value` varchar(255) default NULL,
  `name` varchar(80) default NULL,
  `level` tinyint(1) default '0',
  `description` text,
  `type` varchar(25) default NULL,
  `options` text,
  `defaultval` varchar(255) default NULL,
  `readonly` tinyint(1) default '0',
  `hidden` tinyint(1) default '0',
  `category` varchar(50) default NULL,
  `module` varchar(25) default NULL,
  `emptyok` tinyint(1) default '1',
  `sortorder` int(11) default '0',
  PRIMARY KEY  (`keyword`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `freepbx_settings`
--

LOCK TABLES `freepbx_settings` WRITE;
/*!40000 ALTER TABLE `freepbx_settings` DISABLE KEYS */;
INSERT INTO `freepbx_settings` VALUES ('AS_DISPLAY_HIDDEN_SETTINGS','0','Display Hidden Settings',0,'This will display settings that are normally hidden by the system. These settings are often internally used settings that are not of interest to most users.','bool','','0',1,1,'Advanced Settings Details','',0,0),('AS_DISPLAY_READONLY_SETTINGS','0','Display Readonly Settings',0,'This will display settings that are readonly. These settings are often internally used settings that are not of interest to most users. Since they are readonly they can only be viewed.','bool','','0',0,0,'Advanced Settings Details','',0,0),('AS_OVERRIDE_READONLY','0','Override Readonly Settings',0,'Setting this to true will allow you to override un-hidden readonly setting to change them. Settings that are readonly may be extremely volatile and have a high chance of breaking your system if you change them. Take extreme caution when electing to make such changes.','bool','','0',0,0,'Advanced Settings Details','',0,0),('AS_DISPLAY_FRIENDLY_NAME','1','Display Friendly Name',0,'Normally the friendly names will be displayed on this page and the internal freepbx_conf configuration names are shown in the tooltip. If you prefer to view the configuration variables, and the friendly name in the tooltip, set this to false..','bool','','1',0,0,'Advanced Settings Details','',0,0),('AMPSYSLOGLEVEL','FILE','FreePBX Log Routing',0,'Determine where to send log information if the log is enabled (\'Disable FreePBX Log\' (AMPDISABLELOG) false. There are two places to route the log messages. \'FILE\' will send all log messages to the defined \'FreePBX Log File\' (FPBX_LOG_FILE). All the other settings will route the log messages to your System Logging subsystem (syslog) using the specified log level. Syslog can be configured to route different levels to different locations. See \'syslog\' documentation (man syslog) on your system for more details.','select','FILE,LOG_EMERG,LOG_ALERT,LOG_CRIT,LOG_ERR,LOG_WARNING,LOG_NOTICE,LOG_INFO,LOG_DEBUG','FILE',0,0,'System Setup','',1,-190),('AMPDISABLELOG','1','Disable FreePBX Log',0,'Whether or not to invoke the FreePBX log facility.','bool','','0',0,0,'System Setup','',0,-180),('LOG_OUT_MESSAGES','1','Log Verbose Messages',0,'FreePBX has many verbose and useful messages displayed to users during module installation, system installations, loading configurations and other places. In order to accumulate these messages in the log files as well as the on screen display, set this to true.','bool','','1',0,0,'System Setup','',0,-170),('LOG_NOTIFICATIONS','1','Send Dashboard Notifications to Log',0,'When enabled all notification updates to the Dashboard notification panel will also be logged into the specified log file when enabled.','bool','','1',0,0,'System Setup','',0,-160),('FPBX_LOG_FILE','/var/log/asterisk/freepbx.log','FreePBX Log File',0,'Full path and name of the FreePBX Log File used in conjunction with the Syslog Level (AMPSYSLOGLEVEL) being set to FILE, not used otherwise. Initial installs may have some early logging sent to /tmp/freepbx_pre_install.log when it is first bootstrapping the installer.','text','','/var/log/asterisk/freepbx.log',0,0,'System Setup','',0,-150),('PHP_ERROR_HANDLER_OUTPUT','dbug','PHP Error Log Output',0,'Where to send PHP errors, warnings and notices by the FreePBX PHP error handler. Set to \'dbug\', they will go to the Debug File regardless of whether dbug Loggin is disabled or not. Set to \'freepbxlog\' will send them to the FreePBX Log. Set to \'off\' and they will be ignored.','select','dbug,freepbxlog,off','freepbxlog',0,0,'System Setup','',0,-140),('AMPEXTENSIONS','extensions','User & Devices Mode',0,'Sets the extension behavior in FreePBX.  If set to <b>extensions</b>, Devices and Users are administered together as a unified Extension, and appear on a single page. If set to <b>deviceanduser</b>, Devices and Users will be administered separately. Devices (e.g. each individual line on a SIP phone) and Users (e.g. <b>101</b>) will be configured independent of each other, allowing association of one User to many Devices, or allowing Users to login and logout of Devices.','select','extensions,deviceanduser','extensions',0,0,'System Setup','',0,-135),('AUTHTYPE','database','Authorization Type',3,'Authentication type to use for web admin. If type set to <b>database</b>, the primary AMP admin credentials will be the AMPDBUSER/AMPDBPASS above. When using database you can create users that are restricted to only certain module pages. When set to none, you should make sure you have provided security at the apache level. When set to webserver, FreePBX will expect authentication to happen at the apache level, but will take the user credentials and apply any restrictions as if it were in database mode.','select','database,none,webserver','database',1,0,'System Setup','',0,-130),('AMP_ACCESS_DB_CREDS','0','Allow Login With DB Credentials',0,'When Set to True, admin access to the FreePBX GUI will be allowed using the FreePBX configured AMPDBUSER and AMPDBPASS credentials. This only applies when Authorization Type is \'database\' mode.','bool','','0',0,0,'System Setup','',0,-126),('ARI_ADMIN_USERNAME','admin','User Portal Admin Username',0,'This is the default admin name used to allow an administrator to login to ARI bypassing all security. Change this to whatever you want, do not forget to change the User Portal Admin Password as well. Default = not set','text','','',0,0,'System Setup','',1,-120),('ARI_ADMIN_PASSWORD','Elastix123','User Portal Admin Password',0,'This is the default admin password to allow an administrator to login to ARI bypassing all security. Change this to a secure password. Default = not set','text','','ari_password',0,0,'System Setup','',0,-110),('FORCED_ASTVERSION','','Force Asterisk Version',4,'Normally FreePBX gets the current Asterisk version directly from Asterisk. This is required to generate proper dialplan for a given version. When using some custom Asterisk builds, the version may not be properly parsed and improper dialplan generated. Setting this to an equivalent Asterisk version will override what is read from Asterisk. This SHOULD be left blank unless you know what you are doing.','text','','',1,0,'System Setup','',1,-100),('AMPENGINE','asterisk','Telephony Engine',3,'The telephony backend engine being used, asterisk is the only option currently.','select','asterisk','asterisk',1,0,'System Setup','',0,-100),('AMPVMUMASK','007','Asterisk VMU Mask',4,'Defaults to 077 allowing only the asterisk user to have any permission on VM files. If set to something like 007, it would allow the group to have permissions. This can be used if setting apache to a different user then asterisk, so that the apache user (and thus ARI) can have access to read/write/delete the voicemail files. If changed, some of the voicemail directory structures may have to be manually changed.','text','','007',0,0,'System Setup','',0,-100),('AMPWEBADDRESS','','FreePBX Web Address',4,'This is the address of your Web Server. It is mostly obsolete and derived when not supplied and will be phased out, but there are still some areas expecting a variable to be set and if you are using it this will migrate your value.','text','','',0,0,'System Setup','',1,-100),('AMPASTERISKUSER','asterisk','System Asterisk User',4,'The user Asterisk should be running as, used by freepbx_engine. Most systems should not change this.','text','','asterisk',1,0,'System Setup','',0,-100),('AMPASTERISKGROUP','asterisk','System Asterisk Group',4,'The user group Asterisk should be running as, used by freepbx_engine. Most systems should not change this.','text','','asterisk',1,0,'System Setup','',0,-100),('AMPASTERISKWEBUSER','asterisk','System Web User',4,'The user your httpd should be running as, used by freepbx_engine. Most systems should not change this.','text','','asterisk',1,0,'System Setup','',0,-100),('AMPASTERISKWEBGROUP','asterisk','System Web Group',4,'The user group your httpd should be running as, used by freepbx_engine. Most systems should not change this.','text','','asterisk',1,0,'System Setup','',0,-100),('AMPDEVUSER','asterisk','System Device User',4,'The user that various device directories should be set to, used by freepbx_engine. Examples include /dev/zap, /dev/dahdi, /dev/misdn, /dev/mISDN and /dev/dsp. Most systems should not change this.','text','','asterisk',1,0,'System Setup','',0,-100),('AMPDEVGROUP','asterisk','System Device Group',4,'The user group that various device directories should be set to, used by freepbx_engine. Examples include /dev/zap, /dev/dahdi, /dev/misdn, /dev/mISDN and /dev/dsp. Most systems should not change this.','text','','asterisk',1,0,'System Setup','',0,-100),('AMPBADNUMBER','1','Use bad-number Context',2,'Generate the bad-number context which traps any bogus number or feature code and plays a message to the effect. If you use the Early Dial feature on some Grandstream phones, you will want to set this to false.','bool','','1',0,0,'Dialplan and Operational','',0,-100),('CWINUSEBUSY','1','Occupied Lines CW Busy',0,'For extensions that have CW enabled, report unanswered CW calls as <b>busy</b> (resulting in busy voicemail greeting). If set to no, unanswered CW calls simply report as <b>no-answer</b>.','bool','','1',0,0,'Dialplan and Operational','',0,-100),('ZAP2DAHDICOMPAT','true','Convert ZAP Settings to DAHDi',0,'If set to true, FreePBX will check if you have chan_dahdi installed. If so, it will automatically use all your ZAP configuration settings (devices and trunks) and silently convert them, under the covers, to DAHDi so no changes are needed. The GUI will continue to refer to these as ZAP but it will use the proper DAHDi channels. This will also keep Zap Channel DIDs working.','bool','','0',1,0,'Dialplan and Operational','',0,-100),('DYNAMICHINTS','0','Dynamically Generate Hints',0,'If true, Core will not statically generate hints, but instead make a call to the AMPBIN php script, and generate_hints.php through an Asterisk #exec call. This requires asterisk.conf to be configured with <b>execincludes=yes<b> set in the [options] section.','bool','','0',1,0,'Dialplan and Operational','',0,-100),('ENABLECW','0','CW Enabled by Default',0,'Enable call waiting by default when an extension is created (Default is yes). Set to <b>no</b> to if you do not want phones to be commissioned with call waiting already enabled. The user would then be required to dial the CW feature code (*70 default) to enable their phone. Most installations should leave this alone. It allows multi-line phones to receive multiple calls on their line appearances.','bool','','1',0,0,'Dialplan and Operational','',0,-100),('FCBEEPONLY','0','Feature Codes Beep Only',0,'When set to true, a beep is played instead of confirmation message when activating/de-activating: CallForward, CallWaiting, DayNight, DoNotDisturb and FindMeFollow.','bool','','0',0,0,'Dialplan and Operational','',0,-100),('USEDEVSTATE','0','Enable Custom Device States',0,'If this is set, it assumes that you are running Asterisk 1.4 or higher and want to take advantage of the func_devstate.c backport available from Asterisk 1.6. This allows custom hints to be created to support BLF for server side feature codes such as daynight, followme, etc','bool','','1',0,0,'Dialplan and Operational','',0,-100),('USEGOOGLEDNSFORENUM','0','Use Google DNS for Enum',2,'Setting this flag will generate the required global variable so that enumlookup.agi will use Google DNS 8.8.8.8 when performing an ENUM lookup. Not all DNS deals with NAPTR record, but Google does. There is a drawback to this as Google tracks every lookup. If you are not comfortable with this, do not enable this setting. Please read Google FAQ about this: <b>http://code.google.com/speed/public-dns/faq.html#privacy</b>.','bool','','0',0,0,'Dialplan and Operational','',0,-100),('DISABLECUSTOMCONTEXTS','0','Disable -custom Context Includes',2,'Normally FreePBX auto-generates a custom context that may be usable for adding custom dialplan to modify the normal behavior of FreePBX. It takes a good understanding of how Asterisk processes these includes to use this and in many of the cases, there is no useful application. All includes will result in a WARNING in the Asterisk log if there is no context found to include though it results in no errors. If you know that you want the includes, you can set this to true. If you comment it out FreePBX will revert to legacy behavior and include the contexts.','bool','','0',0,0,'Dialplan and Operational','',0,-100),('NOOPTRACE','0','NoOp Traces in Dialplan',0,'Some modules will generate lots of NoOp() commands proceeded by a [TRACE](trace_level) that can be used during development or while trying to trace call flows. These NoOp() commands serve no other purpose so if you do not want to see excessive NoOp()s in your dialplan you can set this to 0. The higher the number the more detailed level of trace NoOp()s will be generated','select','0,1,2,3,4,5,6,7,8,9,10','0',0,0,'Dialplan and Operational','',0,-100),('DIVERSIONHEADER','0','Generate Diversion Headers',0,'If this value is set to true, then calls going out your outbound routes that originate from outside your PBX and were subsequently forwarded through a call forward, ring group, follow-me or other means, will have a SIP diversion header added to the call with the original incoming DID assuming there is a DID available. This is useful with some carriers that may require this under certain circumstances.','bool','','0',0,0,'Dialplan and Operational','',0,-100),('CFRINGTIMERDEFAULT','0','Call Forward Ringtimer Default',0,'This is the default time in seconds to try and connect a call that has been call forwarded by the server side CF, CFU and CFB options. (If your phones use client side CF such as SIP redirects, this will not have any affect) If set to the default of 0, it will use the standard ring timer. If set to -1 it will ring the forwarded number with no limit which is consistent with the behavior of some existing PBX systems. If set to any other value, it will ring for that duration before diverting the call to the users voicemail if they have one. This can be overridden for each extension.','select','-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120','0',0,0,'Dialplan and Operational','',0,-100),('DEFAULT_INTERNAL_AUTO_ANSWER','disabled','Internal Auto Answer Default',0,'Default setting for new extensions. When set to Intercom, calls to new extensions/users from other internal users act as if they were intercom calls meaning they will be auto-answered if the endpoint supports this feature and the system is configured to operate in this mode. All the normal white list and black list settings will be honored if they are set. External calls will still ring as normal, as will certain other circumstances such as blind transfers and when a Follow Me is configured and enabled. If Disabled, the phone rings as a normal phone.','select','disabled,intercom','disabled',0,0,'Dialplan and Operational','',0,-100),('FORCE_INTERNAL_AUTO_ANSWER_ALL','0','Force All Internal Auto Answer',0,'Force all extensions to operate in the Internal Auto Answer mode regardless of their individual settings. See \'Internal Auto Answer Default\' for more information.','bool','','0',0,0,'Dialplan and Operational','',0,-100),('CONCURRENCYLIMITDEFAULT','0','Extension Concurrency Limit',0,'Default maximum number of outbound simultaneous calls that an extension can make. This is also very useful as a Security Protection against a system that has been compromised. It will limit the number of simultaneous calls that can be made on the compromised extension. This default is used when an extension is created. A default of 0 means no limit.','select','0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120','0',0,0,'Dialplan and Operational','',0,-100),('BLOCK_OUTBOUND_TRUNK_CNAM','0','Block CNAM on External Trunks',0,'Some carriers will reject a call if a CallerID Name (CNAM) is presented. This occurs in several areas when configuring CID on the PBX using the format of \'CNAM\' <CNUM>. To remove the CNAM part of CID on all external trunks, set this value to true. This WILL NOT remove CNAM when a trunk is called from an Intra-Company route. This can be done on each individual trunk in addition to globally if there are trunks where it is desirable to keep CNAM information, though most carriers ignore CNAM.','bool','','0',0,0,'Dialplan and Operational','',0,-100),('ASTSTOPTIMEOUT','120','Waiting Period to Stop Asterisk',0,'When Asterisk is stopped or restarted with the \'amportal stop/restart\' commands, it does a graceful stop waiting for active channels to hangup. This sets the maximum time in seconds to wait prior to force stopping Asterisk','select','0,5,10,30,60,120,300,600,1800,3600,7200,10800','120',0,0,'Dialplan and Operational','',0,-100),('ASTSTOPPOLLINT','2','Polling Interval for Stopping Asterisk',0,'When Asterisk is stopped or restarted with the \'amportal stop/restart\' commands, it does a graceful stop waiting for active channels to hangup. This sets the polling interval to check if Asterisk is shutdown and update the countdown timer.','select','1,2,3,5,10','2',0,0,'Dialplan and Operational','',0,-100),('CID_PREPEND_REPLACE','1','Only Use Last CID Prepend',0,'Some modules allow the CNAM to be prepended. If a previous prepend was done, the default behavior is to remove the previous prepend and only use the most recent one. Setting this to false will turn that off allowing all prepends to be \'starcked\' in front of one another.','bool','','1',0,0,'Dialplan and Operational','',0,-100),('DITECH_VQA_INBOUND','7','Ditech VQA Inbound Setting',0,'If Ditech\'s VQA, Voice Quality application is installed, this setting will be used for all inbound calls. For more information \'core show application VQA\' at the Asterisk CLI will show the different settings.','select','0,1,2,3,4,5,6,7','7',0,0,'Dialplan and Operational','',0,-100),('DITECH_VQA_OUTBOUND','7','Ditech VQA Outbound Setting',0,'If Ditech\'s VQA, Voice Quality application is installed, this setting will be used for all outbound calls. For more information \'core show application VQA\' at the Asterisk CLI will show the different settings.','select','0,1,2,3,4,5,6,7','7',0,0,'Dialplan and Operational','',0,-100),('AMPBIN','/var/lib/asterisk/bin','FreePBX bin Dir',4,'Location of the FreePBX command line scripts.','dir','','/var/lib/asterisk/bin',1,0,'Directory Layout','',0,-100),('AMPSBIN','/usr/local/sbin','FreePBX sbin Dir',4,'Where (root) command line scripts are located.','dir','','/usr/sbin',1,0,'Directory Layout','',0,-100),('AMPWEBROOT','/var/www/html','FreePBX Web Root Dir',4,'The path to Apache webroot (leave off trailing slash).','dir','','/var/www/html',1,0,'Directory Layout','',0,-100),('ASTAGIDIR','/var/lib/asterisk/agi-bin','Asterisk AGI Dir',4,'This is the default directory for Asterisks agi files.','dir','','/var/lib/asterisk/agi-bin',1,0,'Directory Layout','',0,-100),('ASTETCDIR','/etc/asterisk','Asterisk etc Dir',4,'This is the default directory for Asterisks configuration files.','dir','','/etc/asterisk',1,0,'Directory Layout','',0,-100),('ASTLOGDIR','/var/log/asterisk','Asterisk Log Dir',4,'This is the default directory for Asterisks log files.','dir','','/var/log/asterisk',1,0,'Directory Layout','',0,-100),('ASTMODDIR','/usr/lib64/asterisk/modules','Asterisk Modules Dir',4,'This is the default directory for Asterisks modules.','dir','','/usr/lib/asterisk/modules',1,0,'Directory Layout','',0,-100),('ASTSPOOLDIR','/var/spool/asterisk','Asterisk Spool Dir',4,'This is the default directory for Asterisks spool directory.','dir','','/var/spool/asterisk',1,0,'Directory Layout','',0,-100),('ASTRUNDIR','/var/run/asterisk','Asterisk Run Dir',4,'This is the default directory for Asterisks run files.','dir','','/var/run/asterisk',1,0,'Directory Layout','',0,-100),('ASTVARLIBDIR','/var/lib/asterisk','Asterisk bin Dir',4,'This is the default directory for Asterisks lib files.','dir','','/var/lib/asterisk',1,0,'Directory Layout','',0,-100),('AMPCGIBIN','/var/www/cgi-bin ','CGI Dir',4,'The path to Apache cgi-bin dir (leave off trailing slash).','dir','','/var/www/cgi-bin ',1,0,'Directory Layout','',0,-100),('MOHDIR','mohmp3','MoH Subdirectory',4,'This is the subdirectory for the MoH files/directories which is located in ASTVARLIBDIR. Older installation may be using mohmp3 which was the old Asterisk default and should be set to that value if the music files are located there relative to the ASTVARLIBDIR.','select','moh,mohmp3','moh',1,0,'Directory Layout','',0,-100),('CHECKREFERER','1','Check Server Referrer',0,'When set to the default value of true, all requests into FreePBX that might possibly add/edit/delete settings will be validated to assure the request is coming from the server. This will protect the system from CSRF (cross site request forgery) attacks. It will have the effect of preventing legitimately entering URLs that could modify settings which can be allowed by changing this field to false.','bool','','1',0,0,'GUI Behavior','',0,-100),('MODULEADMINWGET','0','Use wget For Module Admin',0,'Module Admin normally tries to get its online information through direct file open type calls to URLs that go back to the freepbx.org server. If it fails, typically because of content filters in firewalls that do not like the way PHP formats the requests, the code will fall back and try a wget to pull the information. This will often solve the problem. However, in such environment there can be a significant timeout before the failed file open calls to the URLs return and there are often 2-3 of these that occur. Setting this value will force FreePBX to avoid the attempt to open the URL and go straight to the wget calls.','bool','','0',0,0,'GUI Behavior','',0,-100),('AGGRESSIVE_DUPLICATE_CHECK','0','Aggresively Check for Duplicate Extensions',0,'When set to true FreePBX will update its extension map every page load. This is used to check for duplicate extension numbers in the client side javascript validation. Normally the extension map is only created when Apply Configuration Settings is pressed and retrieve_conf is run.','bool','','0',0,0,'System Setup','',0,-137),('SERVERINTITLE','0','Include Server Name in Browser',0,'Precede browser title with the server name.','bool','','0',0,0,'GUI Behavior','',0,-100),('RELOADCONFIRM','1','Require Confirm with Apply Changes',0,'When set to false, will bypass the confirm on Reload Box.','bool','','1',0,0,'GUI Behavior','',0,-100),('BADDESTABORT','0','Abort Config Gen on Bad Dest',3,'Setting either of these to true will result in retrieve_conf aborting during a reload if an extension conflict is detected or a destination is detected. It is usually better to allow the reload to go through and then correct the problem but these can be set if a more strict behavior is desired.','bool','','0',0,0,'GUI Behavior','',0,-100),('XTNCONFLICTABORT','0','Abort Config Gen on Exten Conflict',3,'Setting either of these to true will result in retrieve_conf aborting during a reload if an extension conflict is detected or a destination is detected. It is usually better to allow the reload to go through and then correct the problem but these can be set if a more strict behavior is desired.','bool','','0',0,0,'GUI Behavior','',0,-100),('CUSTOMASERROR','1','Report Unknown Dest as Error',2,'If false, then the Destination Registry will not report unknown destinations as errors. This should be left to the default true and custom destinations should be moved into the new custom apps registry.','bool','','1',0,0,'GUI Behavior','',0,-100),('ALWAYS_SHOW_DEVICE_DETAILS','0','Show all Device Setting on Add',0,'When adding a new extension/device, setting this to true will show most available device settings that are displayed when you edit the same extension/device. Otherwise, just a few basic settings are displayed.','bool','','0',0,0,'Device Settings','',0,10),('AMPMGRPASS','Elastix123','Asterisk Manager Password',2,'Password for accessing the Asterisk Manager Interface (AMI), this will be automatically updated in manager.conf.','text','','amp111',0,0,'Asterisk Manager','',0,-100),('AMPMGRUSER','admin','Asterisk Manager User',2,'Username for accessing the Asterisk Manager Interface (AMI), this will be automatically updated in manager.conf.','text','','admin',0,0,'Asterisk Manager','',0,-100),('ASTMANAGERHOST','localhost','Asterisk Manager Host',2,'Hostname for the Asterisk Manager','text','','localhost',1,0,'Asterisk Manager','',0,-100),('ASTMANAGERPORT','5038','Asterisk Manager Port',2,'Port for the Asterisk Manager','int','1024,65535','5038',1,0,'Asterisk Manager','',0,-100),('ASTMANAGERPROXYPORT','','Asterisk Manager Proxy Port',2,'Optional port for an Asterisk Manager Proxy','int','1024,65535','',1,0,'Asterisk Manager','',1,-100),('FPBXDBUGFILE','/var/log/asterisk/freepbx_dbug','Debug File',2,'Full path and name of FreePBX debug file. Used by the dbug() function by developers.','text','','/var/log/asterisk/freepbx_dbug',0,0,'Developer and Customization','',0,-100),('FPBXDBUGDISABLE','1','Disable FreePBX dbug Logging',2,'Set to true to stop all dbug() calls from writing to the Debug File (FPBXDBUGFILE)','bool','','1',0,0,'Developer and Customization','',0,-100),('DIE_FREEPBX_VERBOSE','0','Provide Verbose Tracebacks',2,'Provides a very verbose traceback when die_freepbx() is called including extensive object details if present in the traceback.','bool','','0',0,0,'Developer and Customization','',0,-100),('DEVEL','0','Developer Mode',2,'This enables several debug features geared towards developers, including some page load timing information, some debug information in Module Admin, use of original CSS files and other future capabilities will be enabled.','bool','','0',0,0,'Developer and Customization','',0,-100),('USE_PACKAGED_JS','1','Use Packaged Javascript Library ',2,'FreePBX packages several javascript libraries and components into a compressed file called libfreepbx.javascript.js. By default this will be loaded instead of the individual uncompressed libraries. Setting this to false will force FreePBX to load all the libraries as individual uncompressed files. This is useful during development and debugging.','bool','','1',0,0,'Developer and Customization','',0,-100),('FORCE_JS_CSS_IMG_DOWNLOAD','0','Always Download Web Assets',2,'FreePBX appends versioning tags on the CSS and javascript files and some of the main logo images. The versioning will help force browsers to load new versions of the files when module versions are upgraded. Setting this value to true will try to force these to be loaded to the browser every page load by appending an additional timestamp in the version information. This is useful during development and debugging where changes are being made to javascript and CSS files.','bool','','0',0,0,'Developer and Customization','',0,-100),('DEVELRELOAD','0','Leave Reload Bar Up',2,'Forces the \'Apply Configuration Changes\' reload bar to always be present even when not necessary.','bool','','0',0,0,'Developer and Customization','',0,-100),('PRE_RELOAD','','PRE_RELOAD Script',2,'Optional script to run just prior to doing an extension reload to Asterisk through the manager after pressing Apply Configuration Changes in the GUI.','text','','',1,0,'Developer and Customization','',1,-100),('POST_RELOAD','','POST_RELOAD Script',2,'Automatically execute a script after applying changes in the AMP admin. Set POST_RELOAD to the script you wish to execute after applying changes. If POST_RELOAD_DEBUG=true, you will see the output of the script in the web page.','text','','',1,0,'Developer and Customization','',1,-100),('POST_RELOAD_DEBUG','0','POST_RELOAD Debug Mode',2,'Display debug output for script used if POST_RELOAD is used.','bool','','0',0,0,'Developer and Customization','',0,-100),('AMPLOCALBIN','','AMPLOCALBIN Dir for retrieve_conf',2,'If this directory is defined, retrieve_conf will check for a file called <i>retrieve_conf_post_custom</i> and if that file exists, it will be included after other processing thus having full access to the current environment for additional customization.','dir','','',1,0,'Developer and Customization','',1,-100),('DISABLE_CSS_AUTOGEN','1','Disable Mainstyle CSS Compression',2,'Stops the automatic generation of a stripped CSS file that replaces the primary sheet, usually mainstyle.css.','bool','','0',0,0,'Developer and Customization','',0,-100),('MODULEADMIN_SKIP_CACHE','0','Disable Module Admin Caching',2,'Module Admin caches a copy of the online XML document that describes what is available on the server. Subsequent online update checks will use the cached information if it is less than 5 minutes old. To bypass the cache and force it to go to the server each time, set this to True. This should normally be false but can be helpful during testing.','bool','','0',1,0,'Developer and Customization','',0,-100),('FOPSORT','extension','FOP Sort Mode',0,'How FOP sort extensions. By Last Name [lastname] or by Extension [extension].','select','extension,lastname','extension',0,0,'Flash Operator Panel','fw_fop',0,-100),('FOPWEBROOT','/var/www/html/admin/modules/fw_fop','FOP Web Root Dir',4,'Path to the Flash Operator Panel webroot or other modules providing such functionality (leave off trailing slash).','dir','','',1,0,'Flash Operator Panel','',1,-100),('FOPPASSWORD','Elastix123','FOP Password',0,'Password for performing transfers and hangups in the Flash Operator Panel (FOP).','text','','passw0rd',0,0,'Flash Operator Panel','fw_fop',0,-100),('BRAND_IMAGE_SPONSOR_LINK_FOOT','http://www.schmoozecom.com','Link for Sponsor Footer Logo',1,'link to follow when clicking on sponsor logo','text','','http://www.schmoozecom.com',1,0,'Styling and Logos','',1,120),('CDRDBHOST','','Remote CDR DB Host',3,'DO NOT set this unless you know what you are doing. Only used if you do not use the default values provided by FreePBX.<br>Hostname of db server if not the same as AMPDBHOST.','text','','',1,0,'Remote CDR Database','',1,-100),('CDRDBNAME','','Remote CDR DB Name',3,'DO NOT set this unless you know what you are doing. Only used if you do not use the default values provided by FreePBX.<br>Name of database used for cdr records.','text','','',1,0,'Remote CDR Database','',1,-100),('CDRDBPASS','','Remote CDR DB Password',3,'DO NOT set this unless you know what you are doing. Only used if you do not use the default values provided by FreePBX.<br>Password for connecting to db if its not the same as AMPDBPASS.','text','','',1,0,'Remote CDR Database','',1,-100),('CDRDBPORT','','Remote CDR DB Port',3,'DO NOT set this unless you know what you are doing. Only used if you do not use the default values provided by FreePBX.<br>Port number for db host.','int','1024,65536','',1,0,'Remote CDR Database','',1,-100),('CDRDBTABLENAME','','Remote CDR DB Table',3,'DO NOT set this unless you know what you are doing. Only used if you do not use the default values provided by FreePBX. Name of the table in the db where the cdr is stored. cdr is default.','text','','',1,0,'Remote CDR Database','',1,-100),('CDRDBTYPE','','Remote CDR DB Type',3,'DO NOT set this unless you know what you are doing. Only used if you do not use the default values provided by FreePBX. Defaults to your configured AMDBENGINE.','select',',mysql,postgres','',1,0,'Remote CDR Database','',1,-100),('CDRDBUSER','','Remote CDR DB User',3,'DO NOT set this unless you know what you are doing. Only used if you do not use the default values provided by FreePBX. Username to connect to db with if it is not the same as AMPDBUSER.','text','','',1,0,'Remote CDR Database','',1,-100),('ASTMGRWRITETIMEOUT','5000','Asterisk Manager Write Timeout',2,'Timeout, im ms, for write timeouts for cases where Asterisk disconnects frequently','int','100,100000','5000',1,0,'Asterisk Manager','',1,-100),('BRAND_IMAGE_TANGO_LEFT','images/tango.png','Image: Left Upper',1,'Left upper logo.  Path is relative to admin.','text','','images/tango.png',1,0,'Styling and Logos','',0,40),('BRAND_IMAGE_SPONSOR_FOOT','images/schmooze-logo.png','Image: Footer',1,'Logo in footer.  Path is relative to admin.','text','','images/schmooze-logo.png',1,0,'Styling and Logos','',1,50),('BRAND_SPONSOR_ALT_FOOT','www.schmoozecom.com','Alt for Footer Logo',1,'alt attribute to use in place of image and title hover value. Defaults to FreePBX','text','','www.schmoozecom.com',1,0,'Styling and Logos','',1,90),('USE_FREEPBX_MENU_CONF','0','Use freepbx_menu.conf Configuration',0,'When set to true, the system will check for a freepbx_menu.conf file amongst the normal configuraiton files and if found, it will be used to define and remap the menu tabs and contents. See the template supplied with FreePBX for details on how to do this.','bool','','0',0,0,'GUI Behavior','',0,-100),('BRAND_IMAGE_FREEPBX_FOOT','images/freepbx_small.png','Image: Footer',1,'Logo in footer.  Path is relative to admin.','text','','images/freepbx_small.png',1,0,'Styling and Logos','',1,50),('BRAND_FREEPBX_ALT_LEFT','','Alt for Left Logo',1,'alt attribute to use in place of image and title hover value. Defaults to FreePBX','text','','FreePBX',1,0,'Styling and Logos','',1,70),('VIEW_FREEPBX_RELOAD','views/freepbx_reload.php','View: freepbx_reload.php',1,'freepbx_reload.php view. This should never be changed except for very advanced layout changes.','text','','views/freepbx_reload.php',1,1,'Styling and Logos','',0,200),('BRAND_FREEPBX_ALT_FOOT','','Alt for Footer Logo',1,'alt attribute to use in place of image and title hover value. Defaults to FreePBX','text','','FreePBX&reg;',1,0,'Styling and Logos','',1,90),('BRAND_IMAGE_FREEPBX_LINK_LEFT','','Link for Left Logo',1,'link to follow when clicking on logo, defaults to http://www.freepbx.org','text','','http://www.freepbx.org',1,0,'Styling and Logos','',1,100),('BRAND_IMAGE_FREEPBX_LINK_FOOT','','Link for Footer Logo',1,'link to follow when clicking on logo, defaults to http://www.freepbx.org','text','','http://www.freepbx.org',1,0,'Styling and Logos','',1,120),('BROWSER_STATS','1','Browser Stats',0,'Setting this to true will allow the development team to use google analytics to anonymously analyze browser information to help make better development decision.','bool','','1',0,0,'System Setup','',0,-100),('USE_GOOGLE_CDN_JS','0','Use Google Distribution Network for js Downloads',0,'Setting this to true will fetch system javascript libraries such as jQuery and jQuery-ui from ajax.googleapis.com. This can be advantageous if accessing remote or multiple different FreePBX systems since the libraries are only cached once in your browser. If external internet connections are problematic, setting this true could result in slow systems. FreePBX will always fallback to the locally available libraries if the CDN is not available.','bool','','0',0,0,'System Setup','',0,-100),('BRAND_CSS_ALT_MAINSTYLE','','Primary CSS Stylesheet',1,'Set this to replace the default mainstyle.css style sheet with your own, relative to admin.','text','','',1,0,'Styling and Logos','',1,160),('BRAND_CSS_CUSTOM','','Optional Additional CSS Stylesheet',1,'Optional custom CSS style sheet included after the primary one and any module specific ones are loaded, relative to admin.','text','','',1,0,'Styling and Logos','',1,170),('VIEW_PANEL','views/panel.php','View: panel.php',1,'panel.php view. This should never be changed except for very advanced layout changes.','text','','views/panel.php',1,1,'Styling and Logos','',0,290),('VIEW_REPORTS','views/reports.php','View: reports.php',1,'reports.php view. This should never be changed except for very advanced layout changes.','text','','views/reports.php',1,1,'Styling and Logos','',0,300),('VIEW_LOGGEDOUT','views/loggedout.php','View: loggedout.php',1,'loggedout.php view. This should never be changed except for very advanced layout changes.','text','','views/loggedout.php',1,1,'Styling and Logos','',0,280),('VIEW_UNAUTHORIZED','views/unauthorized.php','View: unauthorized.php',1,'unauthorized.php view. This should never be changed except for very advanced layout changes.','text','','views/unauthorized.php',1,1,'Styling and Logos','',0,260),('VIEW_WELCOME','views/welcome.php','View: welcome.php',1,'welcome.php view. This should never be changed except for very advanced layout changes.','text','','views/welcome.php',1,1,'Styling and Logos','',0,220),('VIEW_WELCOME_NONMANAGER','views/welcome_nomanager.php','View: welcome_nomanager.php',1,'welcome_nomanager.php view. This should never be changed except for very advanced layout changes.','text','','views/welcome_nomanager.php',1,1,'Styling and Logos','',0,230),('VIEW_MENUITEM_DISABLED','views/menuitem_disabled.php','View: menuitem_disabled.php',1,'menuitem_disabled.php view. This should never be changed except for very advanced layout changes.','text','','views/menuitem_disabled.php',1,1,'Styling and Logos','',0,240),('VIEW_NOACCESS','views/noaccess.php','View: noaccess.php',1,'noaccess.php view. This should never be changed except for very advanced layout changes.','text','','views/noaccess.php',1,1,'Styling and Logos','',0,250),('VIEW_BAD_REFFERER','views/bad_refferer.php','View: bad_refferer.php',1,'bad_refferer.php view. This should never be changed except for very advanced layout changes.','text','','views/bad_refferer.php',1,1,'Styling and Logos','',0,270),('VIEW_FREEPBX_RELOADBAR','views/freepbx_reloadbar.php','View: freepbx_reloadbar.php',1,'freepbx_reloadbar.php view. This should never be changed except for very advanced layout changes.','text','','views/freepbx_reloadbar.php',1,1,'Styling and Logos','',0,210),('VIEW_FREEPBX_ADMIN','views/freepbx_admin.php','View: freepbx_admin.php',1,'freepbx_admin.php view. This should never be changed except for very advanced layout changes.','text','','views/freepbx_admin.php',1,1,'Styling and Logos','',0,180),('VIEW_FREEPBX','views/freepbx.php','View: freepbx.php',1,'freepbx.php view. This should never be changed except for very advanced layout changes.','text','','views/freepbx.php',1,1,'Styling and Logos','',0,190),('DEVICE_STRONG_SECRETS','1','Require Strong Secrets',0,'Requires a strong secret on SIP and IAX devices requiring at least two numeric and non-numeric characters and 6 or more characters. This can be disabled if using devices that can not meet these needs, or you prefer to put other constraints including more rigid constraints that this rule actually considers weak when it may not be.','bool','','1',0,0,'Device Settings','',0,12),('DEVICE_SIP_CANREINVITE','no','SIP canrenivite (directmedia)',0,'Default setting for SIP canreinvite (same as directmedia). See Asterisk documentation for details.','select','no,yes,nonat,update','no',0,0,'Device Settings','',0,20),('DEVICE_SIP_TRUSTRPID','yes','SIP trustrpid',0,'Default setting for SIP trustrpid. See Asterisk documentation for details.','select','no,yes','yes',0,0,'Device Settings','',0,30),('DEVICE_SIP_SENDRPID','no','SIP sendrpid',0,'Default setting for SIP sendrpid. A value of \'yes\' is equivalent to \'rpid\' and will send the \'Remote-Party-ID\' header. A value of \'pai\' is only valid starting with Asterisk 1.8 and will send the \'P-Asserted-Identity\' header. See Asterisk documentation for details.','select','no,yes,pai','no',0,0,'Device Settings','',0,40),('DEVICE_SIP_NAT','no','SIP nat',0,'Default setting for SIP nat. A \'yes\' will attempt to handle nat, also works for local (uses the network ports and address instead of the reported ports), \'no\' follows the protocol, \'never\' tries to block it, no RFC3581, \'route\' ignores the rport information. See Asterisk documentation for details.','select','no,yes,never,route','no',0,0,'Device Settings','',0,50),('DEVICE_SIP_ENCRYPTION','no','SIP encryption',0,'Default setting for SIP encryption. Whether to offer SRTP encrypted media (and only SRTP encrypted media) on outgoing calls to a peer. Calls will fail with HANGUPCAUSE=58 if the peer does not support SRTP. See Asterisk documentation for details.','select','no,yes','no',0,0,'Device Settings','',0,60),('DEVICE_SIP_QUALIFYFREQ','60','SIP qualifyfreq',0,'Default setting for SIP qualifyfreq. Only valid for Asterisk 1.6 and above. Frequency that \'qualify\' OPTIONS messages will be sent to the device. Can help to keep NAT holes open but not dependable for remote client firewalls. See Asterisk documentation for details.','int','15,86400','60',0,0,'Device Settings','',0,70),('DEVICE_QUALIFY','yes','SIP and IAX qualify',0,'Default setting for SIP and IAX qualify. Whether to send periodic OPTIONS messages (for SIP) or otherwise monitor the channel, and at what point to consider the channel unavailable. A value of \'yes\' is equivalent to 2000, time in msec. Can help to keep NAT holes open with SIP but not dependable for remote client firewalls. See Asterisk documentation for details.','text','','yes',0,0,'Device Settings','',0,80),('DEVICE_DISALLOW','','SIP and IAX disallow',0,'Default setting for SIP and IAX disallow (for codecs). Codecs to disallow, can help to reset from the general settings by setting a value of \'all\' and then specifically including allowed codecs with the \'allow\' directive. Values van be separated with \'&\' e.g. \'g729&g722\'. See Asterisk documentation for details.','text','','',0,0,'Device Settings','',1,90),('DEVICE_ALLOW','','SIP and IAX allow',0,'Default setting for SIP and IAX allow (for codecs). Codecs to allow in addition to those set in general settings unless explicitly \'disallowed\' for the device. Values van be separated with \'&\' e.g. \'ulaw&g729&g729\' where the preference order is preserved. See Asterisk documentation for details.','text','','',0,0,'Device Settings','',1,90),('DEVICE_CALLGROUP','','SIP and DAHDi callgroup',0,'Default setting for SIP, DAHDi (and Zap) callgroup. Callgroup(s) that the device is part of, can be one or more callgroups, e.g. \'1,3-5\' would be in groups 1,3,4,5. See Asterisk documentation for details.','text','','',0,0,'Device Settings','',1,100),('DEVICE_PICKUPGROUP','','SIP and DAHDi pickupgroup',0,'Default setting for SIP, DAHDi (and Zap) pickupgroup. Pickupgroups(s) that the device can pickup calls from, can be one or more groups, e.g. \'1,3-5\' would be in groups 1,3,4,5. Device does not have to be in a group to be able to pickup calls from that group. See Asterisk documentation for details.','text','','',0,0,'Device Settings','',1,110),('USEQUEUESTATE','0','Asterisk Queues Patch 15168 Installed',3,'Setting this flag will generate the required dialplan to integrate with the following Asterisk patch: <b>https://issues.asterisk.org/view.php?id=15168</b>. This setting is obsolete on Asterisk 1.8+ systems where the hint state is now standard and always used. This asterisk patch is only available on Asterisk 1.4, trying to use this setting on Asterisk 1.6 will break some queue behavior and should be avoided','bool','','0',0,0,'Queues Module','queues',0,100),('AMPMPG123','1','Convert Music Files to WAV',3,'When set to false, the MP3 files can be loaded and WAV files converted to MP3 in the MoH module. The default behavior of true assumes you have mpg123 loaded as well as sox and will convert MP3 files to WAV. This is highly recommended as MP3 files heavily tax the system and can cause instability on a busy phone system','bool','','1',0,0,'System Setup','music',0,0),('mainstyle_css_generated','assets/css/mstyle_autogen_1392068421.css','Compressed Copy of Main CSS',10,'internal use','text','','',1,1,'Internal Use','',1,110),('mainstyle_css_mtime','1376080675','Last Mod Time of Main CSS',10,'internal use','text','','',1,1,'Internal Use','',1,0),('ASTVERSION','11.13.0','Asterisk Version',10,'Last Asterisk Version detected (or forced)','text','','',1,1,'Internal Use','',1,0),('REC_POLICY','caller','Call Recording Policy',0,'Call Recording Policy used to resove the winner in a conflict between two extensions when one wants a call recorded and the other does not, if both their priorities are also the same.','select','caller,callee','caller',0,0,'Dialplan and Operational','',0,-100),('TRANSFER_CONTEXT','from-internal-xfer','Asterisk TRANSFER_CONTEXT Variable',9,'This is the Asterisk Channel Variable TRANSFER_CONTEXT. In general it should NOT be changed unless you really know what you are doing. It is used to do create slightly different \'views\' when a call is being transfered. An example is hiding the paging groups so a call isn\'t accidentally transfered into a page.','text','','from-internal-xfer',1,1,'Dialplan and Operational','',1,-100),('VMX_CONTEXT','from-internal','VMX Default Context',9,'Used to do extremely advanced and customized changes to the macro-vm VmX locater. Check the dialplan for a thorough understanding of how to use this.','text','','from-internal',1,0,'VmX Locater','',0,0),('VMX_PRI','1','VMX Default Priority',9,'Used to do extremely advanced and customized changes to the macro-vm VmX locater. Check the dialplan for a thorough understanding of how to use this.','int','1,1000','1',1,0,'VmX Locater','',0,0),('VMX_TIMEDEST_CONTEXT','','VMX Default Timeout Context',9,'Used to do extremely advanced and customized changes to the macro-vm VmX locater. Check the dialplan for a thorough understanding of how to use this. The default location that a caller will be sent if they don\'t press any key (timeout) or press # which is interpreted as a timeout. Set this to \'dovm\' to go to voicemail (default).','text','','',1,0,'VmX Locater','',1,0),('VMX_TIMEDEST_EXT','dovm','VMX Default Timeout Extension',9,'Used to do extremely advanced and customized changes to the macro-vm VmX locater. Check the dialplan for a thorough understanding of how to use this. The default location that a caller will be sent if they don\'t press any key (timeout) or press # which is interpreted as a timeout. Set this to \'dovm\' to go to voicemail (default).','text','','dovm',1,0,'VmX Locater','',0,0),('VMX_TIMEDEST_PRI','1','VMX Default Timeout Priority',9,'Used to do extremely advanced and customized changes to the macro-vm VmX locater. Check the dialplan for a thorough understanding of how to use this. The default location that a caller will be sent if they don\'t press any key (timeout) or press # which is interpreted as a timeout. Set this to \'dovm\' to go to voicemail (default).','int','1,1000','1',1,0,'VmX Locater','',0,0),('VMX_LOOPDEST_CONTEXT','','VMX Default Loop Exceed Context',9,'Used to do extremely advanced and customized changes to the macro-vm VmX locater. Check the dialplan for a thorough understanding of how to use this. The default location that a caller will be sent if they press an invalid options too many times, as defined by the Maximum Loops count.','text','','',1,0,'VmX Locater','',1,0),('VMX_LOOPDEST_EXT','dovm','VMX Default Loop Exceed Extension',9,'Used to do extremely advanced and customized changes to the macro-vm VmX locater. Check the dialplan for a thorough understanding of how to use this. The default location that a caller will be sent if they press an invalid options too many times, as defined by the Maximum Loops count.','text','','dovm',1,0,'VmX Locater','',0,0),('VMX_LOOPDEST_PRI','1','VMX Default Loop Exceed Priority',9,'Used to do extremely advanced and customized changes to the macro-vm VmX locater. Check the dialplan for a thorough understanding of how to use this. The default location that a caller will be sent if they press an invalid options too many times, as defined by the Maximum Loops count.','int','1,1000','1',1,0,'VmX Locater','',0,0),('MIXMON_DIR','','Override Call Recording Location',9,'Override the default location where asterisk will store call recordings. Be sure to set proper permissions on the directory for the asterisk user.','dir','','',1,0,'Directory Layout','',1,0),('MIXMON_POST','','Post Call Recording Script',9,'An optional script to be run after the call is hangup. You can include channel and MixMon variables like ${CALLFILENAME}, ${MIXMON_FORMAT} and ${MIXMON_DIR}. To ensure that you variables are properly escaped, use the following notation: ^{MY_VAR}','text','','',1,0,'Developer and Customization','',1,0),('AST_FUNC_DEVICE_STATE','DEVICE_STATE','Asterisk Function DEVICE_STATE',10,'Set to the function name if the function is present in this Asterisk install','text','','',1,1,'Internal Use','',1,0),('AST_FUNC_EXTENSION_STATE','EXTENSION_STATE','Asterisk Function EXTENSION_STATE',10,'Set to the function name if the function is present in this Asterisk install','text','','',1,1,'Internal Use','',1,0),('AST_FUNC_SHARED','SHARED','Asterisk Function SHARED',10,'Set to the function name if the function is present in this Asterisk install','text','','',1,1,'Internal Use','',1,0),('AST_FUNC_CONNECTEDLINE','CONNECTEDLINE','Asterisk Function CONNECTEDLINE',10,'Set to the function name if the function is present in this Asterisk install','text','','',1,1,'Internal Use','',1,0),('AST_FUNC_MASTER_CHANNEL','MASTER_CHANNEL','Asterisk Function MASTER_CHANNEL',10,'Set to the function name if the function is present in this Asterisk install','text','','',1,1,'Internal Use','',1,0),('AST_APP_VQA','','Asterisk Application VQA',10,'Set to the application name if the application is present in this Asterisk install','text','','',1,1,'Internal Use','',1,0),('AMPBACKUPEMAILFROM','','Email \"From:\" Address',0,'The From: field for emails when using the backup email feature.','text','','',0,0,'Backup Module','backup',1,0),('AMPBACKUPADVANCED','0','Enable Advanced Options',2,'This setting currenly exposed an option to use sudo on a give backup set when saving/restoring. This has serious security risks and is strongly discouraged unless you are very comfortable with the implication that this may have. This could be necessary if backing up certain system files on your PBX that apache normally would not have access to. It also requres that your sudo permissions be setup for the apache user and should be restricted to the minimum commands required.','bool','','0',0,0,'Backup Module','backup',1,0),('DASHBOARD_STATS_UPDATE_TIME','6','Dashboard Stats Update Frequency',0,'Update rate in seconds of all sections of the System Status panel except the Info box.','select','6,10,20,30,45,60,120,300,600','6',0,0,'GUI Behavior','dashboard',0,0),('DASHBOARD_INFO_UPDATE_TIME','30','Dashboard Info Update Frequency',0,'Update rate in seconds of the Info section of the System Status panel.','select','15,30,60,120,300,600','30',0,0,'GUI Behavior','dashboard',0,0),('SSHPORT','','Dashboard Non-Std SSH Port',2,'SSH port number configured on your system if not using the default port 22, this allows the dashboard monitoring to watch the poper port.','int','1,65535','',0,0,'System Setup','dashboard',1,0),('MAXCALLS','','Dashboard Max Calls Initial Scale',2,'Use this to pre-set the scale for maximum calls on the Dashboard display. If not set, the the scale is dynamically sized based on the active calls on the system.','int','0,3000','',0,0,'GUI Behavior','dashboard',1,0),('DAYNIGHTTCHOOK','0','Hook Time Conditions Module',1,'By default, the Call Flow Control module will not hook Time Conditions allowing one to associate a call flow toggle feauture code with a time condition since time conditions have their own feature code as of version 2.9. If there is already an associaiton configured (on an upgraded system), this will have no affect for the Time Conditions that are effected. Setting this to true reverts the 2.8 and prior behavior by allowing for the use of a call flow toggle to be associated with a time conditon. This can be useful for two scenarios. First, to override a Time Condition without the automatic resetting that occurs with the built in Time Condition overrides. The second use is the ability to associate a single call flow toggle with multiple time conditions thus creating a <b>master switch</b> that can be used to override several possible call flows through different time conditions.','bool','','0',0,0,'Call Flow Control Module','daynight',0,0),('TRUNK_RING_TIMER','300','Trunk Dial Timeout',2,'How many seconds to try a call on your trunks before giving up. This should normally be a very long time and is usually only changed if you have some sort of problematic trunks. This is the Asterisk Dial Command timeout parameter.','int','0,86400','300',1,0,'Dialplan and Operational','',0,-100),('QUEUES_PESISTENTMEMBERS','1','Persistent Members',0,'Queues: persistentmembers. Store each dynamic member in each queue in the astdb so that when asterisk is restarted, each member will be automatically read into their recorded queues.','bool','','1',1,0,'Queues Module','queues',0,10),('QUEUES_SHARED_LASTCALL','1','Honor Wrapup Time Across Queues',0,'Queues: shared_lastcall, only valid with Asterisk 1.6+. This will make the lastcall and calls received be the same in members logged in more than one queue. This is useful to make the queue respect the wrapuptime of another queue for a shared member.','bool','','1',1,0,'Queues Module','queues',0,20),('QUEUES_UPDATECDR','0','Set Agent Name in CDR dstchannel',0,'Queues: updatecdr, only valid with Asterisk 1.6+. This option is implemented to mimic chan_agents behavior of populating CDR dstchannel field of a call with an agent name, which is set if available at the login time with AddQueueMember membername parameter, or with static members.','bool','','0',0,0,'Queues Module','queues',0,30),('QUEUES_MIX_MONITOR','1','Use MixMonitor for Recordings',0,'Queues: monitor-type = MixMonitor. Setting true will use the MixMonitor application instead of Monitor so the concept of \'joining/mixing\' the in/out files now goes away when this is enabled.','bool','','1',0,0,'Queues Module','queues',0,40),('QUEUES_HIDE_NOANSWER','1','Hide Queue No Answer Option',0,'It is possible for a queue to NOT Answer a call and still enter callers to the queue. The normal behavior is that all  allers are answered before entering the queue. If the call is not answered, it is possible that some early media delivery would still allow callers to hear recordings, MoH, etc. but this can be inconsistent and vary. Because of the volatility of this option, it is not displayed by default. If a queue is set to not answer, the setting will be displayed for that queue regardless of this setting.','bool','','1',0,0,'Queues Module','queues',0,50),('AMPPLAYKEY','','Recordings Crypt Key',3,'Crypt key used by this recordings module when accessing the recording files. Change from the default of \"moufdsuu3nma0\" if desired.','text','','',0,0,'System Setup','recordings',1,0),('TCINTERVAL','60','Maintenance Polling Interval',1,'The polling interval in seconds used by the Time Conditions manintenace task, launched by an Asterisk call file used to update Time Conditions override states as well as keep custom device state hint values up-to-date when being used with BLF. A shorter interval will assure that BLF keys states are accurate. The interval should be less than the shortest configured span between two time condition states, so that a manual overide during such a period is properly reset when the new period starts.','select','60,120,180,240,300,600,900','60',0,0,'Time Condition Module','timeconditions',0,0),('TCMAINT','1','Enable Maintenance Polling',1,'If set to false, this will override the execution of the Time Conditons maintenace task launched by call files. If all the feature codes for time conditions are disabled, the maintenance task will not be launched anyhow. Setting this to false would be fairly un-common. You may want to set this temporarily if debugging a system to avoid the periodic dialplan running through the CLI that the maintenance task launches and can be distracting.','bool','','1',0,0,'Time Condition Module','timeconditions',0,0),('VM_SHOW_IMAP','0','Provide IMAP Voicemail Fields',3,'Installations that have configured Voicemail with IMAP should set this to true so that the IMAP username and password fields are provided in the Voicemail setup screen for extensions. If an extension alread has these fields populated, they will be displayed even if this is set to false.','bool','','0',0,0,'Voicemail Module','voicemail',0,100),('VIEW_MENU','views/menu.php','View: menu.php',1,'menu.php view. This should never be changed except for very advanced layout changes','text','','views/menu.php',1,1,'Styling and Logos','',0,310),('JQUERY_CSS','assets/css/jquery-ui.css','jQuery UI css',1,'css file for jquery ui','text','','assets/css/jquery-ui.css',1,1,'Styling and Logos','',0,320),('VIEW_LOGIN','views/login.php','View: login.php',1,'login.php view. This should never be changed except for very advanced layout changes','text','','views/login.php',1,1,'Styling and Logos','',0,330),('VIEW_HEADER','views/header.php','View: header.php',1,'header.php view. This should never be changed except for very advanced layout changes','text','','views/header.php',1,1,'Styling and Logos','',0,340),('VIEW_FOOTER','views/footer.php','View: freepbx.php',1,'footer.php view. This should never be changed except for very advanced layout changes','text','','views/footer.php',1,1,'Styling and Logos','',0,350),('VIEW_FOOTER_CONTENT','views/footer_content.php','View: footer_content.php',1,'footer_content.php view. This should never be changed except for very advanced layout changes','text','','views/footer_content.php',1,1,'Styling and Logos','',0,360),('BRAND_ALT_JS','','Alternate JS',1,'Alternate JS file, to supplement legacy.script.js','text','','',1,1,'Styling and Logos','',1,360),('DEVICE_REMOVE_MAILBOX','0','Remove mailbox Setting when no Voicemail',0,'If set to true, any fixed device associated with a user that has no voicemail configured will have the \"mailbox=\" setting removed in the generated technology configuration file such as sip_additional.conf. This will not affect the value in the GUI.','bool','','0',0,0,'Device Settings','',0,15),('MODULE_REPO','http://mirror1.freepbx.org,http://mirror2.freepbx.org','Repo Server',10,'repo server','text','','http://mirror1.freepbx.org,http://mirror2.freepbx.org',1,1,'Internal Use','',0,110),('NOTICE_BROWSER_STATS','1','Browser Stats Notice',10,'Internal use to track if notice has been given that anonyous browser stats are being collected.','bool','','0',1,1,'Internal Use','',0,110),('ASTCONFAPP','app_meetme','Conference Room App',0,'The asterisk application to use for conferencing. If only one is compiled into asterisk, FreePBX will auto detect and change this value if set wrong. The app_confbridge application is considered \"experimental\" with known issues and does not work on Asterisk 10 where it was completely rewritten and changed from the version on 1.6 and 1.8.','select','app_meetme,app_confbridge','app_meetme',0,0,'Dialplan and Operational','',0,-100),('JQUERY_VER','1.7.1','jQuery Version',0,'The version of jQuery that we wish to use.','text','','1.7.1',1,1,'System Setup','',0,-100),('JQUERYUI_VER','1.8.9','jQuery UI Version',0,'The version of jQuery UI that we wish to use.','text','','1.8.9',1,1,'System Setup','',0,-100),('WHICH_rm','/bin/rm','Path for rm',2,'The path to rm as auto-determined by the system. Overwrite as necessary.','text','','/bin/rm',1,0,'System Apps','',1,0),('OUTBOUND_CID_UPDATE','1','Display CallerID on Calling Phone',0,'When set to true and when CONNECTEDLINE() capabilities are configured and supported by your handset, the CID value being transmitted on this call will be updated on your handset in the CNAM field prepended with CID: so you know what is being presented to the caller if the outbound trunk supports and honors setting the transmitted CID.','bool','','1',0,0,'Dialplan and Operational','',0,0),('OUTBOUND_DIAL_UPDATE','1','Display Dialed Number on Calling Phone',0,'When set to true and when CONNECTEDLINE() capabilities are configured and supported by your handset, the number actually dialled will be updated on your handset in the CNUM field. This allows you to see the final manipulation of your number after outbound route and trunk dial manipulation rules have been applied. For example, if you have configured 7 digit dialing on a North America dialplan, the ultimate 10 or 11 digit transmission will be displayed back. Any \'Outbound Dial Prefixes\' configured at the trunk level will NOT be shown as these are foten analog line pauses (w) or other characters that distort the CNUM field on updates.','bool','','1',0,0,'Dialplan and Operational','',0,0),('PDFAUTHOR','www.freepbx.org','tiff2pdf Author',0,'Author to pass to tiff2pdf\'s -a option','text','','www.freepbx.org',1,1,'Styling and Logos','',0,0),('FOLLOWME_AUTO_CREATE','0','Create Follow Me at Extension Creation Time',1,'When creating a new user or extension, setting this to true will automatically create a new Follow Me for that user using the default settings listed below','bool','','0',0,0,'Follow Me Module','findmefollow',0,30),('FOLLOWME_DISABLED','1','Disable Follow Me Upon Creation',1,'This is the default value for the Follow Me \"Disable\" setting. When first creating a Follow Me or if auto-created with a new extension, setting this to true will disable the Follow Me setting which can be changed by the user or admin in multiple locations.','bool','','1',0,0,'Follow Me Module','findmefollow',0,40),('FOLLOWME_TIME','20','Default Follow Me Ring Time',1,'The default Ring Time for a Follow Me set upon creation and used if auto-created with a new extension.','select','5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120','20',0,0,'Follow Me Module','findmefollow',0,50),('FOLLOWME_PRERING','7','Default Follow Me Initial Ring Time',1,'The default Initial Ring Time for a Follow Me set upon creation and used if auto-created with a new extension.','select','5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60','7',0,0,'Follow Me Module','findmefollow',0,60),('FOLLOWME_RG_STRATEGY','ringallv2-prim','Default Follow Me Ring Strategy',1,'The default Ring Strategy selected for a Follow Me set upon creation and used if auto-created with an extension.','select','ringallv2,ringallv2-prim,ringall,ringall-prim,hunt,hunt-prim,memoryhunt,memoryhunt-prim,firstavailable,firstnotonphone','ringallv2-prim',0,0,'Follow Me Module','findmefollow',0,70),('GENERATE_LEGACY_QUEUE_CODES','1','Generate queuenum*/** Login/off Codes',3,'Queue login and out codes were historically queunum* and queunum**. These have been largely replaced by the *45 queue toggle codes. The legacy codes are required to login or out a third party user that is not the extension dialing. These can be removed from the system by setting this to false.','bool','','1',0,0,'Queues Module','queues',0,120),('EXTENSION_LIST_RINGGROUPS','0','Display Extension Ring Group Members',0,'When set to true extensions that belong to one or more Ring Groups will have a Ring Group section and link back to each group they are a member of.','bool','','0',0,0,'Ring Group Module','ringgroups',0,50),('SHOWLANGUAGE','1','Show Language setting',0,'Show Language setting on menu . Defaults = false','bool','','0',0,0,'GUI Behavior','',0,-100),('DISPLAY_MONITOR_TRUNK_FAILURES_FIELD','0','Display Monitor Trunk Failures Option',2,'Setting this to true will expose the \"Monitor Trunk Failures\" field on the Trunks page. This field allows for a custom AGI script to be called upon a trunk failure. This is an advanced field requiring a custom script to be properly written and installed. Existing trunk page entries will not be affected if this is set to false but if the settings are changed on those pages the field will go away.','bool','','0',0,0,'Developer and Customization','',0,-100),('BRAND_IMAGE_FAVICON','images/favicon.ico','Favicon',1,'Favicon','text','','images/favicon.ico',1,1,'Styling and Logos','',0,40),('BRAND_TITLE','FreePBX Administration','Page Title',1,'HTML title of all pages','text','','FreePBX Administration',1,1,'Styling and Logos','',0,40),('BRAND_CSS_ALT_POPOVER','','Primary CSS Popover Stylesheet Addtion',1,'Set this to replace the default popover.css style sheet with your own, relative to admin.','text','','',1,0,'Styling and Logos','',1,162),('VIEW_BETA_NOTICE','views/beta_notice.php','View: beta_notice.php',1,'beta_notice.php view. This should never be changed except for very advanced layout changes','text','','views/beta_notice.php',1,1,'Styling and Logos','',0,312),('VIEW_OBE','views/obe.php','View: obe.php',1,'obe.php view. This should never be changed except for very advanced layout changes','text','','views/obe.php',1,1,'Styling and Logos','',0,310),('VIEW_POPOVER_JS','views/popover_js.php','View: popover_js.php',1,'popover_js.php view. This should never be changed except for very advanced layout changes','text','','views/popover_js.php',1,1,'Styling and Logos','',0,355),('SIPUSERAGENT','FPBX','SIP User Agent',10,'User Agent prefix','text','','FPBX',1,1,'Internal Use','',0,110),('MIXMON_FORMAT','wav','Call Recording Format',0,'Format to save recoreded calls for most call recording unless specified differently in specific applications.','select','wav,WAV,ulaw,ulaw,alaw,sln,gsm,g729','wav',0,0,'System Setup','',0,0),('DIAL_OPTIONS','tr','Asterisk Dial Options',0,'Options to be passed to the Asterisk Dial Command when making internal calls or for calls ringing internal phones. The options are documented in Asterisk documentation, a subset of which are described here. The default options T and t allow the calling and called users to transfer a call with ##. The r option allows Asterisk to generate ringing back to the calling phones which is needed by some phones and sometimes needed in complex dialplan features that may otherwise result in silence to the caller.','text','','Ttr',0,0,'Dialplan and Operational','',1,0),('TRUNK_OPTIONS','','Asterisk Outbound Trunk Dial Options',0,'Options to be passed to the Asterisk Dial Command when making outbound calls on your trunks when not part of an Intra-Company Route. The options are documented in Asterisk documentation, a subset of which are described here. The default options T and t allow the calling and called users to transfer a call with ##. It is HIGHLY DISCOURAGED to use the r option here as this will prevent early media from being delivered from the PSTN and can result in the inability to interact with some external IVRs','text','','Tt',0,0,'Dialplan and Operational','',1,0),('RINGTIMER','15','Ringtime Default',0,'Default number of seconds to ring phones before sending callers to voicemail or other extension destinations. This can be set per extension/user. Phones with no voicemail or other destination options will ring indefinitely.','select','0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120','15',0,0,'Dialplan and Operational','',1,0),('TONEZONE','us','Country Indication Tones',0,'Choose the country tonezone that you would like Asterisk to use when creating the different standard telephony tones such as ringing, busy, congetstion, etc.','fselect','a:54:{s:2:\"ao\";s:6:\"Angola\";s:2:\"ar\";s:9:\"Argentina\";s:2:\"au\";s:9:\"Australia\";s:2:\"at\";s:7:\"Austria\";s:2:\"be\";s:7:\"Belgium\";s:2:\"br\";s:6:\"Brazil\";s:2:\"bg\";s:8:\"Bulgaria\";s:2:\"cl\";s:5:\"Chile\";s:2:\"cn\";s:5:\"China\";s:2:\"co\";s:22:\"Colombia (Republic of)\";s:2:\"cr\";s:10:\"Costa Rica\";s:2:\"cz\";s:14:\"Czech Republic\";s:2:\"dk\";s:7:\"Denmark\";s:2:\"ee\";s:7:\"Estonia\";s:2:\"fi\";s:7:\"Finland\";s:2:\"fr\";s:6:\"France\";s:2:\"de\";s:7:\"Germany\";s:2:\"gr\";s:6:\"Greece\";s:2:\"hk\";s:9:\"Hong Kong\";s:2:\"hu\";s:7:\"Hungary\";s:2:\"in\";s:5:\"India\";s:2:\"ir\";s:4:\"Iran\";s:2:\"il\";s:6:\"Israel\";s:2:\"it\";s:5:\"Italy\";s:2:\"jp\";s:5:\"Japan\";s:2:\"ke\";s:19:\"Kenya (Republic of)\";s:2:\"lt\";s:9:\"Lithuania\";s:2:\"mo\";s:5:\"Macao\";s:2:\"my\";s:8:\"Malaysia\";s:2:\"mx\";s:6:\"Mexico\";s:2:\"nl\";s:11:\"Netherlands\";s:2:\"nz\";s:11:\"New Zealand\";s:2:\"no\";s:6:\"Norway\";s:2:\"pk\";s:8:\"Pakistan\";s:2:\"pa\";s:6:\"Panama\";s:3:\"phl\";s:11:\"Philippines\";s:2:\"pl\";s:6:\"Poland\";s:2:\"pt\";s:8:\"Portugal\";s:2:\"ro\";s:7:\"Romania\";s:2:\"ru\";s:18:\"Russian Federation\";s:2:\"sg\";s:9:\"Singapore\";s:2:\"za\";s:12:\"South Africa\";s:2:\"es\";s:5:\"Spain\";s:2:\"se\";s:6:\"Sweden\";s:2:\"ch\";s:11:\"Switzerland\";s:2:\"tw\";s:6:\"Taiwan\";s:2:\"tz\";s:29:\"Tanzania (United Republic of)\";s:2:\"th\";s:8:\"Thailand\";s:2:\"tr\";s:6:\"Turkey\";s:2:\"ug\";s:20:\"Uganda (Republic of)\";s:2:\"uk\";s:14:\"United Kingdom\";s:2:\"us\";s:29:\"United States / North America\";s:6:\"us-old\";s:39:\"United States Circa 1950/ North America\";s:2:\"ve\";s:25:\"Venezuela / South America\";}','us',0,0,'Dialplan and Operational','',1,0),('TIMEFORMAT','24 Hour Format','Speaking Clock Time Format',0,'Time format to use with the Speaking Clock.','select','12 Hour Format,24 Hour Format','12 Hour Format',0,0,'Dialplan and Operational','infoservices',0,0),('QUEUES_EVENTS_WHEN_CALLED_DEFAULT','0','Agent Called Events Default',3,'Default state for AMI emit events related to an agent\'s call. This setting will only affect the default for NEW queues, it won\'t change existing queues or enfore the option on in new ones.','bool','','0',0,0,'Queues Module','queues',0,120),('QUEUES_EVENTS_MEMEBER_STATUS_DEFAULT','0','Memeber Status Event Default',3,'Default state for AMI to emit the QueueMemberStatus event. This setting will only affect the default for NEW queues, it won\'t change existing queues or enfore the option on in new ones.','bool','','0',0,0,'Queues Module','queues',0,120),('USERESMWIBLF','1','Create Voicemail Hints',3,'Setting this flag with generate the required dialplan to integrate with res_mwi_blf which is included with the Official FreePBX Distro. It allows users to subscribe to other voicemail box and be notified via BLF of changes.','bool','','0',0,0,'Voicemail Module','voicemail',0,100),('HTTPENABLED','1','Enable the mini-HTTP Server',1,'Whether the Asterisk HTTP interface is enabled or not. This is for Asterisk, it is not directly related for FreePBX usage and the value of this setting is irrelevant for accessing core FreePBX settings. Default is no.','bool','','0',0,0,'Asterisk Builtin mini-HTTP server','',0,0),('HTTPENABLESTATIC','0','Enable Static Content',2,'Whether Asterisk should serve static content from http-static (HTML pages, CSS, javascript, etc.). Default is no.','bool','','0',0,0,'Asterisk Builtin mini-HTTP server','',0,0),('HTTPBINDADDRESS','127.0.0.1','HTTP Bind Address',2,'Address to bind to. Default is 0.0.0.0','text','','0.0.0.0',0,0,'Asterisk Builtin mini-HTTP server','',0,0),('HTTPBINDPORT','8088','HTTP Bind Port',2,'Port to bind to. Default is 8088','text','','8088',0,0,'Asterisk Builtin mini-HTTP server','',0,0),('HTTPPREFIX','asterisk','HTTP Prefix',2,'HTTP Prefix allows you to specify a prefix for all requests to the server. For example, if the prefix is set to \"asterisk\" then all requests must begin with /asterisk. If this field is blank it is akin to saying all requests must being with /, essentially no prefix','text','','',0,0,'Asterisk Builtin mini-HTTP server','',1,0),('CEL_ENABLED','1','Enable CEL Reporting',3,'Setting this true will enable the CDR module to drill down on CEL data for each CDR. Although the CDR module will assure there is a CEL table available, the reporting functionality in Asterisk and associated ODBC database and CEL configuration must be done outside of FreePBX either by the user or at the Distro level.','bool','','0',0,0,'CDR Report Module','cdr',0,10),('AST_FUNC_PRESENCE_STATE','PRESENCE_STATE','Asterisk Function PRESENCE_STATE',10,'Set to the function name if the function is present in this Asterisk install','text','','',1,1,'Internal Use','',1,0),('CRONMAN_UPDATES_CHECK','1','Update Notifications',0,'FreePBX allows you to automatically check for updates online. The updates will NOT be automatically installed. It is STRONGYLY advised that you keep this enabled and keep updated of these important notificaions to avoid costly security issues.','bool','','1',1,0,'System Setup','',0,-100),('CONNECTEDLINE_PRESENCESTATE','1','Display Presence State of Callee',0,'When set to true and when CONNECTEDLINE() capabilities are configured and supported by your handset, the name displayed will include the presence state of the callee.','bool','','1',0,0,'Dialplan and Operational','',0,0);
/*!40000 ALTER TABLE `freepbx_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gabcast`
--

DROP TABLE IF EXISTS `gabcast`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gabcast` (
  `ext` varchar(50) NOT NULL,
  `channbr` varchar(50) default NULL,
  `pin` varchar(50) default NULL,
  PRIMARY KEY  (`ext`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gabcast`
--

LOCK TABLES `gabcast` WRITE;
/*!40000 ALTER TABLE `gabcast` DISABLE KEYS */;
/*!40000 ALTER TABLE `gabcast` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `globals`
--

DROP TABLE IF EXISTS `globals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `globals` (
  `variable` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  PRIMARY KEY  (`variable`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `globals`
--

LOCK TABLES `globals` WRITE;
/*!40000 ALTER TABLE `globals` DISABLE KEYS */;
INSERT INTO `globals` VALUES ('FAX_RX','system'),('FAX_RX_EMAIL','fax@mydomain.com'),('FAX_RX_FROM','freepbx@gmail.com');
/*!40000 ALTER TABLE `globals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `iax`
--

DROP TABLE IF EXISTS `iax`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `iax` (
  `id` varchar(20) NOT NULL default '-1',
  `keyword` varchar(30) NOT NULL default '',
  `data` varchar(255) NOT NULL,
  `flags` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`,`keyword`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `iax`
--

LOCK TABLES `iax` WRITE;
/*!40000 ALTER TABLE `iax` DISABLE KEYS */;
/*!40000 ALTER TABLE `iax` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `iaxsettings`
--

DROP TABLE IF EXISTS `iaxsettings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `iaxsettings` (
  `keyword` varchar(50) NOT NULL default '',
  `data` varchar(255) NOT NULL default '',
  `seq` tinyint(1) NOT NULL default '0',
  `type` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`keyword`,`seq`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `iaxsettings`
--

LOCK TABLES `iaxsettings` WRITE;
/*!40000 ALTER TABLE `iaxsettings` DISABLE KEYS */;
INSERT INTO `iaxsettings` VALUES ('ulaw','1',0,1),('alaw','1',1,1),('slin','',2,1),('g726','',3,1),('gsm','1',4,1),('g729','',5,1),('ilbc','',6,1),('g723','',7,1),('g726aal2','',8,1),('adpcm','',9,1),('lpc10','',10,1),('speex','',11,1),('g722','',12,1);
/*!40000 ALTER TABLE `iaxsettings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `incoming`
--

DROP TABLE IF EXISTS `incoming`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `incoming` (
  `cidnum` varchar(20) default NULL,
  `extension` varchar(50) NOT NULL,
  `destination` varchar(50) default NULL,
  `faxexten` varchar(20) default NULL,
  `faxemail` varchar(50) default NULL,
  `answer` tinyint(1) default NULL,
  `wait` int(2) default NULL,
  `privacyman` tinyint(1) default NULL,
  `alertinfo` varchar(255) default NULL,
  `ringing` varchar(20) default NULL,
  `mohclass` varchar(80) NOT NULL default 'default',
  `description` varchar(80) default NULL,
  `grppre` varchar(80) default NULL,
  `delay_answer` int(2) default NULL,
  `pricid` varchar(20) default NULL,
  `pmmaxretries` varchar(2) default NULL,
  `pmminlength` varchar(2) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `incoming`
--

LOCK TABLES `incoming` WRITE;
/*!40000 ALTER TABLE `incoming` DISABLE KEYS */;
/*!40000 ALTER TABLE `incoming` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `indications_zonelist`
--

DROP TABLE IF EXISTS `indications_zonelist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `indications_zonelist` (
  `name` varchar(80) NOT NULL,
  `iso` varchar(20) NOT NULL,
  `conf` blob,
  PRIMARY KEY  (`iso`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `indications_zonelist`
--

LOCK TABLES `indications_zonelist` WRITE;
/*!40000 ALTER TABLE `indications_zonelist` DISABLE KEYS */;
INSERT INTO `indications_zonelist` VALUES ('Angola','ao','ringcadence = 1000,5000\nbusy = 425/500,0/500\ncongestion = 500/500,0500\ndial = 425\nringing = 25/1000,0/5000\ncallwaiting = 400/1000,0/5000\n'),('Argentina','ar','ringcadence = 1000,4500\ndial = 425\nbusy = 425/300,0/300\nring = 425/1000,0/4500\ncongestion = 425/200,0/300\ncallwaiting = 425/200,0/9000\ndialrecall = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425/330,0/330,425/660,0/660\nrecord = 1400/500,0/14000\ninfo = 425/100,0/100\nstutter = 425/450,0/50\n'),('Australia','au','ringcadence = 400,200,400,2000\ndial = 413+438\nbusy = 425/375,0/375\nring = 413+438/400,0/200,413+438/400,0/2000\ncongestion = 425/375,0/375,420/375,0/375\ncallwaiting = 425/200,0/200,425/200,0/4400\ndialrecall = 413+438\nrecord = !425/1000,!0/15000,425/360,0/15000\ninfo = 425/2500,0/500\nstd = !525/100,!0/100,!525/100,!0/100,!525/100,!0/100,!525/100,!0/100,!525/100\nfacility = 425\nstutter = 413+438/100,0/40\nringmobile = 400+450/400,0/200,400+450/400,0/2000\n'),('Austria','at','ringcadence = 1000,5000\ndial = 420\nbusy = 420/400,0/400\nring = 420/1000,0/5000\ncongestion = 420/200,0/200\ncallwaiting = 420/40,0/1960\ndialrecall = 420\nrecord = 1400/80,0/14920\ninfo = 950/330,1450/330,1850/330,0/1000\nstutter = 380+420\n'),('Belgium','be','ringcadence = 1000,3000\ndial = 425\nbusy = 425/500,0/500\nring = 425/1000,0/3000\ncongestion = 425/167,0/167\ncallwaiting = 1400/175,0/175,1400/175,0/3500\ndialrecall = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\nrecord = 1400/500,0/15000\ninfo = 900/330,1400/330,1800/330,0/1000\nstutter = 425/1000,0/250\n'),('Brazil','br','ringcadence = 1000,4000\ndial = 425\nbusy = 425/250,0/250\nring = 425/1000,0/4000\ncongestion = 425/250,0/250,425/750,0/250\ncallwaiting = 425/50,0/1000\ndialrecall = 350+440\nrecord = 425/250,0/250\ninfo = 950/330,1400/330,1800/330\nstutter = 350+440\n'),('Bulgaria','bg','ringcadence = 1000,4000\ndial = 425\nbusy = 425/500,0/500\nring = 425/1000,0/4000\ncongestion = 425/250,0/250\ncallwaiting = 425/150,0/150,425/150,0/4000\ndialrecall = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425\nrecord = 1400/425,0/15000\ninfo = 950/330,1400/330,1800/330,0/1000\nstutter = 425/1500,0/100\n'),('Chile','cl','ringcadence = 1000,3000\ndial = 400\nbusy = 400/500,0/500\nring = 400/1000,0/3000\ncongestion = 400/200,0/200\ncallwaiting = 400/250,0/8750\ndialrecall = !400/100,!0/100,!400/100,!0/100,!400/100,!0/100,400\nrecord = 1400/500,0/15000\ninfo = 950/333,1400/333,1800/333,0/1000\nstutter = !400/100,!0/100,!400/100,!0/100,!400/100,!0/100,!400/100,!0/100,!400/100,!0/100,!400/100,!0/100,400\n'),('China','cn','ringcadence = 1000,4000\ndial = 450\nbusy = 450/350,0/350\nring = 450/1000,0/4000\ncongestion = 450/700,0/700\ncallwaiting = 450/400,0/4000\ndialrecall = 450\nrecord = 950/400,0/10000\ninfo = 450/100,0/100,450/100,0/100,450/100,0/100,450/400,0/400\nstutter = 450+425\n'),('Colombia (Republic of)','co','ringcadance = 1000,4000\ndial = 425\nbusy = 425/250,0/250\nring = 425/1000,0/4500\ncongestion = 425/100,0/250,425/350,0/250,425/650,0/250\ncallwaiting = 400+450/300,0/6000\ndialrecall = 425\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,0/1000\n'),('Costa Rica','cr','ringcadence = 1203,4797\ndial = 450\nbusy = 450/330,0/330\nring = 450/1200,0/4900\ncongestion = 450/330,0/330\ncallwaiting = 450/150,0/150,450/150,0/8000\\dialrecall = !450/100,!0/100,!450/100,!0/100,!450/100,!0/100,450\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,0\nstutter = !450/100,!0/100,!450/100,!0/100,!450/100,!0/100,!450/100,!0/100,!42\n'),('Czech Republic','cz','ringcadence = 1000,4000\ndial = 425/330,0/330,425/660,0/660\nbusy = 425/330,0/330\nring = 425/1000,0/4000\ncongestion = 425/165,0/165\ncallwaiting = 425/330,0/9000\ndialrecall = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425/330,0/330,425/660,0/660\nrecord = 1400/500,0/14000\ninfo = 950/330,0/30,1400/330,0/30,1800/330,0/1000\nstutter = 425/450,0/50\n'),('Denmark','dk','ringcadence = 1000,4000\ndial = 425\nbusy = 425/500,0/500\nring = 425/1000,0/4000\ncongestion = 425/200,0/200\ncallwaiting = !425/200,!0/600,!425/200,!0/3000,!425/200,!0/200,!425/200,0\ndialrecall = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425\nrecord = 1400/80,0/15000\ninfo = 950/330,1400/330,1800/330,0/1000\nstutter = 425/450,0/50\n'),('Estonia','ee','ringcadence = 1000,4000\ndial = 425\nbusy = 425/300,0/300\nring = 425/1000,0/4000\ncongestion = 425/200,0/200\ncallwaiting = 950/650,0/325,950/325,0/30,1400/1300,0/2600\ndialrecall = 425/650,0/25\nrecord = 1400/500,0/15000\ninfo = 950/650,0/325,950/325,0/30,1400/1300,0/2600\nstutter = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425\n'),('Finland','fi','ringcadence = 1000,4000\ndial = 425\nbusy = 425/300,0/300\nring = 425/1000,0/4000\ncongestion = 425/200,0/200\ncallwaiting = 425/150,0/150,425/150,0/8000\ndialrecall = 425/650,0/25\nrecord = 1400/500,0/15000\ninfo = 950/650,0/325,950/325,0/30,1400/1300,0/2600\nstutter = 425/650,0/25\n'),('France','fr','ringcadence = 1500,3500\ndial = 440\nbusy = 440/500,0/500\nring = 440/1500,0/3500\ncongestion = 440/250,0/250\ncallwait = 440/300,0/10000\ndialrecall = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330\nstutter = !440/100,!0/100,!440/100,!0/100,!440/100,!0/100,!440/100,!0/100,!440/100,!0/100,!440/100,!0/100,440\n'),('Germany','de','ringcadence = 1000,4000\ndial = 425\nbusy = 425/480,0/480\nring = 425/1000,0/4000\ncongestion = 425/240,0/240\ncallwaiting = !425/200,!0/200,!425/200,!0/5000,!425/200,!0/200,!425/200,!0/5000,!425/200,!0/200,!425/200,!0/5000,!425/200,!0/200,!425/200,!0/5000,!425/200,!0/200,!425/200,0\ndialrecall = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425\nrecord = 1400/80,0/15000\ninfo = 950/330,1400/330,1800/330,0/1000\nstutter = 425+400\n'),('Greece','gr','ringcadence = 1000,4000\ndial = 425/200,0/300,425/700,0/800\nbusy = 425/300,0/300\nring = 425/1000,0/4000\ncongestion = 425/200,0/200\ncallwaiting = 425/150,0/150,425/150,0/8000\ndialrecall = 425/650,0/25\nrecord = 1400/400,0/15000\ninfo = !950/330,!1400/330,!1800/330,!0/1000,!950/330,!1400/330,!1800/330,!0/1000,!950/330,!1400/330,!1800/330,!0/1000,0\nstutter = 425/650,0/25\n'),('Hong Kong','hk','ringcadence = 400,200,400,3000\ndial = 350+440\nbusy = 480+620/500,0/500\nring = 440+480/400,0/200,440+480/400,0/3000\ncongestion = 480+620/250,0/250\ncallwaiting = 440/300,0/10000\ndialrecall = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,0\nstutter = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\n'),('Hungary','hu','ringcadence = 1250,3750\ndial = 425\nbusy = 425/300,0/300\nring = 425/1250,0/3750\ncongestion = 425/300,0/300\ncallwaiting = 425/40,0/1960\ndialrecall = 425+450\nrecord = 1400/400,0/15000\ninfo = !950/330,!1400/330,!1800/330,!0/1000,!950/330,!1400/330,!1800/330,!0/1000,!950/330,!1400/330,!1800/330,!0/1000,0\nstutter = 350+375+400\n'),('India','in','ringcadence = 400,200,400,2000\ndial = 400*25\nbusy = 400/750,0/750\nring = 400*25/400,0/200,400*25/400,0/2000\ncongestion = 400/250,0/250\ncallwaiting = 400/200,0/100,400/200,0/7500\ndialrecall = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,0/1000\nstutter = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\n'),('Iran','ir','ringcadence = 1000,4000\ndial = 425\nbusy = 425/500,0/500\nring = 425/1000,0/4000\ncongestion = 425/240,0/240\ncallwaiting = 425/200,0/200,425/200,0/10000\ndialrecall = 425 record = 1400/80,0/15000\ninfo = 950/330,1400/330,1800/330,0/1000\nstutter = 400+425\n'),('Israel','il','ringcadence = 1000,3000\ndial = 414\nbusy = 414/500,0/500\nring = 414/1000,0/3000\ncongestion = 414/250,0/250\ncallwaiting = 414/100,0/100,414/100,0/100,414/600,0/3000 \ndialrecall = !414/100,!0/100,!414/100,!0/100,!414/100,!0/100,414\nrecord = 1400/500,0/15000\ninfo = 1000/330,1400/330,1800/330,0/1000\nstutter = !414/160,!0/160,!414/160,!0/160,!414/160,!0/160,!414/160,!0/160,!414/160,!0/160,!414/160,!0/160,!414/160,!0/160,!414/160,!0/160,!414/160,!0/160,!414/160,!0/160,414 \n'),('Italy','it','ringcadence = 1000,4000\ndial = 425/200,0/200,425/600,0/1000\nbusy = 425/500,0/500\nring = 425/1000,0/4000\ncongestion = 425/200,0/200\ncallwaiting = 425/400,0/100,425/250,0/100,425/150,0/14000\ndialrecall = 470/400,425/400\nrecord = 1400/400,0/15000\ninfo = !950/330,!1400/330,!1800/330,!0/1000,!950/330,!1400/330,!1800/330,!0/1000,!950/330,!1400/330,!1800/330,!0/1000,0\nstutter = 470/400,425/400\n'),('Japan','jp','ringcadence = 1000,2000\ndial = 400\nbusy = 400/500,0/500\nring = 400+415/1000,0/2000\ncongestion = 400/500,0/500\ncallwaiting = 400+16/500,0/8000\ndialrecall = !400/200,!0/200,!400/200,!0/200,!400/200,!0/200,400\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,0\nstutter =!400/100,!0/100,!400/100,!0/100,!400/100,!0/100,!400/100,!0/100,!400/100,!0/100,!400/100,!0/100,400\n'),('Kenya (Republic of)','ke','ringcadence = 670,3000,1500,5000\nbusy = 425/200,0/600,425/200,0/600\ncongestion = 425/200,0/600\ndial = 425\nringing = 425/670,0/3000,425/1500,0/5000\ninfo = 900/750,1400/750,1800/750,0/1250\ncallwaiting = 425\n'),('Lithuania','lt','ringcadence = 1000,4000\ndial = 425\nbusy = 425/350,0/350\nring = 425/1000,0/4000\ncongestion = 425/200,0/200\ncallwaiting = 425/150,0/150,425/150,0/4000\ndialrecall = 425/500,0/50\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,!0/1000,!950/330,!1400/330,!1800/330,!0/1000,!950/330,!1400/330,!1800/330,!0/1000,0\nstutter = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425\n'),('Macao','mo','ringcadence = 1000,4000\ndial = 425\nbusy = 425/500,0/500\nring = 425/1000,0/4000\ncongestion = 425/250,0/250\ncallwaiting = 425/200,0/600\nrecord = 1400/400,0/15000\ninfo = 950/333,1400/333,1800/333,0/1000\nstutter = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425\n'),('Malaysia','my','ringcadence = 400,200,400,2000\ndial = 425\nbusy = 425/500,0/500\nring = 425/400,0/200,425/400,0/2000\ncongestion = 425/500,0/500\ncallwaiting = 425/100,0/4000\ndialrecall = 350+440\nrecord = 1400/500,0/60000\ninfo = 950/330,0/15,1400/330,0/15,1800/330,0/1000\nstutter = 450+425\n'),('Mexico','mx','ringcadence = 2000,4000\ndial = 425\nbusy = 425/250,0/250\nring = 425/1000,0/4000\ncongestion = 425/250,0/250\ncallwaiting = 425/200,0/600,425/200,0/10000\ndialrecall = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\nrecord = 1400/500,0/15000\ninfo = 950/330,0/30,1400/330,0/30,1800/330,0/1000\nstutter = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\n'),('Netherlands','nl','ringcadence = 1000,4000\ndial = 425\nbusy = 425/500,0/500\nring = 425/1000,0/4000\ncongestion = 425/250,0/250\ncallwaiting = 425/500,0/9500\ndialrecall = 425/500,0/50\nrecord = 1400/500,0/15000\ninfo = 950/330,1400/330,1800/330,0/1000\nstutter = 425/500,0/50\n'),('New Zealand','nz','ringcadence = 400,200,400,2000\ndial = 400\nbusy = 400/250,0/250\nring = 400+450/400,0/200,400+450/400,0/2000\ncongestion = 400/375,0/375\ncallwaiting = !400/200,!0/3000,!400/200,!0/3000,!400/200,!0/3000,!400/200\ndialrecall = !400/100!0/100,!400/100,!0/100,!400/100,!0/100,400\nrecord = 1400/425,0/15000\ninfo = 400/750,0/100,400/750,0/100,400/750,0/100,400/750,0/400\nstutter = !400/100!0/100,!400/100,!0/100,!400/100,!0/100,!400/100!0/100,!400/100,!0/100,!400/100,!0/100,400\n'),('Norway','no','ringcadence = 1000,4000\ndial = 425\nbusy = 425/500,0/500\nring = 425/1000,0/4000\ncongestion = 425/200,0/200\ncallwaiting = 425/200,0/600,425/200,0/10000\ndialrecall = 470/400,425/400\nrecord = 1400/400,0/15000\ninfo = !950/330,!1400/330,!1800/330,!0/1000,!950/330,!1400/330,!1800/330,!0/1000,!950/330,!1400/330,!1800/330,!0/1000,0\nstutter = 470/400,425/400\n'),('Pakistan','pk','ringcadence = 400,1000,0,2000\nbusy = 400/500,0/500\nring = 400/1000,0/2000\ncongestion = 400/250,0/250\n'),('Panama','pa','ringcadence = 2000,4000\ndial = 425\nbusy = 425/320,0/320\nring = 425/1200,0/4650\ncongestion = 425/320,0/320\ncallwaiting = 425/180,0/180,425/180\\dialrecall = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,0\nstutter = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!42\n'),('Philippines','phl','ringcadence = 1000,4000\ndial = 425\nbusy = 480+620/500,0/500\nring = 425+480/1000,0/4000\ncongestion = 480+620/250,0/250\ncallwaiting = 440/300,0/10000\ndialrecall = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,0\nstutter = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\n'),('Poland','pl','ringcadence = 1000,4000\ndial = 425\nbusy = 425/500,0/500\nring = 425/1000,0/4000\ncongestion = 425/500,0/500\ncallwaiting = 425/150,0/150,425/150,0/4000\ndialrecall = 425/500,0/50\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,!0/1000,!950/330,!1400/330,!1800/330,!0/1000,!950/330,!1400/330,!1800/330,!0/1000\nstutter = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425\n'),('Portugal','pt','ringcadence = 1000,5000\ndial = 425\nbusy = 425/500,0/500\nring = 425/1000,0/5000\ncongestion = 425/200,0/200\ncallwaiting = 440/300,0/10000\ndialrecall = 425/1000,0/200\nrecord = 1400/500,0/15000\ninfo = 950/330,1400/330,1800/330,0/1000\nstutter = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425\n'),('Russian Federation','ru','ringcadence = 1000,4000\ndial = 425\nbusy = 425/350,0/350\nring = 425/800,0/3200\ncongestion = 425/350,0/350\ncallwaiting = 425/200,0/5000\ndialrecall = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,0\n'),('Singapore','sg','ringcadence = 400,200,400,2000\ndial = 425\nring = 425*24/400,0/200,425*24/400,0/2000 ; modulation should be 100%, not 90%\nbusy = 425/750,0/750\ncongestion = 425/250,0/250\ncallwaiting = 425*24/300,0/200,425*24/300,0/3200\nstutter = !425/200,!0/200,!425/600,!0/200,!425/200,!0/200,!425/600,!0/200,!425/200,!0/200,!425/600,!0/200,!425/200,!0/200,!425/600,!0/200,425\ninfo = 950/330,1400/330,1800/330,0/1000 ; not currently in use acc. to reference\ndialrecall = 425*24/500,0/500,425/500,0/2500 ; unspecified in IDA reference, use repeating Holding Tone A,B\nrecord = 1400/500,0/15000 ; unspecified in IDA reference, use 0.5s tone every 15s\nnutone = 425/2500,0/500\nintrusion = 425/250,0/2000\nwarning = 425/624,0/4376 ; end of period tone, warning\nacceptance = 425/125,0/125\nholdinga = !425*24/500,!0/500 ; followed by holdingb\nholdingb = !425/500,!0/2500\n'),('South Africa','za','ringcadence = 400,200,400,2000\ndial = 400*33\nbusy = 400/500,0/500\nring = 400*33/400,0/200,400*33/400,0/2000\ncongestion = 400/250,0/250\ncallwaiting = 400*33/250,0/250,400*33/250,0/250,400*33/250,0/250,400*33/250,0/250\ndialrecall = 350+440\nrecord = 1400/500,0/10000\ninfo = 950/330,1400/330,1800/330,0/330\nstutter =!400*33/100,!0/100,!400*33/100,!0/100,!400*33/100,!0/100,!400*33/100,!0/100,!400*33/100,!0/100,!400*33/100,!0/100,400*33 \n'),('Spain','es','ringcadence = 1500,3000\ndial = 425\nbusy = 425/200,0/200\nring = 425/1500,0/3000\ncongestion = 425/200,0/200,425/200,0/200,425/200,0/600\ncallwaiting = 425/175,0/175,425/175,0/3500\ndialrecall = !425/200,!0/200,!425/200,!0/200,!425/200,!0/200,425\nrecord = 1400/500,0/15000\ninfo = 950/330,0/1000\ndialout = 500\n'),('Sweden','se','ringcadence = 1000,5000\ndial = 425\nbusy = 425/250,0/250\nring = 425/1000,0/5000\ncongestion = 425/250,0/750\ncallwaiting = 425/200,0/500,425/200,0/9100\ndialrecall = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425\nrecord = 1400/500,0/15000\ninfo = !950/332,!0/24,!1400/332,!0/24,!1800/332,!0/2024,!950/332,!0/24,!1400/332,!0/24,!1800/332,!0/2024,!950/332,!0/24,!1400/332,!0/24,!1800/332,!0/2024,!950/332,!0/24,!1400/332,!0/24,!1800/332,!0/2024,!950/332,!0/24,!1400/332,!0/24,!1800/332,0\nstutter = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425\n'),('Switzerland','ch','ringcadence = 1000,4000\ndial = 425\nbusy = 425/500,0/500\nring = 425/1000,0/4000\ncongestion = 425/200,0/200\ncallwaiting = 425/200,0/200,425/200,0/4000\ndialrecall = !425/100,!0/100,!425/100,!0/100,!425/100,!0/100,425\nrecord = 1400/80,0/15000\ninfo = 950/330,1400/330,1800/330,0/1000\nstutter = 425+340/1100,0/1100\n'),('Taiwan','tw','ringcadence = 1000,4000\ndial = 350+440\nbusy = 480+620/500,0/500\nring = 440+480/1000,0/2000\ncongestion = 480+620/250,0/250\ncallwaiting = 350+440/250,0/250,350+440/250,0/3250\ndialrecall = 300/1500,0/500\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,0\nstutter = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\n'),('Tanzania (United Republic of)','tz','ringcadence = 1000,4000\nbusy = 425/1000,0/1000\ncongestion = 425/375,0/375\ndial = 425+400\nringing = 425/1000,0/4000\ninfo = 950/375,1400/375,1800/375,0/30,950/375,1400/375,1800/375,0/30,950/375,1400/375,1800/375callwaiting = 425/500,0/200\n'),('Thailand','th','ringcadence = 1000,4000\\dial = 400*50\nbusy = 400/500,0/500\nring = 420/1000,0/5000\ncongestion = 400/300,0/300\ncallwaiting = 1000/400,10000/400,1000/400\ndialrecall = 400*50/400,0/100,400*50/400,0/100\nrecord = 1400/500,0/15000\ninfo = 950/330,1400/330,1800/330\nstutter = !400/200,!0/200,!400/600,!0/200,!400/200,!0/200,!400/600,!0/200,!400/200,!0/200,!400/600,!0/200,!400/200,!0/200,!400/600,!0/200,400\n'),('Turkey','tr','ringcadance = 2000,4000\ndial = 450\nbusy = 450/500,0/500\nring = 450/2000,450/4000\ncongestion = 450/200,0/200,450/200,0/200,450/200,0/200,450/600,0/200\ncallwaiting = 450/200,0/600,450/200,0/8000\ndialrecall = 450/1000,0/250\nrecord = 1400/500,0/15000\ninfo = !950/300,!1400/300,!1800/300,!0/1000,!950/300,!1400/300,!1800/300,!0/1000,!950/300,!1400/300,!1800/300,!0/1000,0\n'),('Uganda (Republic of)','ug','ringcadence = 1000,4000\nbusy = 425/500,0/500\ncongestion = 425/250,0/250\ndial = 425\nringing = 425/1000,0/4000\ncallwaiting = 425/150,0/150,425/150,0/8000\n'),('United Kingdom','uk','ringcadence = 400,200,400,2000\ndial = 350+440\nspecialdial = 350+440/750,440/750\nbusy = 400/375,0/375\ncongestion = 400/400,0/350,400/225,0/525\nspecialcongestion = 400/200,1004/300\nunobtainable = 400\nring = 400+450/400,0/200,400+450/400,0/2000\ncallwaiting = 400/100,0/4000\nspecialcallwaiting = 400/250,0/250,400/250,0/250,400/250,0/5000\ncreditexpired = 400/125,0/125\nconfirm = 1400\nswitching = 400/200,0/400,400/2000,0/400\ninfo = 950/330,0/15,1400/330,0/15,1800/330,0/1000\nrecord = 1400/500,0/60000\nstutter = 350+440/750,440/750\n'),('United States / North America','us','ringcadence = 2000,4000\ndial = 350+440\nbusy = 480+620/500,0/500\nring = 440+480/2000,0/4000\ncongestion = 480+620/250,0/250\ncallwaiting = 440/300,0/10000\ndialrecall = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,0\nstutter = !350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,!350+440/100,!0/100,350+440\n'),('United States Circa 1950/ North America','us-old','ringcadence = 2000,4000\ndial = 600*120\nbusy = 500*100/500,0/500\nring = 420*40/2000,0/4000\ncongestion = 500*100/250,0/250\ncallwaiting = 440/300,0/10000\ndialrecall = !600*120/100,!0/100,!600*120/100,!0/100,!600*120/100,!0/100,600*120\nrecord = 1400/500,0/15000\ninfo = !950/330,!1400/330,!1800/330,0\nstutter = !600*120/100,!0/100,!600*120/100,!0/100,!600*120/100,!0/100,!600*120/100,!0/100,!600*120/100,!0/100,!600*120/100,!0/100,600*120\n'),('Venezuela / South America','ve','; Tone definition source for ve found on\n; Reference: http://www.itu.int/ITU-T/inr/forms/files/tones-0203.pdf\nringcadence = 1000,4000\ndial = 425\nbusy = 425/500,0/500\nring = 425/1000,0/4000\ncongestion = 425/250,0/250\ncallwaiting = 400+450/300,0/6000\ndialrecall = 425\nrecord =  1400/500,0/15000\ninfo = !950/330,!1440/330,!1800/330,0/1000\n'),('Romania','ro','ringcadence = 1850,4150\ndial = 450\nbusy = 450/167,0/167\nring = 450*25/1850,0/4150\ncongestion = 450/500,0/500\ncallwaiting = 450/150,0/150,450/150,0/8000\ndialrecall = !450/100,!0/100,!450/100,!0/100,!450/100,!0/100,450\nrecord = 1400/400,0/15000\ninfo = !950/330,!1400/330,!1800/330,0\nstutter = !450/100,!0/100,!450/100,!0/100,!450/100,!0/100,!450/100,!0/100,!450/100,!0/100,!450/100,!0/100,450\nfacility = 450\nhowler = 3000\ndialout = 600\nintrusion = 450/150,0/4950\nspecialdial = 450*25/400,0/40\nunobtainable = !450/92,!0/110,!450/92,!0/110,!450/92,!0/110,450/362,0/110\n');
/*!40000 ALTER TABLE `indications_zonelist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `inventorydb`
--

DROP TABLE IF EXISTS `inventorydb`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `inventorydb` (
  `id` int(11) NOT NULL auto_increment,
  `empnum` varchar(10) default NULL,
  `empname` varchar(20) NOT NULL,
  `building` varchar(150) default NULL,
  `floor` varchar(10) default NULL,
  `room` varchar(10) default NULL,
  `section` varchar(6) default NULL,
  `cubicle` varchar(6) default NULL,
  `desk` varchar(6) default NULL,
  `exten` varchar(8) default NULL,
  `phusername` varchar(10) default NULL,
  `phpassword` varchar(10) default NULL,
  `mac` varchar(18) default NULL,
  `serial` varchar(20) default NULL,
  `device` varchar(20) default NULL,
  `distdate` varchar(10) default NULL,
  `ip` varchar(14) default NULL,
  `pbxbox` varchar(20) default NULL,
  `extrainfo` varchar(256) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `inventorydb`
--

LOCK TABLES `inventorydb` WRITE;
/*!40000 ALTER TABLE `inventorydb` DISABLE KEYS */;
/*!40000 ALTER TABLE `inventorydb` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ivr_details`
--

DROP TABLE IF EXISTS `ivr_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ivr_details` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) default NULL,
  `description` varchar(150) default NULL,
  `announcement` varchar(25) default NULL,
  `directdial` varchar(50) default NULL,
  `invalid_loops` varchar(10) default NULL,
  `invalid_retry_recording` varchar(25) default NULL,
  `invalid_destination` varchar(50) default NULL,
  `invalid_recording` varchar(25) default NULL,
  `retvm` varchar(8) default NULL,
  `timeout_time` int(11) default NULL,
  `timeout_recording` varchar(25) default NULL,
  `timeout_retry_recording` varchar(25) default NULL,
  `timeout_destination` varchar(50) default NULL,
  `timeout_loops` varchar(11) default NULL,
  `timeout_append_announce` tinyint(1) NOT NULL default '1',
  `invalid_append_announce` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ivr_details`
--

LOCK TABLES `ivr_details` WRITE;
/*!40000 ALTER TABLE `ivr_details` DISABLE KEYS */;
INSERT INTO `ivr_details` VALUES (3,'Unnamed',NULL,NULL,'ext-local','disabled','','','','',10,'','','','disabled',1,1);
/*!40000 ALTER TABLE `ivr_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ivr_entries`
--

DROP TABLE IF EXISTS `ivr_entries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ivr_entries` (
  `ivr_id` int(11) NOT NULL,
  `selection` varchar(10) default NULL,
  `dest` varchar(50) default NULL,
  `ivr_ret` tinyint(1) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ivr_entries`
--

LOCK TABLES `ivr_entries` WRITE;
/*!40000 ALTER TABLE `ivr_entries` DISABLE KEYS */;
/*!40000 ALTER TABLE `ivr_entries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `language_incoming`
--

DROP TABLE IF EXISTS `language_incoming`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `language_incoming` (
  `extension` varchar(50) default NULL,
  `cidnum` varchar(50) default NULL,
  `language` varchar(10) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `language_incoming`
--

LOCK TABLES `language_incoming` WRITE;
/*!40000 ALTER TABLE `language_incoming` DISABLE KEYS */;
/*!40000 ALTER TABLE `language_incoming` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages` (
  `language_id` int(11) NOT NULL auto_increment,
  `lang_code` varchar(50) default NULL,
  `description` varchar(50) default NULL,
  `dest` varchar(255) default NULL,
  PRIMARY KEY  (`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `logfile_logfiles`
--

DROP TABLE IF EXISTS `logfile_logfiles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `logfile_logfiles` (
  `name` varchar(25) NOT NULL default '',
  `debug` varchar(25) default NULL,
  `dtmf` varchar(25) default NULL,
  `error` varchar(25) default NULL,
  `fax` varchar(25) default NULL,
  `notice` varchar(25) default NULL,
  `verbose` varchar(25) default NULL,
  `warning` varchar(25) default NULL,
  `security` varchar(25) default NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `logfile_logfiles`
--

LOCK TABLES `logfile_logfiles` WRITE;
/*!40000 ALTER TABLE `logfile_logfiles` DISABLE KEYS */;
INSERT INTO `logfile_logfiles` VALUES ('full','on','off','on','off','on','on','on','off'),('console','on','off','on','off','on','on','on','off');
/*!40000 ALTER TABLE `logfile_logfiles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `logfile_settings`
--

DROP TABLE IF EXISTS `logfile_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `logfile_settings` (
  `key` varchar(100) NOT NULL default '',
  `value` varchar(255) default NULL,
  PRIMARY KEY  (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `logfile_settings`
--

LOCK TABLES `logfile_settings` WRITE;
/*!40000 ALTER TABLE `logfile_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `logfile_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `manager`
--

DROP TABLE IF EXISTS `manager`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `manager` (
  `manager_id` int(11) NOT NULL auto_increment,
  `name` varchar(15) NOT NULL,
  `secret` varchar(50) default NULL,
  `deny` varchar(255) default NULL,
  `permit` varchar(255) default NULL,
  `read` varchar(255) default NULL,
  `write` varchar(255) default NULL,
  PRIMARY KEY  (`manager_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `manager`
--

LOCK TABLES `manager` WRITE;
/*!40000 ALTER TABLE `manager` DISABLE KEYS */;
/*!40000 ALTER TABLE `manager` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meetme`
--

DROP TABLE IF EXISTS `meetme`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `meetme` (
  `exten` varchar(50) NOT NULL,
  `options` varchar(15) default NULL,
  `userpin` varchar(50) default NULL,
  `adminpin` varchar(50) default NULL,
  `description` varchar(50) default NULL,
  `joinmsg_id` int(11) default NULL,
  `music` varchar(80) default NULL,
  `users` tinyint(4) default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `meetme`
--

LOCK TABLES `meetme` WRITE;
/*!40000 ALTER TABLE `meetme` DISABLE KEYS */;
/*!40000 ALTER TABLE `meetme` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `miscapps`
--

DROP TABLE IF EXISTS `miscapps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `miscapps` (
  `miscapps_id` int(11) NOT NULL auto_increment,
  `ext` varchar(50) default NULL,
  `description` varchar(50) default NULL,
  `dest` varchar(255) default NULL,
  PRIMARY KEY  (`miscapps_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `miscapps`
--

LOCK TABLES `miscapps` WRITE;
/*!40000 ALTER TABLE `miscapps` DISABLE KEYS */;
/*!40000 ALTER TABLE `miscapps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `miscdests`
--

DROP TABLE IF EXISTS `miscdests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `miscdests` (
  `id` int(11) NOT NULL auto_increment,
  `description` varchar(100) NOT NULL,
  `destdial` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `miscdests`
--

LOCK TABLES `miscdests` WRITE;
/*!40000 ALTER TABLE `miscdests` DISABLE KEYS */;
/*!40000 ALTER TABLE `miscdests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `module_xml`
--

DROP TABLE IF EXISTS `module_xml`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `module_xml` (
  `id` varchar(20) NOT NULL default 'xml',
  `time` int(11) NOT NULL default '0',
  `data` mediumblob NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `module_xml`
--

LOCK TABLES `module_xml` WRITE;
/*!40000 ALTER TABLE `module_xml` DISABLE KEYS */;
INSERT INTO `module_xml` VALUES ('installid',1226611102,'a2bd413a30de2c2eae6f4de9d32f6d5c'),('type',1226611102,'vmware'),('xml',1413599492,'<xml>\n  <module>\n    <rawname>accountcodepreserve</rawname>\n    <repo>extended</repo>\n    <name>Preserve Accountcode</name>\n    <version>2.11.0.0</version>\n    <publisher>Schmooze Com, Inc</publisher>\n    <license>GPLv2</license>\n    <type>setup</type>\n    <category>Admin</category>\n    <description>This module preservers the first callee\'s account code, that has an accountcode, that it encounters. This preserved accoutcode will be used to set the CDR(accountcode) for any outbound calls that result from any type of redirected call (CF, VmX, Follow-Me, etc.). The account code for each user is pulled out of their associated device settings, which means this is only supported in extension mode and would have to be updated for deviceanduser mode, requiring a new accountcode field to be defined for the user on the extension/user screen.\n	</description>\n    <changelog>\n		*2.11.0.0* update for 2.11\n		*2.8.0.1* Add to extended repo\n		*2.8.0.0* add support for 2.8+ route schema\n		*2.5.0.1* change splice to report2 from report to allow follow-me to work properly\n		*2.5.0* Initial Release\n	</changelog>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/accountcodepreserve/accountcodepreserve-2.11.0.0.tgz</location>\n    <md5sum>90512585b46683977d1a98d1d7d08784</md5sum>\n    <packaged>1402953647</packaged>\n    <sha1>128edb594d0994d20065c924457a84cc00121403</sha1>\n  </module>\n  <module>\n    <rawname>announcement</rawname>\n    <repo>standard</repo>\n    <name>Announcements</name>\n    <version>2.11.0.4</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <changelog>\n		*2.11.0.4* Generate license file\n		*2.11.0.1* Using last_id() function (if available) for database calls\n		*2.11.0.0* #6051\n		*2.10.0.2* #5883\n		*2.10.0.1* #5478\n		*2.10.0.0* new version changes\n		*2.9.0.2* #4683\n		*2.9.0.1* removed duplicate functions\n		*2.9.0.0* #4655\n		*2.8.0.0* published 2.8 version\n		*2.7.0.0* spelling fixes, localization updates\n		*2.6.0.2* #3829\n		*2.6.0.1* #3804\n		*2.6.0.0* localizations, misc\n		*2.5.1.7* localization string enclosures, spelling\n		*2.5.1.6* spelling, localization fixes\n		*2.5.1.5* spelling fixes, Swedish\n		*2.5.1.4* #3196 typo in index\n		*2.5.1.3* #3195, localization fixes, Swedish\n		*2.5.1.2* #3138 Sqlite3 fixes, spellings\n		*2.5.1.1* #2987 sqlite3 install script changes\n		*2.5.1* #2063 Migrate recordings to recording ids\n		*2.5.0* #2845 tabindex\n		*2.4.0.3* #2872 mispelled Announcement\n		*2.4.0.2* #2604, #2843 mal-formed html tag, Russian translations\n		*2.4.0.1* added 2.4.0 dependency\n		*2.4.0* CHANGELOG TRUNCATED See SVN Repository\n	</changelog>\n    <category>Applications</category>\n    <description>\n		Plays back one of the system recordings (optionally allowing the user to skip it) and then goes to another destination.\n	</description>\n    <depends>\n      <version>2.5.0alpha1</version>\n      <module>recordings ge 3.3.8</module>\n    </depends>\n    <menuitems>\n      <announcement>Announcements</announcement>\n    </menuitems>\n    <popovers>\n      <announcement>\n        <display>announcement</display>\n      </announcement>\n    </popovers>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/announcement/announcement-2.11.0.4.tgz</location>\n    <md5sum>045b8b0429381f5e21f962f75f26868d</md5sum>\n    <packaged>1402953546</packaged>\n    <sha1>95c71d4c79844773b2613e4d799424c435ef04eb</sha1>\n  </module>\n  <module>\n    <rawname>asterisk-cli</rawname>\n    <repo>extended</repo>\n    <name>Asterisk CLI</name>\n    <version>2.11.0.3</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Admin</category>\n    <description>Provides an interface allowing you to run a command as if it was typed into Asterisk CLI</description>\n    <menuitems>\n      <cli>Asterisk CLI</cli>\n    </menuitems>\n    <depends>\n      <engine>asterisk</engine>\n    </depends>\n    <location>packages/asterisk-cli/asterisk-cli-2.11.0.3.tgz</location>\n    <md5sum>87ec8f7c7832073e5e9a0477faa93a43</md5sum>\n    <changelog>\n		*2.11.0.3* Generate a License file\n		*2.11.0.0* bump release\n		*2.10.0.1* #5478\n		*2.10.0.0* new version changes\n		*2.9.0.2* #5047\n		*2.9.0.1* #4001\n		*2.9.0.0* set repo\n		*2.8.0.0* published 2.8 version\n		*2.7.0.0* spelling fixes, localization updates\n		*2.6.0.0* localizations, misc\n		*2.5.0.2* description added to xml\n		*2.5.0.1* r6547 Swedish Translations\n		*2.5.0* #2917 execute CLI command direct through manager to remove vulnerabilities\n		*2.4.0* 2.4 branch (added IT translations also)\n		*1.1.2.1* bump for rc1\n		*1.1.2* fix syntax error, extra =\n		*1.1.1* #2070 fix proper use of script tags\n		*1.1* #2006 Fixed display on systems with colored asterisk console\n		*1.0* Fixed security issue, first release in 2.2\n		*0.001* Original Release\n	</changelog>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1402958861</packaged>\n    <sha1>7816b45fe4044ff7327dc8cb8e140a26457540ce</sha1>\n  </module>\n  <module>\n    <rawname>asteriskinfo</rawname>\n    <repo>standard</repo>\n    <name>Asterisk Info</name>\n    <version>2.11.0.89</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Reports</category>\n    <description>\n		Provides a snapshot of the current Asterisk configuration\n	</description>\n    <menuitems>\n      <asteriskinfo>Asterisk Info</asteriskinfo>\n    </menuitems>\n    <depends>\n      <engine>asterisk</engine>\n      <version>2.5.0rc3</version>\n    </depends>\n    <changelog>\n		*2.11.0.9* Include new license file\n		*2.11.0.7* Packaging of ver 2.11.0.7\n		*2.11.0.6* Packaging of ver 2.11.0.6\n		*2.11.0.3* Packaging of ver 2.11.0.3\n		*2.11.0.2* Packaging of ver 2.11.0.2\n		*2.11.0.2* #6757\n		*2.11.0.1* Fixes #6288 adds XMPP (Motif)\n		*2.10.0.1* #5523\n		*2.10.0.0* new version changes\n		*2.9.0.3* #4893\n		*2.9.0.2* #4778\n		*2.9.0.1* #4755\n		*2.9.0.0* 2.9 Update\n		*2.8.0.2* localization updates\n		*2.8.0.1* #4209\n		*2.8.0.0* #3703\n		*2.7.0.0* spelling fixes, localization updates\n		*2.6.0.0* localizations, misc\n		*2.5.0.1* #3157, #3153, #3077 (DAHDI Support)\n		*2.5.0* #2845 tabindex\n		*2.4.0.1* #2704 Asterisk 1.6 tweaks\n		*2.4.0* bumped to 2.4\n		*0.3.0.1* bump for rc1\n		*0.3.0* #2187 Fix for Asterisk 1.4\n		*0.2.0* Add depends asterisk xml tag, proper error checking for manager connection, center table titles\n		*0.1.0* Initial release\n	</changelog>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/asteriskinfo/asteriskinfo-2.11.0.89.tgz</location>\n    <md5sum>1412ee44fd470df74989c8f8bbe89ffd</md5sum>\n    <packaged>1402952782</packaged>\n    <sha1>90d282225710ba2d39786c87e9516ccb22ae9262</sha1>\n  </module>\n  <module>\n    <rawname>backup</rawname>\n    <repo>standard</repo>\n    <name>Backup &amp; Restore</name>\n    <version>2.11.0.22</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Admin</category>\n    <description>Backup &amp; Restore for your FreePBX environment</description>\n    <menuitems>\n      <backup>Backup &amp; Restore</backup>\n      <backup_servers>Backup &amp; Restore - Servers</backup_servers>\n      <backup_templates>Backup &amp; Restore - Templates</backup_templates>\n      <backup_restore>Backup &amp; Restore - Restore</backup_restore>\n    </menuitems>\n    <depends>\n      <module>core</module>\n    </depends>\n    <changelog>\n		*2.11.0.22* FREEPBX-7896 Backup email missing from Advanced Settings\n		*2.11.0.21* FREEPBX-7842\n		*2.11.0.20* #7682 and #7433\n		*2.11.0.19* Skipped\n		*2.11.0.18* #7347\n		*2.11.0.17* #7358\n		*2.11.0.16* #7383\n		*2.11.0.15* #7364\n		*2.11.0.14* #7354\n		*2.11.0.13* #7349\n		*2.11.0.12* #7300\n		*2.11.0.11* Fix License to be  v3+\n		*2.11.0.10* #7239\n		*2.11.0.9* Generate a license file\n		*2.11.0.8* #5832 Ensure AstDB is regenerated on restore\n		*2.11.0.7* #7155\n		*2.11.0.6* #6380\n		*2.11.0.5* #6862, #6863\n		*2.11.0.4* #6761\n		*2.11.0.3* #6772\n		*2.11.0.2* #6730, #6549, #6553\n		*2.11.0.1* #6083\n		*2.11.0.0* #6555\n		*2.10.0.44* clarify Run label\n		*2.10.0.43* clarify Run label\n		*2.10.0.42* Packaging of ver 2.10.0.42\n		*2.10.0.41* re #6028 - restore backup to correct server\n		*2.10.0.40* re #6028 - restore backup to correct server\n		*2.10.0.39* Handel large settings db\\\'s with grace\n		*2.10.0.38* Handel large settings db\\\'s with grace\n		*2.10.0.37* Handel large settings db\\\'s with grace\n		*2.10.0.36* re #5996 - use new restore script on remote restores\n		*2.10.0.35* re #5991 -\n		*2.10.0.34* re #5988 - Allow intercom beep to be configurable\n		*2.10.0.33* re #5963 - Make backup suport backups &gt; 2GB\n		*2.10.0.32* version bump for file integrity\n		*2.10.0.31* re #5823 - add more ssh port support; better handeling of backups &gt; 2gb\n		*2.10.0.31* re #5823 - add more ssh port support; better handeling of backups &gt; 2gb\n		*2.10.0.31* bug fixes\n		*2.10.0.30* bug fixes\n		*2.10.0.29* re #5907 - fix astdb backup/restore commands\n		*2.10.0.28* #5871, #5823, #5615, #5825, #5573\n		*2.10.0.27* include core to allow trunks to be disabled\n		*2.10.0.26* implement cdr restore\n		*2.10.0.26* implement cdr restore\n		*2.10.0.25* re #5659 - seems r14000 is missing a chunk of the fix. Here it is.\n		*2.10.0.24* re #5659 - set correct path on local servers; fix array being passed in astdb excludes; visual improvement to run button onhover\n		*2.10.0.23* r13797 was using wrong index\n		*2.10.0.22* #5598\n		*2.10.0.21* revert (and improve) more of r13141 which broke restoring legacy backups\n		*2.10.0.20* #5566\n		*2.10.0.19* #5618, add ability to disable registered trunks on restore\n		*2.10.0.18* #5615, #5619, #5620\n		*2.10.0.17* #5607, #5612, fixes issues with remote restores also\n		*2.10.0.16* #5598, #5599\n		*2.10.0.15* full template changes\n		*2.10.0.14* bug fixes\n		*2.10.0.13* bug fixes\n		*2.10.0.12* bug fixes\n		*2.10.0.11* bug fixes\n		*2.10.0.10* bug fixes\n		*2.10.0.9* improve eventstream log\n		*2.10.0.8* bug fixes\n		*2.10.0.7* bug fixes\n		*2.10.0.6* fixed legacy restore and per file restore bugs\n 		*2.10.0.5* fixes upload and legacy restore\n 		*2.10.0.4* small, critical variable\n 		*2.10.0.3* misc bug fixes\n		*2.10.0.2* #5418\n		*2.10.0.1* don\'t make jquery.jstree.min.js dynamic it blocks caching\n		*2.10.0.0* Backup Module Rewrite\n	</changelog>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/backup/backup-2.11.0.22.tgz</location>\n    <md5sum>3a320a46b5c0409c47c4972b4da3e46f</md5sum>\n    <packaged>1409341787</packaged>\n    <sha1>3435927dc278bf7f41f675ee96cfd581d5b83e09</sha1>\n  </module>\n  <module>\n    <rawname>blacklist</rawname>\n    <repo>standard</repo>\n    <name>Blacklist</name>\n    <version>2.11.0.6</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Admin</category>\n    <menuitems>\n      <blacklist>Blacklist</blacklist>\n    </menuitems>\n    <changelog>\n		*2.11.0.6* Move the c parameter above macro so macro can use it\n		*2.11.0.5* #6923 language not being set.\n		*2.11.0.4* Update license file\n		*2.11.0.3* #7039 use empty_freepbx if available\n		*2.11.0.2* #6515\n		*2.11.0.1* Add htmlhook\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.1* #4922\n		*2.9.0.0* #4531, #2418, #4651, #4653\n		*2.7.0.2* #4726\n		*2.7.0.1* #4266, #4186\n		*2.7.0.0* localizations\n		*2.6.0.2* #3430\n		*2.6.0.1* Added publisher/lic\n		*2.6.0.0* Added support for Unknown/Blocked CID\n		*2.5.0.5* #3557 and localization updates\n		*2.5.0.4* localization updates\n		*2.5.0.3* #3345, translations\n		*2.5.0.2* Swedish Translations\n		*2.5.0.1* #3100, #3101 changes to work with new inbound route changes and fixes previous bug\n		*2.5.0* #2956 no need to try and splice from-zaptel macros anymore\n		*2.4.0.1* #2843 Russian Translation\n		*2.4.0* minor fixes, it translations, bumped for 2.4\n		*1.1.4* #2416 Enable Asterisk 1.6+ support\n		*1.1.3.6* #2455 allow + and other valid dial digits\n		*1.1.3.5* changed categories\n		*1.1.3.4* bump for rc1\n		*1.1.3.3* added xml attribute needsenginedb\n		*1.1.3.2* #2070 syntax fix from below\n		*1.1.3.1* #2070 fix proper use of script tags\n		*1.1.3* #2061 fixed to work with Asterisk 1.4 (wait for confirmation of 1)\n		*1.1.2* #1638 remove duplicate of zapateller instruction\n		*1.1.1* Add he_IL translation\n		*1.1* First 2.2 release. Fix minor warnings.\n	</changelog>\n    <depends>\n      <module>core ge 2.5.1.2</module>\n    </depends>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/blacklist/blacklist-2.11.0.6.tgz</location>\n    <md5sum>cbff5007ee59e28bebc888805d236873</md5sum>\n    <packaged>1409245947</packaged>\n    <sha1>ca2e52c1faec883da73415e29d0ba9fac3d046ea</sha1>\n  </module>\n  <module>\n    <rawname>bria</rawname>\n    <repo>commercial</repo>\n    <name>Bria Cloud Solutions</name>\n    <version>2.11.0.10</version>\n    <publisher>Schmooze Com, Inc.</publisher>\n    <license>Commercial</license>\n    <licenselink>http://literature.schmoozecom.com/EUA/FreePBXCommercialModule-EndUserAgreement.txt</licenselink>\n    <category>Admin</category>\n    <description>COMMERCIAL MODULE REQUIRES A LICENSE AND Bria Cloud Solutions SUBSCRIPTION FOR IT TO FUNCTION. Please visit www.schmoozecom.com/oss.php. This module manages and configures Bria Cloud Solutions.</description>\n    <menuitems>\n      <bria>Bria Cloud Solutions</bria>\n    </menuitems>\n    <depends>\n      <phpversion>5.3.0</phpversion>\n      <phpcomponent>Zend Guard Loader</phpcomponent>\n      <module>userman ge 2.11.0beta2</module>\n    </depends>\n    <changelog>\n		*2.11.0.9* Fix from admin name and groupName being different\n		*2.11.0.8* Module.xml cleanup\n		*2.11.0.7* Fix info link in module.xml\n		*2.11.0.6* More copy changes\n		*2.11.0.5* More copy changes\n		*2.11.0.4* Copy changes\n		*2.11.0.2* Cleanup Help Text\n		*2.11.0.1* Fix issue with device deletion\n		*1.0.0.0* Initial Build\n	</changelog>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <info>https://secure.counterpath.com/Store/CounterPath/BriaCloud.aspx</info>\n    <location>packages/bria/bria-2.11.0.10.tgz</location>\n    <md5sum>11c7e4450756bf55a6bb445bc70dadbb</md5sum>\n    <packaged>1413343682</packaged>\n    <sha1>275a5a4f9ae9d8a3b90c0f8f4fb7a4b82fe55813</sha1>\n  </module>\n  <module>\n    <rawname>bulkdids</rawname>\n    <repo>extended</repo>\n    <name>Bulk DIDs</name>\n    <description>Bulk DIDs uses CSV files to import bulk DIDs with a destination.</description>\n    <version>2.11.1.2</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <menuitems>\n      <bulkdids>Bulk DIDs</bulkdids>\n    </menuitems>\n    <depends>\n      <version>ge2.10alpha0</version>\n    </depends>\n    <location>packages/bulkdids/bulkdids-2.11.1.2.tgz</location>\n    <info/>\n    <changelog>\n		*2.11.1.2* Generate License file\n		*2.11.1.0* Add Fax Import\n		*2.11.0.0* bump version\n		*2.10.0.5* #5852\n		*2.10.0.4* #5668\n		*2.10.0.3* #5478 \n		*2.10.0.2 #5384\n		*2.10.0.1 Category Changes\n		*2.10.0.0 #4898\n		*2.9.0.2* #4897\n		*2.9.0.1* #4788, #4787\n		*2.9.0.0* Updated for 2.9, not released\n		*2.5.0.3* Updated licensing\n		*2.5.0.2* Fixed export functionality\n		*2.5.0.1* Fixed conflict with bulkextensions module\n		*2.5.0.0* Initial Release\n	</changelog>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <md5sum>6c359edc42ffa0a5957a329b6fae0ade</md5sum>\n    <packaged>1402959631</packaged>\n    <sha1>db9af787fabf848d5786397c2e0e24214284b754</sha1>\n  </module>\n  <module>\n    <rawname>bulkextensions</rawname>\n    <repo>extended</repo>\n    <name>Bulk Extensions</name>\n    <description>Bulk Extensions uses CSV files to import and export extensions.</description>\n    <version>2.11.0.7</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <menuitems>\n      <bulkextensions>Bulk Extensions</bulkextensions>\n    </menuitems>\n    <depends>\n      <version>ge2.10</version>\n    </depends>\n    <location>packages/bulkextensions/bulkextensions-2.11.0.7.tgz</location>\n    <info/>\n    <changelog>\n		*2.11.0.7* #7363\n		*2.11.0.6* Generate license file\n		*2.11.0.1* #7099\n		*2.11.0.0* #6149\n		*2.10.0.4* Packaging of ver 2.10.0.4\n		*2.10.0.3* cleanup\n		*2.10.0.2* #5649, #5667\n		*2.10.0.1* #5478\n		*2.10.0.0* new version changes\n		*2.9.0.5* #5091 template.csv was missing three fields\n		*2.9.0.4* standardize spelling\n		*2.9.0.3* Updated localizations\n		*2.9.0.2* Bulk Extensions is only supported when FreePBX run in extensions mode\n		*2.9.0.1* Update to handle extension destinations, code cleanup\n		*2.9.0.0* Update for 2.9 changes\n		*2.7.0.0* #4567 Add fax setting\n		*2.6.0.7* #4495\n		*2.5.0.6* #4150\n		*2.5.0.5* Add permit/deny fields provided by 4Colo. Fixed a small bug in table.csv. Fixed spelling error in template.csv. Added localization for table.csv. See CHANGES for how-to.\n		*2.5.0.4* No changes, re-publishing to get md5sum and location info updated\n		*2.5.0.3* Fixed bug - every notification email after the first one had increasing amounts of unwanted white space at the beginning of the message\n		*2.5.0.2* New feature - Enforce extension range restrictions for admin users - thanks dinhtrung\n			  New feature - Email notification for new accounts\n		*2.5.0.1* changed includes to include_once\n		*2.5.0* Version for FreePBX 2.5\n		*0.2.1*	Beta support for FreePBX 2.5 (unreleased)\n		*0.2.0*	New feature - Export Extensions Documented all supported Extension fields Minor code clean ups\n		*0.1.1*	Fixed bad path and error in tar file\n		*0.1*	First release\n	</changelog>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <md5sum>de6cfab06c4a2acd2c23ce6c0f9bb142</md5sum>\n    <packaged>1402959259</packaged>\n    <sha1>2d4cd10f539591ba1e1fda4f1c0ebdc7102e027c</sha1>\n  </module>\n  <module>\n    <rawname>callback</rawname>\n    <repo>extended</repo>\n    <name>Callback</name>\n    <version>2.11.0.4</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <menuitems>\n      <callback>Callback</callback>\n    </menuitems>\n    <popovers>\n      <callback>\n        <display>callback</display>\n      </callback>\n    </popovers>\n    <changelog>\n		*2.11.0.4* #1953\n		*2.11.0.3* Generate license file\n		*2.11.0.1* Add wrapper function for DB helper\n		*2.11.0.0* #6051\n		*2.10.0.1* #5478\n		*2.10.0.0* new version changes\n		*2.9.0.4* spellings, localizaions\n		*2.9.0.3* #4840\n		*2.9.0.2* #4787\n		*2.9.0.1* set repo\n		*2.9.0.0* #4639, #4655\n		*2.8.0.0* published 2.8 version\n		*2.7.0.0* localizations\n		*2.6.0.1* #3838\n		*2.6.0.0* localizations, misc\n		*2.5.0.2* #3272 missing callback_check_destinations(), localization fixes\n		*2.5.0.1* Swedish Translations, fix Italian Translations\n		*2.5.0* #2845 tabindex\n		*2.4.0.2* #2843 Russian Translation\n		*2.4.0.1* add 2.4.0 dependency\n		*2.4.0* extension/destination registry, it translations\n		*1.4.2.3* changed categories\n		*1.4.2.2* bump for rc1\n		*1.4.2.1* changed freePBX to FreePBX\n		*1.4.2* merge findmefollow/core extension destinations if any\n		*1.4.1* Moved callback agi script from core to module\n		*1.4.0* SQLite3 support, fixes ticket:1793 (only for FreePBX 2.3)\n		*1.3.1* Add he_IL translation\n		*1.3* Fixed UI errors for new 2.2 look.\n		*1.2* First 2.2 release\n	</changelog>\n    <depends>\n      <version>2.4.0</version>\n    </depends>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/callback/callback-2.11.0.4.tgz</location>\n    <md5sum>ae2fd20e90fc700e99929d597b3b377c</md5sum>\n    <packaged>1403296817</packaged>\n    <sha1>637a972d452feae18cb807defc80261b9adc0856</sha1>\n  </module>\n  <module>\n    <rawname>callforward</rawname>\n    <repo>standard</repo>\n    <name>Call Forward</name>\n    <version>2.11.5</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>AGPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/agpl-3.0.txt</licenselink>\n    <changelog>\n		*2.11.5* Generate license file\n		*2.11.1* Removed the ability to callforward other xtns by default.\n		*2.11.0.1* #6857 related\n		*2.11.0.0* bump version\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.1* #4758\n		*2.9.0.0* #4651\n		*2.8.0.4* #4578\n		*2.8.0.3* #4294\n		*2.8.0.2* #4114, #4115, #3605\n		*2.8.0.1* #4214\n		*2.8.0.0* #4116, #4105 again\n		*2.7.0.2* #4103, #4104, #4105\n		*2.7.0.1* localizations\n		*2.7.0.0* #4047 CF toggle + devstate and hint additions\n		*2.6.0.1* Added publisher/lic\n		*2.6.0.0* #3650, #3651, localizations\n		*2.5.0.1* localization fixes\n		*2.5.0* localization fixes, Swedish\n		*2.4.0* bumped for 2.4\n		*1.1.2* #2321 fixed CF AMPUSER(number) issue, syntax problem\n		*1.1.1.2* changed categories\n		*1.1.1.1* bump for rc1\n		*1.1.1* changed ${CALLERID(number)} to ${AMPUSER} to accomodate CID number masquerading\n		*1.1* First release for 2.2\n	</changelog>\n    <description>Provides callforward featurecodes</description>\n    <category>Applications</category>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/callforward/callforward-2.11.5.tgz</location>\n    <md5sum>b63a5e3b5225b2288b6b40d12348cf4e</md5sum>\n    <packaged>1413234556</packaged>\n    <sha1>dac415fe11572b43eeac2742c0703c91d3b7ecc8</sha1>\n  </module>\n  <module>\n    <rawname>callrecording</rawname>\n    <repo>standard</repo>\n    <name>Call Recording</name>\n    <version>2.11.0.8</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <candisable>no</candisable>\n    <canuninstall>no</canuninstall>\n    <category>Applications</category>\n    <description>\n		Provides much of the call recording functionality.\n	</description>\n    <menuitems>\n      <callrecording>Call Recording</callrecording>\n    </menuitems>\n    <popovers>\n      <callrecording>\n        <display>callrecording</display>\n      </callrecording>\n    </popovers>\n    <changelog>\n		*2.11.0.8* Generate License file\n		*2.11.0.7* #7315\n		*2.11.0.6* Generate License file\n		*2.11.0.5* Use abstracted function for last insert id\n		*2.11.0.4* #6914, PBXAC-13\n		*2.11.0.3* #6766 (fixes regression from #6708)\n		*2.11.0.2* #6708\n		*2.11.0.1* #6051\n		*2.11.0.0* #5909 outbound route recording settings\n		*2.10.0.2* add mgr script for one-touch-record\n		*2.10.0.1* #5478\n	  *2.10.0.0* New Module\n	</changelog>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/callrecording/callrecording-2.11.0.8.tgz</location>\n    <md5sum>75edd3b14082ad264e51649ef0113b6e</md5sum>\n    <packaged>1402952813</packaged>\n    <sha1>39ba878997fd964d1c7041584f7bbf86ab7f34c6</sha1>\n  </module>\n  <module>\n    <rawname>callwaiting</rawname>\n    <repo>standard</repo>\n    <name>Call Waiting</name>\n    <description>Provides an option to turn on/off call waiting</description>\n    <category>Applications</category>\n    <version>2.11.0.4</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <changelog>\n		*2.11.0.4* Generate License file\n		*2.11.0.2 * Bump version to try and force it to install\n		*2.11.0.1* #6857\n		*2.11.0.0* bump version\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.0* #4532, #4651\n		*2.8.0.0* published 2.8 version\n		*2.7.0.0* localizations\n		*2.6.0.1* Added publisher/lic\n		*2.6.0.0* #3650, #3651, localizations\n		*2.5.0* localization string enclosures\n		*2.4.0* bumped for 2.4\n		*1.1.2.2* changed categories\n		*1.1.2.1* bump for rc1\n		*1.1.2* changed ${CALLERID(number)} to ${AMPUSER} to accomodate CID number masquerading\n		*1.1* First release for 2.2\n	</changelog>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/callwaiting/callwaiting-2.11.0.4.tgz</location>\n    <md5sum>52a1719827b4e7827566717d171a2061</md5sum>\n    <packaged>1413234520</packaged>\n    <sha1>312f6792de21c4320667596874b74ced86ccb7c8</sha1>\n  </module>\n  <module>\n    <rawname>campon</rawname>\n    <repo>standard</repo>\n    <name>Camp-On</name>\n    <version>2.11.0.2</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Settings</category>\n    <changelog>\n		*2.11.0.3* Update license file\n		*2.11.0.1* #6876\n		*2.11.0.0* bump version\n		*2.10.0.2* #5705, #5710\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.0* spelling, cosmetics\n		*2.9.0beta1.0* #778 Camp-On implenentation using CCSS, beta release requires Asterisk patch 18788 for full functionality\n	</changelog>\n    <description>This module implements the Call Completion Supplemental Services (CCSS) often referred to as Call Camping or Camp-On. It allows a caller to request the system call them back when a busy or non-responding extension becomes available. Requires Asterisk 1.8 or higher.\n	</description>\n    <depends>\n      <engine>asterisk 1.8</engine>\n    </depends>\n    <supported>\n      <version>2.9</version>\n    </supported>\n    <location>packages/campon/campon-2.11.0.2.tgz</location>\n    <md5sum>f1bc52804c8c3b88c0c259a67e685dfe</md5sum>\n    <packaged>1402952835</packaged>\n    <sha1>a9343f245fa68f98788af7b89bf7df739c74a65c</sha1>\n  </module>\n  <module>\n    <rawname>cdr</rawname>\n    <repo>standard</repo>\n    <description>Call Data Record report tools for viewing reports of your calls</description>\n    <name>CDR Reports</name>\n    <version>2.11.0.11</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Reports</category>\n    <menuitems>\n      <cdr>CDR Reports</cdr>\n    </menuitems>\n    <changelog>\n		*2.11.0.11* #7338\n		*2.11.0.10* generate license file\n		*2.11.0.8* #6798 - fix query which returned incorrect results\n		*2.11.0.7* #6798\n		*2.11.0.6* Database Abstraction Layer Fixes\n		*2.11.0.5* #6123\n		*2.11.0.4* #6545, #6540, #6736\n		*2.11.0.3* #6603\n		*2.11.0.2* #6391\n		*2.11.0.1* #6255\n		*2.11.0.0* finish #5782 generate cel and res_odbc conf files, requires odbc.ini to be configured\n		*2.11.0.beta1.2* #6134 again\n		*2.11.0.beta1.1* #6134\n		*2.11.0.beta1.0* adds proper cid fields\n		*2.11.0.alpha2* #5788, #5782 more\n		*2.11.0.alpha1* #5782 Adds some CEL support ODBC and CEL manual setup required see cel.man.zip\n		*2.10.0.4* formatting tweaks\n		*2.10.0.3* #5500\n		*2.10.0.2* #5478, $5479\n		*2.10.0.1* add call recordings to CDR\n		*2.10.0.0* #1426\n		*2.10.0.beta4*  Bug fixes, re-categorizations\n		*2.10.0.beta3*  Speed up download of csv\n		*2.10.0.beta2*  Bug fixes\n		*2.10.0.beta1*  Play recorded files\n		*2.10.0.alpha6* Bug fix in recordings settings\n		*2.10.0.alpha5* Added localization\n		*2.10.0.alpha4* Added csv export\n		*2.10.0.alpha3* First public release\n		*2.10.0.alpha2* Not released to public\n		*2.10.0.alpha1* Not released to public\n		*2.10.0.alpha0* Not released to public\n	</changelog>\n    <depends>\n      <module>core ge 2.6.0</module>\n    </depends>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/cdr/cdr-2.11.0.11.tgz</location>\n    <md5sum>8db7766abc03a2197fce61f0636883bb</md5sum>\n    <packaged>1413234715</packaged>\n    <sha1>a6986ac1ecea25ed0a406bcda69ef9c0c9535968</sha1>\n  </module>\n  <module>\n    <rawname>cidlookup</rawname>\n    <repo>standard</repo>\n    <name>CallerID Lookup</name>\n    <version>2.11.1.11</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <description>Allows CallerID Lookup of incoming calls against different sources (OpenCNAM, MySQL, HTTP, ENUM, Phonebook Module)</description>\n    <category>Admin</category>\n    <changelog>\n		*2.11.1.11* #8075 - Change number of OpenCNAM lookups on the free plan\n		*2.11.1.10* FREEPBX-7453 HTTPS lookup type does not display a form for settings\n		*2.11.1.9* Update license\n		*2.11.1.8* Use FreePBX Empty Function\n		*2.11.1.7* HTTPS Support #6477\n		*2.11.1.6* #6382\n		*2.11.1.5* Add charset to MySQL lookups\n		*2.11.1.4* Hide none from showing up.\n		*2.11.1.3* Fixes #6410 - remove duplicate opencnam sources and prevent that from happening in the future.\n		*2.11.1.2* Fixes #6390 - add id to input element to fix js validation on http_host\n        *2.11.1.1* Fixes #6374 Reorder placement of CID lookups to after blacklist. This will prevent useless dips.\n        *2.11.1.0* Restructure module to MVC standards. Use jQuery. Setup simple module structure (future). Clean up all the junk\n		*2.11.0.0* new version change, #6094 (Added OpenCNAM)\n		*2.10.0.1* #5478\n		*2.10.0.0* new version changes\n	</changelog>\n    <menuitems>\n      <cidlookup>CallerID Lookup Sources</cidlookup>\n    </menuitems>\n    <depends>\n      <engine>asterisk 1.6</engine>\n      <module>framework ge 2.11.0.0rc1.6</module>\n    </depends>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/cidlookup/cidlookup-2.11.1.11.tgz</location>\n    <md5sum>c2854e27ace823e287a6da9e6055a325</md5sum>\n    <packaged>1412605839</packaged>\n    <sha1>7b577e0d03e503b7411cf3a7ac4220fd13fc5729</sha1>\n  </module>\n  <module>\n    <rawname>conferences</rawname>\n    <repo>standard</repo>\n    <name>Conferences</name>\n    <version>2.11.0.6</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <description>Allow creation of conference rooms (meet-me) where multiple people can talk together.</description>\n    <changelog>\n		*2.11.0.6* #1953\n		*2.11.0.5* Add BLF feature code (*87)\n		*2.11.0.4* Update license\n		*2.11.0.3* #6098\n		*2.11.0.2* Ensure object isn\'t duplicated\n		*2.11.0.1* removed leftover dbug statement\n		*2.11.0.0* #6051\n		*2.10.0.8* #5916\n		*2.10.0.7* #5806 Asterisk 10 only\n		*2.10.0.6* #5800 Asterisk 10 only\n		*2.10.0.5* #5752 double pin request\n		*2.10.0.4* #5664 get app_confbridge working on Asterisk 10\n		*2.10.0.3* #5632\n		*2.10.0.2* #5478\n		*2.10.0.1* #5451\n		*2.10.0.0* new version changes\n	</changelog>\n    <depends>\n      <version>2.5.0alpha1</version>\n      <module>recordings ge 3.3.8</module>\n    </depends>\n    <menuitems>\n      <conferences>Conferences</conferences>\n    </menuitems>\n    <popovers>\n      <conferences>\n        <display>conferences</display>\n      </conferences>\n    </popovers>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/conferences/conferences-2.11.0.6.tgz</location>\n    <md5sum>fb450e53efac537dcb7fa25b69cc9af6</md5sum>\n    <packaged>1403297316</packaged>\n    <sha1>31f7ac4520a996d41c9fd4450632d1db32e72b94</sha1>\n  </module>\n  <module>\n    <rawname>contactdir</rawname>\n    <name>Contact Directory</name>\n    <version>2.11.0.1</version>\n    <publisher>Schmoozecom.com</publisher>\n    <license>Commercial</license>\n    <repo>unsupported</repo>\n    <category>Settings</category>\n    <description>Add servers users can import contacts from</description>\n    <changelog>\n		*2.11.0.1* Use new abstraction layer\n		*2.11.0.0* bump version\n		*2.10.0.9* fix errant div closure\n		*2.10.0.8* moved to settings from admin\n		*2.10.0.7* ari bug fixes\n		*2.10.0.6* re #1245 - quote first and last name in user panel\n		*2.10.0.5* Security update; downstream changes\n		*2.10.0.4* Security update; downstream changes\n		*2.10.0.3* Security update; downstream changes\n	</changelog>\n    <depends>\n      <version>2.5.0</version>\n    </depends>\n    <menuitems>\n      <contactdir>Contact Directory Servers</contactdir>\n    </menuitems>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/contactdir/contactdir-2.11.0.1.tgz</location>\n    <md5sum>d565e49ffc9e995601adbdf3e9309a0a</md5sum>\n    <packaged>1395795470</packaged>\n    <sha1>368e03e3ed67b5ec90b494c1478afbece6678fc3</sha1>\n  </module>\n  <module>\n    <rawname>core</rawname>\n    <repo>standard</repo>\n    <category>Applications</category>\n    <name>Core</name>\n    <version>2.11.0.34</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <candisable>no</candisable>\n    <canuninstall>no</canuninstall>\n    <changelog>\n		*2.11.0.34* Add global for db\n	        *2.11.0.33* FREEPBX-8064 - escape values when adding or deleting adminstrative users, FREEPBX-7899 - get_config from core should be the last one called, as a result moving this to use a priority in module.xml with a high enough priority\n		*2.11.0.32* #7899 - fix core_get_config priority\n		*2.11.0.31* Part fix for #6923 language not being set.\n		*2.11.0.27* FREEPBX-6914 Notify user when the callrecording module is not installed so they know not to press star 1\n		*2.11.0.26* FREEPBX-7422 Fix Japan Country Indication Tones\n		*2.11.0.25* Set OUTBOUND_ROUTE_NAME to name of outbound route\n		*2.11.0.24* update license file\n		*2.11.0.21* #5698 #7317\n		*2.11.0.20* Fix last_id to use proper wrapper\n		*2.11.0.19* Use Framework new wrapper function for last_id\n		*2.11.0.18* #7202, #7231, add display of presence state in connectedline name, stop duplicate trigger events on advanced settings page, minor device and user mode fix, tidy up ancient checks in macro-user-callerid, helper for changes to cronmanager updated\n		*2.11.0.17* Tidy up ancient checks in macro-user-callerid, add minor Device User Mode fix\n		*2.11.0.16* Update Cron Manager settings when changed from advanced settings\n		*2.11.0.15* #7202 Ensure MoH Variables are always set\n		*2.11.0.14* Add option for displaying presence state in connectedline name\n		*2.11.0.13* Fix for incorrectly parsed http.conf migration settings\n		*2.11.0.12* Monitor Presence on extension hints\n		*2.11.0.11* Added HTTP.conf to core\n		*2.11.0.10* #6915, #6318, #6902\n		*2.11.0.9* #6993 Add new toll-free route to wizard\n		*2.11.0.8* Dont generate SIP Secret if device was previously saved with no SIP Secret\n		*2.11.0.7* #6786, #6462, #6922, #6345\n		*2.11.0.6* #6522, #6758, #6750, #6753\n		*2.11.0.5* #6760\n		*2.11.0.4* #6732, #6766\n		*2.11.0.3* #6147, #6681, #6731\n		*2.11.0.2* #6654, #6639, #6366\n		*2.11.0.1* #6535, #6604, #6576\n		*2.11.0.0* 2.11.0 final\n		*2.11.0.0rc1.5* change dependency\n		*2.11.0.0rc1.4* #6366, #6541\n		*2.11.0.0rc1.3* Fixes to gui_drawselects re #6541\n		*2.11.0.0rc1.2* Fixes #6446, queue recording\n		*2.11.0.0rc1.1* at generation set rtp values if class is empty\n		*2.11.0.0rc1.0* rtp.conf cleanup, misc\n		*2.11.0.0beta2.7* Fixes #6459, #6237 call fails on internal pickup in ring group when call confirm is enabled\n		*2.11.0.0beta2.6* r15400\n		*2.11.0.0beta2.5* r15308\n		*2.11.0.0beta2.4* Move control of rtp.conf and rtp_additional.conf into core re #6397\n	    *2.11.0.0beta2.3* #5977, #6262, #6292, #6337\n	    *2.11.0.0beta2.2* #5828, #6263\n	    *2.11.0.0beta2.1* #6261\n	    *2.11.0.0beta2.0* more on #5782, #6141, beta2\n	    *2.11.0.0beta1.10* Regression #6068\n	    *2.11.0.0beta1.9* #6138\n	    *2.11.0.0beta1.8* #6140, #6141\n	    *2.11.0.0beta1.7* #6079, #6063, #6109, #6122, #6130\n	    *2.11.0.0beta1.6* #6012, #6134\n	    *2.11.0.0beta1.5* #6012\n		*2.11.0.0beta1.4* #5113\n		*2.11.0.0beta1.3* #6051\n		*2.11.0.0beta1.2* #6034, #6024 #6023, #6021, #6019, #6015, #6013, #6.12, #6001, #6002, #5998\n		*2.11.0.0beta1.1* #6001\n		*2.11.0.0beta1.0* bump to beta and #5998, #5999\n		*2.10.1.2* r15308\n		*2.10.1.1* #5904, #5981, #6109, #6122, #6130\n		*2.10.1.0* #5863\n		*2.10.0.8* #5816 (work around asterisk bug)\n		*2.10.0.7* #5783\n		*2.10.0.6* #5714, undefined variable fixes\n		*2.10.0.5* #5664 additional work\n		*2.10.0.4* #2939 and put back changes reverted in r13846 with fix for extension deletion\n		*2.10.0.3* revert back to r13742 until current issue can be debugged\n		*2.10.0.2* #5664, #5678\n		*2.10.0.1* #5385, #5381\n		*2.10.0.0* bump to final, minor tweaks\n		*2.10.0rc1.3* #5618, #5633\n		*2.10.0rc1.2* #5300, #5374, #5358, #4911, #4969, #5073\n		*2.10.0rc1.1* #5117, #5456\n		*2.10.0rc1.0* release candidate, remove unused hint\n		*2.10.0beta3.0* #5468, #5299, #5477, #5478\n		*2.10.0beta2.1* #5463, call recording bug fixes, generalize CC_RECALL, misc bug fixes\n		*2.10.0beta2.0* #5407, misc bug fixes\n		*2.10.0beta1.1* bug fixes\n		*2.10.0beta1.0* beta1 release, see svn log\n		*2.9.0.0* #5117\n		*2.9.0rc1.6* #5095, #5109\n		*2.9.0rc1.5* #5055\n		*2.9.0rc1.4* #5065, #5057\n		*2.9.0rc1.3* #4871 again\n		*2.9.0rc1.2* #4871, misc\n		*2.9.0rc1.1* #5011, #5017, #5033\n		*2.9.0rc1.0* #4987, #4989, #5000, #4998, #4995\n	</changelog>\n    <depends>\n      <module>framework ge 2.11.0.30</module>\n      <version>2.11.0alpha0</version>\n    </depends>\n    <requirements>\n      <file>/usr/sbin/asterisk</file>\n    </requirements>\n    <menuitems>\n      <extensions>Extensions</extensions>\n      <users>Users</users>\n      <devices>Devices</devices>\n      <did>Inbound Routes</did>\n      <dahdichandids>DAHDI Channel DIDs</dahdichandids>\n      <routing>Outbound Routes</routing>\n      <trunks>Trunks</trunks>\n      <advancedsettings>Advanced Settings</advancedsettings>\n      <ampusers>Administrators</ampusers>\n      <wiki>FreePBX Support</wiki>\n    </menuitems>\n    <popovers>\n      <extensions>\n        <display>extensions</display>\n      </extensions>\n      <users>\n        <display>users</display>\n      </users>\n    </popovers>\n    <methods>\n      <get_config>core_do_get_config</get_config>\n    </methods>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/core/core-2.11.0.34.tgz</location>\n    <md5sum>4c50b57485cd1f453cd1eb58479e838f</md5sum>\n    <packaged>1412366137</packaged>\n    <sha1>6fee54b4821d62638454f4ddc5b412a0bedbe2ad</sha1>\n  </module>\n  <module>\n    <rawname>customappsreg</rawname>\n    <repo>standard</repo>\n    <name>Custom Applications</name>\n    <version>2.11.0.2</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Admin</category>\n    <description>\n		Registry to add custom extensions and destinations that may be created and used so that the Extensions and Destinations Registry can include these.\n	</description>\n    <menuitems>\n      <customextens>Custom Extensions</customextens>\n      <customdests>Custom Destinations</customdests>\n    </menuitems>\n    <popovers>\n      <customappsreg>\n        <display>customdests</display>\n      </customappsreg>\n    </popovers>\n    <changelog>\n		*2.11.0.2* Add license info\n		*2.11.0.1* Custom Application Popover Allowance\n		*2.11.0.0* #6051\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.1* #4001\n		*2.9.0.0* #4618 XSS patch\n		*2.8.0.0* published 2.8 version\n		*2.7.0.0* localizations\n		*2.6.0.2* localizations\n		*2.6.0.1* localizations, misc\n		*2.6.0.0* stoped harmless php warning msg\n		*2.5.0.4* #3263, localization fixes\n		*2.5.0.3* localizations fixes\n		*2.5.0.2* localization, Swedish\n		*2.5.0.1* #3003 spelling\n		*2.5.0* #2845 tabindex\n		*2.4.0.5* #2843 Russian Translation\n		*2.4.0.4* #2700 block editing of destination field when once other modules are using it\n		*2.4.0.3* added depends on 2.4.0\n		*2.4.0.2* #2558 can\'t edit/del custom extension\n		*2.4.0.1* Fix typo in install script, non-existent primary key\n		*2.4.0* First release of module\n	</changelog>\n    <depends>\n      <version>2.4.0</version>\n    </depends>\n    <location>packages/customappsreg/customappsreg-2.11.0.2.tgz</location>\n    <md5sum>f66b883fe1f9744423199ac986068308</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1402953154</packaged>\n    <sha1>f36e0b0f1fa6aad76e2a0983a04a01f9cc638b85</sha1>\n  </module>\n  <module>\n    <rawname>customcontexts</rawname>\n    <repo>unsupported</repo>\n    <name>Custom Contexts</name>\n    <version>2.11.0.1</version>\n    <category>Connectivity</category>\n    <description>\n		Creates custom contexts which can be used to allow limited access to dialplan applications. Allows for time restrictions on any dialplan access. Allows for pattern matching to allow/deny. Allows for failover destinations, and PIN protected failover. This can be very useful for multi-tennant systems. Inbound routing can be done using DID or zap channel routing,	this module allows for selective outbound routing. House/public phones can be placed in a restricted context allowing them only internal calls.\n	</description>\n    <menuitems>\n      <customcontexts>Custom Contexts</customcontexts>\n      <customcontextsadmin>Custom Contexts Admin</customcontextsadmin>\n    </menuitems>\n    <depends>\n      <version>2.8.0alpha1</version>\n      <module>core</module>\n      <module>timeconditions</module>\n    </depends>\n    <changelog>\n		*2.11.0.1* Fix module.xml\n		*2.11.0.0* bump version\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.0* #4986, 2.9 bump\n	</changelog>\n    <attention>\n		This is an advanced module, and you should not use it without understanding asterisk dialplans! This is meant as a convenience tool for someone who would have had to resort to config editing. If you experience problems with it, just disable it and no harm done. REMEMBER! Any device placed in a restricted context will have no access to the dialplan if this module is disabled until it is placed in a normal context!\n	</attention>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/customcontexts/customcontexts-2.11.0.1.tgz</location>\n    <md5sum>4ab0ff2260517994c69b7ee08f1215e5</md5sum>\n    <packaged>1413235050</packaged>\n    <sha1>bb40367d67f3535a5abae030102e30d0ba7bcafe</sha1>\n  </module>\n  <module>\n    <rawname>cxpanel</rawname>\n    <name>iSymphonyV3</name>\n    <version>3.1.6</version>\n    <type>setup</type>\n    <category>Admin</category>\n    <description>\n		This module automatically configures the operator panel to reflect the PBX configuration.\n	</description>\n    <menuitems>\n      <cxpanel>iSymphonyV3</cxpanel>\n      <cxpanel_menu>iSymphonyV3 Panel</cxpanel_menu>\n    </menuitems>\n    <depends>\n      <version>&gt;=2.10.0</version>\n    </depends>\n    <depends>\n      <module>userman ge 2.11.6</module>\n    </depends>\n    <location>packages/cxpanel/cxpanel-3.1.6.tgz</location>\n    <md5sum>3bcc11f9e168d90b42418f1010b7e938</md5sum>\n    <changelog>\n	</changelog>\n    <info>http://www.getisymphony.com</info>\n    <publisher>i9 Technologies</publisher>\n    <license>GPLv3</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <repo>standard</repo>\n    <packaged>1412714620</packaged>\n    <sha1>f5a0652e5cb5cf83493294fea2c8e260fe08a647</sha1>\n  </module>\n  <module>\n    <rawname>dahdiconfig</rawname>\n    <repo>extended</repo>\n    <category>Connectivity</category>\n    <name>DAHDi Config</name>\n    <version>2.11.47</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <candisable>yes</candisable>\n    <canuninstall>yes</canuninstall>\n    <changelog>\n			*2.11.47* Visual Cleanup\n			*2.11.46* Attempt to fix some errors in javascript\n			*2.11.45* Fix all the bugs. Yes I am trying! Also allow resetting of groups if needed per span (FREEPBX-7381) and FREEPBX-7051\n			*2.11.44* Wrong channel count bug. Argh\n			*2.11.43* Fix channel range for Analog T1 and add echocan info\n			*2.11.42* FREEPBX-7437 Fix sangoma module bug\n			*2.11.41* Add license info\n			*2.11.40* Database abstraction layer fixes\n			*2.11.39* Just remove the notice all together. Its too confusing.\n			*2.11.38* Resolve outstanding wanpipe global.conf issues\n			*2.11.37* #7142 fixes Sangoma dual selection modes which were confusing and diverged\n			*2.11.36* Putting the fix within the foreach loop would probably help\n			*2.11.35* Only force set hardhdlc on sangoma cards everthing else shold be automatic\n			*2.11.34* Added support for FXS digital channels to support Rhino CB-24 Channel Banks\n			*2.11.33* Fixes #7111, Change dchan= to be hardhdlc=\n			*2.11.32* Fixes #6628, Dont run dahdi_cfg on retrieve_conf\n			*2.11.31* Packaging of ver 2.11.31\n			*2.11.30* Packaging of ver 2.11.30\n			*2.11.29* Russian language support\n			*2.11.28* Dont depend on modprobe to give accurate information\n			*2.11.27* Fixes: #6963, #6955, #6962, #6961, #6960, #6959, #6351, #6797, #6921, #6742, #6919\n			*2.11.26* Remove symlinked hook file on uninstall\n			*2.11.25* Allow editing and sorting of DAHDi Modules File Directly\n			*2.11.24.1* #6585, #6461, #6583\n			*2.11.24* Fixes #6583, Add txgain and rxgain per digital card.\n			*2.11.23* Fixes Lanuage Name #6442\n			*2.11.22* Fixes #6434, #6438, #6361 Add many more languages (not all are tested). Fixed issue of resetting data on module upgrade.\n			*2.11.21* Fixes #6434,#6436 (only show fwringer of module is wctdm) added italian re #6361\n			*2.11.20* Fixes #6420 dont allow usage of fwringdetect in 2.6.0 and greater\n			*2.11.19* Add sangoma GSM card control and setup\n			*2.11.18* Fixes #6329 and random Insert fatal\n			*2.11.17* Fixes #6346, dont try to write to sangoma config if we set the option to no (default)\n			*2.11.16* Fixes #6329 and random Insert fatal\n			*2.11.15* Fixes #6289, also allows users to define the location of dahdi and dahdi configuration files\n			*2.11.14* With help from [sr] Fixes #6244 and also fixes #6247\n			*2.11.11* Fix #6281, #6269. Work on BRI re #6244\n			*2.11.9* Protect End Users Configuration Files\n			*2.11.8* Sangoma Support\n			*2.11.7* Fixed modprobe overwrite issue and space after equals\n			*2.11.6* Moshe skinin\'\n			*2.11.5* Remove mac extra atts...again\n			*2.11.4* Finished modprobe additional custom entries and cleanup\n			*2.11.3* Fix up restarting issues and General Settings additional Settings\n			*2.11.2* Add to extended repo\n			*2.11.1.8* Fixes #4409\n			*2.11.1.5* Fixes #4558, #4837, #5005, #5256\n	</changelog>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <depends>\n      <phpversion>5.3.0</phpversion>\n      <version>2.10</version>\n    </depends>\n    <requirements>\n      <file>/usr/sbin/asterisk</file>\n      <file>/usr/sbin/dahdi_scan</file>\n      <file>/usr/sbin/dahdi_genconf</file>\n      <file>/usr/sbin/dahdi_cfg</file>\n    </requirements>\n    <menuitems>\n      <dahdi>DAHDi Config</dahdi>\n    </menuitems>\n    <location>packages/dahdiconfig/dahdiconfig-2.11.47.tgz</location>\n    <md5sum>9bcc99ac45be003719a8c26a6dc00923</md5sum>\n    <packaged>1408491326</packaged>\n    <sha1>db537a3adf6046850f4d63efe713b6d896a5e545</sha1>\n  </module>\n  <module>\n    <rawname>dashboard</rawname>\n    <repo>standard</repo>\n    <name>System Dashboard</name>\n    <version>2.11.0.5</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <candisable>no</candisable>\n    <canuninstall>no</canuninstall>\n    <category>Reports</category>\n    <description>\n		Provides a system information dashboard, showing information about Calls, CPU, Memory, Disks, Network, and processes.\n	</description>\n    <menuitems>\n      <dashboard>FreePBX System Status</dashboard>\n    </menuitems>\n    <depends>\n      <version>2.3.0beta2</version>\n    </depends>\n    <changelog>\n		*2.11.0.5* Add license info\n		*2.11.0.2* Fixes #6514 Check if is_int or ctype_digit\n		*2.11.0.1* fix to ajax path for alt labels\n		*2.11.0.0* bump to 2.11\n		*2.10.0.3* #5292, #5145\n		*2.10.0.2* #5478 \n		*2.10.0.1* remove FOP specific code\n		*2.10.0.0* new version changes\n	</changelog>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/dashboard/dashboard-2.11.0.5.tgz</location>\n    <md5sum>fb61d9544e1e07e4245fb84017c10bcc</md5sum>\n    <packaged>1413234600</packaged>\n    <sha1>4b8738c1f711cc34a65db9c0cbbeb3ffbf706138</sha1>\n  </module>\n  <module>\n    <rawname>daynight</rawname>\n    <repo>standard</repo>\n    <name>Call Flow Control</name>\n    <version>2.11.0.4</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <description>\n		Call Flow manual toggle control - allows for two destinations to be chosen and provides a feature code\n		that toggles between the two destinations.\n	</description>\n    <changelog>\n		*2.11.0.4* Part fix for #6923 language not being set.\n		*2.11.0.3* Add license file\n		*2.11.0.2* Add a * to toggle all extension feature codes\n		*2.11.0.1* Add feature code to toggle all\n		*2.10.0.0* new version changes\n		*2.9.0.3* #4993\n		*2.9.0.2* #4740, #4758, #4768\n		*2.9.0.1* #4651, #4653, #4655\n		*2.9.0.0* #4636\n		*2.8.0.0* #4309\n		*2.7.0.0* spelling errors, localizations\n		*2.6.0.2* #3585 custom recordings\n		*2.6.0.1* init tabindex\n		*2.6.0.0* #3650, #3651\n	</changelog>\n    <depends>\n      <version>2.5.0alpha1</version>\n    </depends>\n    <menuitems>\n      <daynight>Call Flow Control</daynight>\n    </menuitems>\n    <popovers>\n      <daynight>\n        <display>daynight</display>\n      </daynight>\n    </popovers>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/daynight/daynight-2.11.0.4.tgz</location>\n    <md5sum>b5886425103120dd653e8b5942a9d1b2</md5sum>\n    <packaged>1402082233</packaged>\n    <sha1>390d9b85b1ef0f5594bd54f91a4e9fc9f606cff4</sha1>\n  </module>\n  <module>\n    <rawname>dictate</rawname>\n    <repo>extended</repo>\n    <name>Dictation</name>\n    <version>2.11.0.3</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <changelog>\n		*2.11.0.3* #6613\n		*2.11.0.0* bump version\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.0* #4533, #4651\n		*2.8.0.0* published 2.8 version\n		*2.7.0.1* localizations\n		*2.7.0.0* #3873\n		*2.6.0.0* localizations\n		*2.5.0.2* localization string enclosures\n		*2.5.0.1* #2530 typo _GLOBALS should be GLOBALS\n		*2.5.0* typo in $_GLOBALS variable\n		*2.4.0* abort if user/extension conflict and move hook after user/extnesion hook\n		*1.1.2.3* #2312 fix dictate in devicesandusers mode\n		*1.1.2.2* changed categories\n		*1.1.2.1* bump for rc1\n		*1.1.2* changed ${CALLERID(number)} to ${AMPUSER} to accomodate CID number masquerading\n		*1.1.1* Fix for Dictation not appearing on User page when in Device and User mode.\n		*1.1* Fix changes not sticking when creating an extension, replace Rob-sounds with Allison-sounds.\n		*1.0.1* Replaced \'invalid extension\' with \'feature not available on this line\' when disabled\n		*1.0.0* Original Release\n	</changelog>\n    <description>This uses the app_dictate module of Asterisk to let users record dictate into their phones. When complete, the dictations can be emailed to an email address specified in the extension page.</description>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/dictate/dictate-2.11.0.3.tgz</location>\n    <md5sum>ba35f7d78affade51c47cb7d762c0f5a</md5sum>\n    <packaged>1402959178</packaged>\n    <sha1>6cf2330f37b6caaf1d974cdce012c90e25f20d8c</sha1>\n  </module>\n  <module>\n    <rawname>digium_phones</rawname>\n    <repo>standard</repo>\n    <type>setup</type>\n    <category>Connectivity</category>\n    <name>Digium Phones Config</name>\n    <version>2.11.2.1</version>\n    <publisher>Digium</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <candisable>yes</candisable>\n    <canuninstall>yes</canuninstall>\n    <changelog>\n		*2.11.2.1* Fix for class loading problem\n		*2.11.2.0* Cleanup, support for DPMA 2.1, D45, Logo upload, firmware download enhanced, Ringtones configured to phone\n		*2.11.1.1* update to correct GPL v3 license and move all copyright into proper functions.inc.php file.\n		*2.11.1.0* Relocate firmware directory\n		*2.11.0.10* Use abstracted function\n		*2.11.0.9* Improve error reporting of firmware download\n		*2.11.0.8* When reloading, we explicitly skip astman\n		*2.11.0.7* Retrieve_conf speed improvements\n		*2.11.0.6* Recover from missing firmware directory\n		*2.11.0.5* Fixes for Custom Apps, External Line Edit, Download\n			and select firmware, Queue Members, Status Entries\n		*2.11.0.4* Fixed general settings save, dragdrop pb and net\n		*2.11.0.3* Fixed Not Saving Data #6747\n		*2.11.0.1* FreePBX/Schmoozecom Release\n		*2.10.0.9.3* Styling\n		*0.1* initial commit\n	</changelog>\n    <depends>\n      <phpversion>5.2.0</phpversion>\n      <version>2.10</version>\n    </depends>\n    <menuitems>\n      <digium_phones>Digium Phones</digium_phones>\n    </menuitems>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <packaged>1411664930</packaged>\n    <location>packages/digium_phones/digium_phones-2.11.2.1.tgz</location>\n    <md5sum>132295abb4a936605f021088e47d44d2</md5sum>\n    <sha1>85122a708bdb72a8a7bd07ddea673dfd87f4ba89</sha1>\n  </module>\n  <module>\n    <rawname>digiumaddoninstaller</rawname>\n    <repo>standard</repo>\n    <type>setup</type>\n    <category>Admin</category>\n    <name>Digium Addons</name>\n    <version>2.11.0.4</version>\n    <publisher>Digium</publisher>\n    <license>GPLv2</license>\n    <candisable>yes</candisable>\n    <canuninstall>yes</canuninstall>\n    <changelog>\n		*2.11.0.4* Database abstraction fixes\n		*2.11.0.3* Check if the extension has been loaded manually. That way we don\'t need dl()\n		*2.11.0.2* Prevent page crashes if dl() doesn\'t exist.\n		*2.11.0.1* FreePBX/Schmoozecom Release\n		*0.1* initial commit\n	</changelog>\n    <depends>\n      <version>2.8.0</version>\n    </depends>\n    <requirements>\n      <file>/usr/sbin/astersk</file>\n      <folder>/var/lib/digium/licenses/</folder>\n      <folder>/var/lib/asterisk/licenses/</folder>\n    </requirements>\n    <menuitems>\n      <digiumaddons>Digium Addons</digiumaddons>\n    </menuitems>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/digiumaddoninstaller/digiumaddoninstaller-2.11.0.4.tgz</location>\n    <md5sum>5336b8ac619cd7f37780817e437b0d51</md5sum>\n    <packaged>1402958734</packaged>\n    <sha1>2872ddb53bcc2b35ec8a682bd294203ed9a1da6e</sha1>\n  </module>\n  <module>\n    <rawname>directory</rawname>\n    <repo>standard</repo>\n    <name>Directory</name>\n    <version>2.11.0.5</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <type>setup</type>\n    <category>Applications</category>\n    <menuitems>\n      <directory>Directory</directory>\n    </menuitems>\n    <popovers>\n      <directory>\n        <display>directory</display>\n        <action>add</action>\n      </directory>\n    </popovers>\n    <depends>\n      <version>2.8.0alpha1</version>\n      <module>recordings ge 3.3.8</module>\n    </depends>\n    <changelog>\n		*2.11.0.5* Include license file\n		*2.11.0.4* FREEPBX-7244 The Asterisk Manager connnection needs to be made regardless.\n		*2.11.0.3* #6354\n		*2.11.0.2* #6354, #6840\n		*2.11.0.1* #6882, #6913\n		*2.11.0.0* #6051\n		*2.10.0.10* re #5784 -\n		*2.10.0.9* assotred bug fixes\n		*2.10.0.8* #5551\n		*2.10.0.7* smoother experience when using flite\n		*2.10.0.6* re #1076, #1067 - clarify help text, fix directory hook for ivr\n		*2.10.0.5* Security update; downstream changes\n		*2.10.0.4* Security update; downstream changes\n		*2.10.0.3* Security update; downstream changes\n		*2.10.0.2* #5463\n		*2.10.0.1* #5389\n		*2.10.0.0* new version changes\n	</changelog>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/directory/directory-2.11.0.5.tgz</location>\n    <md5sum>6964f498a7e90b393905531e554f09f2</md5sum>\n    <packaged>1402953567</packaged>\n    <sha1>bb6436f236ff2a463466cc82f71ad3c114185a79</sha1>\n  </module>\n  <module>\n    <rawname>disa</rawname>\n    <repo>extended</repo>\n    <name>DISA</name>\n    <version>2.11.0.6</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <menuitems>\n      <disa>DISA</disa>\n    </menuitems>\n    <popovers>\n      <disa>\n        <display>disa</display>\n      </disa>\n    </popovers>\n    <description>DISA Allows you \'Direct Inward System Access\'. This gives you the ability to have an option on an IVR that gives you a dial tone, and you\'re able to dial out from the FreePBX machine as if you were connected to a standard extension. It appears as a Destination.</description>\n    <changelog>\n		*2.11.0.6* #1953\n		*2.11.0.5* #7388 - Fix DB Syntax error\n		*2.11.0.4* #7263\n		*2.11.0.3* Add license file\n		*2.11.0.1* DB Abstraction Changes\n		*2.11.0.0* #6051\n		*2.10.0.2* #5574\n		*2.10.0.1* #5507, misc\n		*2.10.0.0* new version changes\n		*2.9.0.4* #4394\n		*2.9.0.3* #4859\n		*2.9.0.2* #4783\n		*2.9.0.1* set repo\n		*2.9.0.0* 2.9 Update\n	</changelog>\n    <depends>\n      <version>2.4.0</version>\n    </depends>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/disa/disa-2.11.0.6.tgz</location>\n    <md5sum>a1697592f43792ddcf14a03e10cdc683</md5sum>\n    <packaged>1403298190</packaged>\n    <sha1>30c344a164a376ef93cb2d91da525994339577c3</sha1>\n  </module>\n  <module>\n    <rawname>donotdisturb</rawname>\n    <repo>standard</repo>\n    <name>Do-Not-Disturb (DND)</name>\n    <version>2.11.0.3</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <changelog>\n		*2.11.0.3* Include license file\n		*2.11.0.2* Fix typo that was causing incorrect devstate to be set.\n		*2.11.0.1* #6857 related\n		*2.11.0.0* bump version\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.1* #4758\n		*2.9.0.0* #4651\n	</changelog>\n    <description>Provides donotdisturb featurecodes</description>\n    <category>Applications</category>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/donotdisturb/donotdisturb-2.11.0.3.tgz</location>\n    <md5sum>1aa3a7193132c4301a14831348ef48ae</md5sum>\n    <packaged>1413234620</packaged>\n    <sha1>39d4d6cf86cc786f24e07f365d1c310ddcef447a</sha1>\n  </module>\n  <module>\n    <rawname>dundicheck</rawname>\n    <repo>unsupported</repo>\n    <name>DUNDi Lookup Registry</name>\n    <version>2.11.0.3</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <changelog>\n		*2.11.0.3* Include license file\n		*2.11.0.1* Label class can not be used in FreePBX 2.10\n		*2.11.0.0* bump version\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.1* set repo\n		*2.9.0.0* 2.9 Update\n	</changelog>\n    <description>\n		This module will check all configured and enabled DUNDi trunks as part of the extension registry function, and report back conflicts if\n		other sites have the same extensions. This does not filter against the route patterns - it will take any number being created and\n		report a conflict if that trunk could be used to call that number.\n	</description>\n    <menuitems>\n      <dundicheck>DUNDi Lookup</dundicheck>\n    </menuitems>\n    <depends>\n      <version>2.4.0</version>\n    </depends>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <category>Admin</category>\n    <location>packages/dundicheck/dundicheck-2.11.0.3.tgz</location>\n    <md5sum>ddf8c9fc8d7a791dd0d9e3c5ed385679</md5sum>\n    <packaged>1405012114</packaged>\n    <sha1>f7be6137892dd06b3b957f1f2b323a435bb6b6be</sha1>\n  </module>\n  <module>\n    <rawname>endpointman</rawname>\n    <repo>unsupported</repo>\n    <name>OSS PBX End Point Manager</name>\n    <version>2.11.7</version>\n    <type>setup</type>\n    <category>Connectivity</category>\n    <license>GPLv2+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-2.0.txt</licenselink>\n    <menuitems>\n      <epm_devices>OSS Endpoint Device List</epm_devices>\n      <epm_templates>OSS Endpoint Template Manager</epm_templates>\n      <epm_config>OSS Endpoint Package Manager</epm_config>\n      <epm_advanced>OSS Endpoint Advanced Settings</epm_advanced>\n    </menuitems>\n    <description>\n		OSS PBX End Point Manager is the free supported PBX Endpoint Manager for FreePBX.\n		It is ***NOT*** supported by Schmoozecom. If you are looking for a supported endpoint manager please look into the Commercial Endpoint Manager by Schmoozecom, INC.\n		The front end gui is hosted at: https://github.com/FreePBX/endpointman\n		The backend configurator is hosted at: https://github.com/provisioner/Provisioner\n		Pull Requests can be made to either of these and are encouraged.\n     </description>\n    <changelog>\n		*2.11.7* Partial support for PJSIP\n		 *2.11.6* Template Manager and  Usability and Readability improvements\n		*2.11.5.5* Update template_editor.html, Update phonesettings.module\n		*2.11.5.4* Fix fatals in ARI if database doesnt exist.\n		*2.11.5.3* Outstanding Issues from database abstraction\n		 *2.11.5.2* Use correct abstraction strings\n		 *2.11.5.1* Major cleanup work\n	 	 *2.11.5.0* Major cosmetic changes thanks to jnovack!\n		 *2.11.4.11* Fixes #6426 (Fatal SQL error - Device cfg submit with apostrophe in extn text description)\n		 *2.11.4.10* Fixes #6428\n         *2.11.4.9* Fix a stupid error on my part with requiring php 5.3 SORRY! :-(\n     </changelog>\n    <info/>\n    <location>packages/endpointman/endpointman-2.11.7.tgz</location>\n    <depends>\n      <version>2.10</version>\n    </depends>\n    <requirements>\n      <module>fw_ari</module>\n      <phpversion>5.1.0</phpversion>\n    </requirements>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <md5sum>14d1b941448b78458bb0d1c20f5cb769</md5sum>\n    <packaged>1410592721</packaged>\n    <sha1>314682eb00b0e4808c702fc5f1440e48f25c2b0a</sha1>\n  </module>\n  <module>\n    <rawname>extensionsettings</rawname>\n    <repo>unsupported</repo>\n    <name>Extension Settings</name>\n    <version>2.11.0.2</version>\n    <publisher>Mikael Carlsson</publisher>\n    <license>GPLv2</license>\n    <category>Settings</category>\n    <description>Creates a list of all extensions and their current settings for CW, CF, CFB, CFU, VMXB and VMXU</description>\n    <menuitems>\n      <extensionsettings>Extension Settings</extensionsettings>\n    </menuitems>\n    <changelog>\n		*2.11.0.2* Real fix for #6101\n		*2.11.0.1* Attempt to fix #6101\n		*2.11.0.0* bump version\n		*2.10.0.2* #5478 \n		*2.10.0.1* #5463\n		*2.10.0.0* new version changes\n		*2.9.0.0* First release, display all settings\n	</changelog>\n    <md5sum>59b435d952969984a7676c859f629594</md5sum>\n    <location>packages/extensionsettings/extensionsettings-2.11.0.2.tgz</location>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1401502823</packaged>\n    <sha1>da525f43828b1e321ec42c13599802da941bf05e</sha1>\n  </module>\n  <module>\n    <rawname>fax</rawname>\n    <repo>standard</repo>\n    <name>Fax Configuration</name>\n    <version>2.11.0.9</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Settings</category>\n    <menuitems>\n      <fax>Fax Configuration</fax>\n    </menuitems>\n    <description>Adds configurations, options and GUI for inbound faxing</description>\n    <changelog>\n		*2.11.0.9* Update license file\n		*2.11.0.8* Fix issues with older Asterisk versions caused by fixing #5816\n		*2.11.0.7* #5816, Adds ru_RU and ja_JP languages\n		*2.11.0.6* Allow specifying email attachment type(s) on inbound fax.\n		*2.11.0.5* Add support for sending email on outbound fax.\n		*2.11.0.4* #6985 Dont display fax options if they wont work\n		*2.11.0.3* #6917\n		*2.11.0.2* #6810\n		*2.11.0.1* #6647, #6556\n		*2.11.0.0* bump version\n		*2.10.0.6* re #5906 - workaround for php &lt; 5.2\n		*2.10.0.5* minor code cleanup\n		*2.10.0.4* assotred bug fixes\n		*2.10.0.3* re #5707 - allow posted values to show on page; minor costmetics towards moving to a proper view\n		*2.10.0.2* #5478\n		*2.10.0.1* incorrect path to system conversion script\n		*2.10.0.0* new version changes\n		*2.9.0.5* #5029\n		*2.9.0.4* #5000\n		*2.9.0.3* #4886 additional\n		*2.9.0.2* #4886, #4907\n		*2.9.0.1* removed duplicate functions\n		*2.9.0.0* #4562, #4326, #4557, #4632, #4651, #4653\n	</changelog>\n    <depends>\n      <version>2.7.0beta1</version>\n    </depends>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/fax/fax-2.11.0.9.tgz</location>\n    <md5sum>8c42a1b5e124a07d73e903378076911f</md5sum>\n    <packaged>1413234581</packaged>\n    <sha1>db6f15f7ce4ca832594b80f8b55cf4502f42667c</sha1>\n  </module>\n  <module>\n    <rawname>featurecodeadmin</rawname>\n    <repo>standard</repo>\n    <name>Feature Code Admin</name>\n    <version>2.11.0.2</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <candisable>no</candisable>\n    <canuninstall>no</canuninstall>\n    <category>Admin</category>\n    <menuitems>\n      <featurecodeadmin>Feature Codes</featurecodeadmin>\n    </menuitems>\n    <location>packages/featurecodeadmin/featurecodeadmin-2.11.0.2.tgz</location>\n    <changelog>\n		*2.11.0.2* Add license file\n		*2.11.0.0* bump version\n		*2.10.0.3* #5488\n		*2.10.0.2* #5506 revert of r13179 \n		*2.10.0.1* #5463\n		*2.10.0.0* new version changes\n		*2.9.0.0* #4617, #4653, #4655\n	</changelog>\n    <depends>\n      <version>2.5.0alpha1</version>\n    </depends>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <md5sum>ec43bfecda9b058171deaea723002fb2</md5sum>\n    <packaged>1413234653</packaged>\n    <sha1>671dd24e6be8889bcfcf9aaa02953bea654783af</sha1>\n  </module>\n  <module>\n    <rawname>findmefollow</rawname>\n    <repo>standard</repo>\n    <name>Follow Me</name>\n    <version>2.11.0.6</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <changelog>\n		*2.11.0.6* Add license file\n		*2.11.0.5* Allow connected line display of callee presence state\n		*2.11.0.4* Help Text and supported tag\n		*2.11.0.3* #6785\n		*2.11.0.2* misc\n		*2.11.0.1* #6275\n		*2.11.0.0* version bump\n		*2.10.0.8* #5832\n		*2.10.0.7* #5734\n		*2.10.0.6* syntax error in IF() dialplan function, other bug fix\n		*2.10.0.5* #5603\n		*2.10.0.4* #5358, #5521, #5169 #5601\n		*2.10.0.3* #5358, #5521, #5169\n		*2.10.0.2* #5478 \n		*2.10.0.1* call recording bug fixes\n		*2.10.0.0* new version changes\n		*2.9.0.6* #5011\n		*2.9.0.5* #4977\n		*2.9.0.4* #4815\n		*2.9.0.3* #4799, #4801\n		*2.9.0.2* #4758\n		*2.9.0.1* #4651, #4701, #4655\n		*2.9.0.0* #4646\n	</changelog>\n    <depends>\n      <version>2.5.0alpha1</version>\n      <module>recordings ge 3.3.8</module>\n    </depends>\n    <category>Applications</category>\n    <description>\n		Much like a ring group, but works on individual extensions. When someone calls the extension, it can be setup to ring for a number of seconds before trying to ring other extensions and/or external numbers, or to ring all at once, or in other various \'hunt\' configurations. Most commonly used to ring someone\'s cell phone if they don\'t answer their extension.\n	</description>\n    <menuitems>\n      <findmefollow>Follow Me</findmefollow>\n    </menuitems>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/findmefollow/findmefollow-2.11.0.6.tgz</location>\n    <md5sum>5267f934f8513ee6e88ba4b51faa065b</md5sum>\n    <packaged>1413234691</packaged>\n    <sha1>917d136c0ff195ca583069ef0e74af608952edbb</sha1>\n  </module>\n  <module>\n    <rawname>framework</rawname>\n    <modtype>framework</modtype>\n    <repo>standard</repo>\n    <name>FreePBX Framework</name>\n    <version>2.11.0.38</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <candisable>no</candisable>\n    <canuninstall>no</canuninstall>\n    <changelog>\n		*2.11.0.38* #7251\n		*2.11.0.37* FREEPBX-7344 FreePBX generated CSS link for module css files is wrong\n		*2.11.0.35* Fix issue with str_replacing htdocs in libfreepbx.install.php\n		*2.11.0.31* Only define DB classes one time\n		*2.11.0.30* Update framework DB to have helper functions for functions that mysqli needs\n		*2.11.0.29* Revert Use mysqli extension for database access, if available.\n		*2.11.0.28* #7141 Use mysqli extension for database access, if available.\n		*2.11.0.27* Change security shield functionality, add advanced setting to disable nightly update checking\n		*2.11.0.26* Make the chown\'s smarter.\n		*2.11.0.24* Add japanese language support\n		*2.11.0.23* #7134\n		*2.11.0.22* #7130\n		*2.11.0.21* #7123 SECURITY ISSUE introduced in 2.9\n		*2.11.0.18* #6471 Allow better voicemail passwords\n		*2.11.0.17* Set CustomPresence on dynamic hints, when available.\n		*2.11.0.16* Small variable Fix to the last tarball\n		*2.11.0.15* Make the framework tarball smaller\n		*2.11.0.14* Fix issue where javascript errors broke the GUI\n		*2.11.0.13* Fix page_body id to reflect footer changes and Fix ARI Link on the Login page\n		*2.11.0.12* Restful Library Addition, New Distro Versioning Support\n		*2.11.0.11* #6673, #6682, #6683 #6721\n		*2.11.0.10* #6656\n		*2.11.0.9* another typo for NOTIFICATION_IGNORE, assure module callbacks are seen in module_admin\n		*2.11.0.8* fix typo in NOTIFICATION_IGNORE format\n		*2.11.0.7* #6651 and allow file handler to use restrictmods\n		*2.11.0.6* need to commit the new setting\n		*2.11.0.5* make sure amp_conf setup right even if class isn\'t created with create\n		*2.11.0.4* minor tweak in NOTIFICAION_IGNORE format\n		*2.11.0.3* r15801, r15803, r15804, r15805, r15806 misc internal improvements\n		*2.11.0.2* #6603, misc\n		*2.11.0.1* update to send base version properly\n		*2.11.0.0* 2.11.0 final\n		*2.11.0.0rc1.8* #6547, #6541, #6553, #6550\n		*2.11.0.0rc1.7* #6547, #6527, #6546, #5270, #6541\n		*2.11.0.0rc1.6* Added mysql charset to asterisk dialplan function\n		*2.11.0.0rc1.5* #6527, when creating a top level single category button use the module name not the category name, change wording on beta view\n		*2.11.0.0rc1.4* re #6529 -\n		*2.11.0.0rc1.3* #6506, #6507, #6518, fix PHP 5.3 ananoymous function requirement, misc\n		*2.11.0.0rc1.2* broke some advanced settings fixed now\n		*2.11.0.0rc1.1* update pbxlib.js\n		*2.11.0.0rc1.0* #6488, res_odbc.conf, rtp.conf migrations,\n		*2.11.0.0beta2.9* Fixes #6472, destination popovers not working\n		*2.11.0.0beta2.8* #6455 have amportal remove dangling symlinks\n		*2.11.0.0beta2.7* #6272, #6453, better splicing granularity, beta module page support\n		*2.11.0.0beta2.6* #6303, #6387, #6384, jQuery 1.7 deprecation changes, extensions class fixes, obe validation, PIAF index.php fix\n		*2.11.0.0beta2.5* Update compressed libpbx\n		*2.11.0.0beta2.4* #6380 Fixes login issue on non-chrome browsers. Fixes extmap shown\n		*2.11.0.0beta2.3* #5829, #6271, #6237, 6272, #6300, #6320, #6049, #6351, #6349\n		*2.11.0.0beta2.2* #5412, #6159, #5842\n		*2.11.0.0beta2.1* remove error in sql install template breaking new installs, upgrades ok\n		*2.11.0.0beta2.0* beta2 release\n		*2.11.0.0beta1.5* #5842, #6147, #6154\n		*2.11.0.0beta1.4* #6060, #5412, #6063, #6079, other changes\n		*2.11.0.0beta1.3* Fix issue with Advanced Settings being set to hidden in error\n		*2.11.0.0beta1.2* #6051, #6055, #6057\n		*2.11.0.0beta1.1* #6051 destination popOvers\n		*2.11.0.0beta1.0* #5969, #5933, #5989, #6002, #6010, #6011, #6013, #6023, #6034, #6030, #6036\n		*2.10.1.11* Fix duplication in xml\n		*2.10.1.12* Repackage and fixes for new system\n		*2.10.1.10* #6651 and related astmanger change\n		*2.10.1.9* fix new footer\n		*2.10.1.8* Packaging of ver 2.10.1.8\n		*2.10.1.7* Packaging of ver 2.10.1.7\n		*2.10.1.6* update copyright notice\n		*2.10.1.5* rnav visual fix; upstream changes\n		*2.10.1.4* #5842, #6147, #6154\n		*2.10.1.3* #5989, #6030\n		*2.10.1.2* #5933, #5969\n		*2.10.1.1* remove some code checked in error not used\n		*2.10.1.0* #5874, #5833, #5646, #5879, #5839,\n		*2.10.0.8* #5851\n		*2.10.0.7* #5815\n		*2.10.0.6* #5812\n		*2.10.0.5* #5716, #5763, #5742, #5743, #5533, #5692\n		*2.10.0.4* re #5755 - assorted bug fixes\n		*2.10.0.3* downstream updates\n		*2.10.0.2* #5492, #5565, #5662, #5678\n		*2.10.0.1* #5492, #5443, #5646, #5565\n		*2.10.0.0* bump to final, tooltip updates\n		*2.10.0rc1.7* #5627, #5628\n		*2.10.0rc1.6* #5619 again, typo\n		*2.10.0rc1.5* amportal chown corrections from last checkin\n		*2.10.0rc1.4* #5619, #5615, some amportal chown tuning\n		*2.10.0rc1.3* #5528, #5391, #5260, #5148, colapsible gui eleent sections\n		*2.10.0rc1.2* #5585 SECURITY ISSUE introduced in 2.10.0rc1.2 previous version\n		*2.10.0rc1.1* #4909, #5117, #5545, #5565 menu/CSS fixes, default language improvements\n		*2.10.0rc1.0* add backup repo, misc, bump release candidate\n		*2.10.0beta3.6* #5513 and one more syntax issue\n		*2.10.0beta3.5* #5513 check for setting first\n		*2.10.0beta3.4* #5513, better zend detecetion, cdr migration bug check\n		*2.10.0beta3.3* add some error checking on migration script\n		*2.10.0beta3.2* migrates cdr table adding did field\n		*2.10.0beta3.1* migrates cdr table adding recordingfile field\n		*2.10.0beta3.0* beta3 bump, misc tweaks\n		*2.10.0beta2.8* #5465, #5475, #5476, #5480, adds .htaccess to address some potential security vulnerabilities\n		*2.10.0beta2.7* #5465\n		*2.10.0beta2.6* #5342, #5461, #5451, #5463, #5442, gui changes, manager library enhancements,\n		*2.10.0beta2.5* version bump, see trac for more info\n		*2.10.0beta2.4* #5122, #5443, #5451, #5450\n		*2.10.0beta2.3* revert r12651\n		*2.10.0beta2.2* module admin depency check changes\n		*2.10.0beta2.1* migration script bug fix\n		*2.10.0beta2.0* move FOP to module, add hook ability to freepbx_engine (amportal), remove gzip handling preventing caching, various bug fixes\n		*2.10.0beta1.1* #5375, #5341, #5375, #5390, more on $5342, adds back freepbx_menu.conf to customize menu bar and content\n		*2.10.0beta1.0* beta1 release, see svn log\n		*2.9.0.7* #5209, #5217, #5221, #5212, #5211, #5140, #5216\n		*2.9.0.6* #5194\n		*2.9.0.5* #5183\n		*2.9.0.4* #5138\n		*2.9.0.3* #5160\n		*2.9.0.2* #5122\n		*2.9.0.1* #5027\n		*2.9.0.0* #5124\n		*2.9.0rc1.5* #5077, #5086, #5096, #5095, #5111\n		*2.9.0rc1.4* #5080\n		*2.9.0rc1.3* #5038, #5059\n		*2.9.0rc1.2* #5041, #4871, #5053,\n		*2.9.0rc1.1* #5009, #5028, #5035, typos\n		*2.9.0rc1.0* #4983, #4952, #5000, #4988\n	</changelog>\n    <description>\n		This module provides a facility to install bug fixes to the framework code that is not otherwise housed in a module\n	</description>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <category>Admin</category>\n    <location>packages/framework/framework-2.11.0.38.tgz</location>\n    <md5sum>2cd0f1d637bde250e0200cc6f981dbd0</md5sum>\n    <packaged>1413327221</packaged>\n    <sha1>b034169adcaf5269bdeef3c17193682dd0fa5934</sha1>\n  </module>\n  <module>\n    <rawname>fw_ari</rawname>\n    <modtype>framework</modtype>\n    <repo>standard</repo>\n    <name>FreePBX ARI Framework</name>\n    <version>2.11.1.5</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <changelog>\n		*2.11.1.5* FREEPBX-8070 SECURITY ISSUE Exec shell on a host using bug in Asterisk Recording Interface index.php\n		*2.11.1.4* Force removal of User Panel Tab\n		*2.11.1.3* Delete user panel tab because it comes from this module now\n		*2.11.1.2* Resolve issue of user panel tab removement\n		*2.11.1.1* Tweaks\n		*2.11.1.0* Allow uninstall and fix for 12 if needed or wanted\n		*2.11.0.7* Include license file\n		*2.11.0.6* Class conflicts with User Manager and BMO\n		*2.11.0.5* #7107 ignore semicoloned lines\n		*2.11.0.4* Add back in .htaccess file\n		*2.11.0.3* #6165\n		*2.11.0.2* Packaging of ver 2.11.0.2\n		*2.11.0.0* Packaging of ver 2.11.0.0\n		*2.11.0.0* bump version\n		*2.10.0.5* #5885\n		*2.10.0.4* re #5743 -\n		*2.10.0.3* #5729 Possible Authenticated user RCE Security Vulnerability\n		*2.10.0.2* #5711 RCE and XSS Security Vulnerability\n		*2.10.0.1* #5492, #5565\n		*2.10.0.0* bump to final\n		*2.10.0rc1.3* #5585 SECURITY ISSUE introduced in 2.10.0rc1.2 previous version\n		*2.10.0rc1.2* revert changes from #4909\n		*2.10.0rc1.1* #5545, #4909, #5565\n		*2.10.0rc1.0* misc tweaks, release candidate\n		*2.10.0beta1.2* #5476, adds .htaccess for better security\n		*2.10.0beta1.1* #5342, #5375, undefined vars, call recording changes\n		*2.10.0beta1.0* beta1 release, see svn log\n		*2.9.0.6* #5102\n		*2.9.0.5* #5034\n		*2.9.0.4* #4945\n		*2.9.0.3* #4001, #4884, #4404\n		*2.9.0.2* #4841, #4861\n		*2.9.0.1* #4501\n		*2.9.0.0* #4509, #4134, #4501, #4427, #4332, #4652, #4621, #4401, #4482, #4566\n	</changelog>\n    <description>\n		This module provides a facility to install bug fixes to the ARI code that is not otherwise housed in a module, it used to be part of framework but has been removed to isolate ARI from Framework updates.\n	</description>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <category>Admin</category>\n    <menuitems>\n      <fw_ari>User Panel</fw_ari>\n    </menuitems>\n    <location>packages/fw_ari/fw_ari-2.11.1.5.tgz</location>\n    <md5sum>602137cde014a81e871f5551ae5a7a03</md5sum>\n    <packaged>1412121048</packaged>\n    <sha1>d752afc5313d018ea59422718d422a1c9aaa6591</sha1>\n  </module>\n  <module>\n    <rawname>fw_langpacks</rawname>\n    <modtype>framework</modtype>\n    <repo>extended</repo>\n    <name>FreePBX Localization Updates</name>\n    <version>2.11.2</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <changelog>\n		*2.11.2* 3/9/2014\n		*2.11.1.1* Include license file\n		*2.11.1.0* Additions and Updates to Japanese and Russian, Thanks to coverup0204 and ded. Many Many Thanks to coverup0204 for all of the hours of work and support\n		*2.11.0.0* bump version\n		*2.10.0.0* pull in updated languages\n		*2.9.0.1* #4404\n		*2.9.0.0* language updates\n	</changelog>\n    <description>\n		This module provides a facility to install new and updated localization translations for all components in FreePBX. Localization i18n translations are still kept with each module and other components such as the User Portal (ARI). This provides an easy ability to bring all components up-to-date without the need of publishing dozens of modules for every minor change. The localization updates used will be the latest available for all modules and will not consider the current version you are running.\n	</description>\n    <category>Admin</category>\n    <location>packages/fw_langpacks/fw_langpacks-2.11.2.tgz</location>\n    <md5sum>0c5197e2d42f2b0d45a53e477a409784</md5sum>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <packaged>1413235197</packaged>\n    <sha1>c0cc98bd016aad3ee37e1b8d72f763c1c089acc2</sha1>\n  </module>\n  <module>\n    <rawname>hotelwakeup</rawname>\n    <name>Wake Up Calls</name>\n    <repo>standard</repo>\n    <version>2.11.3</version>\n    <license>GPLv2</license>\n    <publisher>POSSA</publisher>\n    <category>Applications</category>\n    <description>FreePBX module for generating reminder and wakeup calls</description>\n    <info>https://github.com/POSSA/Hotel-Style-Wakeup-Calls</info>\n    <changelog>\n		 *2.11.3* Fixes outstanding database issues\n		 *2.11.2* Database abstraction layer fixes\n		 *2.11.1* #7011 fix errors in hotel wakeup\n		 *2.11.0.0beta2* Removed online check for updates for POSSA\n		 *2.11.0.0beta1* imported from web to online repo\n	</changelog>\n    <menuitems>\n      <hotelwakeup>Wake Up Calls</hotelwakeup>\n    </menuitems>\n    <depends>\n      <module>ivr gt1.0</module>\n      <version>ge 2.9</version>\n      <engine>asterisk 1.2</engine>\n    </depends>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/hotelwakeup/hotelwakeup-2.11.3.tgz</location>\n    <md5sum>ec7cbe9a4016cd471fca3ae45be18082</md5sum>\n    <packaged>1402957103</packaged>\n    <sha1>2e5e20ed02a71c8940500a992104d8d025ffc106</sha1>\n  </module>\n  <module>\n    <rawname>iaxsettings</rawname>\n    <repo>standard</repo>\n    <name>Asterisk IAX Settings</name>\n    <version>2.11.0.3</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <licenselink>http://www.gnu.org/licenses/agpl-3.0.txt</licenselink>\n    <license>AGPLv3</license>\n    <category>Settings</category>\n    <menuitems>\n      <iaxsettings>Asterisk IAX Settings</iaxsettings>\n    </menuitems>\n    <description>\n		Use to configure Various Asterisk IAX Settings in the General section of iax.conf. The module assumes Asterisk version 1.4 or higher. Some settings may not exist in Asterisk 1.2 and will be ignored by Asterisk.\n	</description>\n    <changelog>\n		*2.11.0.3* Include license file\n		*2.11.0.1* Updated CSS to look decent\n		*2.11.0.0* bump version\n		*2.10.0.3* #5867\n		*2.10.0.2* #5478 \n		*2.10.0.1* new codecs, misc bugs\n		*2.10.0.0* new version changes\n		*2.9.0.4* #5010\n		*2.9.0.3* #5000\n		*2.9.0.2* #3976\n		*2.9.0.1* removed duplicate functions\n		*2.9.0.0* #4681\n	</changelog>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/iaxsettings/iaxsettings-2.11.0.3.tgz</location>\n    <md5sum>084dbbcd1e6742815484275050de0ec8</md5sum>\n    <packaged>1402954531</packaged>\n    <sha1>0cc80bfbd58cad5cc4f42e1c8ae2f13160134d01</sha1>\n  </module>\n  <module>\n    <rawname>infoservices</rawname>\n    <repo>standard</repo>\n    <name>Info Services</name>\n    <version>2.11.0.3</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <candisable>no</candisable>\n    <canuninstall>no</canuninstall>\n    <category>Applications</category>\n    <description>Provides a number of applications accessible by feature codes: company directory, call trace (last call information), echo test, speaking clock, and speak current extension number.</description>\n    <changelog>\n		*2.11.0.3* #6026\n		*2.11.0.2* #6923 Fix language not being set on Echo Test and Speaking Clock\n		*2.11.0.1* #6026\n		*2.11.0.0* #6021\n		*2.10.0.3* remove obsoleted directory feature code\n		*2.10.0.2* #5115\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.0* #4653\n	</changelog>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/infoservices/infoservices-2.11.0.3.tgz</location>\n    <md5sum>4d9be751166a5fd37be04d42555d909a</md5sum>\n    <packaged>1402025270</packaged>\n    <sha1>912d3e723cabe29a8bd2b21e5f64f61e362f66e7</sha1>\n  </module>\n  <module>\n    <rawname>irc</rawname>\n    <repo>extended</repo>\n    <name>Online Support</name>\n    <version>2.11.0.4</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Admin</category>\n    <description>This module lets you connect to the IRC network where developers and other users chat. You can chat to the developers live, if you have problems</description>\n    <changelog>\n	  	*2.11.0.4* Sign Jar Files, fix language issues\n  		*2.11.0.3* Include license file\n		*2.11.0.1* Remove old company name.\n		*2.11.0.0* bump version\n		*2.10.0.2* #5478 \n		*2.10.0.1* #5341\n		*2.10.0.0* new version changes\n		*2.9.0.1* set repository\n		*2.9.0.0* 2.9 Update\n	</changelog>\n    <menuitems>\n      <irc>Online Support</irc>\n    </menuitems>\n    <location>packages/irc/irc-2.11.0.4.tgz</location>\n    <md5sum>33cc203fce9f01ad4312236f35e13510</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1401754359</packaged>\n    <sha1>851ca0424a1793136cc08c49e60a4dc81a28259c</sha1>\n  </module>\n  <module>\n    <rawname>ivr</rawname>\n    <repo>standard</repo>\n    <name>IVR</name>\n    <version>2.11.0.6</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <description>\n		Creates Digital Receptionist (aka Auto-Attendant, aka Interactive Voice Response) menus. These can be used to send callers to different locations (eg, Press 1 for sales) and/or allow direct-dialing of extension numbers. \n	</description>\n    <changelog>\n		*2.11.0.6* Add license file\n		*2.11.0.5* #7121 IVR list in alphabetical order\n		*2.11.0.4* #6145 correct query to properly display ivr recording usage\n		*2.11.0.3* #6830, #6898, #6869\n		*2.11.0.2* #6679\n		*2.11.0.1* #6106\n		*2.11.0.0* #6051\n		*2.10.0.9* #5882\n		*2.10.0.8* #5854, reverting r14115 checked in error\n		*2.10.0.7* #5665, corner case migration enhancements\n		*2.10.0.6* #5568\n		*2.10.0.5* #5587, #5588\n		*2.10.0.4* #5576\n		*2.10.0.3* #5515\n		*2.10.0.2* misc bug fixes\n		*2.10.0.1* version bump\n		*2.10.0.0* rewrite!\n		*2.9.0.5* #5094\n		*2.9.0.4* #4994\n		*2.9.0.3* styling adjustments\n		*2.9.0.2* #4799\n		*2.9.0.1* removed duplicate functions\n		*2.9.0.0* #1798, #4655\n	</changelog>\n    <depends>\n      <version>2.5.0alpha1</version>\n      <module>recordings ge 3.3.8</module>\n    </depends>\n    <menuitems>\n      <ivr>IVR</ivr>\n    </menuitems>\n    <popovers>\n      <ivr>\n        <display>ivr</display>\n        <action>add</action>\n      </ivr>\n    </popovers>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/ivr/ivr-2.11.0.6.tgz</location>\n    <md5sum>b2fc2c75c938a189419fffc3d914a6e0</md5sum>\n    <packaged>1402953575</packaged>\n    <sha1>725b0f5c2fb0a060061ffa27a28280e658eb4c04</sha1>\n  </module>\n  <module>\n    <rawname>javassh</rawname>\n    <repo>extended</repo>\n    <name>Java SSH</name>\n    <version>2.11.1</version>\n    <publisher>FreePBX</publisher>\n    <license>AGPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/agpl-3.0.txt</licenselink>\n    <category>Admin</category>\n    <description>Provides a Java applet to access the system shell using SSH.</description>\n    <menuitems>\n      <javassh>Java SSH</javassh>\n    </menuitems>\n    <changelog>\n		*2.11.1* Replace Java SSH Client with one that works, and is signed.\n		*2.11.0.0* bump version\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.0* 2.9 Update\n	</changelog>\n    <location>packages/javassh/javassh-2.11.1.tgz</location>\n    <md5sum>43cb2bee85480feb9746d220caba4589</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1403214718</packaged>\n    <sha1>42583a2cacb4377877352d52153af686b1dea51d</sha1>\n  </module>\n  <module>\n    <rawname>languages</rawname>\n    <repo>extended</repo>\n    <name>Languages</name>\n    <version>2.11.0.2</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <description>\n		Adds the ability to changes the language within a call flow and add language attribute to users.\n	</description>\n    <menuitems>\n      <languages>Languages</languages>\n    </menuitems>\n    <popovers>\n      <languages>\n        <display>languages</display>\n      </languages>\n    </popovers>\n    <changelog>\n  		*2.11.0.2* Include license file\n		*2.11.0.1* Database abstraction fixes\n		*2.11.0.0* #6051\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.3* #5312, #5313\n		*2.9.0.2* #4914\n		*2.9.0.1* set repository\n		*2.9.0.0* #4657, #4655\n	</changelog>\n    <depends>\n      <version>2.5.0alpha1</version>\n    </depends>\n    <location>packages/languages/languages-2.11.0.2.tgz</location>\n    <md5sum>5b9e26f9c36e326a35062e838241e928</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1402959068</packaged>\n    <sha1>df3565751657dc4c8d9993235f3b9088b4b0c2e9</sha1>\n  </module>\n  <module>\n    <rawname>logfiles</rawname>\n    <repo>standard</repo>\n    <name>Asterisk Logfiles</name>\n    <canuninstall>no</canuninstall>\n    <version>2.11.1.3</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <changelog>\n		*2.11.1.3* FREEPBX-7375 missing ? on insert\n		*2.11.1.2* More tweaks to color\n		*2.11.1.1* FREEPBX-7339 For the ampersand\n		*2.11.1.0* FREEPBX-7250 Completely re design how log files looks.\n		*2.11.0.10* Add license info\n		*2.11.0.9* #7200 Solve The case of the missing logfiles.\n		*2.11.0.7* #7014 fixes back array population\n		*2.11.0.6* Fix fatal error on install because of improperly set variables\n		*2.11.0.5* #6982 Add security message and fix tooltips, courtesy of Xorcom\n		*2.11.0.4* Missing Files fix\n		*2.11.0.3* #6548 Fix highlighting links in navigation\n		*2.11.0.2* #6675 checked against incorrect link\n		*2.11.0.1* #6675\n		*2.11.0.0* added ability to view all logfiles\n		*2.10.0.13* re #1317 - remove debug\n		*2.10.0.12* re #1317 - move settings page to settings catagory; fix opts saving/display inconsistancies\n		*2.10.0.11* Packaging of ver 2.10.0.11\n		*2.10.0.10* re #1143, #1122 -\n		*2.10.0.9* re #1122 -\n	</changelog>\n    <category>Reports</category>\n    <menuitems>\n      <logfiles>Asterisk Logfiles</logfiles>\n      <logfiles_settings>Asterisk Logfile Settings</logfiles_settings>\n    </menuitems>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/logfiles/logfiles-2.11.1.3.tgz</location>\n    <md5sum>4bf53f0522a64f27320d560ad272653d</md5sum>\n    <packaged>1413234442</packaged>\n    <sha1>eb9dcc22f29bd0ee3598ccbb639fe52bb58187c7</sha1>\n  </module>\n  <module>\n    <rawname>manager</rawname>\n    <repo>standard</repo>\n    <name>Asterisk Manager Users</name>\n    <version>2.11.0.5</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Settings</category>\n    <menuitems>\n      <manager>Asterisk Manager Users</manager>\n    </menuitems>\n    <changelog>\n		*2.11.0.5* Added manager setting of message\n		*2.11.0.4* Add license file\n		*2.11.0.3* Move module to standard repository\n		*2.11.0.2* #6088, don\'t allow duplicate FreePBX managers and rename\n		*2.11.0.1* #6429\n		*2.11.0.0* bump version\n		*2.10.0.2* #5565 properly generate manager_additional.conf with manager_conf class\n		*2.10.0.1* #5478\n		*2.10.0.0* new version changes\n		*2.9.0.3* #5097\n		*2.9.0.2* spelling, localizations\n		*2.9.0.1* removed duplicate functions, set repository\n		*2.9.0.0* 2.9 Update\n	</changelog>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/manager/manager-2.11.0.5.tgz</location>\n    <md5sum>7949fddfb8611f4a32a18e9e7786ec09</md5sum>\n    <packaged>1403738536</packaged>\n    <sha1>da93f69b17f9233f41c241093c799cf5b0e6ca76</sha1>\n  </module>\n  <module>\n    <rawname>miscapps</rawname>\n    <repo>extended</repo>\n    <name>Misc Applications</name>\n    <version>2.11.0.2</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <description>\n		Adds the ability to create feature codes that can go to any FreePBX destination (such as an IVR or queue)\n	</description>\n    <menuitems>\n      <miscapps>Misc Applications</miscapps>\n    </menuitems>\n    <changelog>\n  		*2.11.0.2* Include license file\n		*2.11.0.0* #6055\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.2* #4831\n		*2.9.0.1* set repository\n		*2.9.0.0* #4651, #4655, #4724\n	</changelog>\n    <depends>\n      <version>2.4.0</version>\n    </depends>\n    <location>packages/miscapps/miscapps-2.11.0.2.tgz</location>\n    <md5sum>47bd1af62c9da2edbf78b377977e9415</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1402959589</packaged>\n    <sha1>152ce4803fd9e5542c5860f3cf1065c824a48c68</sha1>\n  </module>\n  <module>\n    <rawname>miscdests</rawname>\n    <repo>extended</repo>\n    <name>Misc Destinations</name>\n    <version>2.11.0.4</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <description>Allows creating destinations that dial any local number (extensions, feature codes, outside phone numbers) that can be used by other modules (eg, IVR, time conditions) as a call destination.</description>\n    <changelog>\n		*2.11.0.4* #1953\n		*2.11.0.2* Include license file\n	  *2.11.0.1* Using new wrapper function for last insert id\n		*2.11.0.0* #6051\n		*2.10.0.1* #5478\n		*2.10.0.0* new version changes\n		*2.9.0.1* set repository\n		*2.9.0.0* #4653\n	</changelog>\n    <depends>\n      <version>2.5.0alpha1</version>\n    </depends>\n    <menuitems>\n      <miscdests>Misc Destinations</miscdests>\n    </menuitems>\n    <popovers>\n      <miscdests>\n        <display>miscdests</display>\n      </miscdests>\n    </popovers>\n    <location>packages/miscdests/miscdests-2.11.0.4.tgz</location>\n    <md5sum>739de24e33ddf267b0475d74e7376ed8</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1403299278</packaged>\n    <sha1>3d3ef93e9752413b987e50a4f587553640348267</sha1>\n  </module>\n  <module>\n    <rawname>motif</rawname>\n    <name>Google Voice/Chan Motif</name>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <type>setup</type>\n    <repo>unsupported</repo>\n    <category>Connectivity</category>\n    <version>2.11.17</version>\n    <description>\n        Manage Google Voice Trunks with Chan Motif\n    </description>\n    <changelog>\n	*2.11.17* Bad XML\n      *2.11.16* FREEPBX-8079 add notice for when people upgrade to 12 but havent compeleted the upgrade steps\n    	*2.11.15* Add license file\n		*2.11.14* Database Abstraction Fixes\n		*2.11.13* Stealth Greeting for IVRs\n		*2.11.12* Removed Buddy Listing as it was causing an issue\n		*2.11.11* Fixes to includes\n		*2.11.10* Additions and fixes by drmessano\n		*2.11.9* Added ability to change priority and made the default 127. Also added some more uninstall functionalities\n		*2.11.8* Fixes #6435 increase password length and username length in db\n		*2.11.7* Remove rtp.conf if motif created it, fixes #6397, #6398\n		*2.11.6* Removes rtp controlled settings, re #6397\n        *2.11.5* Fixes #6355\n        *2.11.4* Fixes #6328 outbound routes\n        *2.11.1* Remove beta status. Fixes #6326, #6318\n        *2.11.0beta2* Redefined routes. Added route to google voicemail option. Fixes #6065, #6066, #6067\n        *2.11.0beta1* Fixed Multiple Inbound Accounts DID Issue\n    </changelog>\n    <depends>\n      <engine>asterisk 11</engine>\n      <module>core ge 2.11.0.0beta2.4</module>\n    </depends>\n    <menuitems>\n      <motif>Google Voice (Motif)</motif>\n    </menuitems>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/motif/motif-2.11.17.tgz</location>\n    <md5sum>3c1a6a90560b9b82de493e8735e75661</md5sum>\n    <packaged>1412546100</packaged>\n    <sha1>e726af0c5b2b25f5b263d9e21f579cb0deb78111</sha1>\n  </module>\n  <module>\n    <rawname>music</rawname>\n    <repo>standard</repo>\n    <name>Music on Hold</name>\n    <version>2.11.0.3</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <candisable>no</candisable>\n    <canuninstall>no</canuninstall>\n    <category>Settings</category>\n    <description>Uploading and management of sound files (wav, mp3) to be used for on-hold music.</description>\n    <changelog>\n		*2.11.0.3* Fix broken XML\n		*2.11.0.2* Include license file\n		*2.11.0.1* Use rate instead of resample for sox resampling #6347\n		*2.10.0.2* #5337, #4919\n		*2.10.0.1* #5478\n		*2.10.0.0* new version changes\n		*2.9.0.1* #4740\n		*2.9.0.0* 2.9 Update\n	</changelog>\n    <menuitems>\n      <music>Music on Hold</music>\n    </menuitems>\n    <location>packages/music/music-2.11.0.3.tgz</location>\n    <md5sum>bfdfbb52f91514e63d7f0214db60dce3</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1413234638</packaged>\n    <sha1>52a049b811e94298f6482f63843c56344e770fe4</sha1>\n  </module>\n  <module>\n    <rawname>outroutemsg</rawname>\n    <repo>standard</repo>\n    <name>Route Congestion Messages</name>\n    <version>2.11.0.2</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Settings</category>\n    <description>Configures message or congestion tones played when all trunks are busy in a route. Allows different messages for Emergency Routes and Intra-Company Routes\n	</description>\n    <menuitems>\n      <outroutemsg>Route Congestion Messages</outroutemsg>\n    </menuitems>\n    <changelog>\n  		*2.11.0.2* Add license file\n		*2.11.0.0* bump version\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.1* removed duplicate functions\n		*2.9.0.0* 2.9 Update\n	</changelog>\n    <depends>\n      <module>recordings ge 3.3.8</module>\n    </depends>\n    <location>packages/outroutemsg/outroutemsg-2.11.0.2.tgz</location>\n    <md5sum>fc10b18ed868bcc68c656cc82bafebdd</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1402953592</packaged>\n    <sha1>05c02a7fb5a84762523969bfce0b585411af082f</sha1>\n  </module>\n  <module>\n    <rawname>paging</rawname>\n    <repo>standard</repo>\n    <name>Paging and Intercom</name>\n    <version>2.11.0.9</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <changelog>\n  		*2.11.0.9* Include license file\n	  	*2.11.0.8* #7112 - Ensure intercom calls are recorded if requested.\n		*2.11.0.7* #6050\n		*2.11.0.6* re #6482 - just typecast it. \n		*2.11.0.5* re #6482 - \n		*2.11.0.4* allow devices with leading 0 \n		*2.11.0.3* Require conferences #6276\n		*2.11.0.2* #6338, #6380 \n		*2.11.0.1* #6055\n		*2.11.0.0* #6051\n		*2.10.0.8* #5965\n		*2.10.0.7* #5890, #5887\n		*2.10.0.6* adds fix for new Polycom firmware\n		*2.10.0.5* #5808, #5804, #5809\n		*2.10.0.4* re #5777 - \n		*2.10.0.3* correct hangup context\n		*2.10.0.2* #5469, #5443, misc fixes\n		*2.10.0.1* #5443, #5451\n		*2.10.0.0* new version changes\n		*2.9.0.5* #5000\n		*2.9.0.4* #4914\n		*2.9.0.3* #2110\n		*2.9.0.2* #4851\n		*2.9.0.1* #4715\n		*2.9.0.0* #4648, #4651, #4653\n	</changelog>\n    <depends>\n      <version>2.4.0</version>\n    </depends>\n    <description>Allows creation of paging groups to make announcements using the speaker built into most SIP phones. \n	Also creates an Intercom feature code that can be used as a prefix to talk directly to one person, as well as optional feature codes to block/allow intercom calls to all users as well as blocking specific users or only allowing specific users.</description>\n    <menuitems>\n      <paging>Paging and Intercom</paging>\n    </menuitems>\n    <requirements>\n      <module>conferences</module>\n    </requirements>\n    <popovers>\n      <paging>\n        <display>paging</display>\n        <action>add</action>\n      </paging>\n    </popovers>\n    <location>packages/paging/paging-2.11.0.9.tgz</location>\n    <md5sum>e45596252d6178630f70de921dbf3290</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1413234497</packaged>\n    <sha1>8ff8120c9cdae4d75640bb3148b04760fb95663b</sha1>\n  </module>\n  <module>\n    <rawname>parking</rawname>\n    <repo>standard</repo>\n    <name>Parking Lot</name>\n    <version>2.11.0.15</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <description>Manages parking lot extensions and other options.\n	Parking is a way of putting calls \"on hold\", and then picking them up from any extension.\n    </description>\n    <changelog>\n		*2.11.0.15* Update license file\n		*2.11.0.14* Using insert_id function from wrapper\n		*2.11.0.13* Changed the specified lines in the files mentioned to add gettext formatting\n		*2.11.0.12* Fixed #6871, Basically dont use Asterisk\'s built in come back to origin, do it ourselves. Also Fixed #6774, act like the rest of FreePBX\n		*2.11.0.11* Fix typo \n   		*2.11.0.10* Add hint for the Parking Lot as a whole\n		*2.11.0.9* Set default destination to terminate call, hangup\n		*2.11.0.8* Add min range to number boxes\n		*2.11.0.7* #6375 proper fix\n		*2.11.0.6* Worked on #6378 Parking Destination and Alternate destination problems, still not perfect. Fixes #6343\n		*2.11.0.5* Fixes #6375 park retrieve issue and needsreload\n		*2.11.0.4* #6374 sql error updating\n		*2.11.0.3* fix some localization\n		*2.11.0.2* Cleanup of wording\n		*2.11.0.1* Completely rewritten from the ground up. Fixes #5498, #5549\n		*2.10.0.2* #5901\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.4* #4965, #4972\n		*2.9.0.3* #4914\n		*2.9.0.2* #4224\n		*2.9.0.1* #4740\n		*2.9.0.0* #4655\n	</changelog>\n    <menuitems>\n      <parking>Parking</parking>\n    </menuitems>\n    <depends>\n      <engine>asterisk ge 1.8</engine>\n      <version>2.11</version>\n    </depends>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/parking/parking-2.11.0.15.tgz</location>\n    <md5sum>7dff3ccf736dba86902254e844a3ff9d</md5sum>\n    <packaged>1413234098</packaged>\n    <sha1>a8542e2c38d04f792c58c65637a953b385ec1ede</sha1>\n  </module>\n  <module>\n    <rawname>pbdirectory</rawname>\n    <repo>extended</repo>\n    <name>Phonebook Directory</name>\n    <version>2.11.0.1</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Admin</category>\n    <location>packages/pbdirectory/pbdirectory-2.11.0.1.tgz</location>\n    <description>Provides a dial-by-name directory for phonebook entries</description>\n    <changelog>\n  		*2.11.0.1* Include license file\n		*2.11.0.0* bump version\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.2* #4934\n		*2.9.0.1* moved sound files out of subdir and renamed\n		*2.9.0.0* #4653\n	</changelog>\n    <depends>\n      <version>2.4.0</version>\n    </depends>\n    <requirements>\n      <module>phonebook</module>\n      <module>speeddial</module>\n    </requirements>\n    <md5sum>63ee2a7c3dba1e3e8c215c0963d226c7</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1402959849</packaged>\n    <sha1>0d57e140038ef96763a235794d9b25052b7ba9c9</sha1>\n  </module>\n  <module>\n    <rawname>phonebook</rawname>\n    <repo>extended</repo>\n    <name>Phonebook</name>\n    <version>2.11.0.2</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <description>Provides a phonebook for FreePBX, it can be used as base for Caller ID Lookup and Speed Dial</description>\n    <category>Admin</category>\n    <menuitems>\n      <phonebook>Asterisk Phonebook</phonebook>\n    </menuitems>\n    <location>packages/phonebook/phonebook-2.11.0.2.tgz</location>\n    <md5sum>000912ba6f523e61ce06641b25db3e71</md5sum>\n    <changelog>\n  		*2.11.0.2* include license file\n		*2.11.0.1* #5792 again\n		*2.11.0.0* #5792\n		*2.10.0.2* exit, not die_freepbx\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.3* #5355\n		*2.9.0.2* spelling, localizations\n		*2.9.0.1* set reposoitory\n		*2.9.0.0* 2.9 Update\n		*2.8.0.1* #4590\n		*2.8.0.0* #4309\n		*2.7.0.0* localizations\n		*2.6.0.0* localizations, misc\n		*2.5.0.2* localization changes, Swedish\n		*2.5.0.1* #3009 spelling\n		*2.5.0* #1821, #2845 tabindex\n		*2.4.0.1* #2843 Russian Translation\n		*2.4.0* CHANGELOG TRUNCATED See SVN Repository\n	</changelog>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1402959621</packaged>\n    <sha1>5ce16fce5893ecc9a8115e1229ba9f690f7f7c1f</sha1>\n  </module>\n  <module>\n    <rawname>phpagiconf</rawname>\n    <repo>unsupported</repo>\n    <name>PHPAGI Config</name>\n    <version>2.11.0.0</version>\n    <publisher>FreePBX</publisher>\n    <license>GPLv2+</license>\n    <category>Settings</category>\n    <menuitems>\n      <phpagiconf>PHPAGI Config</phpagiconf>\n    </menuitems>\n    <depends>\n      <module>manager ge1.0.4</module>\n    </depends>\n    <changelog>\n		*2.11.0.0* #6305\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.2* #4401\n		*2.9.0.1* removed duplicate functions, set repository\n		*2.9.0.0* 2.9 Update\n	</changelog>\n    <location>packages/phpagiconf/phpagiconf-2.11.0.0.tgz</location>\n    <md5sum>993d53d788b0bcee419949e51433c3d2</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1402960672</packaged>\n    <sha1>a634c576fa7de1161cd18e26760852fc1572ee6c</sha1>\n  </module>\n  <module>\n    <rawname>phpinfo</rawname>\n    <repo>extended</repo>\n    <name>PHP Info</name>\n    <version>2.11.0.1</version>\n    <publisher>FreePBX</publisher>\n    <license>GPLv2+</license>\n    <changelog>\n		*2.11.0.1* fix footer style\n		*2.11.0.0* bump version\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.1* set repository\n		*2.9.0.0* 2.9 Update\n	</changelog>\n    <category>Reports</category>\n    <menuitems>\n      <phpinfo>PHP Info</phpinfo>\n    </menuitems>\n    <location>packages/phpinfo/phpinfo-2.11.0.1.tgz</location>\n    <md5sum>9a6557f31211014bde94696e00cbb0e6</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1402959639</packaged>\n    <sha1>f6f4d68018e62a05c4038cf42851b626cd0c2ff3</sha1>\n  </module>\n  <module>\n    <rawname>pinsets</rawname>\n    <repo>standard</repo>\n    <name>PIN Sets</name>\n    <version>2.11.0.8</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Settings</category>\n    <description>Allow creation of lists of PINs (numbers for passwords) that can be used by other modules (eg, trunks).</description>\n    <changelog>\n		*2.11.0.8* FREEPBX-7745 Wording consistency: add password Set\n		*2.11.0.7* FREEPBX-7908 readjust priorities\n		*2.11.0.6* #7885\n		*2.11.0.5* #1953\n		*2.11.0.4* Include license file\n		*2.11.0.3* Update to use ::create() call.\n		*2.11.0.2* Fix pinsets_get_config hook error\n		*2.11.0.1* #6653\n		*2.11.0.0* method priority for pinset pro\n		*2.10.0.2* #5597\n		*2.10.0.1* #5478\n		*2.10.0.0* new version changes\n		*2.9.0.1* removed duplicate functions\n		*2.9.0.0* 2.9 Update\n	</changelog>\n    <menuitems>\n      <pinsets>PIN Sets</pinsets>\n    </menuitems>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <depends>\n      <module>core</module>\n    </depends>\n    <location>packages/pinsets/pinsets-2.11.0.8.tgz</location>\n    <methods>\n      <get_config>pinsets_get_config</get_config>\n    </methods>\n    <md5sum>4989158ffd1140de91f12089c583c734</md5sum>\n    <packaged>1411408954</packaged>\n    <sha1>85922f35faeae2902609040175a3c008fb9a7807</sha1>\n  </module>\n  <module>\n    <rawname>presencestate</rawname>\n    <repo>standard</repo>\n    <name>Presence State</name>\n    <version>2.11.2</version>\n    <publisher>FreePBX</publisher>\n    <license>GPLv2+</license>\n    <category>Admin</category>\n    <description>Manage list of presence states.</description>\n    <menuitems>\n      <presencestate>Presence State</presencestate>\n    </menuitems>\n    <depends>\n      <phpversion>5.3.0</phpversion>\n    </depends>\n    <changelog>\n		2.11.2 Changes and additions for UCP in FreePBX 12\n		2.11.1 Add Presence State preferences.\n		2.11.0 Initial release\n	</changelog>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <packaged>1396664193</packaged>\n    <location>packages/presencestate/presencestate-2.11.2.tgz</location>\n    <md5sum>112273dc2f4e18ad32ad9655528aa920</md5sum>\n    <sha1>6a671214d88c941e4230cf01a3ab886aee7b8f83</sha1>\n  </module>\n  <module>\n    <rawname>printextensions</rawname>\n    <repo>standard</repo>\n    <name>Print Extensions</name>\n    <version>2.11.0.1</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Reports</category>\n    <description>Creates a printable list of extension numbers used throughout the system from all modules that provide an internal callable number</description>\n    <menuitems>\n      <printextensions>Print Extensions</printextensions>\n    </menuitems>\n    <changelog>\n  		*2.11.0.1* Include license file\n		*2.11.0.0* bump to 2.11 and workaround for PHP bug that makes large numbers negative\n		*2.10.0.4* #5934\n		*2.10.0.3* #5787\n		*2.10.0.2* #5478 \n		*2.10.0.1* #5463\n		*2.10.0.0* new version changes\n		*2.9.0.1* #4650\n		*2.9.0.0* #4647 make exten numbers a link to edit the extension\n	</changelog>\n    <location>packages/printextensions/printextensions-2.11.0.1.tgz</location>\n    <md5sum>d7a9e0288347bcf3563be32510b1eb41</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1402953455</packaged>\n    <sha1>9b06c37d5366b60b150c3c131dbc41c7054fab8f</sha1>\n  </module>\n  <module>\n    <rawname>queuemetrics</rawname>\n    <name>QueueMetrics</name>\n    <version>2.11.0.1</version>\n    <repo>unsupported</repo>\n    <publisher>Schmoozecom.com</publisher>\n    <license>GPLv2</license>\n    <category>Settings</category>\n    <description>A module for QueueMetrics, that allows you to set if IVR selections should be logged to the queue logs.</description>\n    <depends>\n      <module>ivr ge 2.11.0.1</module>\n      <version>2.11.0alpha1</version>\n      <phpversion>5.3.0</phpversion>\n    </depends>\n    <menuitems>\n      <queuemetrics>QueueMetrics</queuemetrics>\n    </menuitems>\n    <changelog>\n		*2.11.0.1* Packaging of ver 2.11.0.1\n		*2.11.0.0* Move from contributed to 2.11 branch\n		*2.10.0.3* Fix QueueMetrics naming\n		*2.10.0.2* Need to log to NONE for queuename for QueueMetrics\n		*2.10.0.1* Change the way data is logged for QueueMetrics\n		*2.10.0.0* First Implementation\n	</changelog>\n    <location>packages/queuemetrics/queuemetrics-2.11.0.1.tgz</location>\n    <md5sum>8da6109f5136a13e68962cc47f4e9540</md5sum>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <packaged>1401502811</packaged>\n    <sha1>dfbc60a4e9d71d51195f24d67595f9bfce8b284f</sha1>\n  </module>\n  <module>\n    <rawname>queueprio</rawname>\n    <repo>extended</repo>\n    <name>Queue Priorities</name>\n    <version>2.11.0.2</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <description>\n		Adds the ability to set a callers priority higher before entering a queue\n	</description>\n    <menuitems>\n      <queueprio>Queue Priorities</queueprio>\n    </menuitems>\n    <popovers>\n      <queueprio>\n        <display>queueprio</display>\n      </queueprio>\n    </popovers>\n    <changelog>\n  		*2.11.0.2* Add license file\n	  	*2.11.0.1* Database Abstraction Layer Fixes\n		*2.11.0.0* #6051\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.1* set repository\n		*2.9.0.0* #4655\n	</changelog>\n    <depends>\n      <version>2.5.0alpha1</version>\n    </depends>\n    <location>packages/queueprio/queueprio-2.11.0.2.tgz</location>\n    <md5sum>8ae451346b8080cb7dfa2b898d05b448</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1402959133</packaged>\n    <sha1>24992650e7e47e1f290cc636e743b755e65c715a</sha1>\n  </module>\n  <module>\n    <rawname>queues</rawname>\n    <repo>standard</repo>\n    <name>Queues</name>\n    <version>2.11.0.27</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv2+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-2.0.txt</licenselink>\n    <category>Applications</category>\n    <description>\n		Creates a queue where calls are placed on hold and answered on a first-in, first-out basis. Many options are available, including ring strategy for agents, caller announcements, max wait times, etc.\n	</description>\n    <changelog>\n		*2.11.0.26* Reduce the number of hints/extensions generated for queues.\n		*2.11.0.25* Add support for vqplus Callback Queues\n		*2.11.0.24* Add variables to store which queue a call is joining.\n		*2.11.0.23* #1953\n		*2.11.0.22* Restrict dialing of feature codes (partial revert of previous).\n		*2.11.0.20* Update items\n		*2.11.0.19* Add hints for callers in queues.\n		*2.11.0.18* Forgot one label\n		*2.11.0.17* Fix label ordering in a radioset\n		*2.11.0.16* #7215 -- __construct missing.\n		*2.11.0.15* #7202 MoH not being set properly\n		*2.11.0.14* #6957\n		*2.11.0.13* Added ::create() call\n		*2.11.0.12* #7011\n		*2.11.0.11* #6991\n		*2.11.0.10* #6836, #6881, #6927\n		*2.11.0.9* #6744\n		*2.11.0.8* #6703\n		*2.11.0.7* Added better granularity and range to some Queue time options\n		*2.11.0.6* Fixes #6446, queue recording\n		*2.11.0.5* mis-formed html\n		*2.11.0.4* #6333, adds advanced settings for default starting Queue Event values.\n		*2.11.0.3* add gotodest splicing label\n		*2.11.0.2* remove some dialplan warnings\n		*2.11.0.1* #4767, #6084, #5895, #6092\n		*2.11.0.0* #6051\n	</changelog>\n    <depends>\n      <version>2.5.0alpha1</version>\n      <module>recordings ge 3.3.8</module>\n      <module>core ge 2.11.0.0rc1.2</module>\n    </depends>\n    <menuitems>\n      <queues>Queues</queues>\n    </menuitems>\n    <popovers>\n      <queues>\n        <display>queues</display>\n      </queues>\n    </popovers>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/queues/queues-2.11.0.27.tgz</location>\n    <md5sum>8ff0ce78e904dd30e7b8f693d4f70ee0</md5sum>\n    <packaged>1410800788</packaged>\n    <sha1>378e9deb928562bd4f7341671d19aafad8f6f7f5</sha1>\n  </module>\n  <module>\n    <rawname>recordings</rawname>\n    <repo>standard</repo>\n    <name>Recordings</name>\n    <version>3.4.0.3</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <canuninstall>no</canuninstall>\n    <category>Admin</category>\n    <description>Creates and manages system recordings, used by many other modules (eg, IVR).</description>\n    <changelog>\n		*3.4.0.3* FREEPBX-7399 Made sorting and delete standards compliant\n		*3.4.0.2* Diverge Track\n		*3.3.11.9* Replace select/drop boxes with autocomplete box\n		*3.3.11.8* use AMPASTERISKGROUP, don\'t hardcode\n		*3.3.11.7* #5654\n		*3.3.11.6* cleanup empty return value\n		*3.3.11.5* #5478\n		*3.3.11.4* #5463\n		*3.3.11.3* Categorization changes\n		*3.3.11.2* #4001\n		*3.3.11.1* #4740\n		*3.3.11.0* #4651, #4653, #4579\n		*3.3.10.3* #4604 (Security Bug)\n		*3.3.10.2* #4568 Security Patch\n	</changelog>\n    <menuitems>\n      <recordings>System Recordings</recordings>\n    </menuitems>\n    <depends>\n      <version>2.5.0alpha1</version>\n    </depends>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/recordings/recordings-3.4.0.3.tgz</location>\n    <md5sum>495618228cac8e090ed8bb2dee7992ab</md5sum>\n    <packaged>1402012940</packaged>\n    <sha1>b99a445a86def45bf04f0a27db89b5e26f0db945</sha1>\n  </module>\n  <module>\n    <rawname>restart</rawname>\n    <repo>extended</repo>\n    <name>Bulk Phone Restart</name>\n    <version>2.11.0.1</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Admin</category>\n    <changelog>\n  		*2.11.0.1* Add license info\n		*2.11.0.0* bump version\n		*2.10.0.4* fix/improve sip notify\n		*2.10.0.3* assotred bug fixes \n		*2.10.0.2* #5537 \n		*2.10.0.1* minor fixes\n		*2.10.0.0* new version changes\n		*2.9.0.2* #4401\n		*2.9.0.1* removed duplicate functions\n		*2.9.0.0* #4627\n		*2.8.0.1* #4426\n		*2.8.0.0* #4309\n		*2.7.0.0* localizations\n		*2.6.0.1* #3912\n		*2.6.0.0* Initial release\n	</changelog>\n    <depends>\n      <version>2.5.0</version>\n    </depends>\n    <description>This module allows users to restart one or multiple phones that support being restarted via a SIP NOTIFY command through Asterisk\'s sip_notify.conf \n	</description>\n    <menuitems>\n      <restart>Phone Restart</restart>\n    </menuitems>\n    <location>packages/restart/restart-2.11.0.1.tgz</location>\n    <md5sum>f7468ec960b4c2548ae251eac4daaa0e</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1402958807</packaged>\n    <sha1>3795f3285fa274a19c86d311824c0453951c1ca7</sha1>\n  </module>\n  <module>\n    <rawname>ringgroups</rawname>\n    <repo>standard</repo>\n    <name>Ring Groups</name>\n    <version>2.11.0.6</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <description>\n		Creates a group of extensions that all ring together. Extensions can be rung all at once, or in various \'hunt\' configurations. Additionally, external numbers are supported, and there is a call confirmation option where the callee has to confirm if they actually want to take the call before the caller is transferred.\n	</description>\n    <changelog>\n		*2.11.0.6* #1953\n		*2.11.0.5* update license file\n		*2.11.0.4* Fixes minor bug in adding or editing new ring groups\n		*2.11.0.3* Fixes Cant Park calls on ring group that have MoH set, might fix #6474 as well\n		*2.11.0.2* #6477\n		*2.11.0.1* #6055\n		*2.11.0.0* #6051\n		*2.10.0.6* typo in error message\n		*2.10.0.5* #5832\n		*2.10.0.4* #5652\n		*2.10.0.3* #4834 again\n		*2.10.0.2* #4834, #5263\n		*2.10.0.1* #5478\n		*2.10.0.0* #5283 Overhaul Call Recording\n		*2.9.0.6* #5011\n		*2.9.0.5* spellings, locazliations\n		*2.9.0.4* #4977\n		*2.9.0.3* #4334\n		*2.9.0.2* #4799\n		*2.9.0.1* removed duplicate functions\n		*2.9.0.0* #4671, #4655\n	</changelog>\n    <depends>\n      <version>2.5.0alpha1</version>\n      <module>recordings ge 3.3.8</module>\n    </depends>\n    <menuitems>\n      <ringgroups>Ring Groups</ringgroups>\n    </menuitems>\n    <popovers>\n      <ringgroups>\n        <display>ringgroups</display>\n      </ringgroups>\n    </popovers>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/ringgroups/ringgroups-2.11.0.6.tgz</location>\n    <md5sum>58f64e988239ee6fa13614db38b9215f</md5sum>\n    <packaged>1403302325</packaged>\n    <sha1>9124bf0599a323396e5ee5e5548cc40071d96a4e</sha1>\n  </module>\n  <module>\n    <rawname>setcid</rawname>\n    <repo>standard</repo>\n    <name>Set CallerID</name>\n    <version>2.11.0.4</version>\n    <category>Applications</category>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <description>\n		Adds the ability to change the CallerID within a call flow.\n	</description>\n    <menuitems>\n      <setcid>Set CallerID</setcid>\n    </menuitems>\n    <changelog>\n		*2.11.0.4* Update license file\n		*2.11.0.3* #7211\n		*2.11.0.2* Cleanup dbug statements\n		*2.11.0.1* Fixes #6740\n		*2.11.0.0* bump version\n		*2.10.0.0* new version changes\n		*2.9.0.2* #5180\n		*2.9.0.1* #4606\n		*2.9.0.0* 2.9 version moved to repo\n	</changelog>\n    <depends>\n      <version>2.5.0</version>\n    </depends>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/setcid/setcid-2.11.0.4.tgz</location>\n    <md5sum>ebeedc4aaf590b89f3242ce1258bba65</md5sum>\n    <packaged>1402953483</packaged>\n    <sha1>f815c2232a117a078079e44ad23dc917d66e9e8d</sha1>\n  </module>\n  <module>\n    <rawname>sipsettings</rawname>\n    <repo>standard</repo>\n    <candisable>no</candisable>\n    <canuninstall>no</canuninstall>\n    <name>Asterisk SIP Settings</name>\n    <version>2.11.0.9</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>AGPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/agpl-3.0.txt</licenselink>\n    <category>Settings</category>\n    <menuitems>\n      <sipsettings>Asterisk SIP Settings</sipsettings>\n    </menuitems>\n    <description>\n		Use to configure Various Asterisk SIP Settings in the General section of sip.conf. Also includes an auto-configuration tool to determine NAT settings. The module assumes Asterisk version 1.4 or higher. Some settings may not exist in Asterisk 1.2 and will be ignored by Asterisk.\n	</description>\n    <changelog>\n		*2.11.0.9* update license file\n		*2.11.0.7* rtp.conf cleanup, require this module\n		*2.11.0.6* #6473 - check t38pt_udptl value before setting in sip_general_additional.conf\n		*2.11.0.5* More fixes related to rtpstart and rtpend values\n		*2.11.0.4* Fixes to missing rtpstart and rtpend values. They will always be added now.\n		*2.11.0.3* Packaging of ver 2.11.0.3\n		*2.11.0.2* Packaging of ver 2.11.0.2\n		*2.11.0.1* Adds rtp controlled settings (rtpstart,rtpend), re #6397\n		*2.11.0.0* #6019\n	</changelog>\n    <depends>\n      <module>core ge 2.11.0.0beta2.4</module>\n    </depends>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/sipsettings/sipsettings-2.11.0.9.tgz</location>\n    <md5sum>674b93f3a1705c86b2868cdbd219097b</md5sum>\n    <packaged>1403242086</packaged>\n    <sha1>ea76c0e908d6b2af30582c758714b71426a12fba</sha1>\n  </module>\n  <module>\n    <rawname>sipstation</rawname>\n    <repo>standard</repo>\n    <name>SIPSTATION</name>\n    <version>2.11.1.6</version>\n    <category>Connectivity</category>\n    <menuitems>\n      <sipstation>SIPSTATION</sipstation>\n    </menuitems>\n    <description>\n		This module is used to configure, manage and troubleshoot your SIPSTATION(tm) FreePBX.com SIP trunks and DIDs. The license on this source code is NOT GPL Open Source, it is a proprietary Free to Use license.\n	</description>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>Commercial</license>\n    <licenselink>http://literature.schmoozecom.com/EUA/FreePBXCommercialModule-EndUserAgreement.txt</licenselink>\n    <changelog>\n		*2.11.1.6* License update\n		*2.11.1.4* Add new 844 toll free route to our existing routes\n		*2.11.1.3* Allow users to set some custom settings. Sorry\n		*2.11.1.2* Accept remote configuration changes and messages from SIPStation Store\n		*2.11.1.1* Support for PHP 5.1.6 - 5.3\n		*2.11.1.0beta13* Ability to collapse and expand sections fixed\n		*2.11.1.0beta12* Updated PEST Library.\n		*2.11.1.0beta11* Works with Extension Routes module, Set CID and Set Emergency CID Broken Out\n		*2.11.1.0beta10* Added setting of E911 CID per did (if extension was selected as inbound route)\n		*2.11.1.0beta9* Cosmetic Changes\n		*2.11.1.0beta8* Automatic Route Creation\n		*2.11.1.0beta7* Cosmetic Fixes. Failover Fixes. DID Clickable links to inbound routes. Outbound Routes Generation Page\n		*2.11.1.0beta5* Additions\n		*2.11.1.0beta4* Fixes for AJAX and E911s\n		*2.11.1.0beta3* Too many DIDs issues resolved\n		*2.11.1.0beta2* GUI Changes\n		*2.11.1.0beta1* New: Set E911 Address, Set Failovers, Set All Destinations, Completely New Backend Fixed: Removed most ajax page refreshes. All done behind the scenes\n		*2.11.0.2* #6399, route checkboxes incorrectly selected and reload bar up when it should not\n		*2.11.0.1* change text\n		*2.11.0.0* bump for 2.11 and change image\n		*2.10.0.2* fix Apply Config bar not coming up after updating a config without doing a page reload\n		*2.10.0.1* updates for bootstrap, misc\n		*2.10.0.0* new version changes\n		*2.9.0.1* #4543, Allows dtmfmode to be set to other valid values, qualify, qualifyfreq, and context to be set/removed differently without errors reported\n		*2.9.0.0* 2.9 Update\n		*2.8.0.7* Add remove Trunks and Keys option to SIPSTATION\n		*2.8.0.6* #4448\n		*2.8.0.5* #4310 undefined variables and spelling errors\n		*2.8.0.4* increase ajax and CURL TIMEOUT\n		*2.8.0.3* redefine core_routing_trunk_del and only if extension table is still there\n		*2.8.0.2* switch to new trunk dialrule apis\n		*2.8.0.1* report proper TEMPNOTAVAIL status when server replies with that, minor changes to install script\n		*2.8.0.0* update to use new Outbound Route APIs\n		*2.7.0.0* spelling, localizations\n		*2.6.0.3* add better error warnings when Contact/Network IP are different and not from private IP range\n		*2.6.0.2* bug fix that was not showing warning when Contact IP and Network IP were yellow\n		*2.6.0.1* add more details to noserver error\n		*2.6.0.0* tooltip edits, first release\n		*2.6.0RC1.0* Changed to gw1/gw2 separate registrations\n		*2.6.0beta1.6* collapsable section mods, added failover fields for future use, curl changes\n		*2.6.0beta1.5* css mods, new URL for xml access\n		*2.6.0beta1.4* many more bug fixes and tweaks\n		*2.6.0beta1.3* more status, lots of bug fixes\n		*2.6.0beta1.2* added install script to cleanup potential phantom trunks\n		*2.6.0beta1.1* first release\n	</changelog>\n    <depends>\n      <module>core ge 2.10</module>\n    </depends>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/sipstation/sipstation-2.11.1.6.tgz</location>\n    <md5sum>bf0658eb9469d547ee13b6be7f90574a</md5sum>\n    <packaged>1402953494</packaged>\n    <sha1>7de807d68efea63b9ee0ed7d1a5db9905e18f93b</sha1>\n  </module>\n  <module>\n    <rawname>sng_mcu</rawname>\n    <name>Sangoma MCU</name>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>Commercial</license>\n    <licenselink>http://literature.schmoozecom.com/EUA/FreePBXCommercialModule-EndUserAgreement.txt</licenselink>\n    <repo>commercial</repo>\n    <version>2.11.0.3</version>\n    <category>Admin</category>\n    <description>\n	Modules to setup and manage Sangoma MCU\n	</description>\n    <changelog>\n		2.11.0.3 Fixes issue with multiple MCUs being setup via the module \n		2.11.0.0 Initial Mockup\n	</changelog>\n    <depends>\n      <module>framework ge 2.11.0</module>\n      <phpversion>5.1.0</phpversion>\n    </depends>\n    <menuitems>\n      <sng_mcu>Sangoma MCU</sng_mcu>\n    </menuitems>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/sng_mcu/sng_mcu-2.11.0.3.tgz</location>\n    <md5sum>83d6e5f2ac500c4b2a56c17fc24a8c5f</md5sum>\n    <packaged>1402959961</packaged>\n    <sha1>10927c2a09429bb5fe5fa9306892ffc3fa14dcbc</sha1>\n  </module>\n  <module>\n    <rawname>speeddial</rawname>\n    <repo>extended</repo>\n    <name>Speed Dial Functions</name>\n    <version>2.11.0.2</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <changelog>\n		*2.11.0.2* FREEPBX-7532 app-speeddial-set uses lookup label twice\n  		*2.11.0.1* update license\n		*2.11.0.0* bump version\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.1* set repo\n		*2.9.0.0* #4535, #4651\n	</changelog>\n    <category>Settings</category>\n    <depends>\n      <module>phonebook</module>\n    </depends>\n    <location>packages/speeddial/speeddial-2.11.0.2.tgz</location>\n    <md5sum>e5efaefe0c5cba7b2ddf55cb17b97631</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1411409225</packaged>\n    <sha1>717324efd65a50f6e6bdcc1755aab95a768ee705</sha1>\n  </module>\n  <module>\n    <rawname>superfecta</rawname>\n    <repo>extended</repo>\n    <name>CID Superfecta</name>\n    <version>2.11.14</version>\n    <type>setup</type>\n    <category>Admin</category>\n    <publisher>POSSA</publisher>\n    <license>GPLv2+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-2.0.txt</licenselink>\n    <description>\n	       Provides simultaneous use of, and complete control over multiple caller id data sources.\n	</description>\n    <changelog>\n		*2.11.14* Bad module name fix\n		*2.11.13* Numerous changes\n		*2.11.12* Update all sweden sources and some improvements and database fixes\n		*2.11.11* Use new abstracted functions if exist\n		*2.11.10* Resolve class confliction in FreePBX 12\n		*2.11.9* XBMC Updates\n		*2.11.8* Fixes crash with improperly named class\n		*2.11.7* Added source Gevonden.CC for Dutch numbers and fixes listed on github\n		*2.11.6* Numerous Updates from GitHub\n		*2.11.5* Remove stage unexpected character..\n		*2.11.4* Sources updates and error clean up\n		*2.11.3* Added paginasblancas.ar and sugarcm\n		*2.11.2* Added in PDO Database search, Regular Expressions Search, FOP2 Phonebook search, Abandon Lookup, Trunk Provided Updates, also fixed descriptions in source items\n		*2.11.1* Added in a bunch of sources: Send To Growl, Send To URL, OpenCNAM, TAB Reloaded, CallWithUs, Send to MythTV and Asteridex\n        *2.11.0beta4* Remove dangling symlinks. Remove all illegal sources (against TOS)\n		*2.11.0beta2*	Fix sources versioning\n		*2.11.0beta1.2* fix xml\n		*2.11.0beta1.1* import into online repo\n	</changelog>\n    <menuitems>\n      <superfecta>CID Superfecta</superfecta>\n    </menuitems>\n    <info>https://github.com/POSSA/Caller-ID-Superfecta/wiki</info>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <md5sum>722429f420c8b75f3f15a06557b70f72</md5sum>\n    <location>packages/superfecta/superfecta-2.11.14.tgz</location>\n    <packaged>1408505718</packaged>\n    <sha1>ec7c3bb2b798cafd79632a42a8c21d58bfa4ef5e</sha1>\n  </module>\n  <module>\n    <rawname>timeconditions</rawname>\n    <repo>standard</repo>\n    <name>Time Conditions</name>\n    <version>2.11.1</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <description>\n    Creates a condition where calls will go to one of two destinations (eg, an extension, IVR, ring group..) based on the time and/or date. This can be used for example to ring a receptionist during the day, or go directly to an IVR at night.\n  </description>\n    <changelog>\n    *2.11.1.0* FREEPBX-7997 Systems with /var and /tmp on different partitions cause problems. Use Asterisk\'s temporary directory instead.\n    *2.11.0.9* Part fix for #6923 language not being set.\n    *2.11.0.8* FREEPBX-7166 check destinations bug\n    *2.11.0.7* Cleanup things that dont make sense\n    *2.11.0.6* Update license\n    *2.11.0.5* Add toggle all feature code\n    *2.11.0.4* Database Abstraction Layer Changes\n    *2.11.0.2* FREEPBX-5982 Update Feature Code Admin Descriptions when Time Conditions Changes\n    *2.11.0.1* syntax error\n    *2.11.0.0* #6051\n    *2.10.0.2* #5476, #5478\n    *2.10.0.1* misc bugs\n    *2.10.0.0* new version changes\n    *2.9.0.7* #5175, #5176\n    *2.9.0.6* #5030, spelling errors\n    *2.9.0.5* #4725\n    *2.9.0.4* removed duplicate functions\n    *2.9.0.3* #4651, #4655\n    *2.9.0.2* #4636 sticky override added\n    *2.9.0.1* #4636 typo broke hints, broken destination\n    *2.9.0.0* #4636 Add Auto-resetting manual override\n  </changelog>\n    <depends>\n      <version>2.5.0alpha1</version>\n    </depends>\n    <menuitems>\n      <timeconditions>Time Conditions</timeconditions>\n      <timegroups>Time Groups</timegroups>\n    </menuitems>\n    <popovers>\n      <timeconditions>\n        <display>timeconditions</display>\n      </timeconditions>\n    </popovers>\n    <location>packages/timeconditions/timeconditions-2.11.1.tgz</location>\n    <md5sum>fd208f20cc5f24b4a67c591cb42ecb77</md5sum>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <packaged>1411665241</packaged>\n    <sha1>5a9a349a40ae1a65490ef860b99ee3f870a23464</sha1>\n  </module>\n  <module>\n    <rawname>tts</rawname>\n    <name>Text To Speech</name>\n    <version>2.11.0.10</version>\n    <repo>extended</repo>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <type>setup</type>\n    <description>Allows you to configure text to speech, and is derived from texttospeech provided in contributed modules.</description>\n    <category>Applications</category>\n    <menuitems>\n      <tts>Text To Speech</tts>\n    </menuitems>\n    <depends>\n      <engine>asterisk ge 1.6</engine>\n      <module>ttsengines</module>\n    </depends>\n    <location>packages/tts/tts-2.11.0.10.tgz</location>\n    <changelog>\n		2.11.0.10 Fix some xss\n		2.11.0.9 Fix issue when ttsengine broken/not installed causing crash.\n		2.11.0.8 Add license file\n		2.11.0.7 #6845 TTS should be popOver enabled and tested\n		2.11.0.6 #6846\n		2.11.0.5 #6454\n		2.11.0.4 depend on asterisk 1.6 or greater\n		2.11.0.3 Fixed primary key issue\n		2.11.0.2 re #6386 - correct typo in install.php so the sql query is run, also remove uninstall.sql and use uninstall.php\n		2.11.0.1 Fixes #6386, use install.php, remove install.sql. Return false on install if agi cant be installed\n		2.11.0.0 Re-categorize\n		2.10.0.2 Security update; downstream changes\n		2.10.0.1 Security update; downstream changes\n		*2.10.0.0* version bump\n	</changelog>\n    <popovers>\n      <tts>\n        <display>tts</display>\n      </tts>\n    </popovers>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <md5sum>8a61179658e9cca2808f71f10827b25c</md5sum>\n    <packaged>1409181063</packaged>\n    <sha1>8e0f825236074c4926259f2a9f645c21500574b6</sha1>\n  </module>\n  <module>\n    <rawname>ttsengines</rawname>\n    <name>Text To Speech Engines</name>\n    <version>2.11.0.3</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>Commercial</license>\n    <licenselink>http://literature.schmoozecom.com/EUA/FreePBXCommercialModule-EndUserAgreement.txt</licenselink>\n    <repo>commercial</repo>\n    <description>Allows you to configure text to speech engines</description>\n    <category>Settings</category>\n    <menuitems>\n      <ttsengines>Text To Speech Engines</ttsengines>\n    </menuitems>\n    <location>packages/ttsengines/ttsengines-2.11.0.3.tgz</location>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <depends>\n	</depends>\n    <changelog>\n		2.11.0.3 Add license file\n		2.11.0.0 Release for 2.11\n		2.10.0.3 Security update; downstream changes \n		2.10.0.2 Security update; downstream changes \n		*2.10.0.1* Includes license information\n		*2.10.0* version bump\n	</changelog>\n    <md5sum>f932628f40ce26fea96b419992b7a93e</md5sum>\n    <packaged>1402957470</packaged>\n    <sha1>4e5bc1e560cca5afc5b101f21592945278a70de6</sha1>\n  </module>\n  <module>\n    <rawname>userman</rawname>\n    <name>User Management</name>\n    <version>2.11.12</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>AGPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/agpl-3.0.txt</licenselink>\n    <repo>standard</repo>\n    <description>\n		This Module manages all FreePBX users excluding Administrators (at this time).\n		It allows an Administrator to create a User Account that can be used by other applications for login or API purposes.\n		Modules like iSymphony or Rest API or the Upcoming User Control Panel will use this module to manage their users.\n	</description>\n    <changelog>\n		*2.11.12* Remove beta status.\n		*2.11.11* Send emails out on new user creation or on editing\n		*2.11.10* FREEPBX-7494 Userman automaticly links like extensions with leading 0\n		*2.11.9* Finishing touches to creating new user from extensions page\n		*2.11.8* Sorting order and display fixes\n		*2.11.7* Check for Class instead of version\n		*2.11.6* Update to Extra attributes, if they dont exist dont erase them\n		*2.11.5* FREEPBX-7686 can not edit user\n		*2.11.4* Prevent duplicate usernames when changing username\n		*2.11.3* FREEPBX-7405 Unlink Extension from User when Extension is deleted\n		*2.11.2* Cleanup and languaging and some javascript helpers\n		*2.11.0beta10* Update license\n		*2.11.0beta9* Fixe bug when assigning a user to an extension\n		*2.11.0beta8* Fixes FREEPBX-7253 dont try to use the array if its false\n		*2.11.0beta7* Fixes FREEPBX-7245 forgetting user data on inital add\n		*2.11.0beta6* Skinning Changes\n		*2.11.0beta5* Spelling Mistakes\n		*2.11.0beta4* Cleanup and Extensive Documentation\n		*2.11.0beta3* Move Processes into hook function for 2.11\n		*2.11.0beta2* Fixed the order of updating users\n		*2.11.0beta1* Change to beta\n		*2.11.0alpha2* Add more fields\n		*2.11.0alpha1* Initial Module\n	</changelog>\n    <info/>\n    <category>Admin</category>\n    <menuitems>\n      <userman>User Management</userman>\n    </menuitems>\n    <depends>\n      <phpversion>5.3.3</phpversion>\n      <version>2.11</version>\n    </depends>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <packaged>1413578128</packaged>\n    <location>packages/userman/userman-2.11.12.tgz</location>\n    <md5sum>85e18cabed7dc98bbae8d6a564e627d2</md5sum>\n    <sha1>8fe4adfc158b07fa108046bbc43e9b823343087c</sha1>\n  </module>\n  <module>\n    <rawname>versionupgrade</rawname>\n    <repo>standard</repo>\n    <name>FreePBX Upgrader</name>\n    <version>2.11.1rc9</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>AGPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/agpl-3.0.txt</licenselink>\n    <changelog>\n		*2.11.1rc2* disable cxpanel during install\n		*2.11.1rc1* update for 2.11 upgrade\n	</changelog>\n    <description>\n		This module allows FreePBX 2.11 to be upgraded to FreePBX 12, the next major version.\n	</description>\n    <attention>\n		You will be updated to the next version. You should make sure you have a full backup of your current system. Version 12+ requires Asterisk 1.8 or later. Once you upgrade, you can not downgrade. It may be possible to restore a backup though restoring a system that has been upgraded can run into some anomalies later on though will usually get you back to where you were.\n	</attention>\n    <type>tool</type>\n    <menuitems>\n      <versionupgrade>2.11 to 12 Upgrade Tool</versionupgrade>\n    </menuitems>\n    <depends>\n      <version>lt 12.0alpha1</version>\n      <version>ge 2.11.0</version>\n      <module>framework ge 2.11.0</module>\n      <module>fw_ari</module>\n      <module>logfiles</module>\n      <phpversion>5.3.3</phpversion>\n    </depends>\n    <category>Admin</category>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/versionupgrade/versionupgrade-2.11.1rc9.tgz</location>\n    <md5sum>a367183a852afc2030c8229b8edd67c2</md5sum>\n    <packaged>1409699032</packaged>\n    <sha1>322812f374479020e4c73b9abb632a83d96542af</sha1>\n  </module>\n  <module>\n    <rawname>vmblast</rawname>\n    <repo>standard</repo>\n    <name>Voicemail Blasting</name>\n    <version>2.11.0.4</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Applications</category>\n    <description>\n		Creates a group of extensions that calls a group of voicemail boxes and allows you to leave a message for them all at once.\n	</description>\n    <changelog>\n		*2.11.0.4* #1953\n		*2.11.0.2* update license\n		*2.11.0.1* #6055\n		*2.11.0.0* #6051\n		*2.10.0.2* #5478\n		*2.10.0.1* #5463\n		*2.10.0.0* new version changes\n		*2.9.0.3* spellings\n		*2.9.0.2* #4850\n		*2.9.0.1* removed duplicate functions\n		*2.9.0.0* 2.9 Update\n	</changelog>\n    <menuitems>\n      <vmblast>Voicemail Blasting</vmblast>\n    </menuitems>\n    <popovers>\n      <vmblast>\n        <display>vmblast</display>\n      </vmblast>\n    </popovers>\n    <depends>\n      <version>2.4.0</version>\n    </depends>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <location>packages/vmblast/vmblast-2.11.0.4.tgz</location>\n    <md5sum>a89ac8b5b350e552b5b66ab25042dde1</md5sum>\n    <packaged>1403302599</packaged>\n    <sha1>badf7c6706ba4567d70456b66e07180099ed15fa</sha1>\n  </module>\n  <module>\n    <rawname>voicemail</rawname>\n    <repo>standard</repo>\n    <name>Voicemail</name>\n    <version>2.11.1.6</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <candisable>no</candisable>\n    <canuninstall>no</canuninstall>\n    <changelog>\n		*2.11.1.6* FREEPBX-7326 Installer always modifies modules.conf\n		*2.11.1.5* Part fix for #6923 language not being set.\n		*2.11.1.4* Update license\n		*2.11.1.2* #6471\n		*2.11.1.1* Fix #6967 (missing help popups) and PBXAC-12 (unable to delete greetings/recordings)\n		*2.11.1.0* Reorganize and rework module. Clean up and fixed #6769\n		*2.11.0.4* #6712\n		*2.11.0.3* #6246\n		*2.11.0.2* #6111\n		*2.11.0.1* install_amp corner case error fix\n		*2.11.0.0* #6015\n		*2.10.0.4* #5894\n		*2.10.0.3* #5639\n		*2.10.0.2* #5135, #5168\n		*2.10.0.1* #5478\n		*2.10.0.0* new version changes\n		*2.9.0.5* #5072\n		*2.9.0.4* #5036, #5062\n		*2.9.0.3* #5000\n		*2.9.0.2* #4401\n		*2.9.0.1* removed duplicate functions\n		*2.9.0.0* #4653, #4734, #4736, merge vmailadmin\n	</changelog>\n    <description>This module allows you to configure Voicemail for a user or extension</description>\n    <category>Settings</category>\n    <menuitems>\n      <voicemail>Voicemail Admin</voicemail>\n    </menuitems>\n    <depends>\n      <version>2.5.0alpha1</version>\n    </depends>\n    <supported>\n      <version>2.11</version>\n    </supported>\n    <location>packages/voicemail/voicemail-2.11.1.6.tgz</location>\n    <md5sum>ce154d4eb503c4a55abe3705fd0978de</md5sum>\n    <packaged>1403032020</packaged>\n    <sha1>9f37504c7795342ee07df5a243f152b548269e88</sha1>\n  </module>\n  <module>\n    <rawname>weakpasswords</rawname>\n    <repo>standard</repo>\n    <name>Weak Password Detection</name>\n    <version>2.11.0.1</version>\n    <publisher>Schmooze Com Inc</publisher>\n    <license>GPLv3+</license>\n    <licenselink>http://www.gnu.org/licenses/gpl-3.0.txt</licenselink>\n    <category>Reports</category>\n    <changelog>\n		*2.11.0.1* relax sequential and repeated digits warning on long passwords\n		*2.10.0.1* #5478 \n		*2.10.0.0* new version changes\n		*2.9.0.1* #4914\n		*2.9.0.0* 2.9 Update\n	</changelog>\n    <depends>\n      <version>2.5.0</version>\n    </depends>\n    <description>This module detects weak SIP secrets and sets security notifications accordingly\n	</description>\n    <supported>\n      <version>2.10</version>\n    </supported>\n    <menuitems>\n      <weakpasswords>Weak Password Detection</weakpasswords>\n    </menuitems>\n    <location>packages/weakpasswords/weakpasswords-2.11.0.1.tgz</location>\n    <md5sum>3f44e8a5a18b7db4fac46c3763f52c87</md5sum>\n    <packaged>1402953525</packaged>\n    <sha1>47cad102b1a6f4629b33da2a13de1d56176684fe</sha1>\n  </module>\n  <security>\n    <issue>\n      <id>SEC-2014-002</id>\n      <type>RCE</type>\n      <severity>high</severity>\n      <discoveredby>m4t42,hiddenman,kurtisjwalsh</discoveredby>\n      <reported>09/30/2014</reported>\n      <fixed>09/30/2014</fixed>\n      <related_urls>\n        <url>http://community.freepbx.org/t/critical-freepbx-rce-vulnerability-all-versions/24536</url>\n        <url>http://issues.freepbx.org/browse/FREEPBX-8070</url>\n        <url>http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-7235</url>\n      </related_urls>\n      <description>Remote Command Execution, effects all versions.</description>\n      <changelog>9/30/2014: fixed</changelog>\n      <tickets>#8070</tickets>\n      <versions>\n        <v12.0>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <fw_ari>12.0.5</fw_ari>\n          </fixes>\n        </v12.0>\n        <v2.11>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <fw_ari>2.11.1.5</fw_ari>\n          </fixes>\n        </v2.11>\n        <v2.10>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <fw_ari>2.11.1.5</fw_ari>\n          </fixes>\n        </v2.10>\n        <v2.9>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <fw_ari>2.9.0.9</fw_ari>\n          </fixes>\n        </v2.9>\n      </versions>\n    </issue>\n    <issue>\n      <id>SEC-2014-001</id>\n      <type>RCE</type>\n      <severity>high</severity>\n      <discoveredby>phylocko</discoveredby>\n      <reported>2/5/2014</reported>\n      <fixed>2/6/2014</fixed>\n      <related_urls>\n        <url>http://www.freepbx.org/news/2014-02-06/security-vulnerability-notice</url>\n        <url>http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-1903</url>\n      </related_urls>\n      <description>Remote Command Execution, effects version 2.9 and above. CVE-2014-1903</description>\n      <changelog>02/06/2014: fixed</changelog>\n      <tickets>#7123</tickets>\n      <versions>\n        <v12.0>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <framework>12.0.1alpha22</framework>\n          </fixes>\n        </v12.0>\n        <v2.11>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <framework>2.11.0.21</framework>\n          </fixes>\n        </v2.11>\n        <v2.10>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <framework>2.10.1.15</framework>\n          </fixes>\n        </v2.10>\n        <v2.9>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <framework>2.9.0.14</framework>\n          </fixes>\n        </v2.9>\n      </versions>\n    </issue>\n    <issue>\n      <id>SEC-2012-001</id>\n      <type>RCE</type>\n      <severity>high</severity>\n      <discoveredby>martin</discoveredby>\n      <reported>6/12/2011</reported>\n      <fixed>3/25/2012</fixed>\n      <related_urls>\n        <url>http://somewebaddress.org</url>\n        <url>http://someweotherbaddress.org</url>\n      </related_urls>\n      <description>Remote Command Execution through ARI</description>\n      <changelog>03/25/2012: fixed\n03/27/2012: related bug addressed</changelog>\n      <tickets>#5711, #5712, #5713, #5729, FREEPBX-7104</tickets>\n      <versions>\n        <v12.0>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <framework>12.0.1alpha5</framework>\n          </fixes>\n        </v12.0>\n        <v2.11>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <junk>2.10.0.12</junk>\n          </fixes>\n        </v2.11>\n        <v2.10>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <fw_ari>2.10.0.4</fw_ari>\n            <framework>2.10.0.4</framework>\n            <core>2.10.0.12</core>\n            <junk>2.10.0.12</junk>\n            <misdn>2.10.0.12</misdn>\n          </fixes>\n        </v2.10>\n        <v2.9>\n          <vulnerable>unknown</vulnerable>\n        </v2.9>\n        <v2.8>\n          <vulnerable>no</vulnerable>\n        </v2.8>\n      </versions>\n    </issue>\n    <issue>\n      <id>SEC-2012-002</id>\n      <type>XSS</type>\n      <severity>low</severity>\n      <discoveredby>martin</discoveredby>\n      <reported>6/12/2011</reported>\n      <fixed>3/25/2012</fixed>\n      <related_urls>\n        <url>http://somewebaddress.org</url>\n      </related_urls>\n      <description>Remote Command Execution through ARI</description>\n      <changelog>03/25/2012: fixed\n03/27/2012: related bug addressed</changelog>\n      <tickets>#5711, #5712, #5713, #5729, FREEPBX-7104</tickets>\n      <versions>\n        <v12>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <framework>12.0.1alpha4</framework>\n          </fixes>\n        </v12>\n        <v2.10>\n          <vulnerable>yes</vulnerable>\n          <fixes>\n            <fw_ari>2.10.0.4</fw_ari>\n            <framework>2.10.0.4</framework>\n            <core>2.10.0.12</core>\n            <junk>2.10.0.12</junk>\n            <misdn>2.10.0.12</misdn>\n          </fixes>\n        </v2.10>\n        <v2.9>\n          <vulnerable>unknown</vulnerable>\n        </v2.9>\n        <v2.8>\n          <vulnerable>no</vulnerable>\n        </v2.8>\n      </versions>\n    </issue>\n  </security>\n</xml>'),('extmap_serialized',1413599564,'a:58:{s:3:\"*30\";s:57:\"Featurecode: blacklist_add (blacklist:Blacklist a number)\";s:3:\"*32\";s:65:\"Featurecode: blacklist_last (blacklist:Blacklist the last caller)\";s:3:\"*31\";s:76:\"Featurecode: blacklist_remove (blacklist:Remove a number from the blacklist)\";s:3:\"*72\";s:57:\"Featurecode: cfon (callforward:Call Forward All Activate)\";s:3:\"*73\";s:60:\"Featurecode: cfoff (callforward:Call Forward All Deactivate)\";s:4:\"*720\";s:68:\"Featurecode: cfpon (callforward:Call Forward All Prompting Activate)\";s:3:\"*74\";s:74:\"Featurecode: cfoff_any (callforward:Call Forward All Prompting Deactivate)\";s:3:\"*90\";s:59:\"Featurecode: cfbon (callforward:Call Forward Busy Activate)\";s:3:\"*91\";s:62:\"Featurecode: cfboff (callforward:Call Forward Busy Deactivate)\";s:4:\"*900\";s:70:\"Featurecode: cfbpon (callforward:Call Forward Busy Prompting Activate)\";s:3:\"*92\";s:76:\"Featurecode: cfboff_any (callforward:Call Forward Busy Prompting Deactivate)\";s:3:\"*52\";s:76:\"Featurecode: cfuon (callforward:Call Forward No Answer/Unavailable Activate)\";s:3:\"*53\";s:79:\"Featurecode: cfuoff (callforward:Call Forward No Answer/Unavailable Deactivate)\";s:4:\"*520\";s:87:\"Featurecode: cfupon (callforward:Call Forward No Answer/Unavailable Prompting Activate)\";s:4:\"*740\";s:56:\"Featurecode: cf_toggle (callforward:Call Forward Toggle)\";s:3:\"*70\";s:55:\"Featurecode: cwon (callwaiting:Call Waiting - Activate)\";s:3:\"*71\";s:58:\"Featurecode: cwoff (callwaiting:Call Waiting - Deactivate)\";s:3:\"*87\";s:56:\"Featurecode: conf_status (conferences:Conference Status)\";s:2:\"*8\";s:60:\"Featurecode: pickupexten (core:Asterisk General Call Pickup)\";i:555;s:35:\"Featurecode: chanspy (core:ChanSpy)\";s:2:\"**\";s:63:\"Featurecode: disconnect (core:In-Call Asterisk Disconnect Code)\";s:2:\"*2\";s:61:\"Featurecode: atxfer (core:In-Call Asterisk Attended Transfer)\";s:2:\"##\";s:61:\"Featurecode: blindxfer (core:In-Call Asterisk Blind Transfer)\";s:2:\"*1\";s:66:\"Featurecode: automon (core:In-Call Asterisk Toggle Call Recording)\";i:7777;s:52:\"Featurecode: simu_pstn (core:Simulate Incoming Call)\";s:3:\"*12\";s:42:\"Featurecode: userlogoff (core:User Logoff)\";s:3:\"*11\";s:40:\"Featurecode: userlogon (core:User Logon)\";i:888;s:37:\"Featurecode: zapbarge (core:ZapBarge)\";s:3:\"*28\";s:61:\"Featurecode: toggle-mode-all (daynight:All: Call Flow Toggle)\";s:3:\"*35\";s:60:\"Featurecode: senddictate (dictate:Email completed dictation)\";s:3:\"*34\";s:50:\"Featurecode: dodictate (dictate:Perform dictation)\";s:3:\"*78\";s:47:\"Featurecode: dnd_on (donotdisturb:DND Activate)\";s:3:\"*79\";s:50:\"Featurecode: dnd_off (donotdisturb:DND Deactivate)\";s:3:\"*76\";s:49:\"Featurecode: dnd_toggle (donotdisturb:DND Toggle)\";i:666;s:43:\"Featurecode: simu_fax (fax:Dial System FAX)\";s:3:\"*21\";s:59:\"Featurecode: fmf_toggle (findmefollow:Findme Follow Toggle)\";s:4:\"*422\";s:49:\"Featurecode: gabdial (gabcast:Connect to Gabcast)\";s:3:\"*69\";s:48:\"Featurecode: calltrace (infoservices:Call Trace)\";s:3:\"*43\";s:46:\"Featurecode: echotest (infoservices:Echo Test)\";s:3:\"*65\";s:65:\"Featurecode: speakextennum (infoservices:Speak Your Exten Number)\";s:3:\"*60\";s:56:\"Featurecode: speakingclock (infoservices:Speaking Clock)\";s:3:\"*85\";s:58:\"Featurecode: parkedcall (parking:Pickup ParkedCall Prefix)\";i:411;s:75:\"Featurecode: app-pbdirectory (pbdirectory:Phonebook dial-by-name directory)\";s:3:\"*47\";s:47:\"Featurecode: que_callers (queues:Queue Callers)\";s:3:\"*46\";s:57:\"Featurecode: que_pause_toggle (queues:Queue Pause Toggle)\";s:3:\"*45\";s:45:\"Featurecode: que_toggle (queues:Queue Toggle)\";s:3:\"*99\";s:54:\"Featurecode: record_check (recordings:Check Recording)\";s:3:\"*77\";s:52:\"Featurecode: record_save (recordings:Save Recording)\";s:3:\"*75\";s:57:\"Featurecode: setspeeddial (speeddial:Set user speed dial)\";s:2:\"*0\";s:55:\"Featurecode: callspeeddial (speeddial:Speeddial prefix)\";s:3:\"*27\";s:74:\"Featurecode: toggle-mode-all (timeconditions:All: Time Condition Override)\";s:3:\"*98\";s:53:\"Featurecode: dialvoicemail (voicemail:Dial Voicemail)\";s:1:\"*\";s:63:\"Featurecode: directdialvoicemail (voicemail:Direct Dial Prefix)\";s:3:\"*97\";s:49:\"Featurecode: myvoicemail (voicemail:My Voicemail)\";s:0:\"\";s:32:\"ParkPlus: PickupSlot Default Lot\";i:1;s:32:\"ParkPlus: PickupSlot Default Lot\";i:2;s:32:\"ParkPlus: PickupSlot Default Lot\";i:3;s:32:\"ParkPlus: PickupSlot Default Lot\";}'),('module_repo',1376082026,'http://mirror1.freepbx.org,http://mirror2.freepbx.org'),('repos_serialized',1413599568,'a:1:{s:8:\"standard\";s:1:\"1\";}'),('mod_serialized',1413599569,'a:63:{s:7:\"builtin\";a:13:{s:7:\"rawname\";s:7:\"builtin\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Basic\";s:4:\"name\";s:7:\"Builtin\";s:7:\"version\";s:7:\"2.3.0.2\";s:10:\"candisable\";s:2:\"no\";s:12:\"canuninstall\";s:2:\"no\";s:9:\"menuitems\";a:1:{s:8:\"modules1\";s:12:\"Module Admin\";}s:11:\"displayname\";s:7:\"Builtin\";s:5:\"items\";a:1:{s:8:\"modules1\";a:5:{s:4:\"name\";s:12:\"Module Admin\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;s:7:\"display\";s:7:\"modules\";}}s:6:\"status\";i:2;s:4:\"repo\";s:5:\"local\";s:7:\"license\";s:0:\"\";}s:9:\"miscdests\";a:17:{s:7:\"rawname\";s:9:\"miscdests\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:17:\"Misc Destinations\";s:7:\"version\";s:8:\"2.11.0.4\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:190:\"Allows creating destinations that dial any local number (extensions, feature codes, outside phone numbers) that can be used by other modules (eg, IVR, time conditions) as a call destination.\";s:7:\"depends\";a:1:{s:7:\"version\";s:11:\"2.5.0alpha1\";}s:9:\"menuitems\";a:1:{s:9:\"miscdests\";s:17:\"Misc Destinations\";}s:8:\"popovers\";a:1:{s:9:\"miscdests\";a:1:{s:7:\"display\";s:9:\"miscdests\";}}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:17:\"Misc Destinations\";s:5:\"items\";a:1:{s:9:\"miscdests\";a:4:{s:4:\"name\";s:17:\"Misc Destinations\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.4\";}s:3:\"irc\";a:15:{s:7:\"rawname\";s:3:\"irc\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:14:\"Online Support\";s:7:\"version\";s:8:\"2.11.0.4\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:5:\"Admin\";s:11:\"description\";s:144:\"This module lets you connect to the IRC network where developers and other users chat. You can chat to the developers live, if you have problems\";s:9:\"menuitems\";a:1:{s:3:\"irc\";s:14:\"Online Support\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:14:\"Online Support\";s:5:\"items\";a:1:{s:3:\"irc\";a:4:{s:4:\"name\";s:14:\"Online Support\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.4\";}s:11:\"inventorydb\";a:12:{s:7:\"rawname\";s:11:\"inventorydb\";s:4:\"name\";s:9:\"Inventory\";s:7:\"version\";s:7:\"2.5.0.2\";s:4:\"type\";s:4:\"tool\";s:8:\"category\";s:17:\"Third Party Addon\";s:9:\"menuitems\";a:1:{s:11:\"inventorydb\";s:9:\"Inventory\";}s:11:\"displayname\";s:9:\"Inventory\";s:5:\"items\";a:1:{s:11:\"inventorydb\";a:4:{s:4:\"name\";s:9:\"Inventory\";s:4:\"type\";s:4:\"tool\";s:8:\"category\";s:17:\"Third Party Addon\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:4:\"repo\";s:5:\"local\";s:9:\"dbversion\";s:7:\"2.5.0.2\";s:7:\"license\";s:0:\"\";}s:10:\"recordings\";a:17:{s:7:\"rawname\";s:10:\"recordings\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:10:\"Recordings\";s:7:\"version\";s:7:\"3.4.0.3\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:12:\"canuninstall\";s:2:\"no\";s:8:\"category\";s:5:\"Admin\";s:11:\"description\";s:76:\"Creates and manages system recordings, used by many other modules (eg, IVR).\";s:9:\"menuitems\";a:1:{s:10:\"recordings\";s:17:\"System Recordings\";}s:7:\"depends\";a:1:{s:7:\"version\";s:11:\"2.5.0alpha1\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:10:\"Recordings\";s:5:\"items\";a:1:{s:10:\"recordings\";a:4:{s:4:\"name\";s:17:\"System Recordings\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:7:\"3.4.0.3\";}s:3:\"ivr\";a:17:{s:7:\"rawname\";s:3:\"ivr\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:3:\"IVR\";s:7:\"version\";s:8:\"2.11.0.6\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:219:\"Creates Digital Receptionist (aka Auto-Attendant, aka Interactive Voice Response) menus. These can be used to send callers to different locations (eg, Press 1 for sales) and/or allow direct-dialing of extension numbers.\";s:7:\"depends\";a:2:{s:7:\"version\";s:11:\"2.5.0alpha1\";s:6:\"module\";s:19:\"recordings ge 3.3.8\";}s:9:\"menuitems\";a:1:{s:3:\"ivr\";s:3:\"IVR\";}s:8:\"popovers\";a:1:{s:3:\"ivr\";a:2:{s:7:\"display\";s:3:\"ivr\";s:6:\"action\";s:3:\"add\";}}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:3:\"IVR\";s:5:\"items\";a:1:{s:3:\"ivr\";a:4:{s:4:\"name\";s:3:\"IVR\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.6\";}s:15:\"printextensions\";a:15:{s:7:\"rawname\";s:15:\"printextensions\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:16:\"Print Extensions\";s:7:\"version\";s:8:\"2.11.0.1\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:7:\"Reports\";s:11:\"description\";s:130:\"Creates a printable list of extension numbers used throughout the system from all modules that provide an internal callable number\";s:9:\"menuitems\";a:1:{s:15:\"printextensions\";s:16:\"Print Extensions\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:16:\"Print Extensions\";s:5:\"items\";a:1:{s:15:\"printextensions\";a:4:{s:4:\"name\";s:16:\"Print Extensions\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:7:\"Reports\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.1\";}s:12:\"donotdisturb\";a:13:{s:7:\"rawname\";s:12:\"donotdisturb\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:20:\"Do-Not-Disturb (DND)\";s:7:\"version\";s:8:\"2.11.0.3\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:11:\"description\";s:34:\"Provides donotdisturb featurecodes\";s:8:\"category\";s:12:\"Applications\";s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:20:\"Do-Not-Disturb (DND)\";s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.3\";}s:13:\"weakpasswords\";a:16:{s:7:\"rawname\";s:13:\"weakpasswords\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:23:\"Weak Password Detection\";s:7:\"version\";s:8:\"2.11.0.1\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:7:\"Reports\";s:7:\"depends\";a:1:{s:7:\"version\";s:5:\"2.5.0\";}s:11:\"description\";s:80:\"This module detects weak SIP secrets and sets security notifications accordingly\";s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:9:\"menuitems\";a:1:{s:13:\"weakpasswords\";s:23:\"Weak Password Detection\";}s:11:\"displayname\";s:23:\"Weak Password Detection\";s:5:\"items\";a:1:{s:13:\"weakpasswords\";a:4:{s:4:\"name\";s:23:\"Weak Password Detection\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:7:\"Reports\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.1\";}s:16:\"featurecodeadmin\";a:17:{s:7:\"rawname\";s:16:\"featurecodeadmin\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:18:\"Feature Code Admin\";s:7:\"version\";s:8:\"2.11.0.2\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:10:\"candisable\";s:2:\"no\";s:12:\"canuninstall\";s:2:\"no\";s:8:\"category\";s:5:\"Admin\";s:9:\"menuitems\";a:1:{s:16:\"featurecodeadmin\";s:13:\"Feature Codes\";}s:7:\"depends\";a:1:{s:7:\"version\";s:11:\"2.5.0alpha1\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:18:\"Feature Code Admin\";s:5:\"items\";a:1:{s:16:\"featurecodeadmin\";a:4:{s:4:\"name\";s:13:\"Feature Codes\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.2\";}s:9:\"queueprio\";a:17:{s:7:\"rawname\";s:9:\"queueprio\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:16:\"Queue Priorities\";s:7:\"version\";s:8:\"2.11.0.2\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:73:\"Adds the ability to set a callers priority higher before entering a queue\";s:9:\"menuitems\";a:1:{s:9:\"queueprio\";s:16:\"Queue Priorities\";}s:8:\"popovers\";a:1:{s:9:\"queueprio\";a:1:{s:7:\"display\";s:9:\"queueprio\";}}s:7:\"depends\";a:1:{s:7:\"version\";s:11:\"2.5.0alpha1\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:16:\"Queue Priorities\";s:5:\"items\";a:1:{s:9:\"queueprio\";a:4:{s:4:\"name\";s:16:\"Queue Priorities\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.2\";}s:4:\"disa\";a:17:{s:7:\"rawname\";s:4:\"disa\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:4:\"DISA\";s:7:\"version\";s:8:\"2.11.0.6\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:9:\"menuitems\";a:1:{s:4:\"disa\";s:4:\"DISA\";}s:8:\"popovers\";a:1:{s:4:\"disa\";a:1:{s:7:\"display\";s:4:\"disa\";}}s:11:\"description\";s:261:\"DISA Allows you \'Direct Inward System Access\'. This gives you the ability to have an option on an IVR that gives you a dial tone, and you\'re able to dial out from the FreePBX machine as if you were connected to a standard extension. It appears as a Destination.\";s:7:\"depends\";a:1:{s:7:\"version\";s:5:\"2.4.0\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:4:\"DISA\";s:5:\"items\";a:1:{s:4:\"disa\";a:4:{s:4:\"name\";s:4:\"DISA\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.6\";}s:10:\"sipstation\";a:16:{s:7:\"rawname\";s:10:\"sipstation\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:10:\"SIPSTATION\";s:7:\"version\";s:8:\"2.11.1.6\";s:8:\"category\";s:12:\"Connectivity\";s:9:\"menuitems\";a:1:{s:10:\"sipstation\";s:10:\"SIPSTATION\";}s:11:\"description\";s:207:\"This module is used to configure, manage and troubleshoot your SIPSTATION(tm) FreePBX.com SIP trunks and DIDs. The license on this source code is NOT GPL Open Source, it is a proprietary Free to Use license.\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:10:\"Commercial\";s:11:\"licenselink\";s:82:\"http://literature.schmoozecom.com/EUA/FreePBXCommercialModule-EndUserAgreement.txt\";s:7:\"depends\";a:1:{s:6:\"module\";s:12:\"core ge 2.10\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:10:\"SIPSTATION\";s:5:\"items\";a:1:{s:10:\"sipstation\";a:5:{s:4:\"name\";s:10:\"SIPSTATION\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Connectivity\";s:4:\"sort\";i:0;s:4:\"beta\";s:3:\"yes\";}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.1.6\";}s:7:\"parking\";a:16:{s:7:\"rawname\";s:7:\"parking\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:11:\"Parking Lot\";s:7:\"version\";s:9:\"2.11.0.15\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:139:\"Manages parking lot extensions and other options.	Parking is a way of putting calls \"on hold\", and then picking them up from any extension.\";s:9:\"menuitems\";a:1:{s:7:\"parking\";s:7:\"Parking\";}s:7:\"depends\";a:2:{s:6:\"engine\";s:15:\"asterisk ge 1.8\";s:7:\"version\";s:4:\"2.11\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:11:\"Parking Lot\";s:5:\"items\";a:1:{s:7:\"parking\";a:4:{s:4:\"name\";s:7:\"Parking\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:9:\"2.11.0.15\";}s:3:\"fax\";a:16:{s:7:\"rawname\";s:3:\"fax\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:17:\"Fax Configuration\";s:7:\"version\";s:8:\"2.11.0.9\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:8:\"Settings\";s:9:\"menuitems\";a:1:{s:3:\"fax\";s:17:\"Fax Configuration\";}s:11:\"description\";s:55:\"Adds configurations, options and GUI for inbound faxing\";s:7:\"depends\";a:1:{s:7:\"version\";s:10:\"2.7.0beta1\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:17:\"Fax Configuration\";s:5:\"items\";a:1:{s:3:\"fax\";a:4:{s:4:\"name\";s:17:\"Fax Configuration\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:8:\"Settings\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.9\";}s:5:\"music\";a:17:{s:7:\"rawname\";s:5:\"music\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:13:\"Music on Hold\";s:7:\"version\";s:8:\"2.11.0.3\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:10:\"candisable\";s:2:\"no\";s:12:\"canuninstall\";s:2:\"no\";s:8:\"category\";s:8:\"Settings\";s:11:\"description\";s:80:\"Uploading and management of sound files (wav, mp3) to be used for on-hold music.\";s:9:\"menuitems\";a:1:{s:5:\"music\";s:13:\"Music on Hold\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:13:\"Music on Hold\";s:5:\"items\";a:1:{s:5:\"music\";a:4:{s:4:\"name\";s:13:\"Music on Hold\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:8:\"Settings\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.3\";}s:12:\"asterisk-cli\";a:16:{s:7:\"rawname\";s:12:\"asterisk-cli\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:12:\"Asterisk CLI\";s:7:\"version\";s:8:\"2.11.0.3\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:5:\"Admin\";s:11:\"description\";s:88:\"Provides an interface allowing you to run a command as if it was typed into Asterisk CLI\";s:9:\"menuitems\";a:1:{s:3:\"cli\";s:12:\"Asterisk CLI\";}s:7:\"depends\";a:1:{s:6:\"engine\";s:8:\"asterisk\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:12:\"Asterisk CLI\";s:5:\"items\";a:1:{s:3:\"cli\";a:4:{s:4:\"name\";s:12:\"Asterisk CLI\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.3\";}s:9:\"voicemail\";a:18:{s:7:\"rawname\";s:9:\"voicemail\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:9:\"Voicemail\";s:7:\"version\";s:8:\"2.11.1.6\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:10:\"candisable\";s:2:\"no\";s:12:\"canuninstall\";s:2:\"no\";s:11:\"description\";s:69:\"This module allows you to configure Voicemail for a user or extension\";s:8:\"category\";s:8:\"Settings\";s:9:\"menuitems\";a:1:{s:9:\"voicemail\";s:15:\"Voicemail Admin\";}s:7:\"depends\";a:1:{s:7:\"version\";s:11:\"2.5.0alpha1\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:9:\"Voicemail\";s:5:\"items\";a:1:{s:9:\"voicemail\";a:4:{s:4:\"name\";s:15:\"Voicemail Admin\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:8:\"Settings\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.1.6\";}s:11:\"outroutemsg\";a:16:{s:7:\"rawname\";s:11:\"outroutemsg\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:25:\"Route Congestion Messages\";s:7:\"version\";s:8:\"2.11.0.2\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:8:\"Settings\";s:11:\"description\";s:154:\"Configures message or congestion tones played when all trunks are busy in a route. Allows different messages for Emergency Routes and Intra-Company Routes\";s:9:\"menuitems\";a:1:{s:11:\"outroutemsg\";s:25:\"Route Congestion Messages\";}s:7:\"depends\";a:1:{s:6:\"module\";s:19:\"recordings ge 3.3.8\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:25:\"Route Congestion Messages\";s:5:\"items\";a:1:{s:11:\"outroutemsg\";a:4:{s:4:\"name\";s:25:\"Route Congestion Messages\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:8:\"Settings\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.2\";}s:6:\"fw_fop\";a:14:{s:7:\"rawname\";s:6:\"fw_fop\";s:4:\"repo\";s:11:\"unsupported\";s:4:\"name\";s:21:\"FreePBX FOP Framework\";s:7:\"version\";s:8:\"2.10.0.3\";s:9:\"publisher\";s:7:\"FreePBX\";s:7:\"license\";s:6:\"GPLv2+\";s:9:\"menuitems\";a:1:{s:6:\"fw_fop\";s:9:\"FOP Panel\";}s:11:\"description\";s:151:\"This module provides the original FOP (Flash Operator Panel) which is known to have issues on Asterisk 1.8 and is no longer supported in favor of FOP2.\";s:8:\"category\";s:5:\"Admin\";s:7:\"depends\";a:1:{s:7:\"version\";s:10:\"2.9.0beta2\";}s:11:\"displayname\";s:21:\"FreePBX FOP Framework\";s:5:\"items\";a:1:{s:6:\"fw_fop\";a:7:{s:4:\"name\";s:9:\"FOP Panel\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;s:4:\"href\";s:15:\"modules/fw_fop/\";s:6:\"target\";s:4:\"_fop\";s:6:\"access\";s:3:\"all\";}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.10.0.3\";}s:8:\"daynight\";a:17:{s:7:\"rawname\";s:8:\"daynight\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:17:\"Call Flow Control\";s:7:\"version\";s:8:\"2.11.0.4\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:146:\"Call Flow manual toggle control - allows for two destinations to be chosen and provides a feature code		that toggles between the two destinations.\";s:7:\"depends\";a:1:{s:7:\"version\";s:11:\"2.5.0alpha1\";}s:9:\"menuitems\";a:1:{s:8:\"daynight\";s:17:\"Call Flow Control\";}s:8:\"popovers\";a:1:{s:8:\"daynight\";a:1:{s:7:\"display\";s:8:\"daynight\";}}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:17:\"Call Flow Control\";s:5:\"items\";a:1:{s:8:\"daynight\";a:5:{s:4:\"name\";s:17:\"Call Flow Control\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;s:13:\"needsenginedb\";s:3:\"yes\";}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.4\";}s:6:\"backup\";a:16:{s:7:\"rawname\";s:6:\"backup\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:16:\"Backup & Restore\";s:7:\"version\";s:9:\"2.11.0.22\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:5:\"Admin\";s:11:\"description\";s:45:\"Backup & Restore for your FreePBX environment\";s:9:\"menuitems\";a:4:{s:6:\"backup\";s:16:\"Backup & Restore\";s:14:\"backup_servers\";s:26:\"Backup & Restore - Servers\";s:16:\"backup_templates\";s:28:\"Backup & Restore - Templates\";s:14:\"backup_restore\";s:26:\"Backup & Restore - Restore\";}s:7:\"depends\";a:1:{s:6:\"module\";s:4:\"core\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:16:\"Backup & Restore\";s:5:\"items\";a:4:{s:6:\"backup\";a:5:{s:4:\"name\";s:16:\"Backup & Restore\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;s:13:\"needsenginedb\";s:3:\"yes\";}s:14:\"backup_servers\";a:6:{s:4:\"name\";s:26:\"Backup & Restore - Servers\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;s:13:\"needsenginedb\";s:3:\"yes\";s:6:\"hidden\";s:4:\"true\";}s:16:\"backup_templates\";a:6:{s:4:\"name\";s:28:\"Backup & Restore - Templates\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;s:13:\"needsenginedb\";s:3:\"yes\";s:6:\"hidden\";s:4:\"true\";}s:14:\"backup_restore\";a:6:{s:4:\"name\";s:26:\"Backup & Restore - Restore\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;s:13:\"needsenginedb\";s:3:\"yes\";s:6:\"hidden\";s:4:\"true\";}}s:6:\"status\";i:2;s:9:\"dbversion\";s:9:\"2.11.0.22\";}s:9:\"languages\";a:17:{s:7:\"rawname\";s:9:\"languages\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:9:\"Languages\";s:7:\"version\";s:8:\"2.11.0.2\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:96:\"Adds the ability to changes the language within a call flow and add language attribute to users.\";s:9:\"menuitems\";a:1:{s:9:\"languages\";s:9:\"Languages\";}s:8:\"popovers\";a:1:{s:9:\"languages\";a:1:{s:7:\"display\";s:9:\"languages\";}}s:7:\"depends\";a:1:{s:7:\"version\";s:11:\"2.5.0alpha1\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:9:\"Languages\";s:5:\"items\";a:1:{s:9:\"languages\";a:4:{s:4:\"name\";s:9:\"Languages\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.2\";}s:7:\"javassh\";a:15:{s:7:\"rawname\";s:7:\"javassh\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:8:\"Java SSH\";s:7:\"version\";s:6:\"2.11.1\";s:9:\"publisher\";s:7:\"FreePBX\";s:7:\"license\";s:7:\"AGPLv3+\";s:11:\"licenselink\";s:40:\"http://www.gnu.org/licenses/agpl-3.0.txt\";s:8:\"category\";s:5:\"Admin\";s:11:\"description\";s:60:\"Provides a Java applet to access the system shell using SSH.\";s:9:\"menuitems\";a:1:{s:7:\"javassh\";s:8:\"Java SSH\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:8:\"Java SSH\";s:5:\"items\";a:1:{s:7:\"javassh\";a:4:{s:4:\"name\";s:8:\"Java SSH\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:6:\"2.11.1\";}s:9:\"cidlookup\";a:16:{s:7:\"rawname\";s:9:\"cidlookup\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:15:\"CallerID Lookup\";s:7:\"version\";s:9:\"2.11.1.11\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:11:\"description\";s:114:\"Allows CallerID Lookup of incoming calls against different sources (OpenCNAM, MySQL, HTTP, ENUM, Phonebook Module)\";s:8:\"category\";s:5:\"Admin\";s:9:\"menuitems\";a:1:{s:9:\"cidlookup\";s:23:\"CallerID Lookup Sources\";}s:7:\"depends\";a:2:{s:6:\"engine\";s:12:\"asterisk 1.6\";s:6:\"module\";s:26:\"framework ge 2.11.0.0rc1.6\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:15:\"CallerID Lookup\";s:5:\"items\";a:1:{s:9:\"cidlookup\";a:4:{s:4:\"name\";s:23:\"CallerID Lookup Sources\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:9:\"2.11.1.11\";}s:7:\"restart\";a:16:{s:7:\"rawname\";s:7:\"restart\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:18:\"Bulk Phone Restart\";s:7:\"version\";s:8:\"2.11.0.1\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:5:\"Admin\";s:7:\"depends\";a:1:{s:7:\"version\";s:5:\"2.5.0\";}s:11:\"description\";s:147:\"This module allows users to restart one or multiple phones that support being restarted via a SIP NOTIFY command through Asterisk\'s sip_notify.conf\";s:9:\"menuitems\";a:1:{s:7:\"restart\";s:13:\"Phone Restart\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:18:\"Bulk Phone Restart\";s:5:\"items\";a:1:{s:7:\"restart\";a:4:{s:4:\"name\";s:13:\"Phone Restart\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.1\";}s:14:\"timeconditions\";a:17:{s:7:\"rawname\";s:14:\"timeconditions\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:15:\"Time Conditions\";s:7:\"version\";s:6:\"2.11.1\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:238:\"Creates a condition where calls will go to one of two destinations (eg, an extension, IVR, ring group..) based on the time and/or date. This can be used for example to ring a receptionist during the day, or go directly to an IVR at night.\";s:7:\"depends\";a:1:{s:7:\"version\";s:11:\"2.5.0alpha1\";}s:9:\"menuitems\";a:2:{s:14:\"timeconditions\";s:15:\"Time Conditions\";s:10:\"timegroups\";s:11:\"Time Groups\";}s:8:\"popovers\";a:1:{s:14:\"timeconditions\";a:1:{s:7:\"display\";s:14:\"timeconditions\";}}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:15:\"Time Conditions\";s:5:\"items\";a:2:{s:14:\"timeconditions\";a:4:{s:4:\"name\";s:15:\"Time Conditions\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}s:10:\"timegroups\";a:4:{s:4:\"name\";s:11:\"Time Groups\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:6:\"2.11.1\";}s:4:\"core\";a:20:{s:7:\"rawname\";s:4:\"core\";s:4:\"repo\";s:8:\"standard\";s:8:\"category\";s:12:\"Applications\";s:4:\"name\";s:4:\"Core\";s:7:\"version\";s:9:\"2.11.0.34\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:10:\"candisable\";s:2:\"no\";s:12:\"canuninstall\";s:2:\"no\";s:7:\"depends\";a:2:{s:6:\"module\";s:22:\"framework ge 2.11.0.30\";s:7:\"version\";s:12:\"2.11.0alpha0\";}s:12:\"requirements\";a:1:{s:4:\"file\";s:18:\"/usr/sbin/asterisk\";}s:9:\"menuitems\";a:10:{s:10:\"extensions\";s:10:\"Extensions\";s:5:\"users\";s:5:\"Users\";s:7:\"devices\";s:7:\"Devices\";s:3:\"did\";s:14:\"Inbound Routes\";s:13:\"dahdichandids\";s:18:\"DAHDI Channel DIDs\";s:7:\"routing\";s:15:\"Outbound Routes\";s:6:\"trunks\";s:6:\"Trunks\";s:16:\"advancedsettings\";s:17:\"Advanced Settings\";s:8:\"ampusers\";s:14:\"Administrators\";s:4:\"wiki\";s:15:\"FreePBX Support\";}s:8:\"popovers\";a:2:{s:10:\"extensions\";a:1:{s:7:\"display\";s:10:\"extensions\";}s:5:\"users\";a:1:{s:7:\"display\";s:5:\"users\";}}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:4:\"Core\";s:7:\"methods\";a:1:{s:10:\"get_config\";a:1:{i:480;a:1:{i:0;s:18:\"core_do_get_config\";}}}s:5:\"items\";a:10:{s:10:\"extensions\";a:5:{s:4:\"name\";s:10:\"Extensions\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;s:13:\"needsenginedb\";s:3:\"yes\";}s:5:\"users\";a:5:{s:4:\"name\";s:5:\"Users\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;s:13:\"needsenginedb\";s:3:\"yes\";}s:7:\"devices\";a:5:{s:4:\"name\";s:7:\"Devices\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;s:13:\"needsenginedb\";s:3:\"yes\";}s:3:\"did\";a:4:{s:4:\"name\";s:14:\"Inbound Routes\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Connectivity\";s:4:\"sort\";i:0;}s:13:\"dahdichandids\";a:4:{s:4:\"name\";s:18:\"DAHDI Channel DIDs\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Connectivity\";s:4:\"sort\";i:0;}s:7:\"routing\";a:4:{s:4:\"name\";s:15:\"Outbound Routes\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Connectivity\";s:4:\"sort\";i:0;}s:6:\"trunks\";a:4:{s:4:\"name\";s:6:\"Trunks\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Connectivity\";s:4:\"sort\";i:0;}s:16:\"advancedsettings\";a:4:{s:4:\"name\";s:17:\"Advanced Settings\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:8:\"Settings\";s:4:\"sort\";i:0;}s:8:\"ampusers\";a:4:{s:4:\"name\";s:14:\"Administrators\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;}s:4:\"wiki\";a:8:{s:4:\"name\";s:15:\"FreePBX Support\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;s:4:\"href\";s:18:\"http://freepbx.org\";s:6:\"target\";s:6:\"_blank\";s:6:\"access\";s:3:\"all\";s:13:\"requires_auth\";s:5:\"false\";}}s:6:\"status\";i:2;s:9:\"dbversion\";s:9:\"2.11.0.34\";}s:9:\"blacklist\";a:15:{s:7:\"rawname\";s:9:\"blacklist\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:9:\"Blacklist\";s:7:\"version\";s:8:\"2.11.0.6\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:5:\"Admin\";s:9:\"menuitems\";a:1:{s:9:\"blacklist\";s:9:\"Blacklist\";}s:7:\"depends\";a:1:{s:6:\"module\";s:15:\"core ge 2.5.1.2\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:9:\"Blacklist\";s:5:\"items\";a:1:{s:9:\"blacklist\";a:5:{s:4:\"name\";s:9:\"Blacklist\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;s:13:\"needsenginedb\";s:3:\"yes\";}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.6\";}s:12:\"asteriskinfo\";a:16:{s:7:\"rawname\";s:12:\"asteriskinfo\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:13:\"Asterisk Info\";s:7:\"version\";s:9:\"2.11.0.89\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:7:\"Reports\";s:11:\"description\";s:57:\"Provides a snapshot of the current Asterisk configuration\";s:9:\"menuitems\";a:1:{s:12:\"asteriskinfo\";s:13:\"Asterisk Info\";}s:7:\"depends\";a:2:{s:6:\"engine\";s:8:\"asterisk\";s:7:\"version\";s:8:\"2.5.0rc3\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:13:\"Asterisk Info\";s:5:\"items\";a:1:{s:12:\"asteriskinfo\";a:4:{s:4:\"name\";s:13:\"Asterisk Info\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:7:\"Reports\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:9:\"2.11.0.89\";}s:6:\"fw_ari\";a:16:{s:7:\"rawname\";s:6:\"fw_ari\";s:7:\"modtype\";s:9:\"framework\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:21:\"FreePBX ARI Framework\";s:7:\"version\";s:8:\"2.11.1.5\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:11:\"description\";s:202:\"This module provides a facility to install bug fixes to the ARI code that is not otherwise housed in a module, it used to be part of framework but has been removed to isolate ARI from Framework updates.\";s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:8:\"category\";s:5:\"Admin\";s:9:\"menuitems\";a:1:{s:6:\"fw_ari\";s:10:\"User Panel\";}s:11:\"displayname\";s:21:\"FreePBX ARI Framework\";s:5:\"items\";a:1:{s:6:\"fw_ari\";a:8:{s:4:\"name\";s:10:\"User Panel\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:10:\"User Panel\";s:4:\"sort\";i:0;s:4:\"href\";s:11:\"/recordings\";s:6:\"target\";s:3:\"ari\";s:6:\"access\";s:3:\"all\";s:13:\"requires_auth\";s:5:\"false\";}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.1.5\";}s:10:\"ringgroups\";a:17:{s:7:\"rawname\";s:10:\"ringgroups\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:11:\"Ring Groups\";s:7:\"version\";s:8:\"2.11.0.6\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:317:\"Creates a group of extensions that all ring together. Extensions can be rung all at once, or in various \'hunt\' configurations. Additionally, external numbers are supported, and there is a call confirmation option where the callee has to confirm if they actually want to take the call before the caller is transferred.\";s:7:\"depends\";a:2:{s:7:\"version\";s:11:\"2.5.0alpha1\";s:6:\"module\";s:19:\"recordings ge 3.3.8\";}s:9:\"menuitems\";a:1:{s:10:\"ringgroups\";s:11:\"Ring Groups\";}s:8:\"popovers\";a:1:{s:10:\"ringgroups\";a:1:{s:7:\"display\";s:10:\"ringgroups\";}}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:11:\"Ring Groups\";s:5:\"items\";a:1:{s:10:\"ringgroups\";a:4:{s:4:\"name\";s:11:\"Ring Groups\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.6\";}s:7:\"manager\";a:14:{s:7:\"rawname\";s:7:\"manager\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:22:\"Asterisk Manager Users\";s:7:\"version\";s:8:\"2.11.0.5\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:8:\"Settings\";s:9:\"menuitems\";a:1:{s:7:\"manager\";s:22:\"Asterisk Manager Users\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:22:\"Asterisk Manager Users\";s:5:\"items\";a:1:{s:7:\"manager\";a:4:{s:4:\"name\";s:22:\"Asterisk Manager Users\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:8:\"Settings\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.5\";}s:12:\"infoservices\";a:15:{s:7:\"rawname\";s:12:\"infoservices\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:13:\"Info Services\";s:7:\"version\";s:8:\"2.11.0.3\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:10:\"candisable\";s:2:\"no\";s:12:\"canuninstall\";s:2:\"no\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:180:\"Provides a number of applications accessible by feature codes: company directory, call trace (last call information), echo test, speaking clock, and speak current extension number.\";s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:13:\"Info Services\";s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.3\";}s:9:\"framework\";a:16:{s:7:\"rawname\";s:9:\"framework\";s:7:\"modtype\";s:9:\"framework\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:17:\"FreePBX Framework\";s:7:\"version\";s:9:\"2.11.0.38\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:10:\"candisable\";s:2:\"no\";s:12:\"canuninstall\";s:2:\"no\";s:11:\"description\";s:115:\"This module provides a facility to install bug fixes to the framework code that is not otherwise housed in a module\";s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:8:\"category\";s:5:\"Admin\";s:11:\"displayname\";s:17:\"FreePBX Framework\";s:6:\"status\";i:2;s:9:\"dbversion\";s:9:\"2.11.0.38\";}s:10:\"dundicheck\";a:16:{s:7:\"rawname\";s:10:\"dundicheck\";s:4:\"repo\";s:11:\"unsupported\";s:4:\"name\";s:21:\"DUNDi Lookup Registry\";s:7:\"version\";s:8:\"2.11.0.3\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:11:\"description\";s:334:\"This module will check all configured and enabled DUNDi trunks as part of the extension registry function, and report back conflicts if		other sites have the same extensions. This does not filter against the route patterns - it will take any number being created and		report a conflict if that trunk could be used to call that number.\";s:9:\"menuitems\";a:1:{s:10:\"dundicheck\";s:12:\"DUNDi Lookup\";}s:7:\"depends\";a:1:{s:7:\"version\";s:5:\"2.4.0\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:8:\"category\";s:5:\"Admin\";s:11:\"displayname\";s:21:\"DUNDi Lookup Registry\";s:5:\"items\";a:1:{s:10:\"dundicheck\";a:4:{s:4:\"name\";s:12:\"DUNDi Lookup\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.3\";}s:8:\"miscapps\";a:16:{s:7:\"rawname\";s:8:\"miscapps\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:17:\"Misc Applications\";s:7:\"version\";s:8:\"2.11.0.2\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:105:\"Adds the ability to create feature codes that can go to any FreePBX destination (such as an IVR or queue)\";s:9:\"menuitems\";a:1:{s:8:\"miscapps\";s:17:\"Misc Applications\";}s:7:\"depends\";a:1:{s:7:\"version\";s:5:\"2.4.0\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:17:\"Misc Applications\";s:5:\"items\";a:1:{s:8:\"miscapps\";a:4:{s:4:\"name\";s:17:\"Misc Applications\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.2\";}s:11:\"iaxsettings\";a:15:{s:7:\"rawname\";s:11:\"iaxsettings\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:21:\"Asterisk IAX Settings\";s:7:\"version\";s:8:\"2.11.0.3\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:11:\"licenselink\";s:40:\"http://www.gnu.org/licenses/agpl-3.0.txt\";s:7:\"license\";s:6:\"AGPLv3\";s:8:\"category\";s:8:\"Settings\";s:9:\"menuitems\";a:1:{s:11:\"iaxsettings\";s:21:\"Asterisk IAX Settings\";}s:11:\"description\";s:210:\"Use to configure Various Asterisk IAX Settings in the General section of iax.conf. The module assumes Asterisk version 1.4 or higher. Some settings may not exist in Asterisk 1.2 and will be ignored by Asterisk.\";s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:21:\"Asterisk IAX Settings\";s:5:\"items\";a:1:{s:11:\"iaxsettings\";a:4:{s:4:\"name\";s:21:\"Asterisk IAX Settings\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:8:\"Settings\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.3\";}s:9:\"speeddial\";a:13:{s:7:\"rawname\";s:9:\"speeddial\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:20:\"Speed Dial Functions\";s:7:\"version\";s:8:\"2.11.0.2\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:8:\"Settings\";s:7:\"depends\";a:1:{s:6:\"module\";s:9:\"phonebook\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:20:\"Speed Dial Functions\";s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.2\";}s:12:\"announcement\";a:17:{s:7:\"rawname\";s:12:\"announcement\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:13:\"Announcements\";s:7:\"version\";s:8:\"2.11.0.4\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:119:\"Plays back one of the system recordings (optionally allowing the user to skip it) and then goes to another destination.\";s:7:\"depends\";a:2:{s:7:\"version\";s:11:\"2.5.0alpha1\";s:6:\"module\";s:19:\"recordings ge 3.3.8\";}s:9:\"menuitems\";a:1:{s:12:\"announcement\";s:13:\"Announcements\";}s:8:\"popovers\";a:1:{s:12:\"announcement\";a:1:{s:7:\"display\";s:12:\"announcement\";}}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:13:\"Announcements\";s:5:\"items\";a:1:{s:12:\"announcement\";a:4:{s:4:\"name\";s:13:\"Announcements\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.4\";}s:11:\"sipsettings\";a:18:{s:7:\"rawname\";s:11:\"sipsettings\";s:4:\"repo\";s:8:\"standard\";s:10:\"candisable\";s:2:\"no\";s:12:\"canuninstall\";s:2:\"no\";s:4:\"name\";s:21:\"Asterisk SIP Settings\";s:7:\"version\";s:8:\"2.11.0.9\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:7:\"AGPLv3+\";s:11:\"licenselink\";s:40:\"http://www.gnu.org/licenses/agpl-3.0.txt\";s:8:\"category\";s:8:\"Settings\";s:9:\"menuitems\";a:1:{s:11:\"sipsettings\";s:21:\"Asterisk SIP Settings\";}s:11:\"description\";s:278:\"Use to configure Various Asterisk SIP Settings in the General section of sip.conf. Also includes an auto-configuration tool to determine NAT settings. The module assumes Asterisk version 1.4 or higher. Some settings may not exist in Asterisk 1.2 and will be ignored by Asterisk.\";s:7:\"depends\";a:1:{s:6:\"module\";s:23:\"core ge 2.11.0.0beta2.4\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:21:\"Asterisk SIP Settings\";s:5:\"items\";a:1:{s:11:\"sipsettings\";a:4:{s:4:\"name\";s:21:\"Asterisk SIP Settings\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:8:\"Settings\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.9\";}s:7:\"pinsets\";a:17:{s:7:\"rawname\";s:7:\"pinsets\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:8:\"PIN Sets\";s:7:\"version\";s:8:\"2.11.0.8\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:8:\"Settings\";s:11:\"description\";s:103:\"Allow creation of lists of PINs (numbers for passwords) that can be used by other modules (eg, trunks).\";s:9:\"menuitems\";a:1:{s:7:\"pinsets\";s:8:\"PIN Sets\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:7:\"depends\";a:1:{s:6:\"module\";s:4:\"core\";}s:11:\"displayname\";s:8:\"PIN Sets\";s:7:\"methods\";a:1:{s:10:\"get_config\";a:1:{i:481;a:1:{i:0;s:18:\"pinsets_get_config\";}}}s:5:\"items\";a:1:{s:7:\"pinsets\";a:4:{s:4:\"name\";s:8:\"PIN Sets\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:8:\"Settings\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.8\";}s:10:\"customerdb\";a:12:{s:7:\"rawname\";s:10:\"customerdb\";s:4:\"name\";s:11:\"Customer DB\";s:7:\"version\";s:7:\"2.5.0.4\";s:4:\"type\";s:4:\"tool\";s:8:\"category\";s:17:\"Third Party Addon\";s:9:\"menuitems\";a:1:{s:10:\"customerdb\";s:11:\"Customer DB\";}s:11:\"displayname\";s:11:\"Customer DB\";s:5:\"items\";a:1:{s:10:\"customerdb\";a:4:{s:4:\"name\";s:11:\"Customer DB\";s:4:\"type\";s:4:\"tool\";s:8:\"category\";s:17:\"Third Party Addon\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:4:\"repo\";s:5:\"local\";s:9:\"dbversion\";s:7:\"2.5.0.4\";s:7:\"license\";s:0:\"\";}s:8:\"callback\";a:16:{s:7:\"rawname\";s:8:\"callback\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:8:\"Callback\";s:7:\"version\";s:8:\"2.11.0.4\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:9:\"menuitems\";a:1:{s:8:\"callback\";s:8:\"Callback\";}s:8:\"popovers\";a:1:{s:8:\"callback\";a:1:{s:7:\"display\";s:8:\"callback\";}}s:7:\"depends\";a:1:{s:7:\"version\";s:5:\"2.4.0\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:8:\"Callback\";s:5:\"items\";a:1:{s:8:\"callback\";a:4:{s:4:\"name\";s:8:\"Callback\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.4\";}s:9:\"phonebook\";a:15:{s:7:\"rawname\";s:9:\"phonebook\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:9:\"Phonebook\";s:7:\"version\";s:8:\"2.11.0.2\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:11:\"description\";s:92:\"Provides a phonebook for FreePBX, it can be used as base for Caller ID Lookup and Speed Dial\";s:8:\"category\";s:5:\"Admin\";s:9:\"menuitems\";a:1:{s:9:\"phonebook\";s:18:\"Asterisk Phonebook\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:9:\"Phonebook\";s:5:\"items\";a:1:{s:9:\"phonebook\";a:5:{s:4:\"name\";s:18:\"Asterisk Phonebook\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;s:13:\"needsenginedb\";s:3:\"yes\";}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.2\";}s:11:\"callwaiting\";a:13:{s:7:\"rawname\";s:11:\"callwaiting\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:12:\"Call Waiting\";s:11:\"description\";s:46:\"Provides an option to turn on/off call waiting\";s:8:\"category\";s:12:\"Applications\";s:7:\"version\";s:8:\"2.11.0.4\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:12:\"Call Waiting\";s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.4\";}s:12:\"fw_langpacks\";a:14:{s:7:\"rawname\";s:12:\"fw_langpacks\";s:7:\"modtype\";s:9:\"framework\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:28:\"FreePBX Localization Updates\";s:7:\"version\";s:6:\"2.11.2\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:11:\"description\";s:502:\"This module provides a facility to install new and updated localization translations for all components in FreePBX. Localization i18n translations are still kept with each module and other components such as the User Portal (ARI). This provides an easy ability to bring all components up-to-date without the need of publishing dozens of modules for every minor change. The localization updates used will be the latest available for all modules and will not consider the current version you are running.\";s:8:\"category\";s:5:\"Admin\";s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:28:\"FreePBX Localization Updates\";s:6:\"status\";i:2;s:9:\"dbversion\";s:6:\"2.11.2\";}s:7:\"vmblast\";a:17:{s:7:\"rawname\";s:7:\"vmblast\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:18:\"Voicemail Blasting\";s:7:\"version\";s:8:\"2.11.0.4\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:123:\"Creates a group of extensions that calls a group of voicemail boxes and allows you to leave a message for them all at once.\";s:9:\"menuitems\";a:1:{s:7:\"vmblast\";s:18:\"Voicemail Blasting\";}s:8:\"popovers\";a:1:{s:7:\"vmblast\";a:1:{s:7:\"display\";s:7:\"vmblast\";}}s:7:\"depends\";a:1:{s:7:\"version\";s:5:\"2.4.0\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:18:\"Voicemail Blasting\";s:5:\"items\";a:1:{s:7:\"vmblast\";a:4:{s:4:\"name\";s:18:\"Voicemail Blasting\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.4\";}s:6:\"paging\";a:18:{s:7:\"rawname\";s:6:\"paging\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:19:\"Paging and Intercom\";s:7:\"version\";s:8:\"2.11.0.9\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:7:\"depends\";a:1:{s:7:\"version\";s:5:\"2.4.0\";}s:11:\"description\";s:345:\"Allows creation of paging groups to make announcements using the speaker built into most SIP phones. 	Also creates an Intercom feature code that can be used as a prefix to talk directly to one person, as well as optional feature codes to block/allow intercom calls to all users as well as blocking specific users or only allowing specific users.\";s:9:\"menuitems\";a:1:{s:6:\"paging\";s:19:\"Paging and Intercom\";}s:12:\"requirements\";a:1:{s:6:\"module\";s:11:\"conferences\";}s:8:\"popovers\";a:1:{s:6:\"paging\";a:2:{s:7:\"display\";s:6:\"paging\";s:6:\"action\";s:3:\"add\";}}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:19:\"Paging and Intercom\";s:5:\"items\";a:1:{s:6:\"paging\";a:4:{s:4:\"name\";s:19:\"Paging and Intercom\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.9\";}s:13:\"customappsreg\";a:17:{s:7:\"rawname\";s:13:\"customappsreg\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:19:\"Custom Applications\";s:7:\"version\";s:8:\"2.11.0.2\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:5:\"Admin\";s:11:\"description\";s:147:\"Registry to add custom extensions and destinations that may be created and used so that the Extensions and Destinations Registry can include these.\";s:9:\"menuitems\";a:2:{s:12:\"customextens\";s:17:\"Custom Extensions\";s:11:\"customdests\";s:19:\"Custom Destinations\";}s:8:\"popovers\";a:1:{s:13:\"customappsreg\";a:1:{s:7:\"display\";s:11:\"customdests\";}}s:7:\"depends\";a:1:{s:7:\"version\";s:5:\"2.4.0\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:19:\"Custom Applications\";s:5:\"items\";a:2:{s:12:\"customextens\";a:4:{s:4:\"name\";s:17:\"Custom Extensions\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;}s:11:\"customdests\";a:4:{s:4:\"name\";s:19:\"Custom Destinations\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:5:\"Admin\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.2\";}s:7:\"phpinfo\";a:13:{s:7:\"rawname\";s:7:\"phpinfo\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:8:\"PHP Info\";s:7:\"version\";s:8:\"2.11.0.1\";s:9:\"publisher\";s:7:\"FreePBX\";s:7:\"license\";s:6:\"GPLv2+\";s:8:\"category\";s:7:\"Reports\";s:9:\"menuitems\";a:1:{s:7:\"phpinfo\";s:8:\"PHP Info\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:8:\"PHP Info\";s:5:\"items\";a:1:{s:7:\"phpinfo\";a:4:{s:4:\"name\";s:8:\"PHP Info\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:7:\"Reports\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.1\";}s:7:\"dictate\";a:13:{s:7:\"rawname\";s:7:\"dictate\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:9:\"Dictation\";s:7:\"version\";s:8:\"2.11.0.3\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:189:\"This uses the app_dictate module of Asterisk to let users record dictate into their phones. When complete, the dictations can be emailed to an email address specified in the extension page.\";s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:9:\"Dictation\";s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.3\";}s:11:\"conferences\";a:17:{s:7:\"rawname\";s:11:\"conferences\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:11:\"Conferences\";s:7:\"version\";s:8:\"2.11.0.6\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:85:\"Allow creation of conference rooms (meet-me) where multiple people can talk together.\";s:7:\"depends\";a:2:{s:7:\"version\";s:11:\"2.5.0alpha1\";s:6:\"module\";s:19:\"recordings ge 3.3.8\";}s:9:\"menuitems\";a:1:{s:11:\"conferences\";s:11:\"Conferences\";}s:8:\"popovers\";a:1:{s:11:\"conferences\";a:1:{s:7:\"display\";s:11:\"conferences\";}}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:11:\"Conferences\";s:5:\"items\";a:1:{s:11:\"conferences\";a:4:{s:4:\"name\";s:11:\"Conferences\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.6\";}s:11:\"callforward\";a:13:{s:7:\"rawname\";s:11:\"callforward\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:12:\"Call Forward\";s:7:\"version\";s:6:\"2.11.5\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:7:\"AGPLv3+\";s:11:\"licenselink\";s:40:\"http://www.gnu.org/licenses/agpl-3.0.txt\";s:11:\"description\";s:33:\"Provides callforward featurecodes\";s:8:\"category\";s:12:\"Applications\";s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:12:\"Call Forward\";s:6:\"status\";i:2;s:9:\"dbversion\";s:6:\"2.11.5\";}s:9:\"dashboard\";a:18:{s:7:\"rawname\";s:9:\"dashboard\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:16:\"System Dashboard\";s:7:\"version\";s:8:\"2.11.0.5\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:10:\"candisable\";s:2:\"no\";s:12:\"canuninstall\";s:2:\"no\";s:8:\"category\";s:7:\"Reports\";s:11:\"description\";s:117:\"Provides a system information dashboard, showing information about Calls, CPU, Memory, Disks, Network, and processes.\";s:9:\"menuitems\";a:1:{s:9:\"dashboard\";s:21:\"FreePBX System Status\";}s:7:\"depends\";a:1:{s:7:\"version\";s:10:\"2.3.0beta2\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:16:\"System Dashboard\";s:5:\"items\";a:1:{s:9:\"dashboard\";a:6:{s:4:\"name\";s:21:\"FreePBX System Status\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:7:\"Reports\";s:4:\"sort\";i:0;s:7:\"display\";s:5:\"index\";s:6:\"access\";s:3:\"all\";}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.5\";}s:11:\"pbdirectory\";a:15:{s:7:\"rawname\";s:11:\"pbdirectory\";s:4:\"repo\";s:8:\"extended\";s:4:\"name\";s:19:\"Phonebook Directory\";s:7:\"version\";s:8:\"2.11.0.1\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:5:\"Admin\";s:11:\"description\";s:55:\"Provides a dial-by-name directory for phonebook entries\";s:7:\"depends\";a:1:{s:7:\"version\";s:5:\"2.4.0\";}s:12:\"requirements\";a:1:{s:6:\"module\";a:2:{i:0;s:9:\"phonebook\";i:1;s:9:\"speeddial\";}}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:19:\"Phonebook Directory\";s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.1\";}s:7:\"gabcast\";a:13:{s:7:\"rawname\";s:7:\"gabcast\";s:4:\"name\";s:7:\"Gabcast\";s:7:\"version\";s:7:\"2.5.0.2\";s:4:\"type\";s:4:\"tool\";s:8:\"category\";s:17:\"Third Party Addon\";s:9:\"menuitems\";a:1:{s:7:\"gabcast\";s:7:\"Gabcast\";}s:7:\"depends\";a:1:{s:7:\"version\";s:5:\"2.4.0\";}s:11:\"displayname\";s:7:\"Gabcast\";s:5:\"items\";a:1:{s:7:\"gabcast\";a:4:{s:4:\"name\";s:7:\"Gabcast\";s:4:\"type\";s:4:\"tool\";s:8:\"category\";s:17:\"Third Party Addon\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:4:\"repo\";s:5:\"local\";s:9:\"dbversion\";s:7:\"2.5.0.2\";s:7:\"license\";s:0:\"\";}s:8:\"logfiles\";a:15:{s:7:\"rawname\";s:8:\"logfiles\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:17:\"Asterisk Logfiles\";s:12:\"canuninstall\";s:2:\"no\";s:7:\"version\";s:8:\"2.11.1.3\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:7:\"Reports\";s:9:\"menuitems\";a:2:{s:8:\"logfiles\";s:17:\"Asterisk Logfiles\";s:17:\"logfiles_settings\";s:25:\"Asterisk Logfile Settings\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:17:\"Asterisk Logfiles\";s:5:\"items\";a:2:{s:8:\"logfiles\";a:4:{s:4:\"name\";s:17:\"Asterisk Logfiles\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:7:\"Reports\";s:4:\"sort\";i:0;}s:17:\"logfiles_settings\";a:4:{s:4:\"name\";s:25:\"Asterisk Logfile Settings\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:8:\"Settings\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.1.3\";}s:13:\"callrecording\";a:18:{s:7:\"rawname\";s:13:\"callrecording\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:14:\"Call Recording\";s:7:\"version\";s:8:\"2.11.0.8\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:10:\"candisable\";s:2:\"no\";s:12:\"canuninstall\";s:2:\"no\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:50:\"Provides much of the call recording functionality.\";s:9:\"menuitems\";a:1:{s:13:\"callrecording\";s:14:\"Call Recording\";}s:8:\"popovers\";a:1:{s:13:\"callrecording\";a:1:{s:7:\"display\";s:13:\"callrecording\";}}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:14:\"Call Recording\";s:5:\"items\";a:1:{s:13:\"callrecording\";a:4:{s:4:\"name\";s:14:\"Call Recording\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.8\";}s:3:\"cdr\";a:16:{s:7:\"rawname\";s:3:\"cdr\";s:4:\"repo\";s:8:\"standard\";s:11:\"description\";s:63:\"Call Data Record report tools for viewing reports of your calls\";s:4:\"name\";s:11:\"CDR Reports\";s:7:\"version\";s:9:\"2.11.0.11\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:8:\"category\";s:7:\"Reports\";s:9:\"menuitems\";a:1:{s:3:\"cdr\";s:11:\"CDR Reports\";}s:7:\"depends\";a:1:{s:6:\"module\";s:13:\"core ge 2.6.0\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:11:\"CDR Reports\";s:5:\"items\";a:1:{s:3:\"cdr\";a:4:{s:4:\"name\";s:11:\"CDR Reports\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:7:\"Reports\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:9:\"2.11.0.11\";}s:6:\"queues\";a:17:{s:7:\"rawname\";s:6:\"queues\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:6:\"Queues\";s:7:\"version\";s:9:\"2.11.0.27\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv2+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-2.0.txt\";s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:198:\"Creates a queue where calls are placed on hold and answered on a first-in, first-out basis. Many options are available, including ring strategy for agents, caller announcements, max wait times, etc.\";s:7:\"depends\";a:2:{s:7:\"version\";s:11:\"2.5.0alpha1\";s:6:\"module\";a:2:{i:0;s:19:\"recordings ge 3.3.8\";i:1;s:21:\"core ge 2.11.0.0rc1.2\";}}s:9:\"menuitems\";a:1:{s:6:\"queues\";s:6:\"Queues\";}s:8:\"popovers\";a:1:{s:6:\"queues\";a:1:{s:7:\"display\";s:6:\"queues\";}}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.11\";}s:11:\"displayname\";s:6:\"Queues\";s:5:\"items\";a:1:{s:6:\"queues\";a:5:{s:4:\"name\";s:6:\"Queues\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;s:13:\"needsenginedb\";s:3:\"yes\";}}s:6:\"status\";i:2;s:9:\"dbversion\";s:9:\"2.11.0.27\";}s:12:\"findmefollow\";a:16:{s:7:\"rawname\";s:12:\"findmefollow\";s:4:\"repo\";s:8:\"standard\";s:4:\"name\";s:9:\"Follow Me\";s:7:\"version\";s:8:\"2.11.0.6\";s:9:\"publisher\";s:16:\"Schmooze Com Inc\";s:7:\"license\";s:6:\"GPLv3+\";s:11:\"licenselink\";s:39:\"http://www.gnu.org/licenses/gpl-3.0.txt\";s:7:\"depends\";a:2:{s:7:\"version\";s:11:\"2.5.0alpha1\";s:6:\"module\";s:19:\"recordings ge 3.3.8\";}s:8:\"category\";s:12:\"Applications\";s:11:\"description\";s:358:\"Much like a ring group, but works on individual extensions. When someone calls the extension, it can be setup to ring for a number of seconds before trying to ring other extensions and/or external numbers, or to ring all at once, or in other various \'hunt\' configurations. Most commonly used to ring someone\'s cell phone if they don\'t answer their extension.\";s:9:\"menuitems\";a:1:{s:12:\"findmefollow\";s:9:\"Follow Me\";}s:9:\"supported\";a:1:{s:7:\"version\";s:4:\"2.10\";}s:11:\"displayname\";s:9:\"Follow Me\";s:5:\"items\";a:1:{s:12:\"findmefollow\";a:5:{s:4:\"name\";s:9:\"Follow Me\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:12:\"Applications\";s:4:\"sort\";i:0;s:13:\"needsenginedb\";s:3:\"yes\";}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.6\";}s:10:\"phpagiconf\";a:13:{s:7:\"rawname\";s:10:\"phpagiconf\";s:4:\"repo\";s:11:\"unsupported\";s:4:\"name\";s:13:\"PHPAGI Config\";s:7:\"version\";s:8:\"2.11.0.0\";s:9:\"publisher\";s:7:\"FreePBX\";s:7:\"license\";s:6:\"GPLv2+\";s:8:\"category\";s:8:\"Settings\";s:9:\"menuitems\";a:1:{s:10:\"phpagiconf\";s:13:\"PHPAGI Config\";}s:7:\"depends\";a:1:{s:6:\"module\";s:15:\"manager ge1.0.4\";}s:11:\"displayname\";s:13:\"PHPAGI Config\";s:5:\"items\";a:1:{s:10:\"phpagiconf\";a:4:{s:4:\"name\";s:13:\"PHPAGI Config\";s:4:\"type\";s:5:\"setup\";s:8:\"category\";s:8:\"Settings\";s:4:\"sort\";i:0;}}s:6:\"status\";i:2;s:9:\"dbversion\";s:8:\"2.11.0.0\";}}');
/*!40000 ALTER TABLE `module_xml` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `modules`
--

DROP TABLE IF EXISTS `modules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `modules` (
  `id` int(11) NOT NULL auto_increment,
  `modulename` varchar(50) NOT NULL default '',
  `version` varchar(20) NOT NULL default '',
  `enabled` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=70 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `modules`
--

LOCK TABLES `modules` WRITE;
/*!40000 ALTER TABLE `modules` DISABLE KEYS */;
INSERT INTO `modules` VALUES (1,'featurecodeadmin','2.11.0.2',1),(2,'core','2.11.0.34',1),(3,'infoservices','2.11.0.3',1),(4,'music','2.11.0.3',1),(5,'voicemail','2.11.1.6',1),(6,'framework','2.11.0.38',1),(7,'recordings','3.4.0.3',1),(8,'customappsreg','2.11.0.2',1),(9,'dashboard','2.11.0.5',1),(10,'fw_ari','2.11.1.5',1),(11,'fw_fop','2.10.0.3',1),(12,'fw_langpacks','2.11.2',1),(43,'queueprio','2.11.0.2',1),(14,'queues','2.11.0.27',1),(15,'announcement','2.11.0.4',1),(16,'backup','2.11.0.22',1),(17,'callback','2.11.0.4',1),(18,'callforward','2.11.5',1),(19,'callwaiting','2.11.0.4',1),(20,'conferences','2.11.0.6',1),(21,'dictate','2.11.0.3',1),(22,'disa','2.11.0.6',1),(23,'donotdisturb','2.11.0.3',1),(24,'findmefollow','2.11.0.6',1),(25,'irc','2.11.0.4',1),(26,'ivr','2.11.0.6',1),(27,'logfiles','2.11.1.3',1),(28,'manager','2.11.0.5',1),(29,'miscapps','2.11.0.2',1),(30,'miscdests','2.11.0.4',1),(31,'paging','2.11.0.9',1),(32,'parking','2.11.0.15',1),(33,'pbdirectory','2.11.0.1',1),(34,'phonebook','2.11.0.2',1),(35,'pinsets','2.11.0.8',1),(36,'ringgroups','2.11.0.6',1),(37,'timeconditions','2.11.1',1),(38,'vmblast','2.11.0.4',1),(39,'blacklist','2.11.0.6',1),(40,'cidlookup','2.11.1.11',1),(41,'languages','2.11.0.2',1),(42,'speeddial','2.11.0.2',1),(44,'daynight','2.11.0.4',1),(59,'outroutemsg','2.11.0.2',1),(60,'restart','2.11.0.1',1),(61,'sipsettings','2.11.0.9',1),(45,'asterisk-cli','2.11.0.3',1),(46,'asteriskinfo','2.11.0.89',1),(47,'customerdb','2.5.0.4',1),(48,'dundicheck','2.11.0.3',1),(49,'gabcast','2.5.0.2',1),(50,'inventorydb','2.5.0.2',1),(51,'javassh','2.11.1',1),(52,'phpagiconf','2.11.0.0',1),(53,'phpinfo','2.11.0.1',1),(54,'printextensions','2.11.0.1',1),(55,'weakpasswords','2.11.0.1',1),(56,'sipstation','2.11.1.6',1),(58,'iaxsettings','2.11.0.3',1),(63,'fax','2.11.0.9',1),(68,'cdr','2.11.0.11',1),(69,'callrecording','2.11.0.8',1);
/*!40000 ALTER TABLE `modules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `notifications`
--

DROP TABLE IF EXISTS `notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `notifications` (
  `module` varchar(24) NOT NULL default '',
  `id` varchar(24) NOT NULL default '',
  `level` int(11) NOT NULL default '0',
  `display_text` varchar(255) NOT NULL default '',
  `extended_text` blob NOT NULL,
  `link` varchar(255) NOT NULL default '',
  `reset` tinyint(4) NOT NULL default '0',
  `candelete` tinyint(4) NOT NULL default '0',
  `timestamp` int(11) NOT NULL default '0',
  PRIMARY KEY  (`module`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `notifications`
--

LOCK TABLES `notifications` WRITE;
/*!40000 ALTER TABLE `notifications` DISABLE KEYS */;
INSERT INTO `notifications` VALUES ('freepbx','NEWMODS',600,'5 New modules are available','The following new modules are available for download. Click delete icon on the right to remove this notice.<br />cxpanel (3.1.6)<br />presencestate (2.11.2)<br />sipsettings (2.11.0.9)<br />userman (2.11.12)<br />versionupgrade (2.11.1rc9)<br />','',0,1,1413598648),('freepbx','reload_fop',400,'Could not reload FOP server','Could not reload the FOP operator panel server using killall -HUP op_server.pl. Configuration changes may not be reflected in the panel display. If the FOP module was just installed you may have to retart Asterisk with the \"amportal restart\" command for the FOP server to run.','',0,0,1392246066),('freepbx','NOEMAIL',600,'No email address for online update checks','You are automatically checking for online updates nightly but you have no email address setup to send the results. This can be set in Module Admin. They will continue to show up here.','',0,0,1392081063),('ivr','DIRECTORY_DEPRECATED',600,'Deprecated Directory used by 1 IVRs','There are 1 IVRs that have the legacy Directory dialing enabled. This has been deprecated and will be removed from future releases. You should convert your IVRs to use the Directory module for this functionality and assign an IVR destination to a desired Directory. You can install the Directory module from the Online Module Repository','',0,1,1376082260),('framework','BROWSER_STATS',600,'Collecting Anonymous Browser Stats','The FreePBX project is collecting anonymous browser statistics using google analytics. These are used to focus development efforts based on real user input. All information is anonymous. You can disable this in Advanced Settings with the Browser Stats setting.','',0,1,1376083829);
/*!40000 ALTER TABLE `notifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `outbound_route_patterns`
--

DROP TABLE IF EXISTS `outbound_route_patterns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `outbound_route_patterns` (
  `route_id` int(11) NOT NULL,
  `match_pattern_prefix` varchar(60) NOT NULL default '',
  `match_pattern_pass` varchar(60) NOT NULL default '',
  `match_cid` varchar(60) NOT NULL default '',
  `prepend_digits` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`route_id`,`match_pattern_prefix`,`match_pattern_pass`,`match_cid`,`prepend_digits`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `outbound_route_patterns`
--

LOCK TABLES `outbound_route_patterns` WRITE;
/*!40000 ALTER TABLE `outbound_route_patterns` DISABLE KEYS */;
INSERT INTO `outbound_route_patterns` VALUES (1,'9','.','','');
/*!40000 ALTER TABLE `outbound_route_patterns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `outbound_route_sequence`
--

DROP TABLE IF EXISTS `outbound_route_sequence`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `outbound_route_sequence` (
  `route_id` int(11) NOT NULL,
  `seq` int(11) NOT NULL,
  PRIMARY KEY  (`route_id`,`seq`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `outbound_route_sequence`
--

LOCK TABLES `outbound_route_sequence` WRITE;
/*!40000 ALTER TABLE `outbound_route_sequence` DISABLE KEYS */;
INSERT INTO `outbound_route_sequence` VALUES (1,0);
/*!40000 ALTER TABLE `outbound_route_sequence` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `outbound_route_trunks`
--

DROP TABLE IF EXISTS `outbound_route_trunks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `outbound_route_trunks` (
  `route_id` int(11) NOT NULL,
  `trunk_id` int(11) NOT NULL,
  `seq` int(11) NOT NULL,
  PRIMARY KEY  (`route_id`,`trunk_id`,`seq`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `outbound_route_trunks`
--

LOCK TABLES `outbound_route_trunks` WRITE;
/*!40000 ALTER TABLE `outbound_route_trunks` DISABLE KEYS */;
INSERT INTO `outbound_route_trunks` VALUES (1,1,0);
/*!40000 ALTER TABLE `outbound_route_trunks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `outbound_routes`
--

DROP TABLE IF EXISTS `outbound_routes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `outbound_routes` (
  `route_id` int(11) NOT NULL auto_increment,
  `name` varchar(40) default NULL,
  `outcid` varchar(40) default NULL,
  `outcid_mode` varchar(20) default NULL,
  `password` varchar(30) default NULL,
  `emergency_route` varchar(4) default NULL,
  `intracompany_route` varchar(4) default NULL,
  `mohclass` varchar(80) default NULL,
  `time_group_id` int(11) default NULL,
  `dest` varchar(255) default NULL,
  PRIMARY KEY  (`route_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `outbound_routes`
--

LOCK TABLES `outbound_routes` WRITE;
/*!40000 ALTER TABLE `outbound_routes` DISABLE KEYS */;
INSERT INTO `outbound_routes` VALUES (1,'9_outside','','','','','','',NULL,NULL);
/*!40000 ALTER TABLE `outbound_routes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `outroutemsg`
--

DROP TABLE IF EXISTS `outroutemsg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `outroutemsg` (
  `keyword` varchar(40) NOT NULL default '',
  `data` varchar(10) NOT NULL,
  PRIMARY KEY  (`keyword`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `outroutemsg`
--

LOCK TABLES `outroutemsg` WRITE;
/*!40000 ALTER TABLE `outroutemsg` DISABLE KEYS */;
/*!40000 ALTER TABLE `outroutemsg` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paging_autoanswer`
--

DROP TABLE IF EXISTS `paging_autoanswer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paging_autoanswer` (
  `useragent` varchar(255) NOT NULL,
  `var` varchar(20) NOT NULL,
  `setting` varchar(255) NOT NULL,
  PRIMARY KEY  (`useragent`,`var`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paging_autoanswer`
--

LOCK TABLES `paging_autoanswer` WRITE;
/*!40000 ALTER TABLE `paging_autoanswer` DISABLE KEYS */;
INSERT INTO `paging_autoanswer` VALUES ('default','CALLINFO','Call-Info: <uri>\\;answer-after=0'),('default','ALERTINFO','Alert-Info: Ring Answer'),('default','SIPURI','intercom=true'),('Mitel','CALLINFO','Call-Info: <sip:broadworks.net>\\;answer-after=0'),('Panasonic','ALERTINFO','Alert-Info: Intercom'),('Polycom','ALERTINFO','Alert-Info: info=Auto Answer'),('Digium','ALERTINFO','Alert-Info: ring-answer');
/*!40000 ALTER TABLE `paging_autoanswer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paging_config`
--

DROP TABLE IF EXISTS `paging_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paging_config` (
  `page_group` varchar(255) NOT NULL default '',
  `force_page` int(1) NOT NULL,
  `duplex` int(1) NOT NULL default '0',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`page_group`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paging_config`
--

LOCK TABLES `paging_config` WRITE;
/*!40000 ALTER TABLE `paging_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `paging_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `paging_groups`
--

DROP TABLE IF EXISTS `paging_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `paging_groups` (
  `page_number` varchar(50) NOT NULL default '',
  `ext` varchar(25) NOT NULL default '',
  PRIMARY KEY  (`page_number`,`ext`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `paging_groups`
--

LOCK TABLES `paging_groups` WRITE;
/*!40000 ALTER TABLE `paging_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `paging_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `parkplus`
--

DROP TABLE IF EXISTS `parkplus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `parkplus` (
  `id` int(11) NOT NULL auto_increment,
  `defaultlot` varchar(10) NOT NULL default 'no',
  `type` varchar(10) NOT NULL default 'public',
  `name` varchar(40) NOT NULL default '',
  `parkext` varchar(40) NOT NULL default '',
  `parkpos` varchar(40) NOT NULL default '',
  `numslots` int(11) NOT NULL default '4',
  `parkingtime` int(11) NOT NULL default '45',
  `parkedmusicclass` varchar(100) default 'default',
  `generatefc` varchar(10) NOT NULL default 'yes',
  `generatehints` varchar(10) NOT NULL default 'yes',
  `findslot` varchar(10) NOT NULL default 'first',
  `parkedplay` varchar(10) NOT NULL default 'both',
  `parkedcalltransfers` varchar(10) NOT NULL default 'caller',
  `parkedcallreparking` varchar(10) NOT NULL default 'caller',
  `alertinfo` varchar(254) NOT NULL default '',
  `cidpp` varchar(100) NOT NULL default '',
  `autocidpp` varchar(10) NOT NULL default 'none',
  `announcement_id` int(11) default NULL,
  `comebacktoorigin` varchar(10) NOT NULL default 'yes',
  `dest` varchar(100) NOT NULL default 'app-blackhole,hangup,1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `parkplus`
--

LOCK TABLES `parkplus` WRITE;
/*!40000 ALTER TABLE `parkplus` DISABLE KEYS */;
INSERT INTO `parkplus` VALUES (1,'yes','public','Default Lot','','',4,45,'default','yes','yes','first','both','caller','caller','','','none',NULL,'yes','app-blackhole,hangup,1');
/*!40000 ALTER TABLE `parkplus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `phpagiconf`
--

DROP TABLE IF EXISTS `phpagiconf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `phpagiconf` (
  `phpagiid` int(11) NOT NULL auto_increment,
  `debug` tinyint(1) default NULL,
  `error_handler` tinyint(1) default NULL,
  `err_email` varchar(50) default NULL,
  `hostname` varchar(255) default NULL,
  `tempdir` varchar(255) default NULL,
  `festival_text2wave` varchar(255) default NULL,
  `asman_server` varchar(255) default NULL,
  `asman_port` int(11) NOT NULL,
  `asman_user` varchar(50) default NULL,
  `asman_secret` varchar(255) default NULL,
  `cepstral_swift` varchar(255) default NULL,
  `cepstral_voice` varchar(50) default NULL,
  `setuid` tinyint(1) default NULL,
  `basedir` varchar(255) default NULL,
  PRIMARY KEY  (`phpagiid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `phpagiconf`
--

LOCK TABLES `phpagiconf` WRITE;
/*!40000 ALTER TABLE `phpagiconf` DISABLE KEYS */;
/*!40000 ALTER TABLE `phpagiconf` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pinset_usage`
--

DROP TABLE IF EXISTS `pinset_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pinset_usage` (
  `pinsets_id` int(11) NOT NULL,
  `dispname` varchar(30) NOT NULL default '',
  `foreign_id` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`dispname`,`foreign_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pinset_usage`
--

LOCK TABLES `pinset_usage` WRITE;
/*!40000 ALTER TABLE `pinset_usage` DISABLE KEYS */;
/*!40000 ALTER TABLE `pinset_usage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pinsets`
--

DROP TABLE IF EXISTS `pinsets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pinsets` (
  `pinsets_id` int(11) NOT NULL auto_increment,
  `passwords` longtext,
  `description` varchar(50) default NULL,
  `addtocdr` tinyint(1) default NULL,
  `deptname` varchar(50) default NULL,
  PRIMARY KEY  (`pinsets_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pinsets`
--

LOCK TABLES `pinsets` WRITE;
/*!40000 ALTER TABLE `pinsets` DISABLE KEYS */;
/*!40000 ALTER TABLE `pinsets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queueprio`
--

DROP TABLE IF EXISTS `queueprio`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queueprio` (
  `queueprio_id` int(11) NOT NULL auto_increment,
  `queue_priority` varchar(50) default NULL,
  `description` varchar(50) default NULL,
  `dest` varchar(255) default NULL,
  PRIMARY KEY  (`queueprio_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queueprio`
--

LOCK TABLES `queueprio` WRITE;
/*!40000 ALTER TABLE `queueprio` DISABLE KEYS */;
/*!40000 ALTER TABLE `queueprio` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queues_config`
--

DROP TABLE IF EXISTS `queues_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queues_config` (
  `extension` varchar(20) NOT NULL default '',
  `descr` varchar(35) NOT NULL default '',
  `grppre` varchar(100) NOT NULL default '',
  `alertinfo` varchar(254) NOT NULL default '',
  `ringing` tinyint(1) NOT NULL default '0',
  `maxwait` varchar(8) NOT NULL default '',
  `password` varchar(20) NOT NULL default '',
  `ivr_id` varchar(8) NOT NULL default '0',
  `dest` varchar(50) NOT NULL default '',
  `cwignore` tinyint(1) NOT NULL default '0',
  `qregex` varchar(255) default NULL,
  `agentannounce_id` int(11) default NULL,
  `joinannounce_id` int(11) default NULL,
  `queuewait` tinyint(1) default '0',
  `use_queue_context` tinyint(1) default '0',
  `togglehint` tinyint(1) default '0',
  `qnoanswer` tinyint(1) default '0',
  `callconfirm` tinyint(1) default '0',
  `callconfirm_id` int(11) default NULL,
  `monitor_type` varchar(5) default NULL,
  `monitor_heard` int(11) default NULL,
  `monitor_spoken` int(11) default NULL,
  `callback_id` varchar(8) NOT NULL default '',
  PRIMARY KEY  (`extension`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queues_config`
--

LOCK TABLES `queues_config` WRITE;
/*!40000 ALTER TABLE `queues_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `queues_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queues_details`
--

DROP TABLE IF EXISTS `queues_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queues_details` (
  `id` varchar(45) NOT NULL default '-1',
  `keyword` varchar(30) NOT NULL default '',
  `data` varchar(150) NOT NULL default '',
  `flags` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`,`keyword`,`data`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queues_details`
--

LOCK TABLES `queues_details` WRITE;
/*!40000 ALTER TABLE `queues_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `queues_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `recordings`
--

DROP TABLE IF EXISTS `recordings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `recordings` (
  `id` int(11) NOT NULL auto_increment,
  `displayname` varchar(50) default NULL,
  `filename` blob,
  `description` varchar(254) default NULL,
  `fcode` tinyint(1) default '0',
  `fcode_pass` varchar(20) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `recordings`
--

LOCK TABLES `recordings` WRITE;
/*!40000 ALTER TABLE `recordings` DISABLE KEYS */;
INSERT INTO `recordings` VALUES (1,'__invalid','install done','',0,NULL);
/*!40000 ALTER TABLE `recordings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ringgroups`
--

DROP TABLE IF EXISTS `ringgroups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ringgroups` (
  `grpnum` varchar(20) NOT NULL,
  `strategy` varchar(50) NOT NULL,
  `grptime` smallint(6) NOT NULL,
  `grppre` varchar(100) default NULL,
  `grplist` varchar(255) NOT NULL,
  `annmsg_id` int(11) default NULL,
  `postdest` varchar(255) default NULL,
  `description` varchar(35) NOT NULL,
  `alertinfo` varchar(255) default NULL,
  `remotealert_id` int(11) default NULL,
  `needsconf` varchar(10) default NULL,
  `toolate_id` int(11) default NULL,
  `ringing` varchar(80) default NULL,
  `cwignore` varchar(10) default NULL,
  `cfignore` varchar(10) default NULL,
  `cpickup` varchar(10) default NULL,
  `recording` varchar(10) default 'dontcare',
  PRIMARY KEY  (`grpnum`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ringgroups`
--

LOCK TABLES `ringgroups` WRITE;
/*!40000 ALTER TABLE `ringgroups` DISABLE KEYS */;
/*!40000 ALTER TABLE `ringgroups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sip`
--

DROP TABLE IF EXISTS `sip`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sip` (
  `id` varchar(20) NOT NULL default '-1',
  `keyword` varchar(30) NOT NULL default '',
  `data` varchar(255) NOT NULL,
  `flags` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`,`keyword`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sip`
--

LOCK TABLES `sip` WRITE;
/*!40000 ALTER TABLE `sip` DISABLE KEYS */;
/*!40000 ALTER TABLE `sip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sipsettings`
--

DROP TABLE IF EXISTS `sipsettings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sipsettings` (
  `keyword` varchar(50) NOT NULL default '',
  `data` varchar(255) NOT NULL default '',
  `seq` tinyint(1) NOT NULL default '0',
  `type` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`keyword`,`seq`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sipsettings`
--

LOCK TABLES `sipsettings` WRITE;
/*!40000 ALTER TABLE `sipsettings` DISABLE KEYS */;
INSERT INTO `sipsettings` VALUES ('ulaw','1',0,1),('alaw','1',1,1),('slin','',2,1),('g726','',3,1),('gsm','1',4,1),('g729','',5,1),('ilbc','',6,1),('g723','',7,1),('g726aal2','',8,1),('adpcm','',9,1),('lpc10','',10,1),('speex','',11,1),('g722','',12,1),('rtpstart','10000',0,0),('rtpend','20000',1,0);
/*!40000 ALTER TABLE `sipsettings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `timeconditions`
--

DROP TABLE IF EXISTS `timeconditions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `timeconditions` (
  `timeconditions_id` int(11) NOT NULL auto_increment,
  `displayname` varchar(50) default NULL,
  `time` int(11) default NULL,
  `truegoto` varchar(50) default NULL,
  `falsegoto` varchar(50) default NULL,
  `deptname` varchar(50) default NULL,
  `generate_hint` tinyint(1) default '0',
  `priority` varchar(50) NOT NULL default '0',
  PRIMARY KEY  (`timeconditions_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `timeconditions`
--

LOCK TABLES `timeconditions` WRITE;
/*!40000 ALTER TABLE `timeconditions` DISABLE KEYS */;
/*!40000 ALTER TABLE `timeconditions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `timegroups_details`
--

DROP TABLE IF EXISTS `timegroups_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `timegroups_details` (
  `id` int(11) NOT NULL auto_increment,
  `timegroupid` int(11) NOT NULL default '0',
  `time` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `timegroups_details`
--

LOCK TABLES `timegroups_details` WRITE;
/*!40000 ALTER TABLE `timegroups_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `timegroups_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `timegroups_groups`
--

DROP TABLE IF EXISTS `timegroups_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `timegroups_groups` (
  `id` int(11) NOT NULL auto_increment,
  `description` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `display` (`description`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `timegroups_groups`
--

LOCK TABLES `timegroups_groups` WRITE;
/*!40000 ALTER TABLE `timegroups_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `timegroups_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `trunk_dialpatterns`
--

DROP TABLE IF EXISTS `trunk_dialpatterns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `trunk_dialpatterns` (
  `trunkid` int(11) NOT NULL default '0',
  `match_pattern_prefix` varchar(50) NOT NULL default '',
  `match_pattern_pass` varchar(50) NOT NULL default '',
  `prepend_digits` varchar(50) NOT NULL default '',
  `seq` int(11) NOT NULL default '0',
  PRIMARY KEY  (`trunkid`,`match_pattern_prefix`,`match_pattern_pass`,`prepend_digits`,`seq`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `trunk_dialpatterns`
--

LOCK TABLES `trunk_dialpatterns` WRITE;
/*!40000 ALTER TABLE `trunk_dialpatterns` DISABLE KEYS */;
/*!40000 ALTER TABLE `trunk_dialpatterns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `trunks`
--

DROP TABLE IF EXISTS `trunks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `trunks` (
  `trunkid` int(11) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `tech` varchar(20) NOT NULL,
  `outcid` varchar(40) NOT NULL default '',
  `keepcid` varchar(4) default 'off',
  `maxchans` varchar(6) default '',
  `failscript` varchar(255) NOT NULL default '',
  `dialoutprefix` varchar(255) NOT NULL default '',
  `channelid` varchar(255) NOT NULL default '',
  `usercontext` varchar(255) default NULL,
  `provider` varchar(40) default NULL,
  `disabled` varchar(4) default 'off',
  `continue` varchar(4) default 'off',
  PRIMARY KEY  (`trunkid`,`tech`,`channelid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `trunks`
--

LOCK TABLES `trunks` WRITE;
/*!40000 ALTER TABLE `trunks` DISABLE KEYS */;
INSERT INTO `trunks` VALUES (1,'','dahdi','','','','','','g0','',NULL,'off','off');
/*!40000 ALTER TABLE `trunks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `extension` varchar(20) NOT NULL default '',
  `password` varchar(20) default NULL,
  `name` varchar(50) default NULL,
  `voicemail` varchar(50) default NULL,
  `ringtimer` int(3) default NULL,
  `noanswer` varchar(100) default NULL,
  `recording` varchar(50) default NULL,
  `outboundcid` varchar(50) default NULL,
  `sipname` varchar(50) default NULL,
  `mohclass` varchar(80) default 'default',
  `noanswer_cid` varchar(20) default '',
  `busy_cid` varchar(20) default '',
  `chanunavail_cid` varchar(20) default '',
  `noanswer_dest` varchar(255) default '',
  `busy_dest` varchar(255) default '',
  `chanunavail_dest` varchar(255) default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vmblast`
--

DROP TABLE IF EXISTS `vmblast`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vmblast` (
  `grpnum` int(11) NOT NULL,
  `description` varchar(35) NOT NULL,
  `audio_label` int(11) NOT NULL default '-1',
  `password` varchar(20) NOT NULL,
  PRIMARY KEY  (`grpnum`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vmblast`
--

LOCK TABLES `vmblast` WRITE;
/*!40000 ALTER TABLE `vmblast` DISABLE KEYS */;
/*!40000 ALTER TABLE `vmblast` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vmblast_groups`
--

DROP TABLE IF EXISTS `vmblast_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vmblast_groups` (
  `grpnum` varchar(50) NOT NULL default '',
  `ext` varchar(25) NOT NULL default '',
  PRIMARY KEY  (`grpnum`,`ext`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vmblast_groups`
--

LOCK TABLES `vmblast_groups` WRITE;
/*!40000 ALTER TABLE `vmblast_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `vmblast_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `voicemail_admin`
--

DROP TABLE IF EXISTS `voicemail_admin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `voicemail_admin` (
  `variable` varchar(30) NOT NULL default '',
  `value` varchar(80) NOT NULL default '',
  PRIMARY KEY  (`variable`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `voicemail_admin`
--

LOCK TABLES `voicemail_admin` WRITE;
/*!40000 ALTER TABLE `voicemail_admin` DISABLE KEYS */;
INSERT INTO `voicemail_admin` VALUES ('OPERATOR_XTN',''),('VM_OPTS',''),('VM_GAIN',''),('VM_DDTYPE','u'),('VMX_OPTS_LOOP',''),('VMX_OPTS_DOVM',''),('VMX_TIMEOUT','2'),('VMX_REPEAT','1'),('VMX_LOOPS','1');
/*!40000 ALTER TABLE `voicemail_admin` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-10-17 21:34:16
